(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.1'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    294681,      10165]*)
(*NotebookOutlinePosition[    312543,      10673]*)
(*  CellTagsIndexPosition[    311906,      10648]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  "Introducci\[OAcute]n al ",
  StyleBox["MATHEMATICA V",
    FontSlant->"Italic"]
}], "Titulo",
  CellFrame->{{0, 0}, {2, 0}},
  TextAlignment->Center,
  FontFamily->"Arial"],

Cell[CellGroupData[{

Cell["\[FilledSquare] Introducci\[OAcute]n.", "Subtitulo",
  FontFamily->"Arial"],

Cell[TextData[{
  "\tBienvenidos al ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  ". Esta hoja que estamos observando es justamente una hoja de trabajo, \
llamada en el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  una notebook. Como Ud. podr\[AAcute] ver, una notebook contiene textos, \
gr\[AAcute]ficos, comandos para ejecutar, apuntadores, etc., de manera que \
podemos escribir comandos y textos en cualquier parte de una notebook."
}], "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tLas notebooks est\[AAcute]n agrupadas mediante Celdas (Cell) las \
cuales se muestran con los corchetes (brackets) a la derecha de la notebook. \
El corchete m\[AAcute]s lejano encierra toda la notebook. As\[IAcute], cada \
bloque de texto, entrada, salida, etc., es en si mismo una celda.\
\>", "Text",\

  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tLa lista de t\[IAcute]tulos que Ud. ve son justamente secciones \
de esta notebook. Cada secci\[OAcute]n est\[AAcute] encerrada en una celda. \
Cada celda contiene a su vez un mont\[OAcute]n de otras celdas. Ahora todas \
las celdas, excepto esta misma, est\[AAcute]n cerradas. Cuando una celda est\
\[AAcute] cerrada, el corchete que la encierra tiene una flecha en su parte \
inferior. Para abrir por ejemplo la secci\[OAcute]n de Conceptos \
B\[AAcute]sicos, posicione el cursor sobre el corchete que contiene esa secci\
\[OAcute]n, observe que el cursor se transforma en una linea vertical con una \
flecha izquierda, proceda a alinear la linea vertical del cursor con el \
corchete de la secci\[OAcute]n y haga doble click, esto abrir\[AAcute] la \
celda y Ud. ver\[AAcute] el contenido de esta secci\[OAcute]n. Para cerrar la \
secci\[OAcute]n, proceda de igual forma, alineandose sobre el corchete de la \
misma y haga dolble click. El abrir y cerrar una celda tambien se puede hacer \
seleccionando la celda y presionando simultaneamente las teclas <Comando> y \
<'>.\
\>", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tAun cuando la notebook puede ser revisada en cualquier orden, \
trataremos de hacerlo en el orden en que aparecen las diferentes secciones, \
puesto que se trata de ir avanzando desde lo m\[AAcute]s simple a lo m\
\[AAcute]s complicado. Cuando terminemos de revisar una secci\[OAcute]n lo m\
\[AAcute]s conveniente ser\[IAcute]a cerrarla, lo cual nos permitir\[AAcute] \
movernos dentro de la notebook de la forma m\[AAcute]s eficiente. Cierre \
entonces esta secci\[OAcute]n y contin\[UAcute]e con la siguiente.\
\>", \
"Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}]
}, Closed]],

Cell[CellGroupData[{

Cell["\[FilledSquare] Convenciones Importantes.", "Subtitulo",
  FontFamily->"Arial"],

Cell[TextData[{
  "\tCon el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " se pueden hacer c\[AAcute]lculos exactamente como si fuese una una \
calculadora. Col\[OAcute]quese sobre la celda que sigue y oprima \
<shift>+<return> o <enter> para indicar al ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " que Ud. desea realizar dicha operaci\[OAcute]n. Puesto que se \
est\[AAcute] evaluando una expresi\[OAcute]n, el corchete correspondiente a \
la celda se ampliar\[AAcute] para mostrar la entrada y la salida. Cuando el n\
\[UAcute]cleo del ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " haya evaluado la expresi\[OAcute]n escribir\[AAcute] un \"In[1 ]:=\" \
delante de la linea de entrada y escribir\[AAcute] un \"Out[1 ]=\" seguido \
por el valor de la expresi\[OAcute]n. Esto lo hace ",
  StyleBox["Mathematica ",
    FontSlant->"Italic"],
  "de forma autom\[AAcute]tica para llevar un control, no intente Ud. \
escribir estos s\[IAcute]mbolos."
}], "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \(2 + 3\)], "Input",
  FontFamily->"Arial"],

Cell["\<\
\tSe utilizar\[AAcute] el s\[IAcute]mbolo de porcentaje % para \
hacer referencia al \[UAcute]ltimo resultado o justamente Out[n] para \
referirse al resultado obtenido en la n-esima linea de salida, esto es:\
\>", \
"Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\t%\t\tpara referirse al \[UAcute]ltimo resultado
\t%%\t\tpara referirse al pen\[UAcute]ltimo resultado
\tOut[n]\t\tpara referirse al resultado obtenido en la n-esima linea de \
salida\
\>", "Cuadro",
  FormatType->TextForm],

Cell[BoxData[
    \(\(16!\)\)], "Input"],

Cell[BoxData[
    \(\(15!\)\)], "Input"],

Cell[BoxData[
    \(%%/%\)], "Input"],

Cell[BoxData[
    \(Out[2]/Out[3]\)], "Input"],

Cell["\<\
\tUna t\[EAcute]cnica m\[AAcute]s apropiada para referirse a \
resultados anteriores es justamente dar un nombre a dichos resultados.\
\>", \
"Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tb=valor\t\t\tasignar\[AAcute] valor a b
\tb\t\t\tdar\[AAcute] el valor de b
\tb=.  o  Clear[b]\t\tlimpiar\[AAcute] el valor de b\
\>", "Cuadro",
  FormatType->TextForm],

Cell[BoxData[
    \(a = \(16!\)\)], "Input"],

Cell[BoxData[
    \(b = \(15!\)\)], "Input"],

Cell[BoxData[
    \(c = a/b\)], "Input"],

Cell[BoxData[
    \(c/4\)], "Input"],

Cell[TextData[{
  "\t   Las Reglas de Oro del ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " "
}], "Commentary"],

Cell["\<\
\tTodos los argumentos se expresar\[AAcute]n entre corchetes [ ]
\tLos parentesis ( ) se utilizan para agrupar t\[EAcute]rminos
\tLas llaves {} se usan para las listas
\tLos corchetes dobles [[ ]] se usan para referirse a los elementos de las \
listas\
\>", "Cuadro"],

Cell[BoxData[
    \(Sin[Pi/2]\)], "Input"],

Cell[BoxData[
    \(\((2 + 3)\)/4\)], "Input"],

Cell[BoxData[
    \(lista = {x, y, z}\)], "Input"],

Cell[BoxData[
    \(lista[\([1]\)]\)], "Input"],

Cell[TextData[{
  "\tEn ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  ", todos los nombres de los comandos, funciones, constantes, y en general \
todos los nombres internamente comienzan con una letra may\[UAcute]scula. El \
",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " es sensible a la escritura, si un nombre es Sin Ud. no puede escribir sin \
o SIN, Ud. debe escribir exactamente Sin.\n\tUna recomendaci\[OAcute]n es que \
los nombres que Ud. use comiencen con una letra min\[UAcute]scula. Si Ud. \
sigue esta convenci\[OAcute]n, siempre estar\[AAcute] claro y podr\[AAcute] \
distinguir con facilidad entre sus nombres y los nombres que son propios del \
",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  ".\n\tMuchos de los nombres internos tienen m\[AAcute]s de una palabra, por \
ejemplo FindMinimum o InverseLaplaceTransform, y como puede verse las \
palabras est\[AAcute]n juntas y cada una de ellas comienza con una letra may\
\[UAcute]scula. Si Ud. sigue esta convenci\[OAcute]n basta que comience su \
frase con una letra min\[UAcute]scula, por ejemplo sumaTotal. Vea con cuidado \
el ejemplo que sigue:"
}], "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \(sin[Pi/2]\)], "Input"],

Cell[TextData[{
  "\tObserve que al escribir sin[Pi/2] el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " toma esto como el nombre de una variable y nos trasmite un mensaje de \
posible error indicando que el nuevo s\[IAcute]mbolo \"sin\" es similar al s\
\[IAcute]mbolo interno existente \"Sin\" y no se produce el resultado \
esperado."
}], "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tSi Ud. desea hacer un comentario sobre una linea de comando, \
escriba (* su comentario *) y listo. Esto es particularmente \[UAcute]til \
para recordar como estan hechas las cosas cuando se hace un programa, para \
recordar donde se hace un c\[AAcute]lculo importante, o cuando se deben \
ejecutar una gran cantidad de comandos.\
\>", "Text"],

Cell[BoxData[
    \(\(\( (*\ 
      valor\ de\ \[Pi]\ calculado\ con\ 50\ cifras\ decimales\ *) \)\(\
\[IndentingNewLine]\)\(N[\[Pi], 50]\)\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\[FilledSquare] Conceptos B\[AAcute]sicos.", "Subtitulo",
  FontFamily->"Arial"],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Operadores Aritm\[EAcute]ticos.", "SubSubtitulo",
  FontFamily->"Arial",
  FontWeight->"Bold"],

Cell["\<\
\tLas operaciones b\[AAcute]sicas de la aritm\[EAcute]tica, que se \
enuncian a continuaci\[OAcute]n, suma, resta, divisi\[OAcute]n y potenciaci\
\[OAcute]n se expresan de forma usual, mientras que la multiplicaci\[OAcute]n \
se expresa con un espacio en blanco entre las variables o con el \
s\[IAcute]mbolo *. \
\>", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[TextData[{
  "\tx+y\t\t\tSuma\t\t\ttambi\[EAcute]n Plus[x,y]\n\tx-y\t\t\tResta\t\t\t\
tambi\[EAcute]n Subtract[x,y]\n\tx y  o  x",
  StyleBox["*",
    FontSize->14],
  "y\t\tMultiplicaci\[OAcute]n\t\ttambi\[EAcute]n Times[x,y]\n\tx/y\t\t\t\
Divisi\[OAcute]n\t\ttambi\[EAcute]n Divide[x,y]\n\tx^y\t\t\tPotenciaci\
\[OAcute]n\t\ttambi\[EAcute]n Power[x,y]"
}], "Cuadro"],

Cell["\<\
\tLa precedencia, o orden de evaluaci\[OAcute]n, de los cinco \
operadores aritm\[EAcute]ticos es: Potenciaci\[OAcute]n, Divisi\[OAcute]n, \
Multiplicaci\[OAcute]n y finalmente Adici\[OAcute]n y Substracci\[OAcute]n. \
La asociatividad de la potenciaci\[OAcute]n es de Derecha a Izquierda, \
mientras que la de los dem\[AAcute]s operadores es de Izquierda a Derecha. As\
\[IAcute] 2^3^4 se evaluara como 2^(3^4), 2/3/4 se evaluar\[AAcute] como \
(2/3)/4, 2-3-4 se evaluar\[AAcute] como (2-3)-4. Las operaciones se agrupan \
de acuerdo a las convenciones estandar de cualquier lenguaje, por ejemplo, 2 \
^ 3 + 4 corresponde a  (2 ^ 3) + 4  y no a  2 ^ (3+4). Cuando Ud. tenga \
dudas, simplemente recuerde controlar la agrupaci\[OAcute]n usando \
parentesis.\
\>", "Text"],

Cell["\<\
\tDe ahora en adelante y en cada secci\[OAcute]n incluiremos una o \
varias celdas, como la que Ud. ve a continuaci\[OAcute]n de esta, y que \
llamaremos Ejercicios,  para realizar pruebas y reforzar los conceptos dados. \
Si lo desea, Ud. ver\[AAcute] que podemos colocarnos en cualquier parte de la \
notebook, escribir una linea de comandos y ejecutarla.\
\>", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[CellGroupData[{

Cell["\tEjercicios.", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \(a = 5\)], "Input"],

Cell[BoxData[
    \(b = 3\)], "Input"],

Cell[BoxData[
    \(a + b\)], "Input"],

Cell[BoxData[
    \(a - b\)], "Input"],

Cell[BoxData[
    \(a\ b\)], "Input"],

Cell[BoxData[
    \(a*b\)], "Input"],

Cell[BoxData[
    \(a/b\)], "Input"],

Cell[BoxData[
    \(a^b\)], "Input"],

Cell[BoxData[
    \(ab\)], "Input"],

Cell[TextData[{
  "\tNote que en la \[UAcute]ltima linea de comando escribimos ab con lo cual \
el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " lo trata como si fuera una variable de nombre ab."
}], "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\[FilledSquare] N\[UAcute]meros exactos y aproximados. La funci\
\[OAcute]n num\[EAcute]rica, N[ ].\
\>", "SubSubtitulo",
  FontFamily->"Arial",
  FontWeight->"Bold"],

Cell[TextData[{
  "\tLos tipos de n\[UAcute]meros de que disponemos en el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " son:"
}], "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tN\[UAcute]meros Enteros:\t\t38154
\tN\[UAcute]meros Racionales:\t\t41/7
\tN\[UAcute]meros Reales:\t\t58.723
\tN\[UAcute]meros Complejos:\t\t9.45+3I\
\>", "Cuadro"],

Cell[TextData[{
  "\tB\[AAcute]sicamente podemos hablar de dos tipos de n\[UAcute]meros en el \
Mathematica, n\[UAcute]meros exactos y aproximados. ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " realiza aritm\[EAcute]tica simb\[OAcute]lica cuando trabaja con \
n\[UAcute]meros exactos. Los enteros, los racionales y las constantes \
internas son n\[UAcute]meros exactos."
}], "Text"],

Cell[TextData[{
  "\tLos n\[UAcute]meros aproximados tienen un punto decimal. Los \
c\[AAcute]lculos con n\[UAcute]meros aproximados se realizan en \
aritm\[EAcute]tica de punto flotante. Por defecto, ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " realiza los c\[AAcute]lculos y los mantiene en memoria con 16 \
d\[IAcute]gitos significativos, aunque solo muestra 6 en pantalla. Sin \
embargo, se puede hacer aritm\[EAcute]tica con cualquier cantidad de d\
\[IAcute]gitos que se requiera y se pueden mostrar los resultados en pantalla \
tambi\[EAcute]n con la cantidad de d\[IAcute]gitos que se quiera."
}], "Text"],

Cell["\<\
\tPuesto que lo comentado en el parrafo anterior puede chocar con \
su conocimiento de los n\[UAcute]meros reales, debemos aclarar que no es lo \
mismo 123/100 que 1.23, el primero es tratado como exacto mientras que el \
segundo es tratado como un n\[UAcute]mero aproximado. Por supuesto que a \
menos que los n\[UAcute]meros con los que se trabaja excedan los 16 \
d\[IAcute]gitos de precici\[OAcute]n Ud. no ver\[AAcute] ninguna diferencia, \
excepto por la forma de presentar la respuesta. Vea el ejemplo que se da a \
continuaci\[OAcute]n.\
\>", "Text"],

Cell[CellGroupData[{

Cell["\tEjemplo.", "Text"],

Cell[BoxData[
    \(2 + 123/100\)], "Input"],

Cell[BoxData[
    \(2 + 1.23\)], "Input"],

Cell[BoxData[
    \(2 + 123. /100\)], "Input"],

Cell[BoxData[
    \(1.23 - 123\/100\)], "Input"],

Cell[BoxData[
    \(1.23 \[Equal] 123/100\)], "Input"]
}, Closed]],

Cell[TextData[{
  "\tPuesto que los resultados obtenidos al hacer c\[AAcute]lculos con \
enteros y fracciones son dados en forma exacta, es decir, el valor decimal o \
aproximado no es autom\[AAcute]ticamente calculado, y esto lo har\[AAcute] el \
",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " cada vez que se pueda, el modo para ver el valor aproximado es usando la \
funci\[OAcute]n",
  StyleBox[" ",
    FontColor->RGBColor[0, 0, 1]],
  "N[ ] y que se usa de la siguiente forma: "
}], "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[TextData[{
  "\t",
  StyleBox["N[expresi\[OAcute]n]\t\t",
    CellFrame->True],
  "nos da un valor num\[EAcute]rico de expresi\[OAcute]n\n\t",
  StyleBox["expresion // N\t\t",
    CellFrame->True],
  "nos da un valor num\[EAcute]rico de expresi\[OAcute]n\n\t",
  StyleBox["N[expresi\[OAcute]n,n]\t\t",
    CellFrame->True],
  "nos da el valor num\[EAcute]rico de expresi\[OAcute]n con n \
d\[IAcute]gitos de precisi\[OAcute]n"
}], "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjercicios.", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \(18/4\)], "Input"],

Cell[BoxData[
    \(N[18/4]\)], "Input"],

Cell[BoxData[
    \(18/4\  // N\)], "Input"],

Cell[BoxData[
    \(4/7\)], "Input"],

Cell[BoxData[
    \(N[4/7]\)], "Input"],

Cell[BoxData[
    \(N[4/7, 15]\)], "Input"],

Cell[BoxData[
    \(3 + \((3/5)\)^2 - \((2/3)\)/\((4/5)\)\)], "Input"],

Cell["\<\
Como ejercicio escriba la expresi\[OAcute]n anterior en su forma \
tradicional\
\>", "Commentarysub"],

Cell[BoxData[
    \(3 + \((3\/5)\)\^2 - \(2\/3\)\/\(4\/5\)\)], "Input"],

Cell[BoxData[
    \(N[%]\)], "Input"],

Cell[BoxData[
    \(3.  + \((3/5)\)^2 - \((2/3)\)/\((4/5)\)\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Constantes internas.", "SubSubtitulo",
  FontFamily->"Arial",
  FontWeight->"Bold"],

Cell["\<\
\tLa mayor\[IAcute]a de las constantes conocidas tienen sus propios \
nombres, por ejemplo, Pi, E, I, Infinity, etc. Estas constantes pueden usarse \
con su propio nombre o usando los s\[IAcute]mbolos que normalmente usamos al \
escribir, esto es, \[Pi], \[ExponentialE], \[ImaginaryI], \[Infinity], etc. \
La mayor\[IAcute]a de los s\[IAcute]mbolos los tenemos en la paleta \
BasicInput que se encuentra en el men\[UAcute] File - Palettes y que es la \
que est\[AAcute] Ud. viendo a su derecha. M\[AAcute]s adelante exploraremos \
esta y otras paletas que nos auxiliar\[AAcute]n y har\[AAcute]n m\[AAcute]s \
comodo nuestro trabajo.\
\>", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[TextData[{
  "\t",
  "Pi o  \[Pi]\t\t\tvalor num\[EAcute]rico de  \[Pi] = 3.14159...\n\tE  o  \
\[ExponentialE]\t\t\tvalor num\[EAcute]rico de  \[ExponentialE] = 2.71828...\n\
\tDegree\t\t\tvalor de \[Pi]/180 que es el factor de conversi\[OAcute]n de \
grados a radianes\n\tI  o  \[ImaginaryI]\t\t\tunidad imaginaria, \
\[ImaginaryI] = ",
  Cell[BoxData[
      \(TraditionalForm\`\@\(-1\)\)]],
  " \n\tInfinity  o  \[Infinity]\t\ts\[IAcute]mbolo de infinito"
}], "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjercicios.", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \({Pi, \ E, \ I, \ Infinity}\)], "Input"],

Cell[BoxData[
    \(Pi\)], "Input"],

Cell[BoxData[
    \(N[Pi/4]\)], "Input"],

Cell[BoxData[
    \(N[\[Pi]/4]\)], "Input"],

Cell[BoxData[
    \(N[E]\)], "Input"],

Cell[BoxData[
    \(\[ExponentialE]\  // N\)], "Input"],

Cell[BoxData[
    \(\@\(-4\)\)], "Input"],

Cell[BoxData[
    \(1/0\)], "Input"],

Cell[BoxData[
    \(1/Infinity\)], "Input"],

Cell[BoxData[
    \(1/\[Infinity]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Algunas Funciones b\[AAcute]sicas.", "SubSubtitulo",
  FontFamily->"Arial",
  FontWeight->"Bold"],

Cell[TextData[{
  "\t",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " dispone de todas las funciones b\[AAcute]sicas y un vasto n\[UAcute]mero \
de funciones especiales. En el men\[UAcute] de ayuda Ud. puede dar un \
recorrido por todas las funciones de que disponemos, as\[IAcute] como una \
detallada informaci\[OHat]n correspondiente a cada una de ellas. Solamente \
con el objeto de irnos familiarizando con su uso,  mencionaremos a continuaci\
\[OAcute]n algunas de las funciones b\[AAcute]sicas."
}], "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[TextData[{
  "\t",
  "Sqrt[x]  o  x^(1/2)  o  ",
  Cell[BoxData[
      \(TraditionalForm\`\@x\)]],
  "\t\t\t\t\t\t\tra\[IAcute]z cuadrada de x\n\tAbs[x]\t\t\t\t\t\t\t\t\t\t\
valor absoluto de x\n\tRound[x]\t\t\t\t\t\t\t\t\tentero m\[AAcute]s cercano a \
x\n\tFactorInteger[n]\t\t\t\t\t\t\t\tfactores primos de n\n\tRe[z] Im[z] \
Conjugate[z] Arg[z] Abs[z]\t\t\t\t\t\tpara operar con n\[UAcute]meros \
complejos\n\tExp[x]  o   E^x  o  ",
  Cell[BoxData[
      \(TraditionalForm\`E\^x\)]],
  " o  \[ExponentialE]^x  o  ",
  Cell[BoxData[
      \(TraditionalForm\`\[ExponentialE]\^x\)]],
  "\t\t\t\t\t\tfunci\[OAcute]n exponencial\n\tLog[x] Log[b,x]\t\t\t\t\t\t\t\t\
\tfunci\[OAcute]n logaritmo natural y logaritmo en base b\n\tSin[x] Cos[x] \
Tan[x] Csc[x] Sec[x] Cot[x]\t\t\t\t\tfunciones trigonom\[EAcute]tricas\n\t\
ArcSin[x] ArcCos[x] ArcTan[x] ArcCsc[x] ArcSec[x] ArcCot[x]\t\t\tfunciones \
trigonom\[EAcute]tricas inversas\n\tArcSinh[x] ArcCosh[x] ArcTanh[x] \
ArcCsch[x] ArcSech[x] ArcCoth[x]\t\tfunciones hiperb\[OAcute]licas\n\t\
Factorial[n]  o  n!\t\t\t\t\t\t\t\tfactorial de n\n\tBinomial[n,m]\t\t\t\t\t\t\
\t\t\tn\[UAcute]mero combinarorio ",
  Cell[BoxData[
      RowBox[{"(", GridBox[{
            {"n"},
            {"m"}
            }], ")"}]]],
  "\n\tGamma[x]\t\t\t\t\t\t\t\t\tfunci\[OAcute]n gamma\n\tBeta[x,y]\t\t\t\t\t\
\t\t\t\tfunci\[OAcute]n beta"
}], "Cuadro"],

Cell[TextData[{
  "\tIMPORTANTE: Queda como un ejercicio sumamente importante para Ud. \
revisar en la ayuda la gran cantidad de funciones de que dispone el ",
  StyleBox["Mathematica,",
    FontSlant->"Italic"],
  " pues a menos que por alg\[UAcute]n motivo sean utilizadas en este curso \
pasar\[AAcute]n desapercibidas. No tenga temor, tome una funci\[OAcute]n que \
le llame la atenci\[OAcute]n, lea como utilizarla, vea los ejemplos que est\
\[AAcute]n al final y que se usan para ilustrar mejor su aplicaci\[OAcute]n y \
haga las pruebas que Ud, crea conveniente."
}], "Text"],

Cell[CellGroupData[{

Cell["\tEjercicios.", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \(Sqrt[2]\)], "Input"],

Cell[BoxData[
    \(Abs[\(-5\)]\)], "Input"],

Cell[BoxData[
    \(Sqrt[\(-4\)]\)], "Input"],

Cell[BoxData[
    \(\((4 + 3\ I)\)/\((2 - I)\)\)], "Input"],

Cell[BoxData[
    \(Exp[2 + 9\ I]\)], "Input"],

Cell[BoxData[
    \(N[\@2]\)], "Input"],

Cell[BoxData[
    \(Log[\[ExponentialE]]\)], "Input"],

Cell[BoxData[
    \(Log[3, 3\^4]\)], "Input"],

Cell[BoxData[
    \(Exp[Log[x]]\)], "Input"],

Cell[BoxData[
    \(Cos[\[Pi]/2]\)], "Input"],

Cell[BoxData[
    \(ArcCos[0]\)], "Input"],

Cell[BoxData[
    \(\(5!\)\)], "Input"],

Cell[BoxData[
    \(Binomial[5, 2]\)], "Input"],

Cell[BoxData[
    \(Gamma[1]\)], "Input"],

Cell[BoxData[
    \(Gamma[3.5]\)], "Input"],

Cell[BoxData[
    \(Beta[2, 3.5]\)], "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\[FilledSquare] Expresiones, Listas y Funciones.\
\>", "Subtitulo",
  FontFamily->"Arial"],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Expresiones.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tUna de las pricipales herramientas de un CAS (Computer Algebraic \
System) es que nos permite hacer c\[AAcute]lculos simb\[OAcute]licos, es \
decir, trabajar s\[IAcute]mbolos y objetos de forma tan sencilla como si de n\
\[UAcute]meros estuviesemos hablando.\
\>", "Text"],

Cell[CellGroupData[{

Cell["\tEjemplo.", "Text"],

Cell["\<\
\tSi escribimos una expresi\[OAcute]n algebraica, queremos que se \
efect\[UAcute]en las operaci\[OAcute]nes necesarias para tener una respuesta \
lo m\[AAcute]s simple posible, por ejemplo:\
\>", "Text"],

Cell[BoxData[
    \(3\ x\^2 + 2\ x - 2\ x\^2 - 4\ x + 1\)], "Input"],

Cell["\<\
\tPero realmente quer\[IAcute]amos efectuar una operaci\[OAcute]n \
de substituci\[OAcute]n, pues quer\[IAcute]amos que x se cambiase por y+z^2 \
despues de la simplificaci\[OAcute]n,  y adem\[AAcute]s queremos ver la \
expansi\[OAcute]n del resultado, entonces\
\>", "Text"],

Cell[BoxData[
    \(3\ x\^2 + 2\ x - 2\ x\^2 - 4\ x + 1\  /. x -> y + z\^2\)], "Input"],

Cell[BoxData[
    \(Expand[%]\)], "Input"],

Cell["\<\
\tComo puede verse, necesitamos aprender a manejar expresiones, as\
\[IAcute] como aprendimos a manejar n\[UAcute]meros.\
\>", "Text"]
}, Closed]],

Cell["\<\
\tCuando uno desea hacer c\[AAcute]lculos sucesivos, el Mathematica \
nos proporciona varios m\[EAcute]todos para hacerlo, % para referirse al \
resultado m\[AAcute]s reciente, %% para el resultado anterior al \
\[UAcute]ltimo, etc. Una mejor alternativa es referirse directamente al \
resultado usando Out[n] pues para cada n el resultado es \[UAcute]nico. Dar \
un nombre al resultado para usarlo posteriormente es un m\[EAcute]todo mejor, \
sin embargo debe tenerse la precauci\[OAcute]n de limpiar o remover el nombre \
cuando ya Ud. no lo necesite m\[AAcute]s. Esto se hace para evitar errores y \
confusiones pues si Ud. hace x=5, el Mathematica asume que Ud. siempre quiere \
que x tome el valor 5 a menos que Ud. expl\[IAcute]citamente le indique otra \
cosa.\
\>", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tHay otro m\[EAcute]todo para hacer esto: usar las \"reglas de \
transformaci\[OAcute]n\", que no son otra cosa que \"cambiar\" o \"ver el \
resultado\" que se obtiene al sustituir un valor o una expresi\[OAcute]n en \
otra expresi\[OAcute]n sin para ello \"tocar\" la expresi\[OAcute]n misma. A \
continuaci\[OAcute]n se da una explicaci\[OAcute]n de los comandos \
b\[AAcute]sicos de asignaci\[OAcute]n y algunos ejemplos que ilustren lo \
explicado.\
\>", "Text"],

Cell["\<\
\tx=valor\t\tasigna valor a la variable x
\tx=y=valor\tasigna valor a ambas variables x e y
\tx=.\t\tlimpia el  valor asignado a x (x queda como variable pero sin valor \
asignado)
\t
\tx=valor;\tasigna valor a la variable x pero no muestra el resultado de la \
asignaci\[OAcute]n, pues
\t;\t\tsirve para no mostrar la asignaci\[OAcute]n y para escribir comandos \
en forma sucesiva
\t
\tx\t\tda el valor del s\[IAcute]mbolo x
\t?x\t\tda el valor y el contexto del s\[IAcute]mbolo x
\t?x*\t\tda los valores de todos los s\[IAcute]mbolos que comiencen con x
\t?Global`*\tda todos los s\[IAcute]mbolos definidos por el usuario\
\>", \
"Cuadro"],

Cell["\<\
\texpresi\[OAcute]n/. x\[Rule]a\t\t\t\treemplaza x por a en la \
expresi\[OAcute]n
\texpresi\[OAcute]n/. {x\[Rule]a, y\[Rule]b, z\[Rule]c}\t\t\treemplaza x por \
a, y por b, z por c en la expresi\[OAcute]n
\texpresi\[OAcute]n/. Thread[{x,y,z}\[Rule]{a,b,c}]\t\treemplaza x por a, y \
por b, z por c en la expresi\[OAcute]n
\texpresi\[OAcute]n/. x\[Rule]a /. y\[Rule]b\t\t\t\treemplaza x por a y en el \
resultado y por b
\t
\texpresi\[OAcute]n[[i]]\t\t\t\t\tla i-esima parte de expresi\[OAcute]n
\texpresi\[OAcute]n[[i,j]]\t\t\t\t\tla j-esima parte de la i-esima parte de \
expresi\[OAcute]n
\tFullForm[expresi\[OAcute]n]\t\t\t\texpresi\[OAcute]n en su forma \
interna\
\>", "Cuadro"],

Cell["\<\
\tClear[x]\t\t\tlimpia el  valor asignado a x
\tClear[x, y, ... ]\t\t\tlimpia el  valor asignado a x, y, ...
\tClear[\"Global`*\"]\t\tlimpia todos los valores de los s\[IAcute]mbolos \
definidos por el usuario
\t
\tRemove[x]\t\t\telimina x como variable
\tRemove[x, y, ... ]\t\telimina x, y, ... como variables
\tRemove[\"Global`*\"]\t\telimina todos los s\[IAcute]mbolos definidos por el \
usuario\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplo 1.  Como asignar, limpiar y remover.", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \(x = 5\)], "Input"],

Cell[BoxData[
    \(y = x^2\)], "Input"],

Cell[BoxData[
    \(\(?x\)\)], "Input"],

Cell[BoxData[
    \(\(?y\)\)], "Input"],

Cell[BoxData[
    \(\(?Global`*\)\)], "Input"],

Cell[BoxData[
    \(Clear[x]\)], "Input"],

Cell[BoxData[
    \(\(?x\)\)], "Input"],

Cell[BoxData[
    \(\(?y\)\)], "Input"],

Cell[BoxData[
    \(Remove[x, y]\)], "Input"],

Cell[BoxData[
    \(\(?x\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 2.", "Text"],

Cell[BoxData[{
    \(x = 1\), "\n", 
    \(y = 2\), "\n", 
    \(x + y\^2\)}], "Input"],

Cell[BoxData[{
    \(\(x = 3;\)\), "\n", 
    \(\(y = 5;\)\), "\n", 
    \(x + y\)}], "Input"],

Cell[BoxData[
    \(x = a + b; y = c + d; x\ y\)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(x\^2\ y\^2\)], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Remove[x, y]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 3.  Diferentes modos de asignac\[IAcute]on y \
c\[AAcute]lculo.", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tObserve con muchisimo cuidado las dos form\[AAcute]s de hacer los \
c\[AAcute]lculos y su efecto en los resultados\
\>", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \(p = x + Sin[y]\)], "Input"],

Cell[BoxData[
    \(x = 3.7; y = 1.2; p\)], "Input"],

Cell[BoxData[
    \(p^2\)], "Input"],

Cell[BoxData[
    \(Remove[x, y, p]\)], "Input"],

Cell[BoxData[
    \(p = x + Sin[y]\)], "Input"],

Cell[BoxData[
    \(p\  /. {x \[Rule] 3.7, \ y \[Rule] 1.2}\)], "Input"],

Cell[BoxData[
    \(p^2\)], "Input"],

Cell[BoxData[
    \(\(?x\)\)], "Input"],

Cell[BoxData[
    \(Remove[p]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 4.", "Text"],

Cell["\<\
Observe que podemos aplicar una lista de reglas a la expresi\
\[OAcute]n\
\>", "Commentary"],

Cell[BoxData[
    \(\((x + y + z)\)\^2 /. {x \[Rule] 1, y \[Rule] 2, 
        z \[Rule] 3}\)], "Input"],

Cell["\<\
Observe que podemos aplicar una lista de reglas a diferentes \
expresiones\
\>", "Commentary"],

Cell[BoxData[{
    \(\(regla = {x \[Rule] 1, y \[Rule] 2, 
          z \[Rule] 3};\)\), "\[IndentingNewLine]", 
    \(\((x + y + z)\)\^2 /. regla\), "\[IndentingNewLine]", 
    \(\((x + y\^2 + z\^3)\) /. regla\), "\[IndentingNewLine]", 
    \(\((x\^2 + y - z\^2)\) /. regla\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 5. Resolviendo una ecuaci\[OAcute]n a modo de \
pr\[AAcute]ctica", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \(ecu = 6 - 5  x + x^2 \[Equal] 0\)], "Input"],

Cell[BoxData[
    \(sol = Solve[ecu, x]\)], "Input"],

Cell[BoxData[
    \(\(?x\)\)], "Input"],

Cell["\<\
\tObserve que el comando Solve (que estudiaremos con mucho detalle \
m\[AAcute]s adelante) resuelve la ecuaci\[OAcute]n usando las reglas de \
transformaci\[OAcute]n y el resultado es una lista de los correspondientes \
valores de \"x\". Observe que al preguntar por x este ha sido usado como s\
\[IAcute]mbolo pero no se le ha realmente asignado un valor, de modo que se \
pueden hacer operaciones como las que siguen:\
\>", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \(x^2\)], "Input"],

Cell[BoxData[
    \(1/\((1 + x)\)\  /. \ sol\)], "Input"],

Cell[BoxData[
    \(\(?x\)\)], "Input"],

Cell[BoxData[
    \(\(?sol\)\)], "Input"],

Cell[BoxData[
    \(sol[\([1]\)]\)], "Input"],

Cell[BoxData[
    \(sol[\([2]\)]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Listas.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[TextData[{
  "\tCuando se realizan c\[AAcute]lculos, a veces es conveniente juntar \
varios resultados y tratarlos todos a la vez como un solo resultado o como \
una sola entidad. Para ello tenemos las Listas. Una Lista no es m\[AAcute]s \
que una colecci\[OAcute]n ordenada de cero o m\[AAcute]s objetos. Muchas de \
las m\[AAcute]s poderosas operaciones que realiza el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " surgen del hecho de manejar o manipular listas como simples objetos. Por \
solo mencionar un caso, los vectores y las matrices, que estudiaremos m\
\[AAcute]s adelante en detalle, no son ",
  "m\[AAcute]s",
  " que simples listas."
}], "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tUna lista tal como {3,5,1} es una colecci\[OAcute]n de tres \
objetos, pero Ud. puede, de muchas maneras, tratar la lista entera como un \
solo objeto, es decir, Ud. puede hacer operaciones con la lista, asignar una \
lista a una variable y en general manejar una lista como si ella fuese un \
simple n\[UAcute]mero. Observe con cuidado el ejemplo que se muestra a \
continuaci\[OAcute]n.\
\>", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[CellGroupData[{

Cell["\<\
\tEjemplo de lo que se puede hacer con una simple lista como \
{3,5,1}.\
\>", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \({3, 5, 1}\)], "Input"],

Cell[BoxData[
    \({3, 5, 1}^2 + 1\)], "Input"],

Cell[BoxData[
    \(a = {3, 5, 1}\)], "Input"],

Cell[BoxData[
    \(a^2 + 1\)], "Input"],

Cell[BoxData[
    \(b = 3  a + 2\)], "Input"],

Cell[BoxData[
    \(\(?a\)\)], "Input"],

Cell[BoxData[
    \(\(?b\)\)], "Input"],

Cell[BoxData[
    \(a + b\)], "Input"],

Cell[BoxData[
    \(Sin[a]\)], "Input"],

Cell[BoxData[
    \(Sin[a]\  // N\)], "Input"],

Cell[BoxData[
    \(Exp[a]\)], "Input"],

Cell[BoxData[
    \(Exp[a]\  // N\)], "Input"],

Cell[BoxData[
    \(Clear[a, b]\)], "InputOnly"]
}, Closed]],

Cell["\<\
\tPuesto que el manejo de Listas es un concepto muy importante y \
del cual pueden derivarse infinidad de casos y aplicaciones, vamos a ver, por \
ahora,  los primeros comandos b\[AAcute]sicos y algunos ejemplos.\
\>", "Text",\

  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\t{a,b,c}\t\t\t\tuna lista unidimensional\t\ttambi\[EAcute]n \
List[a,b,c]
\t{{a,b,c,d},{e,f,g,h}}\t\tuna lista bidimensional
\tlista[[i]]\t\t\t\tla i-\[EAcute]sima parte de lista
\tlista[[i,j]]\t\t\tla (i,j)-\[EAcute]sima parte de lista
\tLenght[lista]\t\t\tn\[UAcute]mero de elementos en lista
\tMatrixForm[lista]\t\tmuestra la lista en forma de matriz
\tTableForm[lista]\t\tmuestra la lista en forma de Tabla\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \(a = {x, y, z}\)], "Input"],

Cell[BoxData[
    \(b = {{3, 2, 5, 4}, {4, 1, 6, 2}, {3, 1, 1, 6}}\)], "Input"],

Cell[BoxData[
    \(a[\([3]\)]\)], "Input"],

Cell[BoxData[
    \(b[\([2]\)]\)], "Input"],

Cell[BoxData[
    \(b[\([2, 3]\)]\)], "Input"],

Cell[BoxData[
    \({Length[a], Length[b]}\)], "Input"],

Cell[BoxData[
    \(b // MatrixForm\)], "Input"],

Cell[BoxData[
    \(b // TableForm\)], "Input"],

Cell[BoxData[
    \(Clear[a, b]\)], "InputOnly"]
}, Closed]],

Cell[TextData[{
  "\tTable es uno de los comandos ",
  "m\[AAcute]s",
  " \[UAcute]tiles del ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  y nos ayuda a formar listas en general."
}], "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tTable[expresi\[OAcute]n,{b}]\t\tforma una lista de b valores de \
expresi\[OAcute]n

\tTable[expresi\[OAcute]n,{i,b}]\t\tforma una lista de los valores de expresi\
\[OAcute]n con i tomando valores
\t\t\t\t\tdesde i=1 hasta i=b (en paso de 1)
\t\t\t\t\t\t\t\t
\tTable[expresi\[OAcute]n,{i,a,b}]\tforma una lista de los valores de expresi\
\[OAcute]n con i tomando valores
\t\t\t\t\tdesde i=a hasta i=b (en paso de 1)
\t\t\t\t\t\t\t\t
\tTable[expresi\[OAcute]n,{i,a,b,d}]\tforma una lista de los valores de \
expresi\[OAcute]n con i tomando valores
\t\t\t\t\tdesde i=a hasta i=b en paso de d
\t\t\t\t\t\t\t\t
\tTable[expresi\[OAcute]n,{i,imin,imax},{j,jmin,jmax},...]\t\tgenera una \
tabla multidimensional\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \(Table[a, {6}]\)], "Input"],

Cell[BoxData[
    \(Table[Random[], {4}]\)], "Input"],

Cell[BoxData[
    \(Table[i^2, {i, 6}]\)], "Input"],

Cell[BoxData[
    \(Table[Exp[x], {x, 0. , 5. }]\)], "Input"],

Cell[BoxData[
    \(m = Table[i - j, {i, 2}, {j, 2}]\)], "Input"],

Cell[BoxData[
    \(m[\([1]\)]\)], "Input"],

Cell[BoxData[
    \(%[\([2]\)]\)], "Input"],

Cell[BoxData[
    \(m[\([1, 2]\)]\)], "Input"],

Cell[BoxData[
    \(TableForm[m]\)], "Input"],

Cell[BoxData[
    \(m // MatrixForm\)], "Input"],

Cell[BoxData[
    \(\(?m\)\)], "Input"],

Cell[BoxData[
    \(Table[Sin[\(n\ \[Pi]\)\/6], {n, 0, 6}]\)], "Input"],

Cell[BoxData[
    \(Table[x\^n, {n, 5}]\)], "Input"],

Cell[BoxData[
    \(D[%, x]\)], "Input"],

Cell[BoxData[
    \(Table[\[Integral]\(x\^n\) Sin[x] \[DifferentialD]x, {n, 0, 
        3}]\)], "Input"],

Cell[BoxData[
    \(ListPlot[Table[Prime[n], {n, 100}]]\)], "Input"],

Cell[BoxData[
    \(Clear[m]\)], "InputOnly"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Funciones.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tAdem\[AAcute]s de las muchas funciones que el Mathematica incluye \
para su uso directo, el Mathematica nos permite definir y manipular nuestras \
propias funciones. Los comandos b\[AAcute]sicos son:\
\>", "Text"],

Cell["\<\
\tf[x_]:=Expresi\[OAcute]n\t\tdefine la funci\[OAcute]n f de \
variable x
\tf[x_,y_]:=Expresion\t\tdefine la funci\[OAcute]n f de variables x e y
\t?f\t\t\t\tmuestra la definici\[OAcute]n de f
\tClear[f]\t\t\t\tlimpia todas las definiciones para f
\tRemove[f]\t\t\tremueve f completamente\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplo 1", "Text"],

Cell["\<\
\tSupongamos que en un problema dado tenemos que trabajar con la \
funci\[OAcute]n x Cos[x], queremos por ejemplo calcular su valor en diversos \
puntos, calcular su derivada, integrarla, gr\[AAcute]ficarla y encontrar sus \
raices.\
\>", "Text"],

Cell[BoxData[
    \(f[x_] := x\ Cos[x]\)], "Input"],

Cell[BoxData[
    \(f[2]\)], "Input"],

Cell[BoxData[
    \(f[x + x\^2]\)], "Input"],

Cell["Tabular f desde 0 a 1 en paso de 0.1", "Commentary"],

Cell[BoxData[
    \(Table[f[x], {x, 0, 1, 0.1}]\)], "Input"],

Cell[BoxData[
    \(\(f'\)[x]\)], "Input"],

Cell[BoxData[
    \(D[f[x], x]\)], "Input"],

Cell[BoxData[
    \(\[Integral]f[x] \[DifferentialD]x\)], "Input"],

Cell[BoxData[
    \(\[Integral]\_0\%1 f[x] \[DifferentialD]x\)], "Input"],

Cell[BoxData[
    \(N[%]\)], "Input"],

Cell[BoxData[
    \(Plot[f[x], {x, \(-3\)\ \[Pi], 3\ \[Pi]}]\)], "Input"],

Cell[BoxData[
    \(Solve[f[x] \[Equal] 0, x]\)], "Input"],

Cell[BoxData[
    \(Reduce[f[x] \[Equal] 0, x]\)], "Input"],

Cell[TextData[{
  "C[1] es la forma en que el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " nos denota la constante arbitraria"
}], "Commentarysub"],

Cell[BoxData[
    \(\(?f\)\)], "Input"],

Cell[BoxData[
    \(\(?x\)\)], "Input"],

Cell[BoxData[
    \(Remove[f, x]\)], "Input"],

Cell[BoxData[
    \(\(?f\)\)], "Input"],

Cell[BoxData[
    \(\(?x\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 2", "Text"],

Cell[BoxData[
    \(f[x_, y_] := Cos[x]\ Cos[x\ y]\)], "Input"],

Cell[BoxData[
    \(\[PartialD]\_x\ f[x, y]\)], "Input"],

Cell[BoxData[
    \(D[f[x, y], x]\)], "Input"],

Cell[BoxData[
    \(\[Integral]\_0\%3\(\[Integral]\_0\%4 f[x, 
            y] \[DifferentialD]y \[DifferentialD]x\)\)], "Input"],

Cell["\<\
Coloquese sobre SinIntegral y en Help/Find Selected Function busque \
su definici\[OAcute]n\
\>", "Commentarysub"],

Cell[BoxData[
    \(N[%]\)], "Input"],

Cell[BoxData[
    \(\[PartialD]\_\(x, y\)f[x, y]\)], "Input"],

Cell[BoxData[
    \(Dt[f[x, y]]\)], "Input"],

Cell[BoxData[
    \(Plot3D[f[x, y], {x, 0, 3}, {y, 0, 4}]\)], "Input"],

Cell[BoxData[
    \(\(?f\)\)], "Input"],

Cell[BoxData[
    \(\(?x\)\)], "Input"],

Cell[BoxData[
    \(Clear[f, x]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 3", "Text"],

Cell["\<\
\tPodemos definir una funci\[OAcute]n en la que haya \
par\[AAcute]metros y variables, por ejemplo\
\>", "Text"],

Cell[BoxData[
    \(\(f[a_, b_, c_]\)[x_] := a\ x\^2 + b\ x + c\)], "Input"],

Cell[BoxData[
    \(\(f[1, 2, 3]\)[x]\)], "Input"],

Cell[BoxData[
    \(g[x_] = \(f[3, 2, 1]\)[x]\)], "Input"],

Cell[BoxData[
    \(\(g'\)[x]\)], "Input"],

Cell[BoxData[
    \(D[\(f[a, b, c]\)[x], x]\)], "Input"],

Cell[BoxData[
    \(\(f[a, b, c]'\)[x]\)], "Input"]
}, Closed]],

Cell["\<\
\tAsignaci\[OAcute]n Inmediata y Pendiente.
\t\tComo indicamos anteriormente el s\[IAcute]mbolo = se usa para asignar \
valores a una variable mientras que el s\[IAcute]mbolo := lo usamos para \
definir una funci\[OAcute]n. Esto es justamente la diferencia entre Asignaci\
\[OAcute]n Inmediata y Pendiente, pues mientras el s\[IAcute]mbolo = eval\
\[UAcute]a la expresi\[OAcute]n del lado derecho y realiza una asignaci\
\[OAcute]n, el s\[IAcute]mbolo := hace que la expresi\[OAcute]n del lado \
derecho sea guardada para ser evaluada posteriormente. Observe los ejemplos \
siguientes para apreciar esta diferencia.\
\>", "Text"],

Cell[CellGroupData[{

Cell["\tEjemplo de Asignaci\[OAcute]n Inmediata y Pendiente.", "Text"],

Cell[BoxData[
    \(rand = Random[Integer, {0, 100}]\)], "Input"],

Cell[BoxData[{
    \(rand\), "\[IndentingNewLine]", 
    \(rand\)}], "Input"],

Cell[BoxData[
    \(azar := Random[Integer, {0, 100}]\)], "Input"],

Cell[BoxData[{
    \(azar\), "\[IndentingNewLine]", 
    \(azar\)}], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\[FilledSquare] Operadores L\[OAcute]gicos y de Ramificaci\
\[OAcute]n.\
\>", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[TextData[{
  "\tAunque no es objeto directo de este curso el utilizar el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " como herramienta de programaci\[OAcute]n, pues para ello ser\[IAcute]a \
conveniente dictar un curso dedicado solo a ese objetivo, se hace necesario \
conocer y tener a mano los comandos b\[AAcute]sicos de Comparaci\[OAcute]n, \
Decisi\[OAcute]n y Ramificaci\[OAcute]n comunes en todos los lenguajes de \
programaci\[OAcute]n."
}], "Text"],

Cell["\<\
\tPor ahora, solo enunciaremos los comandos b\[AAcute]sicos y \
daremos algunos ejemplos de como utilizarlos. A lo largo del desarrollo del \
curso los utilizaremos para reforzar algunos conceptos y para tomar \
decisiones cuando los necesitemos.\
\>", "Text"],

Cell["Operadores de Relaci\[OAcute]n:", "Commentary"],

Cell["\<\
\t==\t\tIgual
\t!=\t\tDiferente\t\t\t\t\ttambi\[EAcute]n se puede usar \[NotEqual]
\t<  >\t\tMenor que, Mayor que
\t<= >=\t\tMenor o Igual que, Mayor o Igual que\t\ttambi\[EAcute]n se puede \
usar \[LessEqual]  \[GreaterEqual]\
\>", "Cuadro"],

Cell["Operadores L\[OAcute]gicos:", "Commentary"],

Cell["\<\
\tp && q\t\tverdadero si p y q son verdaderos (y l\[OAcute]gico)\t\t\
\ttambi\[EAcute]n se puede usar \[And]
\tp || p\t\tverdadero si p o q o ambos son verdaderos (o l\[OAcute]gico)\t\t\
tambi\[EAcute]n se puede usar \[Or]
\tXor[p,q]\tverdadero si solo p o q son verdaderos (o l\[OAcute]gico)
\t!p\t\tverdadero si p es falso\t\t\t\t\t\ttambi\[EAcute]n se puede usar \
Not[p]\
\>", "Cuadro"],

Cell["Operadores de Decisi\[OAcute]n:", "Commentary"],

Cell["\<\
\tIf[condici\[OAcute]n, entonces]
\tIf[condici\[OAcute]n, entonces, caso contrario]
\tIf[condici\[OAcute]n, entonces, caso contrario, en otro caso]
\t
\tWhich[condici\[OAcute]n1, entonces1, condici\[OAcute]n2, entonces2,...]
\t
\tSwitch[expresi\[OAcute]n, forma1, valor1, forma2, valor2,...]\
\>", "Cuadro"],

Cell["\<\
\tNota Importante. En los operadores de decisi\[OAcute]n, las \
palabras condici\[OAcute]n, entonces y caso contrario se refieren a una o a \
una lista de expresiones o de comandos que puede ser tan compleja como se \
quiera. As\[IAcute] mismo, las palabras inicio, condici\[OAcute]n y expresi\
\[OAcute]n en los operadores de repetici\[OAcute]n tiene el mismo contexto.\
\
\>", "Text"],

Cell["Operadores de Repetici\[OAcute]n:", "Commentary"],

Cell["\<\
\tDo[expresi\[OAcute]n, {max}]
\tDo[expresi\[OAcute]n, {i,max}]
\tDo[expresi\[OAcute]n, {i,min,max}]
\tDo[expresi\[OAcute]n, {i,min,max,d}]
\tDo[expresi\[OAcute]n, {i,imin,imax},{j,jmin,jmax},...]
\t
\tWhile[condici\[OAcute]n, expresi\[OAcute]n]
\t
\tFor[inicio, condici\[OAcute]n, incremento, expresi\[OAcute]n]\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell[BoxData[
    \(2.6 < \[Pi]\)], "Input"],

Cell[BoxData[
    \(\[ExponentialE] > \[Pi]\)], "Input"],

Cell[BoxData[
    \(2 + 3 \[Equal] 5\)], "Input"],

Cell[BoxData[
    \(8 \[GreaterEqual] 5\  \[And] \ \(-3\) < 12\)], "Input"],

Cell[BoxData[
    \(If[7 > 8, x = 25, y = 12]\)], "Input"],

Cell[BoxData[
    \(\(?x\)\)], "Input"],

Cell[BoxData[
    \(\(?y\)\)], "Input"],

Cell[BoxData[
    \(x + y\)], "Input"],

Cell[BoxData[
    \(If[x > y, a, b]\)], "Input"],

Cell[BoxData[
    \(If[x > y, a, b, c]\)], "Input"],

Cell[BoxData[
    \(s = 0; Do[s = s + i, {i, 1000}]; s\)], "Input"],

Cell[BoxData[{
    \(If[7 > 5, s = 0; Do[s = s + i, {i, 1000}]; s, t = 0; 
      Do[t = t + i, {i, 500}]; t]\), "\[IndentingNewLine]", 
    \(If[7 < 5, s = 0; Do[s = s + i, {i, 1000}]; s, t = 0; 
      Do[t = t + i, {i, 500}]; t]\)}], "Input"],

Cell[BoxData[
    \(For[i = 1, i < 5, Print[i]; \(i++\)]\)], "Input"],

Cell[BoxData[
    \(For[i = 1; t = x, i\^2 < 10, i = i + 1, t = t + i; Print[t]]\)], "Input"],

Cell[BoxData[
    \(Clear[x, y]\)], "InputOnly"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo. Definiendo una funci\[OAcute]n a trozos.", "Text"],

Cell[BoxData[{
    \(f[x_] := 
      If[x < 0, 1, 
        If[x \[GreaterEqual] 0\  \[And] \ x \[LessEqual] 1, 1 - x, 
          x\^2 - 1]]\), "\[IndentingNewLine]", 
    \(Plot[f[x], {x, \(-2\), 3}]\)}], "Input"],

Cell["\tOtra forma:", "Text"],

Cell[BoxData[{
    \(g[x_] := 
      Which[x < 0, 1, x \[GreaterEqual] 0\  \[And] \ x \[LessEqual] 1, 1 - x, 
        x > 1, x\^2 - 1]\), "\[IndentingNewLine]", 
    \(Plot[g[x], {x, \(-2\), 3}]\)}], "Input"],

Cell[BoxData[{
    \(g[1/2]\), "\[IndentingNewLine]", 
    \(g[4]\)}], "Input"],

Cell[BoxData[
    \(\(g'\)[x]\)], "Input"],

Cell[BoxData[
    \(Clear[f, g, x]\)], "InputOnly"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tObserve y analice este ejemplo tomado directo de la Ayuda.", "Text"],

Cell[BoxData[
    \(switchfunction[x_] := 
      Switch[x, \n_Integer, FactorInteger[x], \n_Rational, N[x], \n_Real, 
        Rationalize[x], \n_Complex, Im[x], \n_Symbol, 
        1 + x\^2, \n_, "\<The Head is \>" <> 
          ToString[Head[x]] <> "\<.\>"]\)], "Input",
  CellTags->"Switch"],

Cell[BoxData[
    \(switchfunction /@ {12, 1\/3, 9.1, 
        2 + 7\ \[ImaginaryI], \[Pi], "\<xxx yyy\>"}\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Manipulaci\[OAcute]n Algebraica.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare]  Trabajando con Polinomios.\
\>", \
"SubSubSubtitulo",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell["\<\
\tEn el men\[UAcute] Files \[Rule] Palettes, abra la Paleta \
\"AlgebraicManipulation\", all\[IAcute] encontrar\[AAcute] los comandos b\
\[AAcute]sicos para manipular expresiones algebraicas. Esta es una simple \
lista de los comandos m\[AAcute]s utilizados. En la ayuda, men\[UAcute] Help \
\[Rule] HelpBrowser, en la parte correspondiente a Built-in Functions \[Rule] \
AlgebraicComputation encontrar\[AAcute] la mayor\[IAcute]a de los comandos y \
sus correspondientes explicaciones y ejemplos. A modo de acostumbrarnos a su \
uso comenzaremos dando una explicaci\[OAcute]n de los b\[AAcute]sicos y su \
uso m\[AAcute]s simple e inmediato.\
\>", "Text"],

Cell["\<\
\tExpand[polinomio]\t\texpande los productos y potencias enteras \
positivas en polinomio
\tFactor[polinomio]\t\tfactoriza completamente polinomio
\tCollect[polinomio,x]\t\tarregla el polinomio como suma de potencias de \
x\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell["\<\
\tObserve que al introducir una expresi\[OAcute]n, Mathematica no \
trata de hacer nada con ella\
\>", "Text"],

Cell[BoxData[
    \(\(\((2 + 4  x\^2)\)\^2\) \((x - 1)\)\^3\)], "Input"],

Cell[BoxData[
    \(Expand[\(\((2 + 4  x\^2)\)\^2\) \((x - 1)\)\^3]\)], "Input"],

Cell["\tMejor ser\[IAcute]a as\[IAcute]", "Text"],

Cell[BoxData[
    \(\(\((2 + 4  x\^2)\)\^2\) \((x - 1)\)\^3 // Expand\)], "Input"],

Cell[BoxData[
    \(poli = \(\((2 + 4  x\^2)\)\^2\) \((x - 1)\)\^3\)], "Input"],

Cell[BoxData[
    \(poli2 = Expand[poli]\)], "Input"],

Cell[BoxData[
    \(Factor[%]\)], "Input"],

Cell[BoxData[
    \(p1 = \(\((x + 1)\)\^2\) \((y + 1)\)\^2\)], "Input"],

Cell[BoxData[
    \(p2 = Expand[p1]\)], "Input"],

Cell[BoxData[
    \(Factor[p2]\)], "Input"],

Cell[BoxData[
    \(Collect[p2, x]\)], "Input"],

Cell[BoxData[{
    \(Simplify[poli]\), "\[IndentingNewLine]", 
    \(Simplify[p1]\), "\[IndentingNewLine]", 
    \(Simplify[p2]\)}], "Input"],

Cell["\<\
\tObserve los inconvenientes que se le pueden presentar por no \
escribir apropiadamente una expresi\[OAcute]n\
\>", "Text"],

Cell[BoxData[
    \(p3 = 
      2  x\^2 + 2  x\^3 - 12  xy - 10 \( x\^2\) y + 18  y\^2 + 6  xy\^2 + 
        18  y\^3\)], "Input"],

Cell[BoxData[
    \(Factor[p3]\)], "Input"],

Cell["\tObserve ahora con la expresi\[OAcute]n bien escrita y continuemos", \
"Text"],

Cell[BoxData[
    \(p4 = 
      2  x\^2 + 2  x\^3 - 12  x\ y - 10  x\^2\ y + 18  y\^2 + 6  x\ y\^2 + 
        18  y\^3\)], "Input"],

Cell[BoxData[
    \(Factor[p4]\)], "Input"],

Cell[BoxData[{
    \(Collect[p4, x]\), "\[IndentingNewLine]", 
    \(Collect[p4, y]\)}], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare]  Trabajando con Funciones Racionales.\
\>", \
"SubSubSubtitulo",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell["\<\
\tRecuerde que una funci\[OAcute]n racional es el cociente de dos \
polinomios.\
\>", "Text"],

Cell["\<\
\tExpandNumerator[expr]\t\texpande solo el numerador
\tExpandDenominator[expr]\t\texpande solo el denominador
\tExpand[expr]\t\t\t\texpande el numerador dividiendo por el denominador en \
cada t\[EAcute]rmino
\tExpandAll[expr]\t\t\texpande numerador y denominador completamente
\tApart[expr]\t\t\t\tdescompone en fracciones simples
\tTogether[expr]\t\t\t\tcombina los t\[EAcute]rminos sobre un denominador com\
\[UAcute]n
\tCancel[expr]\t\t\t\tcancela factores comunes entre el numerador y el \
denominador
\tFactor[expr]\t\t\t\tfactoriza completamente\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell[BoxData[
    \(t = \((1 + x\^2)\)\/\(1 - x\) + \((2 - x)\)\^2 + \(3  x\^2\)\/\((1 + x)\
\)\^2\)], "Input"],

Cell[BoxData[{
    \(ExpandNumerator[t]\), "\n", 
    \(ExpandDenominator[t]\)}], "Input"],

Cell[BoxData[
    \(Expand[t]\)], "Input"],

Cell[BoxData[
    \(w = \(x\^2 - 4  x\)\/\(x\^2 - x\) + \(x\^2 + 3  x - 4\)\/\(x\^2 - \
1\)\)], "Input"],

Cell[BoxData[
    \(Together[w]\)], "Input"],

Cell[BoxData[
    \(Factor[%]\)], "Input"],

Cell[BoxData[
    \(Apart[w]\)], "Input"],

Cell[BoxData[
    \(Together[%]\)], "Input"],

Cell["\tObserve una expresi\[OAcute]n en dos variables", "Text"],

Cell[BoxData[
    \(v = \(x\^2 + y\^2\)\/\(x + x\ y\)\)], "Input"],

Cell[BoxData[
    \(Apart[v, x]\)], "Input"],

Cell[BoxData[
    \(Apart[v, y]\)], "Input"],

Cell[BoxData[
    \(Clear[t, v, w]\)], "InputOnly"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare]  Otros comandos y algunas sugerencias al \
trabajar con Polinomios.\
\>", "SubSubSubtitulo",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell["\<\
\tA continuaci\[OAcute]n presentamos una lista de comandos \
\[UAcute]tiles cuando trabajamos con polinomios.\
\>", "Text"],

Cell["\<\
\tDecompose[poli]\t\t\tdescompone poli en una composici\[OAcute]n \
de polinomios m\[AAcute]s simples
\tCoefficient[poli,expr]\t\t\tda el coeficiente de expr en poli
\tCoefficientList[poli,x]\t\t\tda una lista de los coeficientes de las \
potencias de x
\tExponent[poli,x]\t\t\tda la m\[AAcute]xima potencia de x en poli
\tVariables[poli]\t\t\t\tda una lista de las variables independientes en poli
\tPolynomialQuotient[p,q,x]\t\tda el cociente de dividir p por q, para ver el \
resto usamos
\tPolynomialRemainder[p,q,x]\t\tda el resto de dividir p por q\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell[BoxData[{
    \(p = x\^4 + 8  x\^3 + 26  x\^2 + 40  x + 25\), "\[IndentingNewLine]", 
    \(\ desc = Decompose[p]\)}], "Input"],

Cell[BoxData[{
    \(p[\([1]\)]\), "\[IndentingNewLine]", 
    \(p[\([3]\)]\), "\[IndentingNewLine]", 
    \(Table[p[\([i]\)], {i, 4}]\)}], "Input"],

Cell[BoxData[{
    \(desc[\([1]\)]\), "\[IndentingNewLine]", 
    \(desc[\([2]\)]\)}], "Input"],

Cell[BoxData[
    \(desc[\([1]\)] /. x \[Rule] desc[\([2]\)]\)], "Input"],

Cell[BoxData[
    \(Expand[%]\)], "Input"],

Cell[BoxData[
    \(Factor[p]\)], "Input"],

Cell[BoxData[
    \(Coefficient[p, x\^2]\)], "Input"],

Cell[BoxData[
    \(CoefficientList[p, x]\)], "Input"],

Cell[BoxData[
    \(Exponent[p, x]\)], "Input"],

Cell[BoxData[
    \(Variables[p]\)], "Input"],

Cell[BoxData[
    \(q = x\^2 - 1\)], "Input"],

Cell[BoxData[
    \(PolynomialQuotient[p, q, x]\)], "Input"],

Cell[BoxData[
    \(PolynomialRemainder[p, q, x]\)], "Input"]
}, Closed]],

Cell["\<\
\tCuando Ud. usa un comando y piensa que no trabaja como deber\
\[IAcute]a, trate de buscar detenidamente en la ayuda, para ver las \
condiciones en que el comando trabaja, para ver las explicaciones, los \
ejemplos, etc. Por ejemplo, cuando se usa el comando Factor, se asume que \
todos los coeficientes del polinomio resultan de hacer operaciones solo con n\
\[UAcute]meros racionales, pero usando la opci\[OAcute]n Extensi\[OAcute]n se \
nos permite extender el campo de dominio de los coeficientes.\
\>", "Text"],

Cell[CellGroupData[{

Cell["\tEjemplo.", "Text"],

Cell[BoxData[
    \(p = x\^4 + 1\)], "Input"],

Cell[BoxData[
    \(Factor[p]\)], "Input"],

Cell["\<\
\tParece que el comando no trabaja, pero buscando en la ayuda vemos \
que Factor tiene otras form\[AAcute]s de uso y leyendo con cuidado las \
explicaciones vemos que hay una serie de alternativas, yo anotar\[IAcute]a \
algunas cosas como las que siguen\
\>", "Text"],

Cell[TextData[{
  "\tFactor[poli,Extension->{a1,a2,...}]\tpermite que los coeficientes sean m\
\[UAcute]ltiplos racionales de a1,a2,...\n\tFactor[poli,Extension->Automatic]\
\tpermite que los n\[UAcute]meros algebraicos que aparecen en poli aparezcan \
como coeficientes\n\tFactor[poli,Extension->Sqrt[-1]]\tpermite coeficientes \
que envuelvan ",
  Cell[BoxData[
      \(TraditionalForm\`\@\(-1\)\)]],
  "\n\tGaussianIntegers->True\t\tes equivalente a Extension->Sqrt[-1]"
}], "Text",
  CellFrame->True,
  TextJustification->1,
  FontWeight->"Bold",
  FontColor->RGBColor[0.4, 0, 0.239994],
  Background->RGBColor[0.914031, 0.877592, 0.824674],
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \(Solve[p \[Equal] 0, x]\)], "Input"],

Cell[BoxData[{
    \(ComplexExpand[\(-\((\(-1\))\)\^\(1/4\)\)]\), "\[IndentingNewLine]", 
    \(ExpToTrig[\(-\((\(-1\))\)\^\(1/4\)\)]\)}], "Input"],

Cell[BoxData[
    \(Solve[p \[Equal] 0, 
        x] /. \((a_ -> b_)\) :> \((a -> ComplexExpand[b])\)\)], "Input"],

Cell[BoxData[
    \(Factor[p, Extension \[Rule] {\@2}]\)], "Input"],

Cell[BoxData[
    \(Factor[p, Extension \[Rule] {\[ImaginaryI]}]\)], "Input"],

Cell[BoxData[
    \(Factor[p, Extension \[Rule] {\@2, \[ImaginaryI]}]\)], "Input"],

Cell[BoxData[
    \(Factor[p, Extension \[Rule] {\@\(-1\)\%4}]\)], "Input"],

Cell[BoxData[
    \(Expand[\((\((\(-1\))\)\^\(1/4\) - x)\) \((\((\(-1\))\)\^\(1/4\) + 
            x)\)]\)], "Input"],

Cell[BoxData[
    \(t = x\^2 + 2 \(\@ 2\) x + 2\)], "Input"],

Cell[BoxData[
    \(Factor[t]\)], "Input"],

Cell[BoxData[
    \(Factor[t, Extension \[Rule] Automatic]\)], "Input"],

Cell[BoxData[
    \(Cancel[t\/\(x\^2 - 2\)]\)], "Input"],

Cell[BoxData[
    \(Cancel[t\/\(x\^2 - 2\), Extension \[Rule] Automatic]\)], "Input"],

Cell[BoxData[
    \(Clear[p, desc, q, t]\)], "InputOnly"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare]  Expresiones con Variables Complejas.\
\>", \
"SubSubSubtitulo",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell["\<\
\tComplexExpand[expr]\t\t\t\texpande expr asumiendo que todas las \
variables son reales
\tComplexExpand[expr,{x1,x2,...}]\t\texpande expr asumiendo que x1,x2,... son \
complejos\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell[BoxData[
    \(ComplexExpand[\((\(-1\))\)\^\(1/5\)]\)], "Input"],

Cell[BoxData[
    \(ComplexExpand[z\^2, z]\)], "Input"],

Cell[BoxData[
    \(ComplexExpand[Sin[z], z]\)], "Input"],

Cell[BoxData[
    \(ComplexExpand[x\^2 + a, x]\)], "Input"],

Cell[BoxData[
    \(ComplexExpand[Re[z\^2], z]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare]  Expresiones Trigonom\[EAcute]tricas.\
\>", \
"SubSubSubtitulo",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell["\<\
\tTrigExpand[expr]\t\texpande la expr trigonom\[EAcute]trica
\tTrigFactor[expr]\t\tfactoriza la expr trigonom\[EAcute]trica
\tTrigReduce[expr]\t\treduce la expr trigonom\[EAcute]trica usando angulos m\
\[UAcute]ltiples
\tTrigToExp[expr]\t\tconvierte la expr trigonom\[EAcute]trica en \
t\[EAcute]rminos de exponenciales
\tExpToTrig[expr]\t\tconvierte la expr exponencial en t\[EAcute]rminos \
trigonom\[EAcute]tricos\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell[BoxData[
    \(TrigExpand[Sin[3  x]]\)], "Input"],

Cell[BoxData[
    \(TrigExpand[Cos[3  ArcSin[2  t]]]\)], "Input"],

Cell[BoxData[
    \(TrigReduce[2\ Sin[x]\^2]\)], "Input"],

Cell[BoxData[
    \(TrigExpand[Sin[2\ x] Cos[2\ y]]\)], "Input"],

Cell[BoxData[
    \(TrigFactor[%]\)], "Input"],

Cell[BoxData[
    \(TrigReduce[%]\)], "Input"],

Cell[BoxData[
    \(TrigToExp[2  Sin[x]]\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ Polinomios\ de\ Chebyshev\ *) \)\(\[IndentingNewLine]\)\(Table[
      TrigExpand[Cos[n\ ArcCos[x]]], {n, 0, 4}]\)\)\)], "Input"],

Cell[BoxData[
    \(ExpToTrig[\((\(-1\))\)\^\(1/17\)]\)], "Input"],

Cell[BoxData[
    \(N[%]\)], "Input"],

Cell[BoxData[
    \(TrigToExp[Tan[x]]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare]  Comandos para Simplificaci\[OAcute]n.\
\>", \
"SubSubSubtitulo",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell["\<\
\tSimplify[expr]\t\t\t\ttrata de simplificar la expr usando un \
conjunto de transformaciones
\t\t\t\t\t\talgebraicas y trigonom\[EAcute]tricas
\tFullSimplify[expr]\t\t\ttrata con un rango m\[AAcute]s amplio de \
transformaciones
\tSimplify[expr,suposici\[OAcute]n]\t\tsimplificaci\[OAcute]n con suposici\
\[OAcute]n
\tFullSimplify[expr,suposici\[OAcute]n]\t\tsimplificaci\[OAcute]n full con \
suposici\[OAcute]n
\tFunctionExpand[expr,suposici\[OAcute]n]\texpande expr con la suposici\
\[OAcute]n\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell[BoxData[
    \(Simplify[\(1 - x\)\/\(1 - x\^2\)]\)], "Input"],

Cell[BoxData[
    \(Simplify[1 - Cos[2\ x]]\)], "Input"],

Cell[BoxData[
    \(Simplify[3\ Sin[x] - 4\ Sin[x]\^3]\)], "Input"],

Cell[BoxData[
    \(TrigExpand[Sin[3\ x]]\)], "Input"],

Cell[BoxData[
    \(TrigReduce[%]\)], "Input"],

Cell[BoxData[
    \(Simplify[Gamma[1 + n]\/n]\)], "Input"],

Cell[BoxData[
    \(FullSimplify[Gamma[1 + n]\/n]\)], "Input"]
}, Closed]],

Cell[TextData[{
  "\tUna importante suposici\[OAcute]n que siempre podemos utilizar es \
afirmar que un objeto es un elemento de un dominio en particular. Los \
dominios soportados por el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " se enuncian a continuaci\[OAcute]n."
}], "Text"],

Cell["\<\
\tComplexes\t\tel dominio de los n\[UAcute]meros complejos C
\tReals\t\t\tel dominio de los n\[UAcute]meros reales R
\tAlgebraics\t\tel dominio de los n\[UAcute]meros algebraicos A
\tRationals\t\tel dominio de los n\[UAcute]meros racionales Q
\tIntegers\t\tel dominio de los n\[UAcute]meros enteros Z
\tPrimes\t\t\tel dominio de los n\[UAcute]meros primos P
\tBooleans\t\tel dominio de los n\[UAcute]meros booleanos B\
\>", "Cuadro"],

Cell["\<\
\tLos comandos para indicar con cual dominio estamos trabajando \
son:\
\>", "Text"],

Cell["\<\
\tx\[Element]dom\t\t\tse afirma que x pertenece al dominio dom
\tElement[x,dom]\tse afirma que x pertenece al dominio dom
\t{a,b,c,...}\[Element]dom\t\tlos elementos de la lista pertenecen al dominio \
dom\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\<\
\tEjemplo. Si Ud. tiene alguna duda acerca de a que dominio \
pertenece un n\[UAcute]mero dado, simplemente consultelo.\
\>", "Text"],

Cell[BoxData[{
    \(\[Pi] \[Element] Reals\), "\[IndentingNewLine]", 
    \(\[Pi] \[Element] Algebraics\), "\[IndentingNewLine]", 
    \(\[Pi] \[Element] Rationals\)}], "Input"],

Cell[BoxData[{
    \(1\/2 \[Element] Integers\), "\[IndentingNewLine]", 
    \(1\/2 \[Element] Rationals\), "\[IndentingNewLine]", 
    \(1\/2 \[Element] Algebraics\)}], "Input"],

Cell[BoxData[{
    \(0.5 \[Element] Integers\), "\[IndentingNewLine]", 
    \(0.5 \[Element] Rationals\), "\[IndentingNewLine]", 
    \(0.5 \[Element] Algebraics\), "\[IndentingNewLine]", 
    \(0.5 \[Element] Reals\), "\[IndentingNewLine]", 
    \(0.5 \[Element] Complexes\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tOtros Ejemplos.", "Text"],

Cell[BoxData[{
    \(Simplify[Sin[n\ \[Pi]]]\), "\[IndentingNewLine]", 
    \(Simplify[Sin[n\ \[Pi]], n \[Element] Integers]\)}], "Input"],

Cell[BoxData[{
    \(Simplify[Cos[n\ \[Pi]]]\), "\[IndentingNewLine]", 
    \(Simplify[Cos[n\ \[Pi]], n \[Element] Integers]\)}], "Input"],

Cell[BoxData[{
    \(FunctionExpand[Log[x\ y]]\), "\[IndentingNewLine]", 
    \(FunctionExpand[Log[x\ y], {x > 0, y > 0}]\)}], "Input"],

Cell[BoxData[
    \(Simplify[1\/\@x - \@\(1\/x\)]\)], "Input"],

Cell[BoxData[{
    \(% /. x \[Rule] {\(-3\), \(-2\), \(-1\), 1, 2, 
          3}\), "\[IndentingNewLine]", 
    \(Simplify[1\/\@x - \@\(1\/x\), x > 0]\)}], "Input"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\[FilledSquare] Gr\[AAcute]ficas en 2D y 3D.", "Subtitulo",
  FontFamily->"Arial"],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Gr\[AAcute]ficas en 2D.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[CellGroupData[{

Cell["\t\t\[FilledSquare]  Los Comandos B\[AAcute]sicos.", "SubSubSubtitulo",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell[TextData[{
  "\tLa capacidad de graficaci\[OAcute]n del ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " es impresionante. Existen una infinidad de comandos listos para usar y \
que ofrecen muy buenos resultados. En caso de que queramos modificar las gr\
\[AAcute]ficas disponemos de un mont\[OAcute]n de ayudas para tratar de \
lograr justamente el resultado que deseamos, pero si no fuese as\[IAcute], \
podemos escribir nuestros propios comandos de graficaci\[OAcute]n escribiendo \
un programa apropiado para ello."
}], "Text"],

Cell["\<\
\tPlot[expr,{x,xmin,xmax}]\t\t\tgrafica expr con x tomando valores \
desde xmin hasta xmax
\tPlot[expr,{x,xmin,xmax},opci\[OAcute]n \[Rule] valor]\tigual pero con la \
opci\[OAcute]n que se indica
\t
\tf=expr
\tPlot[f,{x,xmin,xmax}]\t\t\t\tgrafica la expresi\[OAcute]n de nombre f
\t
\tf[x_]:=expr
\tPlot[f[x],{x,xmin,xmax}]\t\t\tgrafica la funci\[OAcute]n f\
\>", "Cuadro"],

Cell[TextData[{
  "\tEl comando Plot trabaja evaluando la funci\[OAcute]n sobre un conjunto \
de puntos igualmente espaciados y uniendo dichos puntos mediante lineas \
rectas. En caso de que la funci\[OAcute]n cambie rapidamente, entonces autom\
\[AAcute]ticamente se utiliza una mayor cantidad de puntos. Plot es sensitivo \
y se adapta, tratando casi siempre de que la gr\[AAcute]fica sea suave y lo m\
\[AAcute]s aproximada posible. Observando los primeros comandos vemos que ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " puede graficar una expresi\[OAcute]n, una expresion con nombre y una \
funci\[OAcute]n. Aunque en principio puede parecer igual el como hacerlo, hay \
ciertas diferencias en el tratamiento que iremos aclarando a medida que \
avancemos."
}], "Text"],

Cell[CellGroupData[{

Cell["\tEjemplo 1.", "Text"],

Cell[BoxData[
    \(Plot[Sin[x], {x, 0, 2\ \[Pi]}]\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ 
      funci\[OAcute]n\ de\ densidad\ de\ la\ distribuci\[OAcute]n\ normal\ \
*) \)\(\[IndentingNewLine]\)\(Plot[
      Exp[\(-\(x\^2\/2\)\)]\/\@\(2\ \[Pi]\), {x, \(-3\), 3}]\)\)\)], "Input"],

Cell[BoxData[
    \(g[x_] := Exp[\(-\(x\^2\/2\)\)]\/\@\(2\ \[Pi]\); 
    Plot[g[x], {x, \(-3\), 3}]\)], "Input"]
}, Closed]],

Cell[TextData[{
  "\tDos de las primeras opciones para el comando Plot son AspectRatio y \
PlotRange que se muestran en el siguiente cuadro, en donde GoldenRatio es la \
raz\[OAcute]n \[AAcute]urea, cuyo valor recordamos es de (1+",
  Cell[BoxData[
      \(TraditionalForm\`\@5\)]],
  ")/2 y cuyo valor aproximado es 1.61803."
}], "Text"],

Cell["\<\
\tNombre de la Opci\[OAcute]n\tValor por Defecto\t\
Explicaci\[OAcute]n

\tAspectRatio\t\t1/GoldenRatio\t\tla raz\[OAcute]n alto-a-ancho para la gr\
\[AAcute]fica. se calcula de las coordenadas x e y
\tPlotRange\t\tAutomatic\t\trango para y en la gr\[AAcute]fica\
\>", "Cuadro"],

Cell["\<\
\tLos valores m\[AAcute]s utilizados para AspectRatio son: \
1/GoldenRatio (valor por defecto), Automatic (para que tanto como en eje x \
como en el y se use la misma medida), o darle un valor que Ud. considere \
ajusta la gr\[AAcute]fica a lo que Ud. quiere mostrar (ej. 0.4). Los valores \
m\[AAcute]s utilizados para PlotRange son: Automatic, All (incluir todos los \
puntos), o dar un intervalo de la forma {ymin,ymax}.\
\>", "Text"],

Cell[CellGroupData[{

Cell["\tEjemplo 2.", "Text"],

Cell[BoxData[{
    \(Plot[Sin[x], {x, 0, 2\ \[Pi]}]\), "\[IndentingNewLine]", 
    \(Plot[Sin[x], {x, 0, 2\ \[Pi]}, 
      AspectRatio \[Rule] Automatic]\)}], "Input"],

Cell["\<\
\tObserve que en la segunda gr\[AAcute]fica tenemos la misma escala \
en x e y, pero personalmente creo que se ve mejor la primera gr\[AAcute]fica.\
\
\>", "Text"],

Cell[BoxData[{
    \(Plot[Tan[x], {x, 0, 2\ \[Pi]}]\), "\[IndentingNewLine]", 
    \(Plot[Tan[x], {x, 0, 2\ \[Pi]}, 
      PlotRange \[Rule] {\(-8\), 8}]\), "\[IndentingNewLine]", 
    \(Plot[Tan[x], {x, 0, 2\ \[Pi]}, PlotRange \[Rule] {\(-8\), 8}, 
      AspectRatio \[Rule] Automatic]\)}], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare] Trabajando con varias Gr\[AAcute]ficas.\
\>", \
"SubSubSubtitulo",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell["\<\
\tMathematica guarda la informaci\[OAcute]n de cada gr\[AAcute]fica \
que Ud. produce, lo cual le permite manipularlas, darles un nombre, cambiar \
algunas de las opciones que se usaron, graficarlas juntas, graficarlas una al \
lado de la otra, etc.\
\>", "Text"],

Cell["\<\
\tPlot[{f,g,h,...},{x,xmin,xmax}]\t\t\tgraficar juntas varias \
curvas
\tPlot[Evaluate[Table[f1,f2,...]],{x,xmin,xmax}]\tgenera la lista de \
funciones y las grafica
\t
\tShow[graf]\t\t\t\t\tredibujar la gr\[AAcute]fica graf
\tShow[g1,g2,...]\t\t\t\t\tcombinar las gr\[AAcute]ficas g1, g2, ... en la \
misma figura
\tShow[graf,option->value]\t\t\tredibujar la gr\[AAcute]fica graf cambiando \
la opci\[OAcute]n indicada
\tShow[GraphicsArray[{{g1,g2,...},...}]]\t\tdibuja un arreglo de \
gr\[AAcute]ficas\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplo 1.", "Text"],

Cell[BoxData[
    \(Plot[{Sin[x], Cos[x]}, {x, 0, 2\ \[Pi]}]\)], "Input"],

Cell[BoxData[{
    \(g1 = Plot[Sin[x], {x, 0, 2\ \[Pi]}]\), "\[IndentingNewLine]", 
    \(g2 = Plot[Cos[x], {x, 0, 2\ \[Pi]}]\), "\[IndentingNewLine]", 
    \(Show[g1, g2]\), "\[IndentingNewLine]", 
    \(Show[g1, g2, AspectRatio \[Rule] Automatic]\)}], "Input"],

Cell[BoxData[
    \(Show[GraphicsArray[{g1, g2}]]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 2.", "Text"],

Cell[BoxData[{
    \(g1 = Plot[Sin[x], {x, 0, 2\ \[Pi]}, DisplayFunction \[Rule] Identity]; 
    g2 = Plot[Cos[x], {x, 0, 2\ \[Pi]}, DisplayFunction \[Rule] Identity]; 
    g3 = Plot[Tan[x], {x, 0, 2\ \[Pi]}, 
        DisplayFunction \[Rule] Identity];\), "\n", 
    \(g4 = Plot[Csc[x], {x, 0, 2\ \[Pi]}, DisplayFunction \[Rule] Identity]; 
    g5 = Plot[Sec[x], {x, 0, 2\ \[Pi]}, DisplayFunction \[Rule] Identity]; 
    g6 = Plot[Cot[x], {x, 0, 2\ \[Pi]}, DisplayFunction \[Rule] Identity]; 
    Show[GraphicsArray[{{g1, g2, g3}, {g4, g5, g6}}]]\)}], "Input"],

Cell["\<\
\tLa Opci\[OAcute]n DisplayFunction \[Rule] Identity hace que la gr\
\[AAcute]fica no se mueste en pantalla.\
\>", "Text"],

Cell["En vez de", "Commentary"],

Cell[BoxData[
    \(Plot[{Sin[x], Sin[2\ x], Sin[3\ x], Sin[4\ x]}, {x, 0, 
        2\ \[Pi]}]\)], "Input"],

Cell["Ser\[IAcute]a mejor", "Commentary"],

Cell[BoxData[
    \(Plot[Evaluate[Table[Sin[i\ x], {i, 4}]], {x, 0, 2\ \[Pi]}]\)], "Input"],

Cell["por ejemplo, as\[IAcute] podemos graficar las funciones de Bessel", \
"Commentary"],

Cell[BoxData[
    \(Plot[Evaluate[Table[BesselJ[i, x], {i, 0, 5}]], {x, 0, 10}]\)], "Input"],

Cell["o los polinomios de Chevyshev", "Commentary"],

Cell[BoxData[
    \(\(Plot[
        Evaluate[Table[ChebyshevT[n, x], {n, 1, 8}]], {x, \(-1\), 
          1}];\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 3. \[DownQuestion]Cuando usar el comando Evaluate?", "Text"],

Cell["\<\
\tEvaluate[expr] causa que expr ser\[AAcute] evaluada cuando ella \
aparezca como el argumento de una expresi\[OAcute]n o funci\[OAcute]n cuyos \
atributos especifican que ella debe permanecer sin evaluarse.\
\>", "Cuadro"],

Cell["\<\
\tEn el ejemplo anterior usamos el comando Evaluate, este comando \
ser\[AAcute] necesario en algunos casos por la forma en que el comando Plot \
trabaja. Suponga que queremos graficar la derivada de x Exp[-x], lo natural \
ser\[IAcute]a\
\>", "Text"],

Cell[BoxData[
    \(Plot[D[x\ Exp[\(-x\)], x], {x, 0, 2\ \[Pi]}]\)], "Input"],

Cell[TextData[{
  "\tPero al ejecutar el comando observamos un mensaje de error que nos dice \
que ciertos valores de la variable no son v\[AAcute]lidos y que para ciertos \
valores la derivada no es un n\[UAcute]mero real. La raz\[OAcute]n de esto es \
que el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " no calcula la derivada de la funci\[OAcute]n antes de comenzar a \
graficar. La soluci\[OAcute]n para este problema es usar el comando Evaluate, \
as\[IAcute] escribimos"
}], "Text"],

Cell[BoxData[
    \(Plot[Evaluate[D[x\ Exp[\(-x\)], x]], {x, 0, 2\ \[Pi]}]\)], "Input"],

Cell["\<\
\tNote entonces que ahora se ha calculado primero la derivada y \
solo entonces se ha comenzado a graficar. Tambi\[EAcute]n Evaluate es \
necesario para graficar una lista de nombres o una tabla, raz\[OAcute]n por \
la cual lo usamos en el ejemplo anterior. Tenga siempre en cuenta entonces \
este consejo.\
\>", "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare]  Opciones y su Manipulaci\[OAcute]n.\
\>", \
"SubSubSubtitulo",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell["\<\
\tA continuaci\[OAcute]n presentamos una lista con algunas de las \
Opciones m\[AAcute]s utilizadas y algunos ejemplos para ilustrarlas. Estas \
opciones pueden ser utilizadas tanto con el comando Plot como con el comando \
Show. A modo de que est\[EAcute]n juntas repetiremos las dos o tres ya \
explicadas. Es importante que Ud. piense en como le gustar\[IAcute]a \
presentar una gr\[AAcute]fica y experimente con los comandos y las opciones \
para lograrlo, es la mejor forma de aprender.\
\>", "Text"],

Cell["\<\
\tNombre de la Opci\[OAcute]n\tValor por Defecto\t\
Explicaci\[OAcute]n

\tAspectRatio\t\t1/GoldenRatio\t\tla raz\[OAcute]n alto-a-ancho para la gr\
\[AAcute]fica. se calcula de las coordenadas x e y
\tPlotRange\t\tAutomatic\t\trango para y en la gr\[AAcute]fica
\tPlotLabel\t\tNone\t\t\tuna expresi\[OAcute]n para poner como nombre a la gr\
\[AAcute]fica
\tAxes\t\t\tAutomatic\t\tpara mostrar o no los ejes
\tAxeslabel\t\tNone\t\t\tpara poner nombres a los ejes
\tAxesOrigin\t\tAutomatic\t\tel punto de cruce de los ejes
\tTicks\t\t\tAutomatic\t\tmarcas en los ejes. None ocasiona que no haya \
marcas
\tTextStyle\t\t$TextStyle\t\tel estilo de la letra a usar en el texto de la \
gr\[AAcute]fica
\tFormatType\t\tStandardForm\t\tel tipo de letra a usar en el texto de la gr\
\[AAcute]fica
\tDisplayFunction\t$DisplayFunction\tcomo mostrar la gr\[AAcute]fica. \
Identity ocasiona que no se muestre
\tFrame\t\t\tFalse\t\t\tpara mostrar un cuadro alrrededor de la \
gr\[AAcute]fica
\tFrameLabel\t\tNone\t\t\tnombres para poner alrrededor del cuadro
\tFrameTicks\t\tAutomatic\t\tmarcas en el cuadro. None ocasiona que no haya \
marcas
\tGridLines\t\tNone\t\t\tlineas. Automatic hace que haya una por cada marca \
mayor\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell["\<\
\tEscribiendo el comando Options[Plot] ver\[AAcute] las opciones \
para este comando, observe\
\>", "Text"],

Cell[BoxData[
    \(Options[Plot]\)], "Input"],

Cell[BoxData[
    \(Plot[Sin[x], {x, \(-2\) \[Pi], 2  \[Pi]}]\)], "Input"],

Cell[BoxData[
    \(Plot[Sin[x], {x, \(-2\) \[Pi], 2  \[Pi]}, 
      AxesLabel \[Rule] {"\<valor de x\>", "\<Seno de x\>"}]\)], "Input"],

Cell[BoxData[
    \(Plot[Sin[x], {x, \(-2\) \[Pi], 2  \[Pi]}, 
      AxesLabel \[Rule] {"\<valor de x\>", "\<Seno de x\>"}, 
      Frame \[Rule] True]\)], "Input"],

Cell[BoxData[
    \(Plot[Sin[x], {x, \(-2\) \[Pi], 2  \[Pi]}, 
      PlotLabel \[Rule] "\<Gr\[AAcute]fica para y=Sin[x]\>", 
      Frame \[Rule] True, FrameTicks \[Rule] None]\)], "Input"],

Cell[BoxData[
    \(\(?RGBColor\)\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ curvas\ del\ biorritmo\ *) \)\(\[IndentingNewLine]\)\(f[x_] = 
      Sin[\(2\ \[Pi]\ x\)\/23]; g[x_] = Sin[\(2\ \[Pi]\ x\)\/28]; 
    h[x_] = Sin[\(2\ \[Pi]\ x\)\/33];\[IndentingNewLine]
    Plot[{f[x], g[x], h[x]}, {x, \(-10\), 35}, 
      PlotStyle \[Rule] {RGBColor[1, 0, 0], RGBColor[0, 1, 0], 
          RGBColor[0, 0, 1]}]\)\)\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "\t\t\[FilledSquare]  Como usar los Paquetes Adicionales del ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "."
}], "SubSubSubtitulo",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell[TextData[{
  "\tAdicional al comando Plot existen un mont\[OAcute]n de comandos para \
graficar. Los comandos Plot, ListPlot y ParametricPlot est\[AAcute]n en las \
funciones internas en forma directa. Otros comandos como PolarPlot, \
LinearLogPlot, FilledPlot, etc., se encuentran normalmente en los llamados \
paquetes adicionales, esto significa que antes de usarlos debemos indicar al \
",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " que queremos usar un determinado paquete, para entonces proceder a usar \
los comandos que all\[IAcute] se encuentran."
}], "Text"],

Cell[TextData[{
  "\tB\[AAcute]sicamente, los Paquetes complementan el Nucleo del ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " adicionandole m\[AAcute]s comandos. Ud. puede ver una lista de los \
Paquetes adicionales de que disponemos de la siguiente forma: llame a la \
ayuda, haga click sobre Add-ons & Links que est\[AAcute] debajo de Built-in \
Functions, ahora haga click sobre Standard Packages y ver\[AAcute] una lista \
de los paquetes adicionales, tales como Algebra, Calculus, DiscreteMath, \
Geometry, Graphics, LinearAlgebra, etc., finalmente haga click sobre alguno \
de los paquetes para ver los comandos adicionales de que disponemos en dicha \
\[AAcute]rea, por ejemplo, haga click en Graphics y vea los comandos \
adicionales de que disponemos."
}], "Text"],

Cell["\<\
\tCargar un paquete adicional se puede hacer de diversas formas, \
veamos\
\>", "Text"],

Cell["\<\
\t<<Graphics`ImplicitPlot`\t\tcarga el paquete
\tNeeds[\"Graphics`ImplicitPlot`\"]\tcarga el paquete cuando se necesita y si \
no se ha cargado ya\t\
\>", "Cuadro"],

Cell[TextData[{
  "\tSi hay un paquete que Ud. usa frecuentemente, puede indicarsele al ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " que lo haga automaticamente al iniciar. Para ello ubique y abra el \
archivo init.m que se encuentra localizado en ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " Files \[Rule] Configuration \[Rule] Kernel y a\[NTilde]ada, por ejemplo, \
la linea de comando: Needs[\"Graphics`Graphics`\"] y guarde el archivo con la \
modificaci\[OAcute]n, la pr\[OAcute]xima vez que el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " inicie cargar\[AAcute] automaticamente este paquete."
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare]  Gr\[AAcute]ficas Especiales: \
Param\[EAcute]tricas, Polares,  Implicitas, Logaritmicas, etc.\
\>", \
"SubSubSubtitulo",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell[CellGroupData[{

Cell["\<\
\t\t\t\[FilledSquare]  Gr\[AAcute]ficas en \
Param\[EAcute]tricas.\
\>", "Text",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell["\<\
\tParametricPlot[{fx,fy},{t,a,b}]\t\tgrafica la funci\[OAcute]n, fx \
y fy son funciones del par\[AAcute]metro t que se mueve desde a hasta b\
\>", \
"Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplo.", "Text"],

Cell[BoxData[
    \(ParametricPlot[{Sin[t], Sin[2  t]}, {t, 0, 2  \[Pi]}]\)], "Input"]
}, Closed]],

Cell["\<\
\tOJO \[Rule] Sugerencia
\tA veces nos d\[AAcute] un poco de flojera escribir un comando tan largo \
como ParametricPlot, as\[IAcute] que haga por ejemplo:
\tpp=ParametricPlot y use pp en vez de ParametricPlot. Esta sugerencia la \
puede aplicar para cualquier cosa en donde sea.\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\t\tEjemplos.", "Text"],

Cell[BoxData[{
    \(\(pp = ParametricPlot;\)\), "\[IndentingNewLine]", 
    \(pp[{Cos[t], Sin[t]}, {t, 0, 2  \[Pi]}]\), "\[IndentingNewLine]", 
    \(pp[{Cos[t], Sin[t]}, {t, 0, 2  \[Pi]}, 
      AspectRatio \[Rule] Automatic]\)}], "Input"],

Cell[BoxData[
    \(pp[{t\ Cos[t], t\ Sin[t]}, {t, 0, 8  \[Pi]}, 
      AspectRatio \[Rule] Automatic]\)], "Input"],

Cell[BoxData[
    \(pp[{Sin[2  t] + Sin[5  t], Cos[2  t] + Cos[5  t]}, {t, 0, 8  \[Pi]}, 
      AspectRatio \[Rule] Automatic]\)], "Input"],

Cell["\<\
Igual que con Plot, se pueden mostrar varias curvas en la misma gr\
\[AAcute]fica\
\>", "Commentary"],

Cell[BoxData[
    \(pp[{{Cos[t], Sin[t]}, {2  Cos[t], Sin[t]}}, {t, 0, 2  \[Pi]}, 
      AspectRatio \[Rule] Automatic]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\t\t\[FilledSquare]  Gr\[AAcute]ficas en Polares.", "Text",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell["\<\
\t\tAntes de comenzar cada parte, cargue el paquete adicional de gr\
\[AAcute]ficos que se necesite. Para ver una lista completa de los comandos \
adicionales que nos proporciona cada paquete vea la Ayuda. Recuerde que para \
los comandos ListPlot y ParametricPlot no se necesita el paquete Graphics, \
pero los hemos incluido en esta secci\[OAcute]n para agrupar todo lo que son \
gr\[AAcute]ficas adicionales.\
\>", "Text"],

Cell["\<\
\tPolarPlot[r,{t,tmin,tmax}]\t\tgenera la gr\[AAcute]fica polar de \
r como funci\[OAcute]n de t
\tPolarPlot[{r1,r2,...},{t,tmin,tmax}]\tgenera las gr\[AAcute]ficas polares \
de r1,r2,... como funciones de t en la misma gr\[AAcute]fica\
\>", "Cuadro"],

Cell[BoxData[
    \(<< Graphics`Graphics`\)], "InputOnly"],

Cell[CellGroupData[{

Cell["\t\tEjemplos.", "Text"],

Cell[BoxData[
    \(g1 = PolarPlot[1, {t, 0, 2  \[Pi]}]\)], "Input"],

Cell[BoxData[
    \(g2 = PolarPlot[t, {t, 0, 6  \[Pi]}]\)], "Input"],

Cell[BoxData[
    \(g3 = PolarPlot[2\ Cos[t] - 1, {t, 0, 2  \[Pi]}]\)], "Input"],

Cell[BoxData[
    \(Show[g1, g3]\)], "Input"],

Cell[BoxData[
    \(Show[GraphicsArray[{g1, g2, g3}]]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\t\[FilledSquare]  Graficando Funciones Implicitas.\
\>", "Text",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell["\<\
\tRecordamos que una funci\[OAcute]n implicita es una ecuaci\
\[OAcute]n en dos variables, si como usualmente llamamos a las variables x e \
y entonces el comando ser\[IAcute]a\
\>", "Text"],

Cell["\<\
\tImplicitPlot[ecuaci\[OAcute]n,{x,xmin,xmax}]\t\t\tgrafica \
resolviendo la ecuaci\[OAcute]n para y en funci\[OAcute]n de x
\tImplicitPlot[ecuaci\[OAcute]n,{x,xmin,xmax},{y,ymin,ymax}]\tgrafica usando \
el m\[EAcute]todo de ContourPlot\
\>", "Cuadro"],

Cell[BoxData[
    \(<< Graphics`ImplicitPlot`\)], "InputOnly"],

Cell[CellGroupData[{

Cell["\t\tEjemplos.", "Text"],

Cell[BoxData[
    \(\(\( (*\ 
      una\ elipse\ y\ una\ hiperbola\ \
*) \)\(\[IndentingNewLine]\)\(ImplicitPlot[
      x\^2 + 2\ y\^2 \[Equal] 3, {x, \(-2\), 2}]\[IndentingNewLine]
    ImplicitPlot[x\^2 - 2\ y\^2 \[Equal] 3, {x, \(-8\), 8}]\)\)\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ estrofoide\ *) \)\(\[IndentingNewLine]\)\(ImplicitPlot[
      y\^2 \[Equal] \(x\^2\) \(1 + x\)\/\(1 - x\), {x, \(-2\), 
        2}]\)\)\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ 
      folium\ de\ Descartes\ *) \)\(\[IndentingNewLine]\)\(ImplicitPlot[
      x\^3 + y\^3 - 3\ x\ y \[Equal] 0, {x, \(-2\), 2}]\)\)\)], "Input"],

Cell[BoxData[
    \(ImplicitPlot[
      Sin[2\ x] + Cos[3\ y] \[Equal] 1, {x, \(-2\)\ Pi, 
        2\ Pi}, {y, \(-2\)\ Pi, 2\ Pi}, PlotPoints \[Rule] 30]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\t\[FilledSquare]  Problemas con los Valores Complejos de una \
Funci\[OAcute]n.\
\>", "Text",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell[TextData[{
  "\tLa funci\[OAcute]n a ser graficada usando el comando Plot debe ser de \
valores reales. Si una funci\[OAcute]n tambi\[EAcute]n puede tomar valores \
complejos, hay varias formas de tratar el problema y que veremos en esta \
parte. Entonces Ud. debe de tener cuidado cuando usa exponentes \
fraccionarios, por ejemplo al tratar de graficar la funci\[OAcute]n ",
  Cell[BoxData[
      \(TraditionalForm\`x\^\(1/3\)\)]],
  "vemos que"
}], "Text"],

Cell[BoxData[
    \(Plot[x\^\(1/3\), {x, \(-2\), 2}]\)], "Input"],

Cell["\<\
\tEsto se debe a la forma en que son tratadas las diferentes \
expresiones, observe\
\>", "Text"],

Cell[BoxData[{
    \(\@\(\((\(-5\))\)\^2\)\%3\), "\[IndentingNewLine]", 
    \(\((\(-5\))\)\^\(2/3\)\)}], "Input"],

Cell["\<\
\tNo parece haber nada raro, pero observe que el tratamiento es \
diferente\
\>", "Text"],

Cell[BoxData[{
    \(N[\@\(\((\(-5\))\)\^2\)\%3]\), "\[IndentingNewLine]", 
    \(N[\((\(-5\))\)\^\(2/3\)]\)}], "Input"],

Cell[TextData[{
  "\t\[DownQuestion]A que se debe esto?\n\tPareciera que una \
expresi\[OAcute]n es tratada como real y la otra como compleja, pero esto no \
es as\[IAcute], simplemente se debe a la forma en que ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " trabaja, al resolver la ecuaci\[OAcute]n"
}], "Text"],

Cell[BoxData[
    \(Solve[x\^3 \[Equal] \(-2\), x]\)], "Input"],

Cell[BoxData[
    \(Solve[x\^3 \[Equal] \(-2. \), x]\)], "Input"],

Cell[TextData[{
  "\tel ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " toma el valor con el menor argumento positivo, de manera que al hacer la \
operaci\[OAcute]n"
}], "Text"],

Cell[BoxData[
    \(\((\(-2. \))\)\^\(1/3\)\)], "Input"],

Cell["\<\
\t\[DownQuestion]Como resolver el problema?
\tUna forma ser\[IAcute]a utilizar el comando If en la construcci\[OAcute]n \
de la funci\[OAcute]n, veamos\
\>", "Text"],

Cell[BoxData[
    \(Plot[
      If[x \[GreaterEqual] 0, 
        x\^\(1/3\), \(-\((\(-x\))\)\^\(1/3\)\)], {x, \(-2\), 2}]\)], "Input"],

Cell["\<\
\tOtra forma es usar el paquete Miscellaneous`RealOnly`, que autom\
\[AAcute]ticamente hace la tarea de tomar el valor real de la funci\[OAcute]n\
\
\>", "Text"],

Cell[BoxData[{
    \(Needs["\<Miscellaneous`RealOnly`\>"]\), "\[IndentingNewLine]", 
    \(Plot[x\^\(1/3\), {x, \(-2\), 2}]\)}], "Input"],

Cell["\<\
\tPor \[UAcute]ltimo, observe que en general yo siempre trato de \
escribir las expresiones como hago normalmente cuando escribo a mano, m\
\[AAcute]s todav\[IAcute]a cuando son raices, pues eso ayuda, observe\
\>", \
"Text"],

Cell["\tOtros ejemplos", "Text"],

Cell[BoxData[{
    \(Needs["\<Graphics`ImplicitPlot`\>"]\), "\[IndentingNewLine]", 
    \(ImplicitPlot[
      x\^\(2/3\) + y\^\(2/3\) \[Equal] 2\^\(2/3\), {x, \(-2\), 
        2}]\)}], "Input"],

Cell[BoxData[
    \(ImplicitPlot[
      x\^\(2/3\) + y\^\(2/3\) \[Equal] 2\^\(2/3\), {x, \(-2\), 
        2}, {y, \(-2\), 2}]\)], "Input"],

Cell[BoxData[{
    \(ecu = \@\(x\^2\)\%3 + \@\(y\^2\)\%3 == \@\(2\^2\)\%3\), "\
\[IndentingNewLine]", 
    \(ImplicitPlot[ecu, {x, \(-2\), 2}]\), "\[IndentingNewLine]", 
    \(ImplicitPlot[ecu, {x, \(-2\), 2}, {y, \(-2\), 2}]\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\t\t\[FilledSquare]  Gr\[AAcute]ficas Logar\[IAcute]tmicas.", "Text",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell["\<\
\tLogPlot[expr,{x,xmin,xmax}]\t\tgenera una gr\[AAcute]fica de \
Log[expr] como funci\[OAcute]n de x
\tLogLinearPlot[expr,{x,xmin,xmax}]\tgenera una gr\[AAcute]fica de expr como \
una funci\[OAcute]n de Log[x]
\tLogLogPlot[expr,{x,xmin,xmax}]\tgenera una gr\[AAcute]fica de Log[expr] \
como funci\[OAcute]n de Log[x]\
\>", "Cuadro"],

Cell[BoxData[
    \(<< Graphics`Graphics`\)], "InputOnly"],

Cell[CellGroupData[{

Cell["\t\tEjemplos.", "Text"],

Cell[BoxData[
    \(LogPlot[Exp[x], {x, 0, 2}, GridLines \[Rule] Automatic]\)], "Input"],

Cell[BoxData[
    \(LogLinearPlot[Exp[x], {x, 0, 1}]\)], "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare]  Sombreado de Gr\[AAcute]ficas. Graficando \
Listas de Datos. Gr\[AAcute]ficos de Barras y de Torta.\
\>", \
"SubSubSubtitulo",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell[CellGroupData[{

Cell["\t\t\t\[FilledSquare]  Sombreado de Gr\[AAcute]ficas.", "Text",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell["\<\
\tFilledPlot[expr,{x,xmin,xmax}]\t\t\tsombrea el espacio entre la \
curva y el eje x
\tFilledPlot[{expr1,expr2,...},{x,xmin,xmax}]\tsombrea el espacio entre las \
curvas\
\>", "Cuadro"],

Cell["\<\
\tOpciones Especiales  (aparte de las opciones de Plot)

\tFills \t\tcolores para el sombreado \tej. Automatic, GrayLevel[0.9], \
RGBColor[0,0,1]
\tCurves \t\t\t\t\t\tej. Back, Front, None
\tAxesFront\t\t\t\t\tej. True, False\
\>", "Cuadro"],

Cell[BoxData[
    \(<< Graphics`FilledPlot`\)], "InputOnly"],

Cell[CellGroupData[{

Cell["\t\tEjemplos.", "Text"],

Cell[BoxData[
    \(g1 = FilledPlot[Cos[x], {x, 0, 2  \[Pi]}]\)], "Input"],

Cell[BoxData[
    \(g2 = 
      FilledPlot[{Sin[x], If[\[Pi]/4 < x < 3  \[Pi]/4, 0, Sin[x]]}, {x, 
          0, \[Pi]}, Fills \[Rule] GrayLevel[0.8]]\)], "Input"],

Cell[BoxData[
    \(Show[GraphicsArray[{g1, g2}]]\)], "Input"],

Cell[BoxData[
    \(g3 = FilledPlot[{Sin[x], Cos[x]}, {x, 0, 2  \[Pi]}]\)], "Input"],

Cell[BoxData[
    \(g4 = 
      FilledPlot[{Sin[x], Cos[x]}, {x, 0, 2  \[Pi]}, 
        Fills \[Rule] GrayLevel[0.8]]\)], "Input"],

Cell[BoxData[
    \(g5 = 
      FilledPlot[{Sin[x], Cos[x]}, {x, 0, 2  \[Pi]}, 
        Fills \[Rule] {GrayLevel[0.6], GrayLevel[0.8]}]\)], "Input"],

Cell[BoxData[
    \(Show[GraphicsArray[{g3, g4, g5}]]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\t\[FilledSquare]  Graficando Listas de Datos.\
\>", "Text",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell["\<\
\tListPlot[data]\t\t\t\t\t\t\t\t\tgrafica data como puntos
\tListPlot[data,PlotJoined->True]\t\t\t\t\t\tgrafica data como lineas conexas
\tListPlot[data,PlotJoined->True,Epilog->{PointSize[p],Map[Point,data]}]\t\t\
une las 2 opciones anteriores
\t
\tdata puede darse de una de las siguientes formas
\t{y1,y2,y3,...}\t\tgrafica los puntos {1,y1},{2,y2},{3,,y3},...
\t{{x1,y1},{x2,y2},...}\tgrafica los puntos {x1,y1},{x2,y2},...\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplo 1.", "Text"],

Cell[BoxData[
    \(data = Table[{i, Random[]}, {i, 1, 50}]\)], "Input"],

Cell[BoxData[
    \(g1 = ListPlot[data]\)], "Input"],

Cell[BoxData[
    \(g2 = ListPlot[data, PlotJoined \[Rule] True]\)], "Input"],

Cell[BoxData[
    \(g2 = 
      ListPlot[data, PlotJoined \[Rule] True, 
        Epilog \[Rule] {PointSize[ .02], Map[Point, data]}]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 2.", "Text"],

Cell["\<\
\tEn este ejemplo consideraremos el n\[UAcute]mero de pieles de \
liebre vendidas a la compa\[NTilde]\[IAcute]a Hudson Bay Trading Co., Canada, \
desde 1844 hasta 1934. Primero formamos una lista con los a\[NTilde]os, \
usando el comando Range\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["\<\
\tRange[imax]\t\tgenera la lista {1,2,...,imax}
\tRange[imin,imax,di]\tgenera la lista {imin,...,imax} en paso de di\
\>", \
"Cuadro"],

Cell[BoxData[
    \(anos = Range[1844, 1934]\)], "Input"],

Cell["\<\
\tAhora supongamos que leemos la cantidad de pieles vendidas de un \
archivo (en miles).\
\>", "Text",
  Evaluatable->False,
  PageBreakBelow->True,
  AspectRatioFixed->True],

Cell[BoxData[
    \(pielesliebre = {30, 25, 25, 15, 30, 55, 80, 80, 90, 70, 80, 95, 75, 30, 
        15, 20, 40, 5, 155, 140, 105, 45, 20, 5, 5, 10, 10, 60, 50, 50, 105, 
        85, 60, 15, 10, 15, 10, 10, 40, 50, 135, 135, 90, 30, 20, 50, 55, 60, 
        55, 80, 95, 50, 15, 5, 5, 15, 5, 10, 50, 70, 20, 25, 50, 55, 75, 70, 
        55, 30, 20, 15, 15, 20, 35, 60, 80, 85, 60, 30, 20, 10, 5, 5, 10, 30, 
        80, 100, 80, 12, 9, 74, 26}\)], "Input"],

Cell["\<\
\tAhora combinemos la lista de a\[NTilde]os con la de pieles de \
liebre vendidas\
\>", "Text"],

Cell[BoxData[
    StyleBox[\(lista1 = \ Transpose[{anos, pielesliebre}]\),
      FontFamily->"B Courier Bold"]], "Input"],

Cell[BoxData[
    \(g1 = ListPlot[lista1]\)], "Input"],

Cell[BoxData[
    \(g2 = ListPlot[lista1, PlotJoined \[Rule] True]\)], "Input"],

Cell[BoxData[
    \(g3\  = \ 
      ListPlot[lista1, \ 
        PlotJoined -> 
          True, \ \n\ \ \ \ Epilog -> {PointSize[0.013], \ 
            Map[Point, lista1]}]\)], "Input"],

Cell[BoxData[
    \(\(g4\  = \ 
        ListPlot[lista1, \ PlotJoined -> True, \ 
          AxesOrigin -> {1844, 0}, \ \n\ \ Epilog -> {AbsolutePointSize[4], \ 
              Map[Point, lista1]}, \n\ \ Ticks -> {Range[1850, 1930, 10], \ 
              Range[20, 160, 20]}, \n\ \ AspectRatio -> 0.2];\)\)], "Input"],

Cell[BoxData[{
    \(Needs["\<Graphics`FilledPlot`\>"]\), "\[IndentingNewLine]", 
    \(\(g5 = 
        FilledListPlot[lista1, \ PlotJoined -> True, \ 
          AxesOrigin -> {1844, 0}, \ \n\ \ Epilog -> {AbsolutePointSize[4], \ 
              Map[Point, lista1]}, \n\ \ Ticks -> {Range[1850, 1930, 10], \ 
              Range[20, 160, 20]}, \n\ \ AspectRatio -> 0.2];\)\)}], "Input"],

Cell["\<\
\tSuponga que tambi\[EAcute]n tenemos la cantidad de pieles de \
lince vendidas\
\>", "Text"],

Cell[BoxData[
    \(pieleslince = {6, 14, 22, 36, 29, 7, 2, 1, 1, 1, 5, 13, 16, 25, 14, 8, 
        3, 2, 1, 3, 10, 27, 58, 30, 26, 9, 4, 2, 2, 6, 10, 26, 29, 21, 11, 
        10, 5, 3, 5, 16, 42, 64, 63, 32, 15, 7, 3, 
        4, \(-1\), \(-1\), \(-1\), \(-1\), \(-1\), 15, 7, 2, 3, 5, 14, 27, 
        47, 54, 29, 7, 2, 2, 4, 10, 14, 19, \(-1\), 8, 9, 2, 1, 1, 2, 4, 4, 
        8, 7, 9, 7, 4, 3, 2, 3, 3, 5, 7, 7}\)], "Input"],

Cell["\<\
\tAhora combinemos la lista de a\[NTilde]os con la de pieles de \
lince vendidas\
\>", "Text"],

Cell[BoxData[
    \(lista2 = \ Transpose[{anos, pieleslince}]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["g6",
          FontFamily->"B Courier Bold"], 
        StyleBox[" ",
          FontFamily->"B Courier Bold"], 
        StyleBox["=",
          FontFamily->"B Courier Bold"], 
        StyleBox[" ",
          FontFamily->"Courier"], 
        StyleBox[\(ListPlot[lista2, \ PlotJoined -> True, \ 
            AxesOrigin -> {1844, 
                0}, \ \n\ \ Epilog -> {AbsolutePointSize[4], \ 
                Map[Point, lista2]}, \n\ \ Ticks -> {Range[1850, 1930, 10], \ 
                Range[20, 160, 20]}, \n\ \ AspectRatio -> 0.2]\),
          FontFamily->"Courier"]}], 
      StyleBox[";",
        FontFamily->"Courier"]}]], "Input"],

Cell[BoxData[
    \(Show[{g4, g6}, PlotRange \[Rule] All, 
      PlotLabel -> "\<Comparaci\[OAcute]n de las ventas de Liebres y \
Linces\>", 
      Epilog \[Rule] {AbsolutePointSize[4], Map[Point, lista1], 
          Map[Point, lista2], Text["\<Liebres\>", {1935, 40}, {\(-1\), 0}], 
          Text["\<Linces\>", {1935, 10}, {\(-1\), 0}]}]\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ 
      tambien\ usando\ el\ paquete\ Graphics`MultipleListPlot\ *) \)\(\
\[IndentingNewLine]\)\(Needs["\<Graphics`MultipleListPlot`\>"]\
\[IndentingNewLine]
    g7 = MultipleListPlot[lista1, lista2, \ PlotJoined \[Rule] True, \ 
        AxesOrigin -> {1844, 0}, \ AspectRatio -> 0.2, 
        Ticks -> {Range[1850, 1930, 10], \ 
            Range[20, 160, 20]}]\)\)\)], "Input"],

Cell[BoxData[
    \(\(FilledListPlot[lista1, lista2, \ AspectRatio -> 0.2, 
        AxesOrigin -> {1844, 0}, \n\ \ Ticks -> {Range[1850, 1930, 10], \ 
            Range[20, 160, 20]}, 
        Epilog -> {AbsolutePointSize[4], \ Map[Point, lista1], 
            Map[Point, lista2]}, 
        Fills \[Rule] {GrayLevel[0.6], GrayLevel[0.8]}];\)\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\t\[FilledSquare]  Gr\[AAcute]ficos de Barras y de Torta.\
\>", \
"Text",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell["\<\
\tTodo lo referente a este t\[OAcute]pico se encuentra en el \
Paquete Graphics`Graphics en los Add-ons, revise Ud. los comandos de acuerdo \
a las cosas que Ud. quiera realizar, mire como est\[AAcute]n hechas las cosas \
y entonces hagalo Ud. mismo.
\tDaremos algunos ejemplos, los cuales tomamos directo de la ayuda,  para que \
Ud. vea lo que puede hacerse\
\>", "Text"],

Cell[BoxData[
    \(<< Graphics`Graphics`\)], "InputOnly"],

Cell[BoxData[
    \(BarChart[{1, \(-3\), 4, 5, 2, 3}, {3, 6, 4, 3}]\)], "Input"],

Cell[BoxData[
    \(StackedBarChart[{1, \(-3\), 4, 5, 2, 3}, {3, 6, 4, 3}]\)], "Input"],

Cell[BoxData[
    \(PercentileBarChart[{1, \(-3\), 4, 5, 2, 3}, {3, 6, 4, 3}]\)], "Input"],

Cell[BoxData[
    \(BarChart[{5, 3, 2, \(-2\), 2, 6}, 
      BarStyle \[Rule] \((Which[# > 4, RGBColor[0, 1, 0], # < 0, 
              RGBColor[1, 0, 0], True, RGBColor[1, 1, 0]] &)\), 
      GridLines \[Rule] Automatic]\)], "Input"],

Cell[BoxData[
    \(PieChart[{12, 21, 18}, 
      PieLabels \[Rule] {"\<Joe\>", "\<Helen\>", "\<Bob\>"}, 
      PlotLabel \[Rule] "\<Sales\>"]\)], "Input"],

Cell[BoxData[
    \(Needs["\<Statistics`NormalDistribution`\>"]\)], "InputOnly",
  CellTags->"S5.32.1"],

Cell["\<\
normdata = RandomArray[NormalDistribution[], 100];
Histogram[normdata]\
\>", "Input",
  CellTags->"S5.32.1"],

Cell["\<\
countdata = {6, 39, 30, 27, 24};
Histogram[countdata, FrequencyData->True,
        HistogramCategories -> {0, 1, 5, 10, 20, 50}]\
\>", "Input",
  CellTags->"S5.32.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\t\[FilledSquare]  Exportando sus Gr\[AAcute]ficas.", \
"SubSubSubtitulo",
  FontColor->RGBColor[0.4, 0, 0.239994]],

Cell["\<\
\tUd. puede exportar sus gr\[AAcute]ficas en el formato que desee, \
para ello revise el comando Display\
\>", "Text"],

Cell[BoxData[
    \(\(?Display\)\)], "Input"],

Cell["\tEjemplos", "Text"],

Cell["\<\
Las gr\[AAcute]ficas ser\[AAcute]n exportadas al directorio que Ud. \
tenga por defecto en el formato indicado\
\>", "Commentary"],

Cell[BoxData[
    \(\(Display["\<graph.jpg\>", 
        Plot[Cos[x], {x, 0, 2  \[Pi]}], "\<jpg\>"];\)\)], "Input"],

Cell[BoxData[
    \(\(Display["\<graph.gif\>", 
        Plot[Cos[x], {x, 0, 2  \[Pi]}], "\<gif\>"];\)\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Gr\[AAcute]ficas en 3D.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[CellGroupData[{

Cell["\t\t\[FilledSquare] Tres tipos de Gr\[AAcute]ficas", "SubSubSubtitulo"],

Cell[TextData[{
  "\tEl ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " tiene tres comandos principales para mostrar una superficie, aunque solo \
Plot3D produce una gr\[AAcute]fica tridimensional. los otros comandos \
producen una gr\[AAcute]fica bidimensional proporcionando informaci\[OAcute]n \
acerca de los valores de la funci\[OAcute]n con contornos y sombreados, \
veamos a continuaci\[OAcute]n los comandos"
}], "Text"],

Cell["\<\
\tPlot3D[expr,{x,a,b},{y,c,d}]\t\tgrafica expr como una superficie
\tContourPlot[expr,{x,a,b},{y,c,d}]\tgrafica expr como una gr\[AAcute]fica de \
contorno
\tDensityPlot[expr,{x,a,b},{y,c,d}]\tgrafica expr como una gr\[AAcute]fica de \
densidad\
\>", "Cuadro"],

Cell["Observe los tres comandos para la misma funci\[OAcute]n", "Commentary",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[BoxData[{
    \(g1 = 
      Plot3D[Cos[x\ y]\ Cos[x], {x, 0, 3}, {y, 0, 
          4}]\), "\[IndentingNewLine]", 
    \(g2 = 
      ContourPlot[
        Cos[x\ y]\ Cos[x], {x, 0, 3}, {y, 0, 4}]\), "\[IndentingNewLine]", 
    \(g3 = DensityPlot[Cos[x\ y]\ Cos[x], {x, 0, 3}, {y, 0, 4}]\)}], "Input"],

Cell[BoxData[
    \(Show[GraphicsArray[{g1, g2, g3}]]\)], "Input"],

Cell["\<\
\tTambi\[EAcute]n podemos hacerlo de la siguiente manera: \
convirtiendo entre los tipos. Esto presenta las ventajas siguientes: es mas f\
\[AAcute]cil de escribir, la conversi\[OAcute]n no redibuja la \
gr\[AAcute]fica y por tanto se ahorra tiempo de c\[AAcute]lculo. Para ello \
usamos el comando Show como se muestra a continuaci\[OAcute]n\
\>", "Text"],

Cell[BoxData[{
    \(g1 = 
      Plot3D[Cos[x\ y]\ Cos[x], {x, 0, 3}, {y, 0, 
          4}]\), "\[IndentingNewLine]", 
    \(g2 = Show[ContourGraphics[g1]]\), "\[IndentingNewLine]", 
    \(g3 = Show[DensityGraphics[g1]]\), "\[IndentingNewLine]", 
    \(Show[GraphicsArray[{g1, g2, g3}]]\)}], "Input"],

Cell["\<\
\tPodemos usar el comando DisplayFunction para suprimir la salida \
en pantalla de algunos resultados\
\>", "Text"],

Cell[BoxData[{
    \(Block[{$DisplayFunction = Identity}, \[IndentingNewLine]g1 = 
        Plot3D[Sin[x\ y], {x, 0, \[Pi]}, {y, 
            0, \[Pi]/2}]; \[IndentingNewLine]g2 = 
        Plot3D[Cos[x\ y], {x, 0, \[Pi]}, {y, 
            0, \[Pi]/2}]]\), "\[IndentingNewLine]", 
    \(g3 = Show[g1, g2]\), "\[IndentingNewLine]", 
    \(Show[GraphicsArray[{g1, g2, g3}]]\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare] Opciones para Gr\[AAcute]ficas en 3D\
\>", \
"SubSubSubtitulo",
  CellMargins->{{Inherited, Inherited}, {Inherited, 18}},
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["\<\
\tRealmente disponemos de una inmensa cantidad de comandos y sus \
opciones para Gr\[AAcute]ficas en 3D, sin embargo, por razones de tiempo y de \
que no es el objetivo del curso trataremos de ilustrar un monton de cosas que \
se pueden hacer, quedando de parte suya el profundizar m\[AAcute]s en lo que \
Ud. le parezca interesante o necesite.\
\>", "Text"],

Cell[BoxData[
    \(f[x_, y_] := Cos[x\ y]\ Cos[x]\)], "Input"],

Cell["\<\
Tambi\[EAcute]n puede definir   f=Cos[x y] Cos[x]  y usar  \
Evaluate[ f] para evaluar la funci\[OAcute]n\
\>", "Commentarysub"],

Cell["Primero una gr\[AAcute]fica simple", "Commentary"],

Cell[BoxData[
    \(Plot3D[f[x, y], {x, 0, 3}, {y, 0, 4}]\)], "Input"],

Cell["Cambiemos los Ticks o marcas en los ejes", "Commentary"],

Cell[BoxData[{
    \(xt = {0, 1, 2, 3}; yt = {0, 1, 2, 3, 4}; 
    zt = {\(-1\), 0, 1};\), "\[IndentingNewLine]", 
    \(Plot3D[f[x, y], {x, 0, 3}, {y, 0, 4}, 
      Ticks \[Rule] {xt, yt, zt}]\)}], "Input"],

Cell["\<\
Cambie ahora  xt={0,1,2,3)  por  xt=(0,0.5,1,1.5,2,2.5,3}  y \
ejecute de nuevo el comando\
\>", "Commentarysub"],

Cell["\<\
Cambiemos la cantidad de puntos a plotear, por defecto son 25, \
pruebe Ud. con diversos valores para ver el efecto\
\>", "Commentary"],

Cell[BoxData[
    \(Plot3D[f[x, y], {x, 0, 3}, {y, 0, 4}, Ticks \[Rule] {xt, yt, zt}, 
      PlotPoints \[Rule] 35]\)], "Input"],

Cell["\<\
Podemos quitar la malla, de nuevo de valores diferentes de ploteo \
para ver el efecto\
\>", "Commentary"],

Cell[BoxData[
    \(Plot3D[f[x, y], {x, 0, 3}, {y, 0, 4}, Ticks \[Rule] {xt, yt, zt}, 
      PlotPoints \[Rule] 15, Mesh \[Rule] False]\)], "Input"],

Cell["Podemos usar la misma escala en todos los ejes", "Commentary"],

Cell[BoxData[
    \(Plot3D[f[x, y], {x, 0, 3}, {y, 0, 4}, Ticks \[Rule] {xt, yt, zt}, 
      BoxRatios \[Rule] Automatic]\)], "Input"],

Cell["Podemos cambiar el Punto de Vista", "Commentary"],

Cell[BoxData[
    \(Plot3D[f[x, y], {x, 0, 3}, {y, 0, 4}, Ticks \[Rule] {xt, yt, zt}, 
      BoxRatios \[Rule] Automatic, 
      ViewPoint \[Rule] {\(-0.6\), 2.6, 1.4}]\)], "Input"],

Cell["\<\
Se le mostrar\[AAcute] ahora como hacer para seleccionar un punto \
de vista e incluirlo en su comando, una vez trazada la gr\[AAcute]fica ubique \
el cursor en la linea de comando donde desea incluir el punto de vista y vea \
Input / 3D ViewPoint Selector, seleccione la vista que desea y haga click en \
Paste y listo\
\>", "Commentary"],

Cell[BoxData[
    \(Plot3D[f[x, y], {x, 0, 3}, {y, 0, 4}, Ticks \[Rule] {xt, yt, zt}, 
      ViewPoint -> {\(-2.750\), \ \(-1.675\), \ 1.040}]\)], "Input"],

Cell["\<\
Si no le gusta la visi\[OAcute]n escogida, borrela y pruebe de \
nuevo, hagalo para que adquiera pr\[AAcute]ctica en esta tarea\
\>", \
"Commentarysub"],

Cell["\<\
\tRevise ahora Ud. las Opciones de que dispone en el comando \
Plot3D, Graphics3D, SurfaceGraphics, etc., y observe bien como siempre los \
ejemplos del HelpBrowser para aprender m\[AAcute]s sobre como hacer las \
cosas.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare] Curvas Param\[EAcute]tricas y \
Superficies.\
\>", "SubSubSubtitulo",
  CellMargins->{{Inherited, Inherited}, {Inherited, 18}},
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["\<\
Siempre que pueda use el comando Plot3D, puesto que este comando \
est\[AAcute] dise\[NTilde]ado para graficar normalmente las superficies y es \
m\[AAcute]s r\[AAcute]pido.\
\>", "Commentary",
  Evaluatable->False,
  PageBreakBelow->True,
  AspectRatioFixed->True],

Cell["\<\
\tParametricPlot3D[{expr1,expr2,expr3}, {t,a,b}]\t\tcurva en param\
\[EAcute]tricas, par\[AAcute]metro t desde a hasta b
\tParametricPlot3D[{expr1,expr2,expr3,style}, {t,a,b}]\t \tigual pero con el \
estilo style
\tParametricPlot3D[{expr1,expr2,expr3}, {s,a,b}, {t,c,d}]\t\tcurva en param\
\[EAcute]tricas de par\[AAcute]metros s y t
\t
\tParametricPlot3D[{x,y,f[x,y]}, {x,a,b}, {y,c,d}]\t\t\ttambi\[EAcute]n puede \
usar el comando de esta forma\
\>", "Cuadro",
  CellFrame->0.5,
  CellMargins->{{Inherited, Inherited}, {6, Inherited}},
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["\<\
Las expresiones expr1, expr2, expr3 dan las coordenadas x, y, z de \
la curva o superficie. El comando puede contener un estilo que se refiere al \
punteado, sombreado y color.\
\>", "Commentarysub",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData[{
  "\tEjemplo 1.   El Paraboloide cuya ecuaci\[OAcute]n es  ",
  Cell[BoxData[
      StyleBox[\(z = x\^2 + y\^2\),
        FontSize->12]],
    FontSize->14]
}], "Text"],

Cell[BoxData[
    \(Plot3D[x\^2 + y\^2, {x, \(-2\), 2}, {y, \(-2\), 2}]\)], "Input"],

Cell[BoxData[
    \(ParametricPlot3D[{x, y, x\^2 + y\^2}, {x, \(-2\), 2}, {y, \(-2\), 
        2}]\)], "Input"],

Cell[TextData[{
  "\tLa parametrizaci\[OAcute]n del paraboloide {x, y, ",
  Cell[BoxData[
      \(TraditionalForm\`x\^2 + y\^2\)]],
  "} en polares es  (r Cos[\[Theta]],  r Sin[\[Theta]],  ",
  Cell[BoxData[
      \(TraditionalForm\`r\^2\)]],
  "}"
}], "Text"],

Cell[BoxData[
    \(ParametricPlot3D[{r\ Cos[\[Theta]], \ r\ Sin[\[Theta]], \ r\^2}, {r, 0, 
        2}, {\[Theta], 0, 2\ Pi}]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "\tEjemplo 2.   El Elipsoide cuya ecuaci\[OAcute]n es  ",
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\^2\/a\^2 + y\^2\/b\^2 + z\^2\/c\^2\),
          FontSize->18], 
        StyleBox["=",
          FontSize->14], 
        StyleBox["1",
          FontSize->14]}]]],
  "  y su parametrizaci\[OAcute]n es  {a Cos[s] Cos[t],  b Sin[s] Cos[t],  c \
Sin[t]}\n\tEn el ejemplo se muestra, aparte de las gr\[AAcute]ficas, como \
trabajar con una funci\[OAcute]n definida por el usuario."
}], "Text"],

Cell["Con  a=b=c=1", "Commentary"],

Cell[BoxData[
    \(\(ParametricPlot3D[{Cos[s]\ Cos[t], Sin[s]\ Cos[t], \ Sin[t]}, \ {s, 0, 
          2\ Pi}, \ {t, \(-Pi\)/2, Pi/2}];\)\)], "Input"],

Cell["Cortando la gr\[AAcute]fica en 7 Pi / 4", "Commentary"],

Cell[BoxData[
    \(\(ParametricPlot3D[{Cos[s]\ Cos[t], \ Sin[s]\ Cos[t], \ Sin[t]}, \ {s, 
          0, 7\ Pi/4}, \ {t, \(-Pi\)/2, Pi/2}];\)\)], "Input"],

Cell["Con  a=4, b=3, c=2", "Commentary"],

Cell[BoxData[
    \(\(ParametricPlot3D[{4\ Cos[s]\ Cos[t], 3\ Sin[s]\ Cos[t], 
          2\ Sin[t]}, \ {s, 0, 2\ Pi}, \ {t, \(-Pi\)/2, Pi/2}];\)\)], "Input"],

Cell["Definiendo la funci\[OAcute]n", "Commentary"],

Cell[BoxData[
    \(\(elipsoide[a_, b_, c_]\)[s_, t_] := {a\ Cos[s]\ Cos[t], 
        b\ Sin[s]\ Cos[t], c\ Sin[t]}\)], "InputOnly"],

Cell["Utilizandola", "Commentary"],

Cell[BoxData[
    \(ParametricPlot3D[\(elipsoide[1, 1, 2]\)[s, t], {s, 0, 
        2\ Pi}, \ {t, \(-Pi\)/2, Pi/2}]\)], "Input"],

Cell["\<\
Ahora coloquese sobre la celda de entrada y cambie los \
par\[AAcute]metros a su gusto para ver diversas figuras\
\>", "Commentarysub"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 3.  La H\[EAcute]lice Circular {a Cos[t], a Sin[t], b t}", \
"Text"],

Cell["Definamos la curva", "Commentary"],

Cell[BoxData[
    \(\(helice[a_, b_]\)[t_] := {a\ Cos[t], a\ Sin[t], b\ t}\)], "InputOnly"],

Cell[BoxData[
    \(ParametricPlot3D[\(helice[1, 0.2]\)[t], {t, 0, 4\ Pi}]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\tEjemplo 4.  Para revisar como tarea y ver como est\[AAcute]n \
hechas las cosas.\
\>", "Text"],

Cell[BoxData[{
    \(\(SetOptions[ParametricPlot3D, 
        Ticks \[Rule] None];\)\), "\[IndentingNewLine]", 
    \(\(Block[{$DisplayFunction\  = \ Identity, \ 
          pp\  = \ ParametricPlot3D}, \n\ 
        g1\  = \ pp[{t, \ Cos[9  t], \ Sin[9  t]}, \ {t, 0, Pi}]; \n\ 
        g2\  = \ pp[{Cos[2  t]\  + \ Cos[10  t], \ 
              Cos[2  t]\  - \ Sin[10  t], \ 
              t, \n\ \ \ {Thickness[0.01], \ Dashing[{0.03}], \ 
                RGBColor[0, 0, 1]}}, \ {t, 0, Pi}]; \n\ 
        g3\  = \ pp[{Sin[s]\ Cos[t], \ Sin[s]\ Sin[t], \ 
              1\  + \ Cos[s]}, \ {s, 0, Pi}, \ {t, 0, 2  Pi}]; \n\ 
        g4\  = \ pp[
            2\ {Sin[s]\ Cos[t], \ Sin[s]\ Sin[t], \ Cos[s]}, \n\ \ \ {s, 
              Pi/2, Pi}, \ {t, \(-Pi\), Pi}]; \n\ 
        g5\  = \ Show[{g3, g4}]; \n\ 
        g6\  = \ pp[{Cos[s]\ \((3 + Cos[t])\), \ Sin[t], \ 
              Sin[s]\ \((3 + Cos[t])\)}, \n\ \ \ {s, 0, 2  Pi}, \ {t, 0, 
              2  Pi}]; \n\ 
        g7\  = \ pp[{s\ Cos[t]\ Sin[s], \ 
              s\ Cos[s]\ Cos[t], \ \(-s\)\ Sin[t]}, \n\ \ \ {s, 0, 
              2  Pi}, \ {t, 0, Pi}]; \n\ 
        g8\  = \ pp[
            1.2^t\ {Sin[s]^2\ Sin[t], \ Sin[s]^2\ Cos[t], \ 
                Sin[s]\ Cos[s]}, \n\ \ \ {s, 0, Pi}, \ {t, \(-Pi\)/4, 
              5  Pi/2}, \ PlotRange -> All]];\)\), "\[IndentingNewLine]", 
    \(\(Show[
        GraphicsArray[{{g1, g2, g3, g4}, {g5, g6, g7, g8}}]];\)\)}], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\t\[FilledSquare] Superficies de Revoluci\[OAcute]n.", \
"SubSubSubtitulo",
  CellMargins->{{Inherited, Inherited}, {Inherited, 18}},
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["\<\
\t\tEn el Paquete Graphics`SurfaceOfRevolution busque los comandos \
que se muestran a continuaci\[OAcute]n, observe bien los ejemplos dados, haga \
Ud. algunas pruebas utilizando el HelpBrowser.\
\>", "Text"],

Cell[TextData[{
  StyleBox["\t ",
    FontFamily->"B Courier Bold",
    FontSize->9],
  StyleBox["SurfaceOfRevolution[expr, {x,a,b}]",
    FontFamily->"B Courier Bold"],
  StyleBox["\n\t ",
    FontFamily->"Courier"],
  StyleBox["SurfaceOfRevolution[{exprx,exprz}, {t,a,b}]",
    FontFamily->"B Courier Bold"],
  " ",
  StyleBox["\n\t ",
    FontFamily->"Courier"],
  StyleBox["SurfaceOfRevolution[{exprx,expry,exprz}, {t,a,b}]",
    FontFamily->"B Courier Bold"],
  " "
}], "Cuadro",
  CellFrame->0.5,
  CellMargins->{{Inherited, Inherited}, {6, Inherited}},
  Evaluatable->False,
  TextAlignment->Left,
  TextJustification->0,
  AspectRatioFixed->True],

Cell[BoxData[
    \(Needs["\<Graphics`SurfaceOfRevolution`\>"]\)], "Input"],

Cell[BoxData[
    StyleBox[
      RowBox[{
        RowBox[{"SetOptions", "[", 
          RowBox[{
            StyleBox["SurfaceOfRevolution",
              FontFamily->"B Courier Bold"], ",", \(Ticks \[Rule] None\)}], 
          "]"}], ";"}],
      FontFamily->"Courier"]], "Input"],

Cell[BoxData[
    \(\(Block[{$DisplayFunction\  = \ Identity}, \n
        g1\  = \ SurfaceOfRevolution[Cos[x], \ {x, 0, 2  Pi}]; \n
        g2\  = \ SurfaceOfRevolution[{t\ Cos[t], \ t\ Sin[t]}, \ {t, 0, 
              Pi}, \n\ \ ViewPoint -> { .7, \(-3.2\), \(- .5\)}]; \n
        g3\  = \ SurfaceOfRevolution[{t, \ Cos[2  t], \ Sin[2  t]}, \ {t, 0, 
              Pi/4}]; \n
        g4\  = \ SurfaceOfRevolution[{t, \ Cos[2  t], \ Sin[2  t]}, \ {t, 0, 
              Pi/4}, \n\ \ {u, 0, 3  Pi/2}]];\)\)], "Input"],

Cell[BoxData[
    \(\(Show[GraphicsArray[{g1, g2, g3, g4}]];\)\)], "Input"],

Cell[BoxData[
    \(\(Block[{$DisplayFunction\  = \ Identity}, \n\ \ g1\  = \ 
          SurfaceOfRevolution[Cos[x], \ {x, 0, 2  Pi}, \ 
            RevolutionAxis -> {0, 1}]; \n\ \ g2\  = \ 
          SurfaceOfRevolution[Cos[x], \ {x, 0, 2  Pi}, \ 
            RevolutionAxis -> {1, 0}]; \n\ \ g3\  = \ 
          SurfaceOfRevolution[Cos[x], \ {x, 0, 2  Pi}, \ 
            RevolutionAxis -> {1, 1}]];\)\)], "Input"],

Cell[BoxData[
    \(\(Show[GraphicsArray[{g1, g2, g3}]];\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare] Tarea 1.  Un Efecto de Animaci\[OAcute]n.\
\>", \
"SubSubSubtitulo",
  CellMargins->{{Inherited, Inherited}, {Inherited, 18}},
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["\<\
\tEn el Paquete Graphics`Animation tenemos los comandos SpinShow y \
sus opciones Frames y SpinRange, vea y observe el ejemplo\
\>", "Text"],

Cell[TextData[{
  StyleBox["\tSpinShow[g]   ",
    FontFamily->"B Courier Bold"],
  "Generate a sequence of plots by showing the three-dimensional\n",
  StyleBox["                 ",
    FontFamily->"Courier"],
  "graphics object ",
  StyleBox["g",
    FontFamily->"B Courier Bold"],
  " from various viewpoints\n                 Options:",
  StyleBox["\n\t\t\t",
    FontFamily->"Courier"],
  StyleBox["Frames",
    FontFamily->"B Courier Bold"],
  "  Number of separate figures. Default value:  ",
  StyleBox["24",
    FontFamily->"B Courier Bold"],
  StyleBox["\n\t\t\t",
    FontFamily->"Courier"],
  StyleBox["SpinRange",
    FontFamily->"B Courier Bold"],
  "  Range of angles. Examples of values:  ",
  StyleBox["{0 Degree,360 Degree}",
    FontFamily->"B Courier Bold"],
  ", ",
  StyleBox["{0 Degree,180 Degree}",
    FontFamily->"B Courier Bold"]
}], "Cuadro",
  CellFrame->0.5,
  CellMargins->{{Inherited, Inherited}, {6, Inherited}},
  Evaluatable->False,
  TextAlignment->Left,
  TextJustification->0,
  AspectRatioFixed->True],

Cell[BoxData[
    \(\(g = 
        ParametricPlot3D[{s\ Cos[t]\ Sin[s], \ 
            s\ Cos[s]\ Cos[t], \ \(-s\)\ Sin[t]}, \ \n\ \ {s, 0, 2  Pi}, {t, 
            0, Pi}, \ Axes -> False, Boxed -> False];\)\)], "Input"],

Cell[BoxData[
    \(Needs["\<Graphics`Animation`\>"]\)], "InputOnly"],

Cell[BoxData[
    \(SpinShow[g, Frames \[Rule] 12, 
      SpinRange \[Rule] {0\ Degree, 360\ Degree}]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare] Tarea 2.  Efectos de Animaci\[OAcute]n.\
\>", \
"SubSubSubtitulo",
  CellMargins->{{Inherited, Inherited}, {Inherited, 18}},
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["\<\
\tComo una excelente tarea le presento a continuaci\[OAcute]n, para \
su estudio y aprendizaje, un Programa escrito por Heikki Ruskeepaa que hace \
una animaci\[OAcute]n del movimiento del sat\[EAcute]lite Sputnik alrrededor \
de la tierra\
\>", "Text"],

Cell["\<\
La funci\[OAcute]n que se construye tiene 5 argumentos que se \
describen a continuaci\[OAcute]n\
\>", "Commentary"],

Cell["\<\
\tnumber\tn\[UAcute]mero de figuras separadas que se generar\
\[AAcute]n
\tdistance\tdistancia del sat\[EAcute]lite desde la superficie de la tierra, \
espresada como un m\[UAcute]ltiplo del radio de la tierra
\tdiameter\tdiametro del sat\[EAcute]lite, expresado como una \
fracci\[OAcute]n del ancho de la figura completa
\tviewheight\taltura del punto de vista, es decir, la coordenada z del punto \
de vista
\tanimation\t0 para ver todas las posiciones del sat\[EAcute]lite en una sola \
figura
\t\t\t1 para ver cada posici\[OAcute]n y poder ver la animaci\[OAcute]n\
\>", \
"Cuadro"],

Cell["He aqu\[IAcute] la funci\[OAcute]n", "Commentary"],

Cell[BoxData[
    \(sputnik[number_, distance_, diameter_, viewheight_, animation_]\  := \ 
      Module[\n\ \ \ {earth, \ satellite, \ h\  = \ distance\  + \ 1, \ 
          d\  = \ N[2  Pi/number]}, \n\ \ \ earth\  = \ 
          ParametricPlot3D[{Cos[t]\ Cos[u], \ Sin[t]\ Cos[u], \ 
              Sin[u]}, \n\ \ \ \ \ {t, 0, 2  Pi}, \ {u, \(-Pi\)/2, Pi/2}, \ 
            Axes -> None, \ 
            Boxed -> 
              False, \ \ \ \ \ \n\ \ \ \ \ ViewPoint -> {1.3, \(-2.4\), 
                viewheight}, \ 
            DisplayFunction -> Identity]; \n\ \ \ satellite\  = \ 
          Table[Point[h\ {Cos[t], Sin[t], 0}], \ {t, 0, 2  Pi - d, 
              d}]; \n\ \ \ If[
          animation\  == \ 0, \n\ \ \ \ \ Show[earth, \ 
            Map[Graphics3D[{PointSize[diameter], \ #}] &, \ 
              satellite], \ \n\ \ \ \ \ \ \ PlotRange -> {{\(-h\), 
                  h}, {\(-h\), h}, {\(-1\), 
                  1}}, \n\ \ \ \ \ \ \ DisplayFunction -> $DisplayFunction], \
\n\ \ \ \ \ \(Map[
              Show[earth, \ Graphics3D[{PointSize[diameter], \ #}], \ 
                  PlotRange -> \n\ \ \ \ \ \ \ {{\(-h\), h}, {\(-h\), 
                        h}, {\(-1\), 1}}, \ 
                  DisplayFunction -> $DisplayFunction] &, \n\ \ \ \ \ \ \ \
satellite];\)]]\)], "Input"],

Cell["He aqu\[IAcute] dos pruebas", "Commentary"],

Cell[BoxData[
    \(sputnik[50, 1, 0.04, 0.8, 0]\)], "Input"],

Cell[BoxData[
    \(sputnik[50, 1, 0.04, 0.8, 1]\)], "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\[FilledSquare] Soluci\[OAcute]n de Ecuaciones.", "Subtitulo",
  FontFamily->"Arial"],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Definir una Ecuaci\[OAcute]n.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tRecordemos que x=y es una asignaci\[OAcute]n en la que el valor \
de y es asignado a x, mientras que x==y verifica si x es igual a y. Es muy \
importante no confundir x=y con x==y, pues en el primer caso la proposici\
\[OAcute]n es imperativa y se realiza la asignaci\[OAcute]n, mientras que en \
el segundo caso solo se verifica si x es igual a y sin realizar una acci\
\[OAcute]n explicita. \
\>", "Text"],

Cell["\<\
\tx=y\t\tasigna el valor de y a x
\tx==y\t\tverifica si el valor de x e y son iguales\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplo", "Text"],

Cell["x = 4", "Input",
  CellTags->"S1.5.5"],

Cell["?x", "Input",
  CellTags->"S1.5.5"],

Cell["x == 4", "Input",
  CellTags->"S1.5.5"],

Cell["x == 6", "Input",
  CellTags->"S1.5.5"],

Cell[BoxData[
    \(Clear[x]\)], "InputOnly",
  CellTags->"S1.5.5"]
}, Closed]],

Cell[TextData[{
  "\tEl chequeo que se hace envuelve solo n\[UAcute]meros y siempre tenemos \
una respuesta clara, o Cierto o Falso. Recuerde que el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " no dar\[AAcute] un resultado del chequeo a menos que que Ud. de a la \
variable un valor espec\[IAcute]fico."
}], "Text"],

Cell[CellGroupData[{

Cell["\tEjemplo", "Text"],

Cell["x == 5", "Input",
  CellTags->"S1.5.5"],

Cell["% /. x -> 4", "Input",
  CellTags->"S1.5.5"],

Cell[BoxData[
    \(\(?x\)\)], "Input"],

Cell[BoxData[
    \(Clear[x]\)], "InputOnly"]
}, Closed]],

Cell[TextData[{
  "\tLas expresiones como x==4,  ",
  Cell[BoxData[
      \(TraditionalForm\`x\^2\)]],
  "+2x-7==0,  ",
  Cell[BoxData[
      \(TraditionalForm\`\@\(x + 1\)\)]],
  "+",
  Cell[BoxData[
      \(TraditionalForm\`\@x\%3\)]],
  "==2,  ",
  Cell[BoxData[
      \(TraditionalForm\`x + Sin[x] + \[ExponentialE]\^x\)]],
  "==0  representan ecuaciones en ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " y es nuestra forma para definir ecuaciones."
}], "Text"],

Cell[CellGroupData[{

Cell["\tEjemplo", "Text"],

Cell[BoxData[
    \(ecu = x\^2 + 2  x - 15 \[Equal] 0\)], "Input"],

Cell[BoxData[
    \(ecu /. x \[Rule] 4\)], "Input"],

Cell[BoxData[
    \(ecu /. x \[Rule] 3\)], "Input"],

Cell[BoxData[
    \(Solve[ecu, x]\)], "Input"]
}, Closed]],

Cell["\<\
\tDependiendo del tipo de ecuaci\[OAcute]n se usar\[AAcute]n \
diferentes t\[EAcute]cnicas para su soluci\[OAcute]n, tambi\[EAcute]n \
podremos en algunos casos resolverlas en forma exacta mientras que en otros \
casos solo podremos obtener una soluci\[OAcute]n aproximada.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Resolver una Ecuacion.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[TextData[{
  "\tComo dijimos antes, una expresi\[OAcute]n como ",
  Cell[BoxData[
      \(TraditionalForm\`x\^2\)]],
  "+2x -7==0 representa una ecuaci\[OAcute]n en ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  ", frecuentemente desearemos resolver ecuaciones como esta para encontrar \
el o los valores de x que la satisfacen. El comando b\[AAcute]sico para esto \
es Solve y se describe a continuaci\[OAcute]n"
}], "Text"],

Cell["\<\
\tSolve[izq==der,x]\t\tresuelve la ecuaci\[OAcute]n para x dando \
para ello una lista de reglas para x (soluci\[OAcute]n)
\tnombre = izq==der\t\tpara asignar un nombre a la ecuaci\[OAcute]n
\tnombre = Solve[izq==der,x]\tpara asignar un nombre a la lista de reglas \
(soluci\[OAcute]n)
\tx /. soluci\[OAcute]n\t\t\tusa la lista de reglas para dar valores a x
\texpr /. soluci\[OAcute]n\t\t\tusa la lista de reglas para dar valores a la \
expresi\[OAcute]n\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplo", "Text"],

Cell["Solve[x^2 + 2x - 7 == 0, x]", "Input",
  CellTags->"S1.5.7"],

Cell["N[ % ]", "Input",
  CellTags->"S1.5.7"],

Cell["x /. %", "Input",
  CellTags->"S1.5.7"],

Cell["x^2 + 3 x /. %%", "Input",
  CellTags->"S1.5.7"],

Cell[BoxData[
    \(\(?x\)\)], "Input"],

Cell[BoxData[
    \(ecu = a\ x\^2 + b\ x + c \[Equal] 0\)], "Input"],

Cell[BoxData[
    \(Solve[ecu, x]\)], "Input"]
}, Closed]],

Cell[TextData[{
  "\tEl comando Solve trata siempre de proporcionar f\[OAcute]rmulas expl\
\[IAcute]citas para las soluciones de una ecuaci\[OAcute]n. Sin embargo, hay \
ecuaciones lo suficientemente complicadas y entonces no se puede dar una f\
\[OAcute]rmula expl\[IAcute]cita. Por ejemplo, si Ud. tiene una ecuaci\
\[OAcute]n polinomial en una variable y la m\[AAcute]s alta potencia de la \
variables es cuatro, entonces ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " siempre dar\[AAcute] f\[OAcute]rmulas para las soluciones. Sin embargo, \
si la m\[AAcute]s alta potencia es cinco o m\[AAcute]s, ser\[IAcute]a en \
muchos casos imposible dar una soluci\[OAcute]n en forma explicita."
}], "Text"],

Cell[CellGroupData[{

Cell["\tEjemplo.", "Text"],

Cell["Solve[x^4 - 5 x^2 - 3 == 0, x]", "Input",
  CellTags->"S1.5.7"],

Cell[BoxData[
    \(N[%]\)], "Input"],

Cell["Solve[x^6 == 1, x]", "Input",
  CellTags->"S1.5.7"],

Cell[BoxData[
    \(N[%]\)], "Input"],

Cell["Solve[2 - 4 x + x^5 == 0, x]", "Input",
  CellTags->"S1.5.7"],

Cell[TextData[{
  "\tObserve que no se ha podido obtener una respuesta explicita, sin embargo \
el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " determina que la ecuaci\[OAcute]n es polin\[OAcute]mica y usa el comando \
Root para representar las soluciones en este caso, sin embargo Ud. puede \
pedir una aproximaci\[OAcute]n de las soluciones"
}], "Text"],

Cell["N[ % ]", "Input",
  CellTags->"S1.5.7"],

Cell["\to simplemente, use", "Text"],

Cell["\<\
\tNSolve[izq==der,x]\tda una lista de aproximaciones \
num\[EAcute]ricas para las raices de una ecuaci\[OAcute]n \
polin\[OAcute]mica\
\>", "Cuadro"],

Cell[BoxData[
    \(NSolve[2 - 4\ x + x^5 \[Equal] 0, x]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tOtros ejemplos, usar Reduce.", "Text"],

Cell[TextData[{
  "\tAdicionalmente el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " puede resolver tambi\[EAcute]n algunas ecuaciones que envuelvan otras \
funciones, por ejemplo"
}], "Text"],

Cell["Solve[Sin[x]==a,x]", "Input",
  CellTags->"S1.5.7"],

Cell["\<\
\tEs importante resaltar que una ecuaci\[OAcute]n como Sin[x]=a \
tiene infinitas soluciones, en este caso diferenciandose por 2\[Pi], sin \
embargo, el comando Solve por defecto da una soluci\[OAcute]n, pero se da un \
mensaje indicando que se usaron funciones inversas y que en consecuencia \
pueden existir otras soluciones. Si este es el caso use el comando Reduce \
para obtener m\[AAcute]s informaci\[OAcute]n.\
\>", "Text"],

Cell["\<\
\tReduce[expr, vars]\t\treduce la proposici\[OAcute]n expr \
resolviendo las ecuaciones para vars y eliminando los cuantificadores
\tReduce[expr,vars,dom]\tigual pero sobre el dominio dom\
\>", "Cuadro"],

Cell[BoxData[
    \(Reduce[Sin[x] \[Equal] a, x]\)], "Input"],

Cell["\<\
Observe que para esta ecuaci\[OAcute]n no existe una \
soluci\[OAcute]n en forma explicita\
\>", "Commentary",
  CellTags->{"S1.5.7", "7.15"}],

Cell["Solve[Cos[x]==x,x]", "Input",
  CellTags->"S1.5.7"],

Cell["\<\
Sin embargo, siempre podemos encontrar una soluci\[OAcute]n num\
\[EAcute]rica, usando FindRoot y dando un valor inicial a x\
\>", "Commentary"],

Cell["FindRoot[Cos[x]==x,{x,0}]", "Input",
  CellTags->"S1.5.7"],

Cell[BoxData[
    \(Plot[{Cos[x], x}, {x, \(-1\), 4}]\)], "Input"],

Cell["\<\
\tSolve tambi\[EAcute]n puede ser usado para manejar ecuaciones que \
envuelvan funciones en forma simb\[OAcute]lica, por ejemplo\
\>", "Text"],

Cell["\<\
Solve[f[x]==a,x]
Solve[f[x^2]==a,x]\
\>", "Input",
  CellTags->"S1.5.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\[FilledSquare] Resolver Sistemas de Ecuaciones.\
\>", \
"SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tEl comando Solve de igual manera sirve para resolver sistemas de \
ecuaciones lineales y no lineales, en particular, los sistemas de ecuaciones \
lineales los trataremos con detalle en la parte de \
\[CapitalAAcute]lgebra.\
\>", "Text"],

Cell["\<\
\tSolve[eqns,vars]\t\t\t\tintenta resolver la ecuaci\[OAcute]n o \
conjunto de ecuaciones para las variables vars
\tSolve[{izq1==der1,izq2==der2,...},{x,y,...}]\tresuelve el sistema de \
ecuaciones para x,y,...
\tSolve[eqns,vars,elims]\t\t\t\tintenta resolver la ecuaci\[OAcute]n para \
vars eliminando las variables elims\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell["Solve[{a x+y==0,2 x+(1-a) y==1},{x,y}]", "Input",
  CellTags->"S1.5.7"],

Cell["Solve[{x^2+y^2==1,x+3 y==0},{x, y}]", "Input",
  CellTags->"S1.5.7"],

Cell["\<\
Podemos, por ejemplo, eliminar y entre las dos ecuaciones dejando \
entonces una ecuaci\[OAcute]n en x\
\>", "Commentary",
  CellTags->{"S1.5.7", "7.25"}],

Cell["Eliminate[{a x+y==0,2 x+(1-a) y==1},y]", "Input",
  CellTags->"S1.5.7"],

Cell[BoxData[
    \(Solve[%, x]\)], "Input"],

Cell["\<\
\tEliminate[eqns,vars]\t\telimina vars del conjunto de ecuaciones \
simultaneas\
\>", "Cuadro"],

Cell[TextData[{
  "Si el sistema no es consistente, ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " dar\[AAcute] { } como respuesta para indicar que no hay soluci\[OAcute]n"
}], "Commentary",
  CellTags->{"S1.5.7", "7.27"}],

Cell["Solve[{x==1,x==2},x]", "Input",
  CellTags->"S1.5.7"],

Cell["\<\
Solve[{x==a,x==1},x]
Reduce[{x==a,x==1},x]\
\>", "Input",
  CellTags->"S1.5.7"],

Cell["\<\
Puesto que el sistema no siempre es consistente, Solve no nos da \
respuesta, mientras que Reduce nos indica en que condici\[OAcute]n el sistema \
es consistente \
\>", "Commentarysub",
  CellTags->{"S1.5.7", "7.31"}],

Cell["Observe de nuevo la diferencia entre Solve y Reduce", "Commentary",
  CellTags->{"S1.5.7", "7.32"}],

Cell["\<\
Solve[a x-b==0,x]
Reduce[a x-b==0,x]\
\>", "Input",
  CellTags->"S1.5.7"],

Cell["\<\
Solve[a x^2-b==0,x]
Reduce[a x^2-b==0,x]\
\>", "Input",
  CellTags->"S1.5.7"],

Cell["Observe las capacidades de Reduce", "Commentary",
  CellTags->{"S1.5.7", "7.34"}],

Cell["\<\
Reduce[x^2 + y^2 == 1, y]
Reduce[x^2 + y^2 == 1, y, Reals]
Reduce[x^2 + y^2 == 1, y, Integers]\
\>", "Input",
  CellTags->"S1.5.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\[FilledSquare] Resolver Ecuaciones en forma Aproximada.\
\>", \
"SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tCuando no obtengamos una respuesta satisfactoria con los comandos \
Solve y Reduce disponemos de los siguientes comandos que nos permiten obtener \
soluciones de una ecuaci\[OAcute]n en forma aproximada.\
\>", "Text"],

Cell["\<\
\tNSolve[izq==der,x]\t\t\tda una lista de aproximaciones num\
\[EAcute]ricas para las raices de una ecuaci\[OAcute]n polin\[OAcute]mica
\tNSolve[izq==der,x,n]\t\t\tigual, con n d\[IAcute]gitos de precisi\[OAcute]n
\tNSolve[{ec1,ec2,...},{var1,var2,...}]\tresuelve el sistema de ecuaciones \
polin\[OAcute]micas
\t
\tFindRoot[izq==der,{x,x0}]\t\tbusca una soluci\[OAcute]n num\[EAcute]rica \
para la ecuaci\[OAcute]n con x0 como valor de arranque
\tNSolve[{ec1,ec2,...},{{x,x0},{y,y0},...}]\tbusca una soluci\[OAcute]n num\
\[EAcute]rica para el sistema de ecuaciones\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos con una Ecuaci\[OAcute]n.", "Text"],

Cell[BoxData[
    \(Solve[x\^5 - x + 1 \[Equal] 0, x]\)], "Input"],

Cell[BoxData[
    \(N[%]\)], "Input"],

Cell[BoxData[{
    \(NSolve[x\^5 - x + 1 \[Equal] 0, x]\), "\[IndentingNewLine]", 
    \(N[Solve[x\^5 - x + 1 \[Equal] 0, x]]\)}], "Input"],

Cell["Observe que NSolve[eqn,x] es equivalente a N[Solve[eqn,x]]", \
"Commentarysub"],

Cell[BoxData[{
    \(Solve[\@\(x + 1\) + \@x\%3 \[Equal] 2, x]\), "\[IndentingNewLine]", 
    \(N[%]\)}], "Input"],

Cell["\<\
En este caso aunque tenemos la soluci\[OAcute]n exacta, no parece f\
\[AAcute]cil de manejar\
\>", "Commentarysub"],

Cell[BoxData[{
    \(\(f = \[ExponentialE]\^\(-x\) - x\^2;\)\), "\[IndentingNewLine]", 
    \(Solve[f \[Equal] 0, x]\)}], "Input"],

Cell[BoxData[
    \(N[%]\)], "Input"],

Cell[BoxData[
    \(Plot[f, {x, \(-3\), 3}]\)], "Input"],

Cell[BoxData[
    \(FindRoot[f, {x, 0}]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplos con Varias Ecuaciones.", "Text"],

Cell[BoxData[
    \(ecus = {x\^2 + y\^3 \[Equal] x\ y, x + y + x\^2 \[Equal] 1}\)], "Input"],

Cell[BoxData[
    \(s = Solve[ecus, {x, y}]\)], "Input"],

Cell[BoxData[
    \(N[s]\)], "Input"],

Cell[BoxData[
    \(N[s] // TableForm\)], "Input"],

Cell[BoxData[
    \(Clear[ecus, s]\)], "InputOnly"],

Cell[BoxData[{
    \(ecus = {x\^2 + y\^2 \[Equal] 1, 
        Sin[x] - y \[Equal] 0}\), "\[IndentingNewLine]", 
    \(Solve[ecus, {x, y}]\), "\[IndentingNewLine]", 
    \(NSolve[ecus, {x, y}]\)}], "Input"],

Cell[BoxData[
    \(<< Graphics`ImplicitPlot`\)], "InputOnly"],

Cell[BoxData[
    \(ImplicitPlot[ecus, {x, \(-2\), 2}]\)], "Input"],

Cell[BoxData[{
    \(FindRoot[ecus, {x, 1}, {y, 1}]\), "\[IndentingNewLine]", 
    \(FindRoot[ecus, {x, \(-1\)}, {y, \(-1\)}]\)}], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\[FilledSquare] Estos son los Ejemplos del HelpBrowser, \
estudielos con cuidado.\
\>", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[CellGroupData[{

Cell["\t\t\[FilledSquare] Ejemplos del comando Solve", "SubSubSubtitulo"],

Cell[CellGroupData[{

Cell["Polynomial equations in one variable", "Commentary",
  CellTags->"Solve"],

Cell["\<\
These are standard formulas for the solutions of normalized \
quadratic and cubic equations. \
\>", "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[x\^2 + 2  b\ x + c == 0, x]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[x\^3 + q\/3\ x + r\/27 == 0, x]\)], "Input",
  CellTags->"Solve"],

Cell["\<\
Here are two simple equations of higher degree with solutions in \
terms of powers. They can be rewritten in terms of trigonometric functions \
that sometimes automatically reduce to radicals. \
\>", "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[x\^6 == 1, x]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[x\^6 == 1, 
        x] /. \((a_ -> b_)\) :> \((a -> ComplexExpand[b])\)\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[x\^7 == 1, x]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[x\^7 == 1, 
        x] /. \((a_ -> b_)\) :> \((a -> ComplexExpand[b])\)\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  "For some equations, ",
  StyleBox["Mathematica", "TI"],
  " produces the result in terms of ",
  StyleBox["Root", "MR"],
  " objects (or algebraic numbers). The first argument of ",
  StyleBox["Root", "MR"],
  " is an irreducible polynomial expressed as a pure function and the second \
argument identifies the choice of root. "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[x\^5 - 1331  x + 11 == 0, x]\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  "We can get a numerical result by applying ",
  StyleBox["N", "MR"],
  ". "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(N[%]\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  "This pulls all of the rules for ",
  StyleBox["x", "MR"],
  " out of the result. "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(x /. %\)], "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{

Cell["Polynomial equations in more than one variable", "Commentary",
  CellTags->"Solve"],

Cell[TextData[{
  "Here we solve for ",
  StyleBox["x", "MR"],
  " and ",
  StyleBox["y", "MR"],
  ". "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(\(eqns = {x == 1 + 2\ a\ y, y == 9 + 2\ x};\)\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[eqns, {x, y}]\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  "In this case we eliminate ",
  StyleBox["y", "MR"],
  " first and then solve for ",
  StyleBox["x", "MR"],
  ". "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[eqns, x, y]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Clear[eqns]\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  "Here we solve two simultaneous algebraic equations. The spurious potential \
solution ",
  Cell[BoxData[
      FormBox[
        StyleBox["y",
          "TI"], TraditionalForm]], "InlineFormula"],
  " ",
  Cell[BoxData[
      \( \[Rule] \)], "InlineFormula"],
  " ",
  Cell[BoxData[
      \(TraditionalForm\`1\)], "InlineFormula"],
  " is rejected. "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[{\(1 + x\)\/\(\(-1\) + y\) == 0, 2 - 3  y + y\^2 == 0}, {x, 
        y}]\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  "Here are three simultaneous algebraic equations; ",
  StyleBox["y", "MR"],
  " and ",
  StyleBox["z", "MR"],
  " must be paired up correctly with ",
  StyleBox["x", "MR"],
  ". "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[{1 + x\^2 == 0, y\^2 == x\^2, z == x}, {x, y, z}]\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  "Here ",
  StyleBox["Solve", "MR"],
  " returns an empty list, indicating no solution. Every potential solution \
forces an equation in the parameter ",
  StyleBox["z", "MR"],
  " alone, so there are no generic solutions. "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[{\((x - y)\)\ z\^2 == 1, x\^2 == 3, y\^2 == 3}, {x, 
        y}]\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  "We can get solutions by solving for ",
  StyleBox["z", "MR"],
  " as well as ",
  StyleBox["x", "MR"],
  " and ",
  StyleBox["y", "MR"],
  ". "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[{\((x - y)\)\ z\^2 == 1, x\^2 == 3, y\^2 == 3}, {x, y, 
        z}]\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  "We eliminate ",
  StyleBox["e", "MR"],
  ", ",
  StyleBox["s", "MR"],
  ", and ",
  StyleBox["t", "MR"],
  " to get ",
  StyleBox["d", "MR"],
  " in terms of the remaining variables. "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[{1\/s + 1\/t == 1\/F, 1\/\(d + s\) + 1\/\(t - e\) == 1\/F, 
        c == \(e\ F\)\/\(f\ \((t - e)\)\), M == t\/s}, 
      d, {e, s, t}]\)], "Input",
  CellTags->"Solve"],

Cell["\<\
Verification is not done by default for polynomial systems. The \
purported solutions to this system are nowhere near correct. \
\>", \
"ExampleText",
  CellTags->"Solve"],

Cell[BoxData[{
    \(\(\(poly1 = \(-49.83328064552891\) + 703.3295204301365  x\^2 + 
          1022.781090460273  x\ y + 895.055397230137  y\^2;\)\(\n\)
    \)\), "\n", 
    \(\(\(poly2 = \(-54.89903052623909\) + 791.4603546519813  x\^2 + 
          1150.940862103963  x\ y + 959.135283051981  y\^2;\)\(\n\)
    \)\), "\n", 
    \({poly1, poly2} /. Solve[{poly1, poly2} == 0, {x, y}]\)}], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  "When there is numeric instability, setting ",
  StyleBox["VerifySolutions", "MR"],
  " to ",
  StyleBox["True", "MR"],
  " will take longer but will make the result more reliable. "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \({poly1, poly2} /. 
      Solve[{poly1, poly2} == 0, {x, y}, 
        VerifySolutions \[Rule] True]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Clear[poly1, poly2]\)], "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{

Cell["Radical equations", "Commentary",
  CellTags->"Solve"],

Cell[TextData[{
  "In radical equations, ",
  StyleBox["Solve", "MR"],
  " discards parasite solutions. "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[1\/x + 1\/\@x == 1, x]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[x\^\(1/3\) + \@x == 1, x]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[x + x\^\(1/2\) + x\^\(1/3\) == 5, x]\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  "To see all candidate solutions, including parasites, set ",
  StyleBox["VerifySolutions", "MR"],
  " to ",
  StyleBox["False", "MR"],
  ". "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[1\/x + 1\/\@x == 1, VerifySolutions \[Rule] False]\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  "If you can be sure that zero denominators will not affect the solution \
set, clearing them often makes ",
  StyleBox["Solve", "MR"],
  " faster. "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[{
    \(\(\(expr = \(-\(\(k - x\)\/\@\(b\^2 + \((k - x)\)\^2\)\)\) + 
          x\/\@\(a\^2 + x\^2\);\)\(\n\)
    \)\), "\n", 
    \(Timing[Solve[expr == 0, x]]\)}], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Timing[Solve[Numerator[Together[expr]] == 0, x]]\)], "Input",
  CellTags->"Solve"],

Cell["expr =.", "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{

Cell["Suppressing messages", "Commentary",
  CellTags->"Solve"],

Cell[TextData[{
  "The equations that follow in the rest of this notebook come from various \
papers and from questions submitted by users. \n",
  StyleBox["Solve", "MR"],
  " generates warning messages for many non\[Hyphen]polynomial equations. "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[\[ExponentialE]\^z == w\ z\^\(-n\), z]\)], "Input",
  CellTags->"Solve"],

Cell["\<\
To improve readability, we will now suppress warning messages about \
inverse functions. These messages will be turned back on at the end of this \
set of examples. \
\>", "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Off[Solve::"\<ifun\>"]; Off[InverseFunction::"\<ifun\>"];\)], "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Equations involving trigonometric or hyperbolic functions, or their \
inverses\
\>", "Commentary",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[2\ Sin[x]\ Cos[x] == 3, x]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[{Cos[1\/5 + \[Alpha] + x] == 5, 
        Cos[2\/5 + \[Alpha] - x] == 6}, \ {\[Alpha], \ x}]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[\(-ArcCos[3\ x]\) + 2\ ArcSin[x] == 0, x]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[ArcCos[x] - ArcTan[x] == 0, x]\)], "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{

Cell["Equations involving exponentials and logarithms", "Commentary",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[\[ExponentialE]\^\(2 - x\^2\) == \[ExponentialE]\^\(-x\), 
      x]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[Log[x + \@\(a + x\^2\)] == b, x]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[Log[\@x] == \@Log[x], x]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(\(\(Solve[\(-Log[3]\) + 1\/2\ Log[2 + y\/3] - 
          1\/2\ Log[y\/3] == \(-\(\(\[ImaginaryI]  \[Pi]\)\/2\)\), \ 
      y]\)\(\ \)\)\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[3\ Log[x] + Log[3 + x] + Log[5 + 2\ x] == 7, x]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[{3\^\(2  x - y\)\ \[ExponentialE]\^\(x + 3  y\) == 7, 
        x == 2}, {x, y}]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[{\[ExponentialE]\^\(\(-2\) + x + 3  y\) == 7, 
        3\^\(4 + 2  x - y\) == 2}, {x, y}]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[\((x + 1)\)\^\(x + 2\) == 0, x]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[\((x + 1)\)\^\(x - 2\) == 0, x]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[\((1 + x\^3)\)\^\(a + x\) == \((1 + x\^3)\)\^b, x]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[\((1 + x\^3)\)\^\(a + x\) == \[ExponentialE]\^\(a + x\), 
      x]\)], "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{

Cell["Equations or solutions that involve ProductLog", "Commentary",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[5 == 2\^\(w\^2\)\ w, w]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[y\^2\ \((Log[x] - Log[y])\) == x, y]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[c + 11\ \((1 + \[Pi]\^\(c + r\))\) == 0, c]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[ProductLog[3\ x] == Log[x], x]\)], "Input",
  CellTags->"Solve"],

Cell["This last example comes from a typo in a quadratic. ", "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Solve[b\^x + a\ x\^2 == 0, x]\)], "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{

Cell["Getting infinite solution sets for some equations", "Commentary",
  CellTags->"Solve"],

Cell[TextData[{
  "To each inverse of a trig or hyperbolic function ",
  StyleBox["Generalize", "MR"],
  " adds ",
  StyleBox["n", "MR"],
  " times the period of the corresponding trig or hyperbolic function. The \
second argument, ",
  StyleBox["n", "MR"],
  ", indicates any integer. "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(\(arctrigs = {ArcSin, ArcCos, ArcCsc, ArcSec, ArcTan, ArcCot, ArcSinh, 
          ArcCosh, ArcCsch, ArcSech, ArcTanh, ArcCoth};\)\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(\(periods = {2  \[Pi], 2  \[Pi], 2  \[Pi], 2  \[Pi], \[Pi], \[Pi], 
          2  \[ImaginaryI]  \[Pi], 2  \[ImaginaryI]  \[Pi], 
          2  \[ImaginaryI]  \[Pi], 
          2  \[ImaginaryI]  \[Pi], \[ImaginaryI]  \[Pi], \[ImaginaryI]  \
\[Pi]};\)\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Generalize[f_[x_], n_] := 
      f[x] + n  periods[\([\(Position[arctrigs, f]\)[\([1, 1]\)]]\)] /; 
        MemberQ[arctrigs, f]\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  StyleBox["Log", "MR"],
  " and ",
  StyleBox["ProductLog", "MR"],
  " are treated similarly. "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Generalize[Log[x_], n_] := 
      Log[x] + 2  \[Pi]  \[ImaginaryI]  n\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Generalize[ProductLog[x_], n_] := ProductLog[n, x]\)], "Input",
  CellTags->"Solve"],

Cell["Anything else is left alone. ", "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Generalize[x_, n_] := x\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  StyleBox["GeneralizedSolve", "MR"],
  " tries to give an infinite solution set indexed by ",
  StyleBox["n", "MR"],
  " for an equation or set of equations in the variables ",
  StyleBox["vars", "MR"],
  ". "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(GeneralizedSolve[eqns_, vars_] := \(Generalize[#, n] &\) //@ 
        Solve[eqns, vars]\)], "Input",
  CellTags->"Solve"],

Cell["This gives the generalized solution set for the equation. ", \
"ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(soln = 
      GeneralizedSolve[\[ExponentialE]\^\(2\ x\) - 2\ \[ExponentialE]\^x + 2 == 
          0, x]\)], "Input",
  CellTags->"Solve"],

Cell["This checks the results. ", "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Simplify[\[ExponentialE]\^\(2\ x\) - 2\ \[ExponentialE]\^x + 2 == 
          0 /. \[InvisibleSpace]soln, 
      Variables[x /. \[InvisibleSpace]soln] \[Element] Integers]\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  StyleBox["GeneralizedSolve", "MR"],
  " fails when an inverse trigonometric function evaluates. "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(GeneralizedSolve[Cos[x] == 1, x]\)], "Input",
  CellTags->"Solve"],

Cell["\<\
This is in contrast to the case when the inverse trig function \
remains unevaluated. \
\>", "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(GeneralizedSolve[Cos[x] == 2, x]\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  StyleBox["GeneralizedSolve", "MR"],
  " can also give spurious solutions. "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(\(eqns = {Cos[x] == 2, 
          y\/\(x - 2\ \[Pi] - ArcCos[2]\) == 3};\)\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(GeneralizedSolve[eqns, {x, y}]\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  "Here the solutions for ",
  StyleBox["x", "MR"],
  " are wrong when ",
  StyleBox["n", "MR"],
  " is ",
  Cell[BoxData[
      \(TraditionalForm\`1\)], "InlineFormula"],
  ". "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(\(eqns /. %\) /. n -> 1\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Clear[eqns, soln]\)], "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "When ",
  StyleBox["Solve", "MR"],
  " gives a wrong answer"
}], "Commentary",
  CellTags->"Solve"],

Cell["Here is a function. ", "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(ff[x_] := a\ Cos[x]\^2 + b\ Sin[x]\^2 + c\ Sin[x]\ Cos[x]\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  "There are ",
  Cell[BoxData[
      \(TraditionalForm\`8\)], "InlineFormula"],
  " purported solutions. "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(\(sol1 = Solve[ff[x] == 0, x];\)\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Length[sol1]\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  "If ",
  StyleBox["Solve", "MR"],
  " cannot determine that parametrized solutions are always incorrect, it \
will not remove them. The first solution is generally incorrect. "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(\((ff[x] /. First[sol1])\) == 0 /. {a -> 1, b -> 2, c -> 3}\)], "Input",\

  CellTags->"Solve"],

Cell[TextData[{
  "Using ",
  StyleBox["TrigToExp", "MR"],
  " gives the right answers by converting ff to an equivalent exponential \
form. "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(TrigToExp[ff[x]]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(\(sol2 = Solve[% == 0, x];\)\)], "Input",
  CellTags->"Solve"],

Cell[TextData[{
  "There are ",
  Cell[BoxData[
      \(TraditionalForm\`4\)], "InlineFormula"],
  " correct solutions. "
}], "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(Length[sol2]\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Thread[\((ff[x] /. sol2)\) == 0] // Simplify\)], "Input",
  CellTags->"Solve"],

Cell[BoxData[
    \(Clear[ff, sol1, sol2]\)], "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{

Cell["Turning messages back on", "Commentary",
  CellTags->"Solve"],

Cell["\<\
We will now turn the inverse function warning messages back on that \
were turned off earlier in this set of examples. \
\>", "ExampleText",
  CellTags->"Solve"],

Cell[BoxData[
    \(On[Solve::"\<ifun\>"]; On[InverseFunction::"\<ifun\>"];\)], "Input",
  CellTags->"Solve"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare] Ejemplos del comando NSolve\
\>", \
"SubSubSubtitulo"],

Cell[BoxData[
    \(\(poly = 
        3 + 3  x - 7  x\^2 - x\^3 + 2  x\^4 + 3  x\^7 - 3  x\^8 - x\^9 + 
          x\^10;\)\)], "Input",
  CellTags->"NSolve"],

Cell[TextData[{
  "Although ",
  StyleBox["Solve", "MR"],
  " will find all of the solutions in symbolic form, ",
  StyleBox["NSolve", "MR"],
  " is the function to use if you ultimately want numerical solutions. "
}], "ExampleText",
  CellTags->"NSolve"],

Cell[BoxData[
    \(NSolve[poly == 0, x]\)], "Input",
  CellTags->"NSolve"],

Cell["Here is a high degree polynomial. ", "ExampleText",
  CellTags->"NSolve"],

Cell[BoxData[
    \(\(highdegree = x\^80 + 4  x\^40 + 2  x\^2 - 3;\)\)], "Input",
  CellTags->"NSolve"],

Cell["Not all roots are correct using default precision. ", "ExampleText",
  CellTags->"NSolve"],

Cell[BoxData[
    \(highdegree /. NSolve[highdegree == 0, x] // 
      Chop[#, 10\^\(-2\)] &\)], "Input",
  CellTags->"NSolve"],

Cell["\<\
Increasing the precision beyond machine precision gives all the \
roots correctly. \
\>", "ExampleText",
  CellTags->"NSolve"],

Cell[BoxData[
    \(highdegree /. NSolve[highdegree == 0, x, 17] // Chop\)], "Input",
  CellTags->"NSolve"],

Cell[TextData[{
  "Here ",
  StyleBox["NSolve", "MR"],
  " gives the solutions of an algebraic equation. "
}], "ExampleText",
  CellTags->"NSolve"],

Cell[BoxData[
    \(NSolve[\(-\((1 + x)\)\) + 2\ \@\(1 + x\^2\) - 
          3\ \((1 + x\^3)\)\^\(1/3\) + 5\ \((1 + x\^5)\)\^\(1/5\) - 4 == 0, 
      x]\)], "Input",
  CellTags->"NSolve"],

Cell["\<\
This finds the intersection of a pair of parametrized curves. \
\
\>", "ExampleText",
  CellTags->"NSolve"],

Cell[BoxData[
    \(\(c1 = {x - \@\(t\^2 - 1\), y - \((t\^3 + t - 4)\)};\)\)], "Input",
  CellTags->"NSolve"],

Cell[BoxData[
    \(\(c2 = {x - \((s\^2 + s + 5)\), 
          y - \@\(s\^2 + 7\ s - 2\)};\)\)], "Input",
  CellTags->"NSolve"],

Cell[BoxData[
    \(NSolve[Join[c1, c2], {x, y}, {s, t}]\)], "Input",
  CellTags->"NSolve"],

Cell[BoxData[
    \(Clear[poly, highdegree, c1, c2]\)], "Input",
  CellTags->"NSolve"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare] Ejemplos del comando FindRoot\
\>", \
"SubSubSubtitulo"],

Cell[BoxData[
    \(\(Plot[{Exp[x], x\^2}, {x, \(-1\), 1}];\)\)], "Input",
  CellTags->"FindRoot"],

Cell[TextData[{
  "This finds a numerical approximation to the ",
  StyleBox["x", "MR"],
  " coordinate of the intersection point. The ",
  Cell[BoxData[
      \(TraditionalForm\`\(-0.5\)\)], "InlineFormula"],
  " is the initial guess. "
}], "ExampleText",
  CellTags->"FindRoot"],

Cell[BoxData[
    \(FindRoot[Exp[x] == x\^2, {x, \(-0.5\)}]\)], "Input",
  CellTags->"FindRoot"],

Cell[TextData[{
  "Trigonometric equations typically have an infinite number of roots. If you \
start sufficiently close to a particular root of an equation, ",
  StyleBox["FindRoot", "MR"],
  " will find that root. "
}], "ExampleText",
  CellTags->"FindRoot"],

Cell[BoxData[
    \(FindRoot[Sin[x\^2] == 0, {x, 2}]\)], "Input",
  CellTags->"FindRoot"],

Cell["\<\
Starting closer to another root will give a different solution. \
\
\>", "ExampleText",
  CellTags->"FindRoot"],

Cell[BoxData[
    \(FindRoot[Sin[x\^2] == 0, {x, 3}]\)], "Input",
  CellTags->"FindRoot"],

Cell[TextData[{
  "You can restrict ",
  StyleBox["FindRoot", "MR"],
  " to a region in which to look for solutions. Here the initial guess is ",
  Cell[BoxData[
      \(TraditionalForm\`1\)], "InlineFormula"],
  " and the solution is supposed to be between ",
  Cell[BoxData[
      \(TraditionalForm\`0.5\)], "InlineFormula"],
  " and ",
  Cell[BoxData[
      \(TraditionalForm\`1.5\)], "InlineFormula"],
  ". There is no such solution. "
}], "ExampleText",
  CellTags->"FindRoot"],

Cell[BoxData[
    \(FindRoot[Sin[x\^2] == 0, {x, 1. ,  .5, 1.5}]\)], "Input",
  CellTags->"FindRoot"],

Cell[TextData[{
  "This is what happens when ",
  StyleBox["FindRoot", "MR"],
  " can find no solutions at all. "
}], "ExampleText",
  CellTags->"FindRoot"],

Cell[BoxData[
    \(FindRoot[Sin[x\^2] == \[Pi], {x, 1}]\)], "Input",
  CellTags->"FindRoot"],

Cell[TextData[{
  "If you want ",
  StyleBox["FindRoot", "MR"],
  " to use complex values in its search, then you need to give a complex \
starting value. "
}], "ExampleText",
  CellTags->"FindRoot"],

Cell[BoxData[
    \(FindRoot[Sin[x\^2] == \[Pi], {x, 1 + \[ImaginaryI]}]\)], "Input",
  CellTags->"FindRoot"],

Cell[TextData[{
  "This finds a solution to a set of simultaneous equations. It is a good \
idea to avoid taking the starting values for ",
  StyleBox["x", "MR"],
  " and ",
  StyleBox["y", "MR"],
  " to be equal or to take any other \"special\" combinations of values. "
}], "ExampleText",
  CellTags->"FindRoot"],

Cell[BoxData[
    \(FindRoot[{x\^2 + y\^2 == 1, 
        y == x\ Exp[x]}, {x,  .1}, {y,  .5}]\)], "Input",
  CellTags->"FindRoot"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\[FilledSquare] Vectores y Matrices.", "Subtitulo",
  FontFamily->"Arial"],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Listas.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[TextData[{
  "\tEn ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " los vectores y las matrices no son m\[AAcute]s que listas y listas de \
listas. Un vector es una lista unidimensional y una matriz es una lista \
bidimensional, teniendo esto como primera ventaja el que no necesitemos \
distinguir entre vectores fila y vectores columna."
}], "Text"],

Cell["\<\
\tPuesto que en definitiva manipular vectores y matrices no es m\
\[AAcute]s que manipular listas, traemos como parte b\[AAcute]sica los \
comandos que ya estudiamos de listas de manera que est\[EAcute]n tambi\
\[EAcute]n en esta parte, pues es la introducci\[OAcute]n natural a vectores \
y matrices. Aunque ya estos comandos los estudiamos antes, no es malo dar una \
repasada para entrar en contexto.\
\>", "Text"],

Cell[TextData[{
  "\tCuando se realizan c\[AAcute]lculos, a veces es conveniente juntar \
varios resultados y tratarlos todos a la vez como un solo resultado o como \
una sola entidad. Para ello tenemos las Listas. Una Lista no es m\[AAcute]s \
que una colecci\[OAcute]n ordenada de cero o m\[AAcute]s objetos. Muchas de \
las m\[AAcute]s poderosas operaciones que realiza el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " surgen del hecho de manejar o manipular listas como simples objetos. Por \
solo mencionar un caso, los vectores y las matrices, que estudiaremos m\
\[AAcute]s adelante en detalle, no son ",
  "m\[AAcute]s",
  " que simples listas."
}], "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tUna lista tal como {3,5,1} es una colecci\[OAcute]n de tres \
objetos, pero Ud. puede, de muchas maneras, tratar la lista entera como un \
solo objeto, es decir, Ud. puede hacer operaciones con la lista, asignar una \
lista a una variable y en general manejar una lista como si ella fuese un \
simple n\[UAcute]mero. Observe con cuidado el ejemplo que se muestra a \
continuaci\[OAcute]n.\
\>", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[CellGroupData[{

Cell["\<\
\tEjemplo de lo que se puede hacer con una simple lista como \
{3,5,1}.\
\>", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \({3, 5, 1}\)], "Input"],

Cell[BoxData[
    \({3, 5, 1}^2 + 1\)], "Input"],

Cell[BoxData[
    \(a = {3, 5, 1}\)], "Input"],

Cell[BoxData[
    \(a^2 + 1\)], "Input"],

Cell[BoxData[
    \(b = 3  a + 2\)], "Input"],

Cell[BoxData[
    \(\(?a\)\)], "Input"],

Cell[BoxData[
    \(\(?b\)\)], "Input"],

Cell[BoxData[
    \(a + b\)], "Input"],

Cell[BoxData[
    \(Sin[a]\)], "Input"],

Cell[BoxData[
    \(Sin[a]\  // N\)], "Input"],

Cell[BoxData[
    \(Exp[a]\)], "Input"],

Cell[BoxData[
    \(Exp[a]\  // N\)], "Input"]
}, Closed]],

Cell["\<\
\tPuesto que el manejo de Listas es un concepto muy importante y \
del cual pueden derivarse infinidad de casos y aplicaciones, vamos a ver, por \
ahora,  los primeros comandos b\[AAcute]sicos y algunos ejemplos.\
\>", "Text",\

  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\t{a,b,c}\t\t\t\tuna lista unidimensional\t\ttambi\[EAcute]n \
List[a,b,c]
\t{{a,b,c,d},{e,f,g,h}}\t\tuna lista bidimensional
\tlista[[i]]\t\t\t\tla i-\[EAcute]sima parte de lista
\tlista[[i,j]]\t\t\tla (i,j)-\[EAcute]sima parte de lista
\tLenght[lista]\t\t\tn\[UAcute]mero de elementos en lista
\tMatrixForm[lista]\t\tmuestra la lista en forma de matriz
\tTableForm[lista]\t\tmuestra la lista en forma de Tabla\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \(a = {x, y, z}\)], "Input"],

Cell[BoxData[
    \(b = {{3, 2, 5, 4}, {4, 1, 6, 2}, {3, 1, 1, 6}}\)], "Input"],

Cell[BoxData[
    \(a[\([3]\)]\)], "Input"],

Cell[BoxData[
    \(b[\([2]\)]\)], "Input"],

Cell[BoxData[
    \(b[\([2, 3]\)]\)], "Input"],

Cell[BoxData[
    \({Lenght[a], Lenght[b]}\)], "Input"],

Cell[BoxData[
    \(b // MatrixForm\)], "Input"],

Cell[BoxData[
    \(b // TableForm\)], "Input"]
}, Closed]],

Cell[TextData[{
  "\tTable es uno de los comandos ",
  "m\[AAcute]s",
  " \[UAcute]tiles del ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "  y nos ayuda a formar listas en general."
}], "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tTable[expresi\[OAcute]n,{b}]\t\tforma una lista de b valores de \
expresi\[OAcute]n

\tTable[expresi\[OAcute]n,{i,b}]\t\tforma una lista de los valores de expresi\
\[OAcute]n con i tomando valores
\t\t\t\t\tdesde i=1 hasta i=b (en paso de 1)
\t\t\t\t\t\t\t\t
\tTable[expresi\[OAcute]n,{i,a,b}]\tforma una lista de los valores de expresi\
\[OAcute]n con i tomando valores
\t\t\t\t\tdesde i=a hasta i=b (en paso de 1)
\t\t\t\t\t\t\t\t
\tTable[expresi\[OAcute]n,{i,a,b,d}]\tforma una lista de los valores de \
expresi\[OAcute]n con i tomando valores
\t\t\t\t\tdesde i=a hasta i=b en paso de d
\t\t\t\t\t\t\t\t
\tTable[expresi\[OAcute]n,{i,imin,imax},{j,jmin,jmax},...]\t\tgenera una \
tabla multidimensional\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos", "Text",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \(Table[a, {6}]\)], "Input"],

Cell[BoxData[
    \(Table[Random[], {4}]\)], "Input"],

Cell[BoxData[
    \(Table[i^2, {i, 6}]\)], "Input"],

Cell[BoxData[
    \(Table[Exp[x], {x, 0. , 5. }]\)], "Input"],

Cell[BoxData[
    \(m = Table[i - j, {i, 2}, {j, 2}]\)], "Input"],

Cell[BoxData[
    \(m[\([1]\)]\)], "Input"],

Cell[BoxData[
    \(%[\([2]\)]\)], "Input"],

Cell[BoxData[
    \(m[\([1, 2]\)]\)], "Input"],

Cell[BoxData[
    \(TableForm[m]\)], "Input"],

Cell[BoxData[
    \(m // MatrixForm\)], "Input"],

Cell[BoxData[
    \(Table[Sin[\(n\ \[Pi]\)\/6], {n, 0, 6}]\)], "Input"],

Cell[BoxData[
    \(Table[x\^n, {n, 5}]\)], "Input"],

Cell[BoxData[
    \(D[%, x]\)], "Input"],

Cell[BoxData[
    \(Table[\[Integral]\(x\^n\) Sin[x] \[DifferentialD]x, {n, 0, 
        3}]\)], "Input"],

Cell[BoxData[
    \(ListPlot[Table[Prime[n], {n, 100}]]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Operaciones con Vectores.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tTal vez Ud. vea algunos comandos ya estudiados, sin embargo, los \
incluimos de nuevo donde haga falta para verlos en el contexto en el que \
estamos trabajando y as\[IAcute] facilitar su uso y \
manipulaci\[OAcute]n.\
\>", "Text"],

Cell["\t   Comandos B\[AAcute]sicos para Vectores.", "Commentary"],

Cell["\<\
\t{a,b,c}\t\t\t\tvector (a,b,c)
\tRange[n]\t\t\tcrea la lista {1,2,...,n}
\tRange[n1,n2]\t\t\tcrea la lista {n1,n1+1,...,n2}
\tRange[n1,n2,dn]\t\tcrea la lista {n1,n1+dn,...,n2}
\tTable[f,{i,n}]\t\t\tconstruye un vector de longitud n evaluando f con \
i=1,2,...,n
\tArray[a,n]\t\t\tconstruye un vector de longitud n de la forma \
{a[1],a[2],...,a[n]}
\tlist[[i]]  o  Part[list,i]\t\tda el i-\[EAcute]simo elemento del vector \
list
\tLenght[list]\t\t\tda la longitud del vector list
\tColumnForm[list]\t\tmuestra el vector list en forma de columna\
\>", \
"Cuadro"],

Cell["\<\
\tc  v\t\t\t\tmultiplica el vector v por el escalar c
\tu . v  o  Dot[u,v]\t\t\tproducto punto o escalar de los vectores u y v
\tu \[Times] v  o  Cross[u,v]\t\tproducto cruz o vectorial de los vectores u \
y v
\tNorm[u]\t\t\tda la norma del  vector u\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell[BoxData[
    \(u = {2, 5}; v = {\(-2\), 4}; w = {x, y};\)], "InputOnly"],

Cell[BoxData[
    \(5  u\)], "Input"],

Cell[BoxData[
    \(u + v\)], "Input"],

Cell[BoxData[
    \(u\ v\)], "Input"],

Cell[BoxData[
    \(u\ w\)], "Input"],

Cell[BoxData[
    \(u\^2\)], "Input"],

Cell[BoxData[
    \(w\^2\)], "Input"],

Cell[BoxData[
    \(u\ w - w\^2\)], "Input"],

Cell[BoxData[
    \(w + u\)], "Input"],

Cell[BoxData[
    \(1/u\)], "Input"],

Cell[BoxData[
    \(1/w\)], "Input"],

Cell[BoxData[
    \(u/v\)], "Input"],

Cell[BoxData[
    \(u . v\)], "Input"],

Cell[BoxData[
    \(u . w\)], "Input"],

Cell[BoxData[
    \(Norm[u]\)], "Input"],

Cell[BoxData[
    \(Norm[w]\)], "Input"],

Cell[BoxData[
    \(Cross[{1, 2, 3}, {x, y, z}]\)], "Input"],

Cell[BoxData[
    \(Length[u]\)], "Input"],

Cell[BoxData[
    \(ColumnForm[u]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Operaciones con Matrices.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tTal vez Ud. vea algunos comandos ya estudiados, sin embargo, los \
incluimos de nuevo donde haga falta para verlos en el contexto en el que \
estamos trabajando y as\[IAcute] facilitar su uso y \
manipulaci\[OAcute]n.\
\>", "Text"],

Cell["\t   Comandos B\[AAcute]sicos para Matrices.", "Commentary"],

Cell[TextData[{
  "\t{{a,b},{c,d}}\t\t\tmatriz ",
  Cell[BoxData[
      RowBox[{"(", GridBox[{
            {"a", "b"},
            {"c", "d"}
            }], ")"}]]],
  " \n\tTable[f,{i,m},{j,n}]\t\tconstruye una matriz mxn evaluando f con \
i=1,2,...,m  j=1,2,...,n\n\tArray[a,{m,n}]\t\t\tconstruye una matriz mxn con \
i-j-\[EAcute]simo elemento a[i,j]\n\tlist[[i]]  o  Part[list,i]\t\tda la i-\
\[EAcute]sima fila de la matriz list\n\tTranspose[a][[j]]\t\tda la \
j-\[EAcute]sima columna de la matriz list, tambi\[EAcute]n se puede usar \
Map[#[[j]]&,a]\n\tlist[[i,j]]  o  Part[list,i,j]\t\tda el i-j-\[EAcute]simo \
elemento de la matriz list\n\tDimensions[list]\t\tda las dimensiones de la \
matriz list\n\tMatrixForm[list]\t\tmuestra la matriz list en forma de matriz"
}], "Cuadro"],

Cell["\<\
\tc  m\t\t\t\tmultiplica la matriz m por el escalar c
\ta . b\t\t\t\tproducto de las matrices a y b
\tIdentityMatrix[n]\t\tgenera la matriz identidad nxn
\tDiagonalMatrix[list]\t\tgenera una matriz cuadrada con los elementos de \
list en la diagonal
\tInverse[m]\t\t\tmatriz inversa de la matriz m
\tDet[m]\t\t\t\tdeterminante de la matriz m
\tTr[m]\t\t\t\ttraza de la matriz m
\tTranspose[m]\t\t\ttranspuesta de la matriz m
\tMatrixPower[m,n]\t\tn-\[EAcute]sima potencia de la matriz m
\tEigenvalues[m]\t\t\tvalores propios de la matriz m
\tEigenvectors[m]\t\tvectores propios de la matriz m\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplo 1.", "Text"],

Cell[BoxData[
    \(m = {{a, b}, {c, d}}\)], "Input"],

Cell[BoxData[
    \(m[\([1]\)]\)], "Input"],

Cell[BoxData[
    \(\(Transpose[m]\)[\([2]\)]\)], "Input"],

Cell[BoxData[
    \(Map[#[\([2]\)] &, m]\)], "Input"],

Cell[BoxData[
    \(m[\([2, 1]\)]\)], "Input"],

Cell[BoxData[
    \(MatrixForm[m]\)], "Input"],

Cell[BoxData[
    \(\(?m\)\)], "Input"],

Cell[BoxData[
    \(Det[m]\)], "Input"],

Cell[BoxData[
    \(Inverse[m]\)], "Input"],

Cell[BoxData[
    \(Transpose[m]\)], "Input"],

Cell[BoxData[
    \(Transpose[m] // MatrixForm\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 2.", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{"a", "=", 
        RowBox[{"(", GridBox[{
              {"1", "3"},
              {\(-2\), "4"}
              }], ")"}]}], ";", 
      RowBox[{"b", "=", 
        RowBox[{"(", GridBox[{
              {"3", \(-2\)},
              {"5", "6"}
              }], ")"}]}], ";"}]], "InputOnly"],

Cell[BoxData[{
    \(a + b\), "\[IndentingNewLine]", 
    \(3  a - 2  b\), "\[IndentingNewLine]", 
    \(2  a\), "\[IndentingNewLine]", 
    \(a\ b\), "\[IndentingNewLine]", 
    \(a . b\), "\[IndentingNewLine]", 
    \(b . a\)}], "Input"],

Cell[BoxData[
    \(v = {x, y}\)], "Input"],

Cell[BoxData[
    \(a . v\)], "Input"],

Cell[BoxData[
    \(Solve[a . v \[Equal] {1, 2}]\)], "Input"],

Cell[BoxData[
    \(a\^3\)], "Input"],

Cell[BoxData[
    \(Power[a, 3]\)], "Input"],

Cell[BoxData[
    \(c = Inverse[a]\)], "Input"],

Cell[BoxData[
    \(\(?c\)\)], "Input"],

Cell[BoxData[
    \(a . c // MatrixForm\)], "Input"],

Cell[BoxData[
    \(Eigenvalues[a]\)], "Input"],

Cell[BoxData[
    \(Eigenvectors[a]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\[FilledSquare] Sistemas de Ecuaciones Lineales.\
\>", \
"SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare] Trabajando con las ecuaciones\
\>", \
"SubSubSubtitulo"],

Cell["\<\
\tSolve[eqns,vars]\t\t\t\tintenta resolver la ecuaci\[OAcute]n o \
conjunto de ecuaciones para las variables vars
\tSolve[{izq1==der1,izq2==der2,...},{x,y,...}]\tresuelve el sistema de \
ecuaciones para x,y,...
\tSolve[eqns,vars,elims]\t\t\t\tintenta resolver la ecuaci\[OAcute]n para \
vars eliminando las variables elims\
\>", "Cuadro"],

Cell[BoxData[{
    \(ec1 = a - 2\ b + 3\ c \[Equal] 11\), "\[IndentingNewLine]", 
    \(ec2 = 4\ a + b - c \[Equal] 4\), "\[IndentingNewLine]", 
    \(ec3 = 2\ a - b + 3\ c \[Equal] 10\), "\[IndentingNewLine]", 
    \(sol = Solve[{ec1, ec2, ec3}, {a, b, c}]\)}], "Input"],

Cell[BoxData[
    \(a\)], "Input"],

Cell[BoxData[
    \(sol[\([1]\)]\)], "Input"],

Cell[BoxData[
    \(sol[\([1, 1]\)]\)], "Input"],

Cell[BoxData[
    \(x1 = a /. sol[\([1, 1]\)]\)], "Input"],

Cell[BoxData[
    \(a\)], "Input"],

Cell[BoxData[
    \(x1\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\t\[FilledSquare] Trabajando con los coeficientes\
\>", \
"SubSubSubtitulo"],

Cell["\<\
\tLinearSolve[a,b]\tda un vector x que es la soluci\[OAcute]n de la \
ecuaci\[OAcute]n matricial a.x=b\
\>", "Cuadro"],

Cell[BoxData[{
    RowBox[{"a", "=", 
      RowBox[{"(", GridBox[{
            {"1", \(-2\), "3"},
            {"4", "1", \(-1\)},
            {"2", \(-1\), "3"}
            }], ")"}]}], "\[IndentingNewLine]", \(b = {11, 4, 
        10}\), "\[IndentingNewLine]", \(sol = LinearSolve[a, b]\)}], "Input"],

Cell[BoxData[
    \(a . sol\)], "Input"],

Cell[BoxData[
    \(a . sol == b\)], "Input"],

Cell[TextData[{
  StyleBox["LinearSolve", "MR"],
  " con la matriz a como \[UAcute]nico argumento nos proporciona una funci\
\[OAcute]n que corresponde a la matriz dada y que podemos usar para resolver \
otros sistemas con la misma matriz a, veamos"
}], "Commentary",
  CellTags->"LinearSolve"],

Cell[BoxData[
    \(ls = LinearSolve[a]\)], "Input",
  CellTags->"LinearSolve"],

Cell["\<\
Ahora podemos aplicar la funci\[OAcute]n obtenida a diferentes \
vectores, por ejemplo\
\>", "Commentary",
  CellTags->"LinearSolve"],

Cell[BoxData[
    \(ls[b]\)], "Input",
  CellTags->"LinearSolve"],

Cell[BoxData[
    \(ls[{2, \(-5\), 4}]\)], "Input",
  CellTags->"LinearSolve"],

Cell["\<\
Podemos resolver sistemas rectangulares si la soluci\[OAcute]n \
existe, por ejemplo\
\>", "Commentary",
  CellTags->"LinearSolve"],

Cell[BoxData[
    RowBox[{"s", " ", "=", " ", 
      RowBox[{"LinearSolve", "[", 
        RowBox[{
          RowBox[{"m", " ", "=", " ", 
            RowBox[{"(", GridBox[{
                  {"1", "2", "3"},
                  {"2", "3", "4"}
                  }], ")"}]}], ",", " ", \(v\  = \ {\(-1\), 3}\)}], 
        "]"}]}]], "Input",
  CellTags->"LinearSolve"],

Cell["\<\
Observe que hemos obtenido una soluci\[OAcute]n, cuando el sistema \
tiene infinitas soluciones\
\>", "Commentarysub"],

Cell["Podemos entonces usar Solve para ver todas las soluciones", "Commentary",
  CellTags->"LinearSolve"],

Cell[BoxData[
    \(Solve[m . {x, y, z} == v, {x, y, z}]\)], "Input",
  CellTags->"LinearSolve"],

Cell[BoxData[
    RowBox[{"LinearSolve", "[", 
      RowBox[{
        RowBox[{"(", GridBox[{
              {"1", "2"},
              {"3", "4"},
              {"5", "6"}
              }], ")"}], ",", \({\(-1\), 2, \(-3\)}\)}], "]"}]], "Input",
  CellTags->"LinearSolve"],

Cell[TextData[{
  "El ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " devolvera el comando si el sistema no tiene soluci\[OAcute]n"
}], "Commentarysub"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\[FilledSquare] M\[AAcute]s operaciones con Vectores y \
Matrices.\
\>", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\t\tHay otra gran cantidad de comandos para Algebra Lineal para \
hacer diversas operaciones, por ejemplo, forma escalo reducida, \
ortogonalizaci\[OAcute]n, c\[AAcute]lculo de formas canonicas, diversos tipos \
de descomposici\[OAcute]n LU, Jordan, etc..

\t\tUd. debe de revisar con cuidado en el HelpBrowser los siguientes t\
\[OAcute]picos:

\t\tBuilt-in Functions -> Lists and Matrices
\t\tAdd-ons & Links -> Standard Packages -> Linear Algebra\
\>", "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\[FilledSquare] Conceptos del C\[AAcute]lculo Diferencial e \
Integral.\
\>", "Subtitulo",
  FontFamily->"Arial"],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] L\[IAcute]mites.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tCuando hacemos diversos tipos de c\[AAcute]lculos, necesitamos \
evaluar expresiones cuando las variables toman un valor particular, para ello \
simplemente aplicamos las reglas de transformaci\[OAcute]n usando el operador \
/., sin embargo en muchos casos la expresi\[OAcute]n resulta indeterminada, \
con lo cual nos vemos en la necesidad de calcular el l\[IAcute]mite.\
\>", \
"Text"],

Cell[TextData[{
  "\tLimit[expresi\[OAcute]n, x->",
  Cell[BoxData[
      \(TraditionalForm\`x\_0\)]],
  "]\tbusca el valor de expresi\[OAcute]n cuando x se aproxima a ",
  Cell[BoxData[
      \(TraditionalForm\`x\_0\)]]
}], "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell[BoxData[
    \(Sin[x] /. x \[Rule] 0\)], "Input"],

Cell[BoxData[
    \(Sin[x]\/x /. x \[Rule] 0\)], "Input"],

Cell[BoxData[
    \(Limit[Sin[x]\/x, x \[Rule] 0]\)], "Input"],

Cell[BoxData[
    \(Limit[\(1 - Cos[x]\)\/x\^2, x \[Rule] 0]\)], "Input"],

Cell[BoxData[{
    \(Limit[1\/x, x \[Rule] \[Infinity]]\), "\[IndentingNewLine]", 
    \(Limit[1\/x, x \[Rule] \(-\[Infinity]\)]\)}], "Input"],

Cell[BoxData[
    \(Limit[Sin[x]\/x\^2, x \[Rule] 0]\)], "Input"],

Cell[BoxData[
    \(Limit[x\ Log[x], x \[Rule] 0]\)], "Input"],

Cell[BoxData[
    \(Limit[\(Sin[x + h] - Sin[x]\)\/h, h \[Rule] 0]\)], "Input"],

Cell[BoxData[
    \(Limit[\((1 + 2\ x)\)\^\(1/x\), x \[Rule] 0]\)], "Input"]
}, Closed]],

Cell["\tConsideraciones Importantes.", "Text"],

Cell[TextData[{
  "\t1.  Algunas funciones pueden tener diferentes l\[IAcute]mites en puntos \
particulares, dependiendo de la direcci\[OAcute]n que se use para aproximarse \
a dicho punto, en ese caso usaremos la opci\[OAcute]n Direction para indicar \
la direcci\[OAcute]n que deseamos. Debe tenerse mucho cuidado con los \
resultados, pues el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " dar\[AAcute] como resultado, por defecto, el l\[IAcute]mite por la \
derecha."
}], "Text"],

Cell[TextData[{
  "\tLimit[expresi\[OAcute]n, x->",
  Cell[BoxData[
      \(TraditionalForm\`x\_0\)]],
  ", Direction -> 1]\t\tbusca el l\[IAcute]mite cuando x se aproxima a ",
  Cell[BoxData[
      \(TraditionalForm\`x\_0\)]],
  "por la izquierda\n\tLimit[expresi\[OAcute]n, x->",
  Cell[BoxData[
      \(TraditionalForm\`x\_0\)]],
  ", Direction -> -1]\t\tbusca el l\[IAcute]mite cuando x se aproxima a ",
  Cell[BoxData[
      \(TraditionalForm\`x\_0\)]],
  "por la derecha"
}], "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell[BoxData[{
    \(Limit[1\/x, x \[Rule] 0]\), "\[IndentingNewLine]", 
    \(Limit[1\/x, x \[Rule] 0, 
      Direction \[Rule] 1]\), "\[IndentingNewLine]", 
    \(Limit[1\/x, x \[Rule] 0, Direction \[Rule] \(-1\)]\)}], "Input"],

Cell[BoxData[{
    \(f[x_] = 1\/\(1 + 2\^\(1/x\)\)\), "\[IndentingNewLine]", 
    \(f[0]\), "\[IndentingNewLine]", 
    \(Limit[f[x], x \[Rule] 0]\)}], "Input"],

Cell[BoxData[
    \(Plot[f[x], {x, \(-3\), 3}]\)], "Input"],

Cell[BoxData[{
    \(Limit[f[x], x \[Rule] 0, 
      Direction \[Rule] 1]\), "\[IndentingNewLine]", 
    \(Limit[f[x], x \[Rule] 0, Direction \[Rule] \(-1\)]\)}], "Input"],

Cell[BoxData[{
    \(\(g[x_] = x\^3\/\(x\^2 - 1\);\)\), "\[IndentingNewLine]", 
    \(Plot[g[x], {x, \(-5\), 5}]\)}], "Input"],

Cell[BoxData[{
    \(Limit[g[x], x \[Rule] 1]\), "\[IndentingNewLine]", 
    \(Limit[g[x], x \[Rule] 1, 
      Direction \[Rule] 1]\), "\[IndentingNewLine]", 
    \(Limit[g[x], x \[Rule] 1, Direction \[Rule] \(-1\)]\)}], "Input"],

Cell[BoxData[
    \(Apart[g[x]]\)], "Input"],

Cell[BoxData[
    \(Plot[{g[x], x}, {x, \(-5\), 5}]\)], "Input"],

Cell[BoxData[{
    \(h[x_] = \(x\^2 + x - 1\)\/\(x\^2 - 1\)\), "\[IndentingNewLine]", 
    \(Plot[h[x], {x, \(-5\), 5}]\)}], "Input"],

Cell[BoxData[{
    \(Limit[h[x], x \[Rule] \[Infinity]]\), "\[IndentingNewLine]", 
    \(Limit[h[x], x \[Rule] \(-\[Infinity]\)]\)}], "Input"]
}, Closed]],

Cell[TextData[{
  "\t2.  Puesto que no toda funci\[OAcute]n tiene l\[IAcute]mite en un punto \
particular, el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " proporcionar\[AAcute], de ser posible, un intervalo de valores en los \
cuales la funci\[OAcute]n oscila, de manera de indicar el comportamiento de \
la funci\[OAcute]n al aproximarse al valor pedido."
}], "Text"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell[BoxData[
    \(Plot[Sin[1\/x], {x, \(-1\), 1}]\)], "Input"],

Cell[BoxData[
    \(Limit[Sin[1\/x], x \[Rule] 0]\)], "Input"],

Cell[BoxData[
    \(Limit[\[ExponentialE]\^Sin[x], x \[Rule] \[Infinity]]\)], "Input"],

Cell[BoxData[
    \(Plot[\[ExponentialE]\^Sin[x], {x, \(-10\), 100}]\)], "Input"]
}, Closed]],

Cell["\<\
\t3.  Note que podemos calcular, de la misma forma, l\[IAcute]mites \
para funciones definidas a trozos.\
\>", "Text"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell[BoxData[{
    \(\(f[x_] = 
        If[x \[GreaterEqual] 0, x + 1, 
          x\^2 - 2];\)\), "\[IndentingNewLine]", 
    \(Plot[f[x], {x, \(-3\), 3}]\)}], "Input"],

Cell[BoxData[{
    \(Limit[f[x], x \[Rule] 0]\), "\[IndentingNewLine]", 
    \(Limit[f[x], x \[Rule] 0, 
      Direction \[Rule] 1]\), "\[IndentingNewLine]", 
    \(Limit[f[x], x \[Rule] 0, Direction \[Rule] \(-1\)]\)}], "Input"],

Cell[BoxData[
    \(Limit[Zeta[s] - 1/\((s - 1)\), s \[Rule] 1]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Derivadas.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[TextData[{
  "\tEn general, se utilizar\[AAcute] el s\[IAcute]mbolo D para calcular \
derivadas, ordinarias y parciales, de una funci\[OAcute]n. Tambi\[EAcute]n \
usaremos las notaciones usuales como f'[x] para referirnos a la derivada de \
f[x], o bien, ",
  Cell[BoxData[
      \(TraditionalForm\`\[PartialD]\_x\ f\)]],
  ". Veamos los comandos y algunos ejemplos."
}], "Text"],

Cell[TextData[{
  "\tD[f,x]\t\t\tderivada parcial de f respecto de x, es decir ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(\[PartialD]\)\(\ \)\)\/\(\(\[PartialD]\_x\)\(\ \
\)\)\)]],
  "f,  tambi\[EAcute]n ",
  Cell[BoxData[
      \(TraditionalForm\`\[PartialD]\_x\ f\)]],
  ",  tambi\[EAcute]n  f'[x]\n\tD[f,x,y]\t\t\tderivada parcial de f respecto \
de y luego respecto de x , es decir ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(\[PartialD]\)\(\ \)\)\/\[PartialD]\_x\)]],
  " ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(\[PartialD]\)\(\ \)\)\/\[PartialD]\_y\)]],
  "f,  tambi\[EAcute]n ",
  Cell[BoxData[
      \(TraditionalForm\`\[PartialD]\_\(x, y\)f\)]],
  "\n\tD[f,",
  Cell[BoxData[
      \(TraditionalForm\`x\_1\)]],
  ",",
  Cell[BoxData[
      \(TraditionalForm\`x\_2\)]],
  ", ... ]\t\tderivada parcial de f respecto de ",
  Cell[BoxData[
      \(TraditionalForm\`x\_1\)]],
  ",",
  Cell[BoxData[
      \(TraditionalForm\`x\_2\)]],
  ", ... , es decir  ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(\[PartialD]\)\(\ \
\)\)\/\[PartialD]\_\(x\_1\)\)]],
  " ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(\[PartialD]\)\(\ \
\)\)\/\[PartialD]\_\(x\_2\)\)]],
  "... f\n\tD[f,{x,n}]\t\tn-\[EAcute]sima derivada de f respecto de x, es \
decir  ",
  Cell[BoxData[
      \(TraditionalForm\`\[PartialD]\^n\/\[PartialD]x\^n\)]],
  "f\n\t\n\tD[f,x,NonConstants->{v1,v2,...}]\t\tderivada parcial de f \
respecto de x donde v1,v2,... dependen a su vez de x"
}], "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell[CellGroupData[{

Cell["\tEjemplo 1.", "Text"],

Cell[BoxData[
    \(D[x\^n, x]\)], "Input"],

Cell[BoxData[{
    \(D[x\^n, x, x, x]\), "\[IndentingNewLine]", 
    \(D[x\^n, {x, 3}]\)}], "Input"],

Cell[BoxData[{
    \(f[x_] = x\^n\), "\[IndentingNewLine]", 
    \(D[f[x], x]\), "\[IndentingNewLine]", 
    \(D[f[x], {x, 3}]\)}], "Input"],

Cell[BoxData[{
    \(\(f'\)[x]\), "\[IndentingNewLine]", 
    \(\(f''\)[x]\), "\[IndentingNewLine]", 
    \(\(f'''\)[x]\)}], "Input"],

Cell[BoxData[{
    \(\(Sin'\)[x]\), "\[IndentingNewLine]", 
    \(\(Cos''\)[x]\), "\[IndentingNewLine]", 
    \(\(Tan'\)[x]\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 2.", "Text"],

Cell[BoxData[
    \(D[x\^2 + y\^2, x]\)], "Input"],

Cell[TextData[{
  "\tObserve que y ha sido tomada como constante, pues no se ha indicado en \
ning\[UAcute]n momento que y dependa de x, para hacer esto hay dos formas \
diferentes, una es usar y[x] en vez de y, esto indicar\[AAcute] al ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " que y depende explicitamente de x, la otra es usar el comando \
D[f,x,NonConstants->{y}] que le indicar\[AAcute] al ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " que y es una funci\[OAcute]n que depende de x en forma implicita, veamos"
}], "Text"],

Cell[BoxData[
    \(D[x\^2 + y[x]\^2, x]\)], "Input"],

Cell[BoxData[
    \(D[x\^2 + y\^2, x, NonConstants \[Rule] {y}]\)], "Input"],

Cell["\<\
\tNote que  D[y,x,NonConstants\[Rule]{y}]  es la derivada de y \
respecto de x entendido que y depende implicitamente de x.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 3.", "Text"],

Cell[BoxData[{
    \(D[x\^n + x\ Sin[a\ y], x]\), "\[IndentingNewLine]", 
    \(D[x\^n + x\ Sin[a\ y], x, x]\)}], "Input"],

Cell[BoxData[{
    \(D[x\^n + x\ Sin[a\ y], y]\), "\[IndentingNewLine]", 
    \(D[x\^n + x\ Sin[a\ y], y, y]\)}], "Input"],

Cell[BoxData[{
    \(D[x\^n + x\ Sin[a\ y], x, y]\), "\[IndentingNewLine]", 
    \(D[x\^n + x\ Sin[a\ y], y, x]\)}], "Input"],

Cell[BoxData[{
    \(g[x_, y_] = x\^n + x\ Sin[a\ y]\), "\[IndentingNewLine]", 
    \(D[g[x, y], x]\), "\[IndentingNewLine]", 
    \(D[g[x, y], x, y]\)}], "Input"],

Cell[BoxData[{
    \(\[PartialD]\_x\ g[x, y]\), "\[IndentingNewLine]", 
    \(\[PartialD]\_\(x, y\)g[x, y]\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 4.", "Text"],

Cell[TextData[{
  "\tTrace la gr\[AAcute]fica de la funci\[OAcute]n ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          FormBox[
            RowBox[{
              FormBox[
                RowBox[{
                  FormBox[
                    RowBox[{
                      FormBox[\(f(x) = x\^6\),
                        "TraditionalForm"], "-", \(x\^5\)}],
                    "TraditionalForm"], "-", \(3  x\^4\)}],
                "TraditionalForm"], "+", \(3  x\^3\)}],
            "TraditionalForm"], "-", \(4  x\^2\)}], TraditionalForm]]],
  "+4x  mostrando a su vez la recta tangente a f en x=1.6"
}], "Text"],

Cell[BoxData[
    \(f[x_] = x\^6 - x\^5 - 3  x\^4 + 3  x\^3 - 4  x\^2 + 4  x\)], "Input"],

Cell[BoxData[
    \(tangente = f[1.6] + \(f'\)[1.6] \((x - 1.6)\)\)], "Input"],

Cell[BoxData[
    \(Plot[{f[x], tangente}, {x, \(-1\), 3}]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 5.", "Text"],

Cell[BoxData[
    \(\(\(\t\)\(Trace\ la\ gr\[AAcute]fica\ de\ la\ funci\[OAcute]n\ dada\ \
mostrando\ los\ puntos\ cr\[IAcute]ticos\ y\ los\ puntos\ de\ \
inflexi\[OAcute]n\[IndentingNewLine]
    \tf[x] = x\^6 - x\^5 - 3  x\^4 + 3  x\^3 - 4  x\^2 + 4  x\)\)\)], "Text"],

Cell[BoxData[
    \(f[x_] = x\^6 - x\^5 - 3  x\^4 + 3  x\^3 - 4  x\^2 + 4  x\)], "Input"],

Cell[BoxData[
    \(grafica = Plot[f[x], {x, \(-2.5\), 2.5}]\)], "Input"],

Cell[BoxData[
    \(c = NSolve[\(f'\)[x] \[Equal] 0, x]\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ 
      podemos\ usar\ los\ comandos\ Select\ y\ FreeQ\ para\ seleccionar\ solo\
\ los\ valores\ reales\ *) \)\(\[IndentingNewLine]\)\(crx = 
      Select[NSolve[\(f'\)[x] \[Equal] 0], 
        FreeQ[#, Complex] &]\)\)\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ 
      evaluemos\ f\ en\ los\ puntos\ anteriores\ *) \)\(\[IndentingNewLine]\)\
\(cry = f[x] /. crx\)\)\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ 
      construyamos\ los\ puntos\ en\ el\ plano\ xy\ \
*) \)\(\[IndentingNewLine]\)\(pcriticos = 
      Transpose[{x /. crx, cry}]\)\)\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ 
      hagamos\ lo\ mismo\ para\ los\ puntos\ de\ inflexi\[OAcute]n\ *) \)\(\
\[IndentingNewLine]\)\(inx = 
      Select[NSolve[\(f''\)[x] \[Equal] 0], 
        FreeQ[#, Complex] &]\[IndentingNewLine]
    iny = f[x] /. inx\[IndentingNewLine]
    pinflexion = Transpose[{x /. inx, iny}]\)\)\)], "Input"],

Cell[BoxData[
    \(Show[grafica, 
      Epilog \[Rule] {AbsolutePointSize[6], RGBColor[1, 0, 0], 
          Map[Point, pcriticos], RGBColor[0, 0, 1], 
          Map[Point, pinflexion]}]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 6.", "Text"],

Cell["\<\
\tCuando diferenciamos una funci\[OAcute]n conocida se proporcionar\
\[AAcute] un resultado en forma explicita, mientras que cuando diferenciamos \
una funci\[OAcute]n desconocida f los resultados quedar\[AAcute]n en funci\
\[OAcute]n de f', veamos\
\>", "Text"],

Cell[BoxData[
    \(D[Log[x]\^2, x]\)], "Input"],

Cell[BoxData[
    \(D[f[x]\^2, x]\)], "Input"],

Cell[BoxData[
    \(D[x\ f[x], x]\)], "Input"],

Cell[BoxData[{
    \(D[x\ f[x\^2], x]\), "\[IndentingNewLine]", 
    \(D[x\ f[x\^2], x, x]\)}], "Input"],

Cell["\<\
\tCuamdo la funci\[OAcute]n tiene m\[AAcute]s de un argumento, se \
utilizan super \[IAcute]ndices para indicar cuantas veces un argumento est\
\[AAcute] siendo diferenciado, es decir\
\>", "Text"],

Cell[BoxData[
    \(D[g[x, y], x, x, y]\)], "Input"],

Cell[BoxData[
    \(D[g[x\^2, y\^2], x]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[TextData[{
  "\tPara las derivadas totales de una funci\[OAcute]n usaremos el \
s\[IAcute]mbolo Dt. Debemos aclarar que en ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " D[f,x] nos proporciona la derivada parcial de f respecto de x asumiendo, \
a menos que se indique lo contario, que todas las otras variables que \
aparezcan son independientes de x. Dt[f,x] nos proporciona una derivada \
total, en la que se asume que todas las variables dependen de x. En todo \
caso, siempre podemos a\[NTilde]adir un argumento para para dar mayor \
informaci\[OAcute]n acerca de las dependencias."
}], "Text"],

Cell[TextData[{
  "\tDt[f]\t\t\t\tdiferencial total de f respecto de x, es decir, df\n\t\
Dt[f,x]\t\t\t\tderivada total de f respecto de x, es decir, df/dx\n\tDt[f,",
  Cell[BoxData[
      \(TraditionalForm\`x\_1\)]],
  ",",
  Cell[BoxData[
      \(TraditionalForm\`x\_2\)]],
  ", ... ]\t\t\tderivada total m\[UAcute]ltiple de f respecto de los ",
  Cell[BoxData[
      \(TraditionalForm\`x\_i\)]],
  "\n\tDt[f,x,Constants->{",
  Cell[BoxData[
      \(TraditionalForm\`c\_1\)]],
  ",",
  Cell[BoxData[
      \(TraditionalForm\`c\_2\)]],
  ",...}]\tderivada total con los ",
  Cell[BoxData[
      \(TraditionalForm\`c\_i\)]],
  "constantes, es decir, d",
  Cell[BoxData[
      \(TraditionalForm\`c\_i\)]],
  "=0\n\ty / : Dt[y,x]=0\t\t\thace dy/dx=0\n\tSetAttributes[c,Constant]\t\
define c como constante en todos los casos"
}], "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell[BoxData[{
    \(D[x\^2 + y\^2, x]\), "\[IndentingNewLine]", 
    \(D[x\^2 + y\^2 + z\^2, x]\)}], "Input"],

Cell[BoxData[{
    \(Dt[x\^2 + y\^2, x]\), "\[IndentingNewLine]", 
    \(Dt[x\^2 + y\^2 + z\^2, x]\)}], "Input"],

Cell[BoxData[{
    \(Dt[x\^2 + a\ y\^2 + z\^2, x]\), "\[IndentingNewLine]", 
    \(Dt[x\^2 + a\ y\^2 + z\^2, x, 
      Constants \[Rule] {a}]\), "\[IndentingNewLine]", 
    \(Dt[x\^2 + a\ y\^2 + z\^2, x, Constants \[Rule] {a, z}]\)}], "Input"],

Cell[BoxData[
    \(\(\( (*\ 
      para\ evitar\ la\ complicaci\[OAcute]n\ en\ la\ notaci\[OAcute]n\ es\ \
mejor\ declarar\ las\ constantes\ *) \)\(\[IndentingNewLine]\)\(SetAttributes[
      a, Constant]\[IndentingNewLine]
    Dt[x\^2 + a\ y\^2 + z\^2, x]\[IndentingNewLine]
    Dt[x\^2 + a\ y\^2 + \(a\^2\) z\^2, x]\)\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo para derivar y evaluar una funci\[OAcute]n \
impl\[IAcute]cita.", "Text"],

Cell[BoxData[{
    \(\(f = x\^2 + 3  y\^2 + x\ y - 1;\)\), "\[IndentingNewLine]", 
    \(ecu = f \[Equal] 0\), "\[IndentingNewLine]", 
    \( (*\ la\ ecuaci\[OAcute]n\ ecu\ o\ f \[Equal] 
        0\ definen\ una\ funci\[OAcute]n\ y[x]\ *) \)}], "Input"],

Cell[BoxData[{
    \(<< Graphics`ImplicitPlot`\), "\[IndentingNewLine]", 
    \(gf = ImplicitPlot[ecu, {x, \(-1.5\), 1.5}]\)}], "Input"],

Cell[BoxData[
    \(\(\( (*\ 
      obtenemos\ una\ ecuaci\[OAcute]n\ para\ la\ derivada\ implicita\ y\ \
despejamos\ *) \)\(\[IndentingNewLine]\)\(derecu = 
      Dt[ecu, x]\[IndentingNewLine]
    Solve[derecu, Dt[y, x]]\[IndentingNewLine]
    dy = Dt[y, x] /. %[\([1]\)]\)\)\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ suponga\ que\ queremos\ la\ derivada\ en\ x = 0.5, \ 
      primero\ resolvemos\ para\ y\ *) \)\(\[IndentingNewLine]\)\(\(x1 = 
        0.5;\)\[IndentingNewLine]
    y1 = y /. Solve[ecu /. x \[Rule] x1, y]\)\)\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ 
      los\ valores\ de\ la\ derivada\ son\ *) \)\(\[IndentingNewLine]\)\(dy1 \
= \(dy /. x \[Rule] x1\) /. y \[Rule] y1\)\)\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ 
      las\ tangentes\ en\ dichos\ puntos\ son\ \
*) \)\(\[IndentingNewLine]\)\(tangentes = 
      y1 + dy1 \((x - x1)\)\)\)\)], "Input"],

Cell[BoxData[
    \(gt = Plot[Evaluate[tangentes, {x, \(-1.5\), 1.5}]]\)], "Input"],

Cell[BoxData[
    \(Show[gf, gt]\)], "Input"],

Cell[BoxData[
    \(Show[gf, gt, 
      Epilog \[Rule] {AbsolutePointSize[6], 
          Map[Point[{x1, #}] &, y1]}]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Integrales.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[CellGroupData[{

Cell["\t\t\[FilledSquare]  Integrales Indefinidas", "SubSubSubtitulo"],

Cell[TextData[{
  "\tEl ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " usa la funci\[OAcute]n Integrate[f,x] para proporcionarnos ",
  Cell[BoxData[
      \(TraditionalForm\`\[Integral]f[x] \(\(\[DifferentialD]x\)\(.\)\)\)]],
  " Este resultado de la integral indefinida puede ser facilmente verificado \
calculando la derivada del resultado y simplificando. La funci\[OAcute]n \
Integrate asume que cualquier objeto que no contenga explicitamente la \
variable de integraci\[OAcute]n, es independiente de ella y en consecuencia \
es tratado como una constante."
}], "Text"],

Cell[TextData[{
  "\tIntegrate[f,x]\t\tintegral indefinida de f respecto de x\n\t",
  Cell[BoxData[
      \(TraditionalForm\`\[Integral]f\ \ \[DifferentialD]x\)]],
  "\t\t(usando la paleta BasicInput)"
}], "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell[BoxData[{
    \(\(\(Integrate[x\^2, x]\)\(\[IndentingNewLine]\)
    \) (*\ o\ tambi\[EAcute]n\ *) \), "\[IndentingNewLine]", 
    \(\[Integral]\(x\^2\) \[DifferentialD]x\)}], "Input"],

Cell[BoxData[{
    \(Integrate[1\/\(a + b\ x\), x]\), "\[IndentingNewLine]", 
    \(\[Integral]\(1\/\(a + b\ x\)\) \[DifferentialD]x\)}], "Input"],

Cell[BoxData[{
    \(f = 1\/\(a + b\ x\)\), "\[IndentingNewLine]", 
    \(\[Integral]f \[DifferentialD]x\)}], "Input"],

Cell[BoxData[{
    \(g[x_] = x\^2\/\(a + b\ x\)\), "\[IndentingNewLine]", 
    \(\[Integral]g[x] \[DifferentialD]x\)}], "Input"],

Cell[BoxData[
    \(\[Integral]\(Sin[x]\^3\) \(Cos[x]\^2\) \[DifferentialD]x\)], "Input"],

Cell[BoxData[
    \(\[Integral]\(Log[x]\^2\) \[DifferentialD]x\)], "Input"],

Cell["\<\
\tMuchas funciones no tienen una antiderivada en t\[EAcute]rminos \
de funciones elementales, sin embargo esta puede expresarse en \
t\[EAcute]rminos de algunas funciones especiales, por ejemplo\
\>", "Text"],

Cell[BoxData[
    \(\[Integral]\(\[ExponentialE]\^\(-x\^2\)\) \[DifferentialD]x\)], "Input"],

Cell[BoxData[
    \(\[Integral]\(\@\(1 - \(x\^2\) 
                Sin[\[Theta]]\^2\)\) \[DifferentialD]\[Theta]\)], "Input"],

Cell[BoxData[
    \(\[Integral]Sin[x\^2] \[DifferentialD]x\)], "Input"],

Cell[BoxData[
    \(Simplify[\[Integral]Log[
            x]\ \(\[ExponentialE]\^\(-x\^2\)\) \[DifferentialD]x]\)], "Input"],

Cell[TextData[{
  "\tCon algunas funciones como valor Absoluto o la funci\[OAcute]n Signo, el \
",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " no calcula directamente la antiderivada, sin embargo, el lector debe \
revisar el Paquete ProgrammingInMathematica`Abs` y revisar las reglas para \
derivar e integrar dichas funciones, por ejemplo"
}], "Text"],

Cell[BoxData[{
    \(\[Integral]Abs[x] \[DifferentialD]x\), "\[IndentingNewLine]", 
    \(\[Integral]Sign[x] \[DifferentialD]x\)}], "Input"],

Cell[BoxData[{
    \(Needs["\<ProgrammingInMathematica`Abs`\>"]\), "\[IndentingNewLine]", 
    \(\[Integral]Abs[x] \[DifferentialD]x\), "\[IndentingNewLine]", 
    \(\[Integral]Sign[x] \[DifferentialD]x\)}], "Input"],

Cell[TextData[{
  "\tCuando se integra se debe tener cuidado, pues ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " asume que todos lo par\[AAcute]metros en el integrando tienen valores \
\"gen\[EAcute]ricos\", si dichos par\[AAcute]metros tienen un valor espec\
\[IAcute]fico, Ud. debe preguntar el resultado usando dicho valor, dicho de \
otro modo, el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " dar\[AAcute] como respuesta el resultado est\[AAcute]ndar de la integral, \
veamos los siguientes ejemplos,"
}], "Text"],

Cell[TextData[{
  "Aca el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " asume que n po puede valer -1, si espec\[IAcute]ficamente damos al par\
\[AAcute]metro n el valor -1, se obtendr\[AAcute] el resultado deseado"
}], "Commentary"],

Cell[BoxData[{
    \(\[Integral]\(x\^n\) \[DifferentialD]x\), "\[IndentingNewLine]", 
    \(\[Integral]\(x\^\(-1\)\) \[DifferentialD]x\)}], "Input"],

Cell[BoxData[{
    \(\[Integral]\(Log[x]\^n\/x\) \[DifferentialD]x\), "\[IndentingNewLine]", \

    \(\[Integral]\(Log[x]\^\(-1\)\/x\) \[DifferentialD]x\)}], "Input"],

Cell[TextData[{
  "\tEl ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " incluye un rango muy amplio de funciones matem\[AAcute]ticas, lo cual nos \
permite resolver la mayor\[IAcute]a de la integrales que planteemos, sin \
embargo, puede ser que encontremos funciones cuya antiderivada no pueda ser \
expresada en t\[EAcute]rminos de funciones elementales o especiales, por \
ejemplo,"
}], "Text"],

Cell[BoxData[
    \(\[Integral]\(Sin[x]\/Log[x]\) \[DifferentialD]x\)], "Input"],

Cell[BoxData[
    \(\[Integral]Sin[Sin[x]] \[DifferentialD]x\)], "Input"],

Cell["\<\
\tUd. puede sin embargo si lo desea, escribir sus propias reglas de \
integraci\[OAcute]n, por ejemplo, vamos a definir una nueva funci\[OAcute]n \
llamada \"Jones\", para resolver integrales como la anterior, para ello \
debemos primero remover la protecci\[OAcute]n de escritura y luego proceder a \
definir la nueva regla, por ejemplo,\
\>", "Text"],

Cell[BoxData[
    \(Unprotect[Integrate]\)], "Input"],

Cell[BoxData[
    \(Integrate[Sin[Sin[a_.  + b_. \ x_]], x_] := 
      Jones[a, x]/b\)], "InputOnly"],

Cell["\ty ahora ya podemos utilizar dicha regla, veamos", "Text"],

Cell[BoxData[
    \(\[Integral]Sin[Sin[3  x]] \[DifferentialD]x\)], "Input"],

Cell[TextData[{
  "\tAun cuando ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " puede resolver la siguiente integral usando integraci\[OAcute]n por \
partes, Ud. puede realizar el proceso si lo desea paso a paso, veamos"
}], "Text"],

Cell[BoxData[
    \(\[Integral]Log[x]\ \(x\^n\) \[DifferentialD]x\)], "Input"],

Cell[BoxData[{
    \(u = Log[x]; dv = x\^n;\), "\[IndentingNewLine]", 
    \({du = D[u, x], v = Integrate[dv, x]}\), "\[IndentingNewLine]", 
    \(u\ v - Integrate[du\ v, x]\)}], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\t\[FilledSquare]  Integrales Definidas", "SubSubSubtitulo"],

Cell[TextData[{
  "\tIntegrate[f,{x,xmin,xmax}]\t\t\tla integral definida  ",
  Cell[BoxData[
      \(TraditionalForm\`\[Integral]\_xmin\%xmax f\ \ \[DifferentialD]x\)]],
  "\n\t\n\tIntegrate[f,{x,xmin,xmax},{y,ymin,ymax} ]\tla integral \
m\[UAcute]ltiple definida  ",
  Cell[BoxData[
      \(TraditionalForm\`\[Integral]\_xmin\%xmax\(\[Integral]\_ymin\%ymax\ 
          f \[DifferentialD]y \[DifferentialD]x\)\)]],
  " "
}], "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell[BoxData[{
    \(Integrate[x\^2, {x, \(-1\), 2}]\), "\[IndentingNewLine]", 
    \(\[Integral]\_a\%b\( x\^2\) \[DifferentialD]x\)}], "Input"],

Cell[BoxData[{
    \(Integrate[x\^2 + y\^2, {x, 0, a}, {y, 0, b}]\), "\[IndentingNewLine]", 
    \(\[Integral]\_0\%a\(\[Integral]\_0\%b\((x\^2 + 
              y\^2)\) \[DifferentialD]y \[DifferentialD]x\)\)}], "Input"],

Cell[BoxData[
    \(\[Integral]\_0\%\[Infinity]\( \[ExponentialE]\^\(-x\^2\)\) \
\[DifferentialD]x\)], "Input"],

Cell["\<\
\tObserve en el siguiente ejemplo que la integral indefinida no \
puede ser calculada, sin embargo, la definida si\
\>", "Text"],

Cell[BoxData[{
    \(\[Integral]Cos[Sin[x]] \[DifferentialD]x\), "\[IndentingNewLine]", 
    \(\[Integral]\_0\%\(2\ \[Pi]\)Cos[Sin[x]] \[DifferentialD]x\)}], "Input"],

Cell["\ty si desea un valor aproximado", "Text"],

Cell[BoxData[
    \(N[%]\)], "Input"],

Cell["\<\
\tel integrando puede contener funciones especiales, por ejemplo,\
\
\>", "Text"],

Cell[BoxData[
    \(\[Integral]\_0\%\[Infinity]\( BesselK[0, 
              x]\^2\) \[DifferentialD]x\)], "Input"],

Cell["\<\
\tpuede que el integrando parezca sencillo, pero el resultado de la \
integral definida no, por ejemplo,\
\>", "Text"],

Cell[BoxData[
    \(\[Integral]\_0\%\[Infinity] Sin[
          x\^2] \(\[ExponentialE]\^\(-x\)\) \[DifferentialD]x\)], "Input"],

Cell[BoxData[
    \(N[%, 20]\)], "Input"],

Cell["\<\
\tLos l\[IAcute]mites de integraci\[OAcute]n pueden ser funciones, \
por ejemplo,\
\>", "Text"],

Cell[BoxData[
    \(\[Integral]\_a\%b\(\[Integral]\_x\%\(x + 1\)\((12\ x\ y)\) \
\[DifferentialD]y \[DifferentialD]x\)\)], "Input"],

Cell["\<\
\tAunque Ud. puede calcular una integral definida usando el Teorema \
Fundamental del C\[AAcute]lculo, debe de tener mucho cuidado con las \
singularidades de la funci\[OAcute]n, pues podr\[IAcute]a Ud. obtener \
resultados incorrectos, observe a continuaci\[OAcute]n\
\>", "Text"],

Cell[BoxData[
    \(\[Integral]\(1\/x\^2\) \[DifferentialD]x\)], "Input"],

Cell[BoxData[
    \(Limit[%, x \[Rule] 2] - Limit[%, x \[Rule] \(-2\)]\)], "Input"],

Cell["\<\
\tObserve que aun cuando la antiderivada y los valores de los l\
\[IAcute]mites est\[AAcute]n correctos, el resultado es erroneo, pues la \
integral planteada en el intervalo dado es impropia, vea que lo correcto es\
\
\>", "Text"],

Cell[BoxData[
    \(\[Integral]\_\(-2\)\%2\( 1\/x\^2\) \[DifferentialD]x\)], "Input"],

Cell[TextData[{
  "\tEl ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " puede dar un resultado proporcionando a su vez ciertas condiciones para \
la convergencia de la integral, por ejemplo,"
}], "Text"],

Cell[BoxData[{
    \(\[Integral]\_0\%1\( \[ExponentialE]\^\(a\ x\)\) \[DifferentialD]x\), "\
\[IndentingNewLine]", 
    \(\[Integral]\_0\%\[Infinity]\( \[ExponentialE]\^\(a\ x\)\) \
\[DifferentialD]x\)}], "Input"],

Cell[BoxData[
    \(\[Integral]\_0\%\[Infinity]\( Sin[
              a\ x]\/x\) \[DifferentialD]x\)], "Input"],

Cell["\<\
\tLos comandos que siguen pueden ser utilizados por Ud. para dar o \
pedir condiciones\
\>", "Text"],

Cell["\<\
\tIntegrate[f,{x,xmin,xmax},PrincipalValue->True]\tel valor \
principal de Cauchy de la integral dada
\tGenerateConditions\tdefault value=True\t\tpara generar condiciones expl\
\[IAcute]citas
\tAssumptions\t\t{ }\t\t\t\tpara indicar relaciones entre los \
par\[AAcute]metros\
\>", "Cuadro"],

Cell[BoxData[{
    \(Integrate[Exp[a\ x], {x, 0, \[Infinity]}, 
      Assumptions \[Rule] \((a > 0)\)]\), "\[IndentingNewLine]", 
    \(Integrate[Exp[b\ x], {x, 0, \[Infinity]}, 
      Assumptions \[Rule] \((b = 0)\)]\), "\[IndentingNewLine]", 
    \(Integrate[Exp[c\ x], {x, 0, \[Infinity]}, 
      Assumptions \[Rule] \((c < 0)\)]\)}], "Input"],

Cell[BoxData[{
    \(Integrate[x\^n, {x, 0, 1}]\), "\[IndentingNewLine]", 
    \(Integrate[x\^n, {x, 0, 1}, 
      Assumptions \[Rule] \((n > \(-1\))\)]\), "\[IndentingNewLine]", 
    \(Integrate[x\^n, {x, 0, 1}, 
      GenerateConditions \[Rule] False]\)}], "Input"],

Cell[BoxData[
    \(\[Integral]\_\(-1\)\%2\( 1\/x\) \[DifferentialD]x\)], "Input"],

Cell[BoxData[
    \(Integrate[1\/x, {x, \(-1\), 2}, PrincipalValue \[Rule] True]\)], "Input"],

Cell["\<\
\tEn caso de que la funci\[OAcute]n de integraci\[OAcute]n definida \
no produzca un resultado exacto, podemos sin embargo ver un c\[AAcute]lculo \
aproximado del resultado, por ejemplo, \
\>", "Text"],

Cell[BoxData[
    \(\[Integral]\_0\%\[Pi] Sin[Sin[x\^2]] \[DifferentialD]x\)], "Input"],

Cell[BoxData[
    \(N[%]\)], "Input"],

Cell["\<\
\tTambi\[EAcute]n podemos usar el comando NIntegrate que se explica \
a continuaci\[OAcute]n\
\>", "Text"],

Cell["\<\
\tNIntegrate[f,{x,xmin,xmax}]\t\tcalcula la integral usando m\
\[EAcute]todos num\[EAcute]ricos\
\>", "Cuadro"],

Cell[BoxData[
    \(NIntegrate[Sin[Sin[x\^2]], {x, 0, \[Pi]}]\)], "Input"],

Cell["\<\
\tSi el intervalo de integraci\[OAcute]n contiene puntos de \
discontinuidad o sigularidades, NIntegrate puede proporcionarnos un resultado \
incorrecto, en ese caso, descomponga el intervalo de integraci\[OAcute]n en \
tantos pedazos como sea necesario, veamos\
\>", "Text"],

Cell[BoxData[
    \(NIntegrate[1\/\(2\^\(1/x\) + 1\), {x, \(-1\), 1}]\)], "Input"],

Cell["\tobserve ahora", "Text"],

Cell[BoxData[
    \(NIntegrate[1\/\(2\^\(1/x\) + 1\), {x, \(-1\), 0, 1}]\)], "Input"],

Cell["\<\
\tTambi\[EAcute]n podemos manipular las integrales en forma simb\
\[OAcute]lica, veamos\
\>", "Text"],

Cell[BoxData[
    \(\[Integral]\(x\^2\) f[x] \[DifferentialD]x\)], "Input"],

Cell[BoxData[
    \(D[%, x]\)], "Input"],

Cell[BoxData[
    \(Integrate[f[x], {x, a[x], b[x]}]\)], "Input"],

Cell[BoxData[
    \(D[%, x]\)], "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Series de Taylor.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tLos comandos b\[AAcute]sicos para expandir una funci\[OAcute]n en \
serie de potencias y trabajar con ella son:\
\>", "Text"],

Cell[TextData[{
  "\tSeries[expr,{x, ",
  Cell[BoxData[
      \(TraditionalForm\`x\_0\)]],
  ",n}]\t\t\tda la expansi\[OAcute]n en serie de potencias de expr centrada \
en x=",
  Cell[BoxData[
      \(TraditionalForm\`x\_0\)]],
  "y de orden n\n\tNormal[seriepot]\t\t\tconvierte la serie de potencias \
seriepot en una expresi\[OAcute]n normal\n\tSeries[expr,{x, ",
  Cell[BoxData[
      \(TraditionalForm\`x\_0\)]],
  ",n},{y,",
  Cell[BoxData[
      \(TraditionalForm\`y\_0\)]],
  ",m}]\t\tda la expansi\[OAcute]n en serie de potencias primero respecto e y \
luego respecto de x\n\tSeriesCoefficient[seriepot,n]\t\tda el coeficiente de \
orden n de la serie de potencias seriepot"
}], "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell[BoxData[
    \(s = Series[Exp[x], {x, 0, 6}]\)], "Input"],

Cell[BoxData[
    \(SeriesCoefficient[s, 5]\)], "Input"],

Cell["\<\
\tObserve que este coeficiente lo da como indeterminado pues solo \
se calcul\[OAcute] hasta el quinto t\[EAcute]rmino\
\>", "Commentary"],

Cell[BoxData[
    \(SeriesCoefficient[s, 15]\)], "Input"],

Cell[BoxData[
    \(SeriesCoefficient[Series[Exp[x], {x, 0, 16}], 15]\)], "Input"],

Cell[BoxData[
    \(Series[Exp[x], {x, 1, 6}]\)], "Input"],

Cell[BoxData[
    \(Series[Sin[x]\ Cos[y], {x, 0, 5}, {y, 0, 5}]\)], "Input"],

Cell["\<\
\tLas series pueden envolver potencias racionales y negativas o \
logaritmos\
\>", "Text"],

Cell[BoxData[
    \(Series[\[ExponentialE]\^x\/x\^2, {x, 0, 4}]\)], "Input"],

Cell[BoxData[
    \(Series[\[ExponentialE]\^\(\@x\), {x, 0, 3}]\)], "Input"],

Cell[BoxData[
    \(Series[\(\[ExponentialE]\^\(2\ x\)\) Log[x], {x, 0, 3}]\)], "Input"],

Cell["\<\
\tPodemos hacer operaciones con dichas expansiones, por \
ejemplo\
\>", "Text"],

Cell[BoxData[
    \(t = Series[1\/\@\(x + 1\), {x, 0, 4}]\)], "Input"],

Cell[BoxData[{
    \(t\^2\), "\[IndentingNewLine]", 
    \(D[t, x]\), "\[IndentingNewLine]", 
    \(Integrate[t, x]\)}], "Input"],

Cell[BoxData[{
    \(w = Series[Cos[x], {x, 0, 10}]\), "\[IndentingNewLine]", 
    \(1/\((1 - w)\)\)}], "Input"],

Cell[BoxData[
    \(w\ t\)], "Input"],

Cell["\<\
\tDentro de las operaciones podemos componer series e incluso \
buscar la funci\[OAcute]n inversa de la serie dada\
\>", "Text"],

Cell["\<\
\tComposeSeries[serie1,serie1,...]\tcompone las series de potencias
\tInverseSeries[serie]\t\t\tencuentra la inversa de las serie de \
potencias\
\>", "Cuadro"],

Cell["\<\
\tEl efecto es que se reemplazar\[AAcute] la variable x en la serie \
de Exp[x] por la serie de Sin[x]\
\>", "Commentary"],

Cell[BoxData[{
    \(s1 = Series[Exp[x], {x, 0, 5}]\), "\[IndentingNewLine]", 
    \(s2 = Series[Sin[x], {x, 0, 5}]\), "\[IndentingNewLine]", 
    \(ComposeSeries[s1, s2]\)}], "Input"],

Cell[BoxData[{
    \(Series[Sin[y], {y, 0, 5}]\), "\[IndentingNewLine]", 
    \(InverseSeries[%, x]\)}], "Input"],

Cell["\<\
\tObserve que si x=Sin[y],  la inversa corresponde a y=ArcSin[x] y \
por tanto su compsici\[OAcute]n ser\[AAcute] y, en efecto, veamos\
\>", \
"Commentary"],

Cell[BoxData[{
    \(ComposeSeries[%, %%]\), "\[IndentingNewLine]", 
    \(Series[ArcSin[x], {x, 0, 6}]\)}], "Input"],

Cell["\<\
\tPodemos convertir la serie en una expresi\[OAcute]n normal y \
trabajar con ella\
\>", "Text"],

Cell[BoxData[
    \(s = Normal[t]\)], "Input"],

Cell[BoxData[
    \(s\^2 // Expand\)], "Input"],

Cell["\<\
\tAlgunas veces puede ocurrir que se encuentre una singularidad \
esencial y la serie no pueda ser calculada\
\>", "Text"],

Cell[BoxData[
    \(Series[Sin[1\/x], {x, 0, 3}]\)], "Input"],

Cell["\tPodemos calcular el desarrollo centrado en el infinito", "Text"],

Cell[BoxData[
    \(Series[Sin[1\/x], {x, \[Infinity], 7}]\)], "Input"],

Cell[TextData[{
  "\tCada vez que el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " encuentre el s\[IAcute]mbolo ",
  Cell[BoxData[
      \(TraditionalForm\`O[x]\)]],
  " en una suma de t\[EAcute]rminos, convertir\[AAcute] dicha suma en una \
serie de potencias"
}], "Text"],

Cell[BoxData[
    \(a\ x + Exp[x] + O[x]\^5\)], "Input"],

Cell["\<\
\tObserve una de las ventajas de hacerlo de esta manera, pues basta \
hacer\
\>", "Text"],

Cell[BoxData[
    \(Sin[x] + Cos[x] + O[x]\^5\)], "Input"],

Cell["\ten vez de", "Text"],

Cell[BoxData[{
    \(t1 = Series[Sin[x], {x, 0, 4}]\), "\[IndentingNewLine]", 
    \(t2 = Series[Cos[x], {x, 0, 4}]\), "\[IndentingNewLine]", 
    \(t1 + t2\)}], "Input"],

Cell[TextData[{
  "\tCuando se realize una operaci\[OAcute]n que envuelva una \
expresi\[OAcute]n normal y una serie de potencias, ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " tratar\[AAcute] de incluir, dentro de lo posible, la expresi\[OAcute]n \
dentro de la serie de potencias"
}], "Text"],

Cell[BoxData[
    \(v = 1 + Series[Exp[x], {x, 0, 4}]\)], "Input"],

Cell[BoxData[
    \(v + x\^2\)], "Input"],

Cell[BoxData[
    \(% + Sin[x]\)], "Input"],

Cell["\tpodemos trabajar de forma s\[IAcute]mbolica", "Text"],

Cell[BoxData[
    \(g = Series[f[x], {x, 0, 4}]\)], "Input"],

Cell[BoxData[
    \(\((x\^2 + 1)\) g\)], "Input"]
}, Closed]],

Cell["\<\
\tNota: Para estudiar Series de Fourier, vea el Paquete \
Calculus`FourierTransform.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Sumas y Productos.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tLos comandos para calcular sumas y productos, finitos e \
infinitos, son:\
\>", "Text"],

Cell["\<\
\tSi en vez de Sum o Product usamos NSum o NProduct, se calcular\
\[AAcute] la suma o el producto con m\[EAcute]todos numericos.
\tRecuerde que puede usar los s\[IAcute]mbolos de la paleta BasicInput.\
\>", \
"Commentary"],

Cell["\<\
\tSum[f,{i,b}]\t\tsuma con i desde 1 hasta b
\tSum[f,{i,a,b}]\t\tsuma con i desde a hasta b
\tSum[f,{i,a,b,d}]\t\tsuma con i desde a hasta b con paso d
\tProduct[f,{i,b}]\t\tproducto con i desde 1 hasta b
\tProduct[f,{i,a,b}]\tproducto con i desde a hasta b
\tProduct[f,{i,a,b,d}]\tproducto con i desde a hasta b con paso d\
\>", \
"Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos.", "Text"],

Cell[BoxData[{
    \(Sum[s, {i, 4}]\), "\[IndentingNewLine]", 
    \(\[Sum]\+\(i = 1\)\%4 s\)}], "Input"],

Cell[BoxData[
    \(Product[x + n, {n, 4}]\)], "Input"],

Cell[BoxData[
    \(\[Sum]\+\(j = 0\)\%4 x\^j\)], "Input"],

Cell[BoxData[
    \(\[Sum]\+\(n = 1\)\%3\(\[Sum]\+\(m = 1\)\%n\( x\^n\) y\^m\)\)], "Input"],

Cell[BoxData[{
    \(\[Sum]\+\(n = 1\)\%80 1\/n\^2\), "\[IndentingNewLine]", 
    \(N[%]\)}], "Input"],

Cell[BoxData[{
    \(\[Sum]\+\(k = 0\)\%n k\), "\[IndentingNewLine]", 
    \(\[Sum]\+\(k = 0\)\%n k\^2\)}], "Input"],

Cell[BoxData[
    \(\[Product]\+\(i = 1\)\%n\((1 - \(i + 1\)\/i)\)\)], "Input"],

Cell["\<\
\tPodemos ver si una serie o un producto converge, adem\[AAcute]s \
de ver el valor de convergencia\
\>", "Text"],

Cell[BoxData[{
    \(\[Sum]\+\(n = 1\)\%\[Infinity] 1\/n\^2\), "\[IndentingNewLine]", 
    \(\[Sum]\+\(n = 0\)\%\[Infinity]\((1\/2)\)\^n\), "\[IndentingNewLine]", 
    \(\[Sum]\+\(n = 1\)\%\[Infinity] 1\/n\), "\[IndentingNewLine]", 
    \(\[Sum]\+\(n = 0\)\%\[Infinity]\( n + 1\)\/\((n + 2)\)\^3\), "\
\[IndentingNewLine]", 
    \(N[%]\), "\[IndentingNewLine]", 
    \(\[Product]\+\(n = 1\)\%\[Infinity]\((1 - 1\/\(2  n\^2\))\)\)}], "Input"],

Cell["\<\
\tPodemos ver si una serie de potencias converge a una funci\
\[OAcute]n dada, adem\[AAcute]s de ver la funci\[OAcute]n\
\>", "Text"],

Cell[BoxData[{
    \(\[Sum]\+\(n = 0\)\%\[Infinity] x\^n\/\(n!\)\), "\[IndentingNewLine]", 
    \(\[Sum]\+\(n = 0\)\%\[Infinity]\(\(\((\(-1\))\)\^n\) x\^\(2\ n + 1\)\)\/\
\(\((2\ n + 1)\)!\)\), "\[IndentingNewLine]", 
    \(FullSimplify[%]\), "\[IndentingNewLine]", 
    \(\[Sum]\+\(n = 0\)\%\[Infinity] x\^\(2\ n + 1\)\/\(\((2\ n + 1)\)!\)\), \
"\[IndentingNewLine]", 
    \(FullSimplify[%]\), "\[IndentingNewLine]", 
    \(\[Sum]\+\(n = 0\)\%\[Infinity] x\^n\/\((\(n!\))\)\^2\), "\
\[IndentingNewLine]", 
    \(\[Sum]\+\(n = 0\)\%\[Infinity]\(\( n!\)\/\(\((2  n)\)!\)\) 
        x\^n\)}], "Input"],

Cell[TextData[{
  "\tPodemos combinar ambos, por ejemplo para la serie ",
  Cell[BoxData[
      \(TraditionalForm\`\[Sum]\+\(n = 1\)\%\[Infinity]\((\(-1\))\)\^\(n + \
1\)\)]],
  Cell[BoxData[
      \(TraditionalForm\`\(\(1.3  .5 ... \) \((2  n - 1)\)\)\/\(\(1.4  .7 \
... \) \((3  n - 2)\)\)\)]],
  "escribimos"
}], "Text"],

Cell[BoxData[{
    \(\[Sum]\+\(n = 1\)\%\[Infinity]\(\((\(-1\))\)\^\(n + 
              1\)\) \(\[Product]\+\(i = 1\)\%n\((2  i - \
1)\)\)\/\(\[Product]\+\(i = 1\)\%n\((3  i - 2)\)\)\), "\[IndentingNewLine]", 
    \(N[%]\)}], "Input"],

Cell["\<\
\tEjemplo. Calculando el Intervalo de Convergencia de una Serie de \
Potencias y la Funci\[OAcute]n que ella representa en dicho intervalo.\
\>", \
"Text"],

Cell[BoxData[{
    \(u[n_] = \(\(\((\(-1\))\)\^n\) \((x - 2)\)\^n\)\/\(n\ 4\^n\)\), "\
\[IndentingNewLine]", 
    \(\[Sum]\+\(n = 1\)\%\[Infinity] u[n]\)}], "Input"],

Cell[BoxData[
    \(lim = Limit[Abs[u[n + 1]\/u[n]], n \[Rule] \[Infinity]]\)], "Input"],

Cell[BoxData[
    \(\(\(Needs["\<Algebra`InequalitySolve`\>"]\[IndentingNewLine]
    InequalitySolve[lim < 1, x]\)\(\ \)\)\)], "Input"],

Cell[BoxData[{
    \(\(x = 6;\)\), "\[IndentingNewLine]", 
    \(\[Sum]\+\(n = 1\)\%\[Infinity] u[n]\)}], "Input"],

Cell[BoxData[{
    \(\(x = \(-2\);\)\), "\[IndentingNewLine]", 
    \(\[Sum]\+\(n = 1\)\%\[Infinity] u[n]\)}], "Input"],

Cell[TextData[{
  "\tVemos que el Intervalo de convergencia es (-2,6] y que la Serie \
representa a la Funci\[OAcute]n ",
  Cell[BoxData[
      \(\(-Log[1 + 1\/4\ \((\(-2\) + x)\)]\)\)]],
  " en dicho intervalo."
}], "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Transformadas Integrales.", "SubSubtitulo"],

Cell[CellGroupData[{

Cell["\t\t\[FilledSquare] Transformada de Laplace.", "SubSubSubtitulo"],

Cell[TextData[{
  "\tLa Transformada de Laplace de una funci\[OAcute]n f(t) se define \
mediante ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[\(\[Integral]\_0\%\[Infinity]\),
            FontSize->16], \(\(f(t)\) \(e\^\(-st\)\) \[DifferentialD]t\)}], 
        TraditionalForm]]],
  ".   Se toma 0 como el l\[IAcute]mite inferior de manera que la \
Transformada de Laplace de la funci\[OAcute]n delta de Dirac \[Delta](t) sea \
1."
}], "Text"],

Cell["\<\
\tLaplaceTransform[expr,t,s]\t\t\tTransformada de Laplace
\tLaplaceTransform[expr,{t1,t2,...},{s1,s2,...}]\tTransformada de Laplace en \
varias dimensiones\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos", "Text"],

Cell[BoxData[
    \(LaplaceTransform[Cosh[t], t, s]\)], "Input"],

Cell[BoxData[
    \(LaplaceTransform[\[ExponentialE]\^t\ Sin[t], t, s]\)], "Input"],

Cell[BoxData[
    \(LaplaceTransform[t\/\(1 + t\^2\), t, s]\)], "Input"],

Cell[BoxData[
    \(LaplaceTransform[Sin[t\^2], t, s]\)], "Input"]
}, Closed]],

Cell[TextData[{
  "\tPara un valor apropiado de \[Alpha], la Transformada Inversa de Laplace \
est\[AAcute] dada por ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(1\/\(2\ \[Pi]\ i\)\),
          FontSize->14], TraditionalForm]]],
  Cell[BoxData[
      FormBox[
        RowBox[{
          
          StyleBox[\(\[Integral]\_\(\[Alpha] - i\ \[Infinity]\)\%\(\[Alpha] + 
                  i\ \[Infinity]\)\),
            FontSize->16], \(\(F(s)\) \(e\^\(-st\)\) \[DifferentialD]t\)}], 
        TraditionalForm]]],
  "."
}], "Text"],

Cell["\<\
\tInverseLaplaceTransform[expr,s,t]\t\t\tTransformada Inversa de \
Laplace
\tInverseLaplaceTransform[expr,{s1,s2,...},{t1,t2,...}]\tTransformada Inversa \
de Laplace en varias dimensiones\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos", "Text"],

Cell[BoxData[
    \(InverseLaplaceTransform[s\/\(s\^2 - 1\), s, t]\)], "Input",
  CellTags->"InverseLaplaceTransform"],

Cell[BoxData[
    \(InverseLaplaceTransform[1\/\(1 + s + s\^2\), s, t]\)], "Input",
  CellTags->"InverseLaplaceTransform"],

Cell[BoxData[
    \(InverseLaplaceTransform[s\/\(1 + s\^3\), s, t]\)], "Input",
  CellTags->"InverseLaplaceTransform"],

Cell[BoxData[
    \(InverseLaplaceTransform[1\/\(1 + s\^2 + s\^4\), s, t]\)], "Input",
  CellTags->"InverseLaplaceTransform"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\tA continuaci\[OAcute]n mostramos algunos ejemplos con la funci\
\[OAcute]n Escal\[OAcute]n Unitario, la funci\[OAcute]n Delta de Dirac y \
funciones que se expresen en t\[EAcute]rminos de la funci\[OAcute]n escal\
\[OAcute]n unitario.\
\>", "Text"],

Cell["\<\
\tUnitStep[x]\tes la funci\[OAcute]n escal\[OAcute]n unitario, 0 \
para x<0  y  1 para x\[GreaterEqual]0
\tDiracDelta[x]\tes la funci\[OAcute]n delta de Dirac \[Delta](x)\
\>", \
"Cuadro"],

Cell[BoxData[
    \(LaplaceTransform[UnitStep[t - 3], t, s]\)], "Input"],

Cell[BoxData[
    \(InverseLaplaceTransform[\[ExponentialE]\^\(\(-3\) s\)\/s, s, 
      t]\)], "Input"],

Cell[BoxData[
    \(LaplaceTransform[UnitStep[t - a], t, s]\)], "Input"],

Cell[BoxData[
    \(Simplify[LaplaceTransform[UnitStep[t - a], t, s], 
      Assumptions \[Rule] a > 0]\)], "Input"],

Cell[BoxData[
    \(Assuming[a > 0, LaplaceTransform[UnitStep[t - a], t, s]]\)], "Input"],

Cell[BoxData[{
    \(LaplaceTransform[UnitStep[t], t, s]\), "\[IndentingNewLine]", 
    \(InverseLaplaceTransform[1\/s, s, t]\)}], "Input"],

Cell[BoxData[{
    \(LaplaceTransform[DiracDelta[t], t, s]\), "\[IndentingNewLine]", 
    \(InverseLaplaceTransform[1, s, t]\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "\tCalculemos la Transformada de Laplace de la funci\[OAcute]n f(t) = ",
  Cell[BoxData[GridBox[{
          {"2", \(0 \[LessEqual] t < 2\)},
          {\(-1\), \(2 \[LessEqual] t < 3\)},
          {"0", \(3 \[LessEqual] t\)}
          }]]]
}], "Text"],

Cell[BoxData[{
    \(f[t_] = 
      2 - 3\ UnitStep[t - 2] + UnitStep[t - 3]\), "\[IndentingNewLine]", 
    \(Plot[f[t], {t, \(-5\), 5}]\)}], "Input"],

Cell["\<\
\t1era forma, la m\[AAcute]s apropiada usando la funci\[OAcute]n \
escal\[OAcute]n unitario.\
\>", "Text"],

Cell[BoxData[
    \(LaplaceTransform[f[t], t, s]\)], "Input"],

Cell["\t2a forma, directamente", "Text"],

Cell[BoxData[{
    \(g[t_] := 
      Which[t < 0, 0, t \[GreaterEqual] 0\  \[And] \ t < 2, 2, 
        t \[GreaterEqual] 2\  \[And] \ t < 3, \(-1\), t \[GreaterEqual] 3, 
        0]\), "\[IndentingNewLine]", 
    \(Plot[g[t], {t, \(-5\), 5}]\)}], "Input"],

Cell[BoxData[
    \(LaplaceTransform[g[t], t, s]\)], "Input"],

Cell[BoxData[
    \(InverseLaplaceTransform[\(\[ExponentialE]\^\(\(-3\)\ s\)\ \((1 - 3\ \
\[ExponentialE]\^s + 2\ \[ExponentialE]\^\(3\ s\))\)\)\/s, s, t]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\t\[FilledSquare] Transformada de Fourier.", "SubSubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tFourierTransform[expr,t,w]\t\tTransformada Inversa de Fourier
\tInverseFourierTransform[expr,w,t]\tTransformada de Fourier\
\>", "Cuadro"],

Cell[BoxData[
    \(FourierTransform[1/\((1 + t^4)\), t, \[Omega]]\)], "Input"],

Cell[BoxData[
    \(InverseFourierTransform[%, \[Omega], t]\)], "Input"],

Cell[TextData[{
  "\tEn ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " la Transformada de Fourier de una funci\[OAcute]n f(t) se define mediante \
",
  Cell[BoxData[
      FormBox[
        RowBox[{\(1\/\@\(2  \[Pi]\)\), \(\[Integral]\_\(-\[Infinity]\)\%\
\[Infinity]\), 
          StyleBox["f",
            "TI"], 
          RowBox[{"(", 
            StyleBox["t",
              "TI"], ")"}], " ", 
          SuperscriptBox[
            StyleBox["e",
              "TI"], 
            RowBox[{
              StyleBox["i",
                "TI"], "\[Omega]", 
              StyleBox["t",
                "TI"]}]], "\[DifferentialD]", 
          StyleBox["t",
            "TI"]}], TraditionalForm]]],
  " . La Transformada Inversa de Fourier de F(w) se define en forma similar \
como ",
  Cell[BoxData[
      FormBox[
        RowBox[{\(1\/\@\(2  \[Pi]\)\), \(\[Integral]\_\(-\[Infinity]\)\%\
\[Infinity]\), 
          StyleBox["F",
            "TI"], \((\[Omega])\), " ", 
          SuperscriptBox[
            StyleBox["e",
              "TI"], 
            RowBox[{"-", 
              StyleBox["i",
                "TI"], "\[Omega]", 
              StyleBox["t",
                "TI"]}]], "\[DifferentialD]", "\[Omega]"}], 
        TraditionalForm]]],
  " ."
}], "Text"],

Cell[TextData[{
  "\tHay diversas formas de definir la Transformada de Fourier dependiendo \
del campo cient\[IAcute]fico en donde se est\[EAcute] tratando el tema. En el \
",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " se usa por defecto la definici\[OAcute]n de la f\[IAcute]sica moderna, \
sin embargo disponemos de la opci\[OAcute]n FourierParameters para escoger lo \
que deseamos. A continuaci\[OAcute]n mostramos una tablas con las diferentes \
formas de definir la Transformada de Fourier."
}], "Text"],

Cell[TextData[{
  "\tEn\t\t\t\tValores\tTransformada de Fourier\tTransformada Inversa de \
Fourier\n\t",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " \t\t\t{0,1}\t\t",
  Cell[BoxData[
      FormBox[
        RowBox[{\(1\/\@\(2  \[Pi]\)\), \(\[Integral]\_\(-\[Infinity]\)\%\
\[Infinity]\), 
          StyleBox["f",
            "TI"], 
          RowBox[{"(", 
            StyleBox["t",
              "TI"], ")"}], " ", 
          SuperscriptBox[
            StyleBox["e",
              "TI"], 
            RowBox[{
              StyleBox["i",
                "TI"], "\[Omega]", 
              StyleBox["t",
                "TI"]}]], "\[DifferentialD]", 
          StyleBox["t",
            "TI"]}], TraditionalForm]]],
  "\t\t",
  Cell[BoxData[
      FormBox[
        RowBox[{\(1\/\@\(2  \[Pi]\)\), \(\[Integral]\_\(-\[Infinity]\)\%\
\[Infinity]\), 
          StyleBox["F",
            "TI"], \((\[Omega])\), " ", 
          SuperscriptBox[
            StyleBox["e",
              "TI"], 
            RowBox[{"-", 
              StyleBox["i",
                "TI"], "\[Omega]", 
              StyleBox["t",
                "TI"]}]], "\[DifferentialD]", "\[Omega]"}], 
        TraditionalForm]]],
  "\n\tMatem\[AAcute]tica\t\t\t(1,-1}\t\t",
  Cell[BoxData[
      FormBox[
        RowBox[{\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\), 
          StyleBox["f",
            "TI"], 
          RowBox[{"(", 
            StyleBox["t",
              "TI"], ")"}], " ", 
          SuperscriptBox[
            StyleBox["e",
              "TI"], 
            RowBox[{"-", 
              StyleBox["i",
                "TI"], "\[Omega]", 
              StyleBox["t",
                "TI"]}]], "\[DifferentialD]", 
          StyleBox["t",
            "TI"]}], TraditionalForm]]],
  "\t\t\t",
  Cell[BoxData[
      FormBox[
        RowBox[{\(1\/\(2  \[Pi]\)\), \(\[Integral]\_\(-\[Infinity]\)\%\
\[Infinity]\), 
          StyleBox["F",
            "TI"], \((\[Omega])\), " ", 
          SuperscriptBox[
            StyleBox["e",
              "TI"], 
            RowBox[{
              StyleBox["i",
                "TI"], "\[Omega]", 
              StyleBox["t",
                "TI"]}]], "\[DifferentialD]", "\[Omega]"}], 
        TraditionalForm]]],
  "\n\tF\[IAcute]sica cl\[AAcute]sica\t\t\t{-1,1}\t\t",
  Cell[BoxData[
      FormBox[
        RowBox[{\(1\/\(2  \[Pi]\)\), \(\[Integral]\_\(-\[Infinity]\)\%\
\[Infinity]\), 
          StyleBox["f",
            "TI"], 
          RowBox[{"(", 
            StyleBox["t",
              "TI"], ")"}], " ", 
          SuperscriptBox[
            StyleBox["e",
              "TI"], 
            RowBox[{
              StyleBox["i",
                "TI"], "\[Omega]", 
              StyleBox["t",
                "TI"]}]], "\[DifferentialD]", 
          StyleBox["t",
            "TI"]}], TraditionalForm]]],
  "\t\t",
  Cell[BoxData[
      FormBox[
        RowBox[{\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\), 
          StyleBox["F",
            "TI"], \((\[Omega])\), " ", 
          SuperscriptBox[
            StyleBox["e",
              "TI"], 
            RowBox[{"-", 
              StyleBox["i",
                "TI"], "\[Omega]", 
              StyleBox["t",
                "TI"]}]], "\[DifferentialD]", "\[Omega]"}], 
        TraditionalForm]]],
  "\n\tF\[IAcute]sica moderna\t\t\t{0,1}\t\t",
  Cell[BoxData[
      FormBox[
        RowBox[{\(1\/\@\(2  \[Pi]\)\), \(\[Integral]\_\(-\[Infinity]\)\%\
\[Infinity]\), 
          StyleBox["f",
            "TI"], 
          RowBox[{"(", 
            StyleBox["t",
              "TI"], ")"}], " ", 
          SuperscriptBox[
            StyleBox["e",
              "TI"], 
            RowBox[{
              StyleBox["i",
                "TI"], "\[Omega]", 
              StyleBox["t",
                "TI"]}]], "\[DifferentialD]", 
          StyleBox["t",
            "TI"]}], TraditionalForm]]],
  "\t\t",
  Cell[BoxData[
      FormBox[
        RowBox[{\(1\/\@\(2  \[Pi]\)\), \(\[Integral]\_\(-\[Infinity]\)\%\
\[Infinity]\), 
          StyleBox["F",
            "TI"], \((\[Omega])\), " ", 
          SuperscriptBox[
            StyleBox["e",
              "TI"], 
            RowBox[{"-", 
              StyleBox["i",
                "TI"], "\[Omega]", 
              StyleBox["t",
                "TI"]}]], "\[DifferentialD]", "\[Omega]"}], 
        TraditionalForm]]],
  "\n\tIngenier\[IAcute]a de sistemas\t\t{1,-1}\t\t",
  Cell[BoxData[
      FormBox[
        RowBox[{\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\), 
          StyleBox["f",
            "TI"], 
          RowBox[{"(", 
            StyleBox["t",
              "TI"], ")"}], " ", 
          SuperscriptBox[
            StyleBox["e",
              "TI"], 
            RowBox[{"-", 
              StyleBox["i",
                "TI"], "\[Omega]", 
              StyleBox["t",
                "TI"]}]], "\[DifferentialD]", 
          StyleBox["t",
            "TI"]}], TraditionalForm]]],
  "\t\t\t",
  Cell[BoxData[
      FormBox[
        RowBox[{\(1\/\(2  \[Pi]\)\), \(\[Integral]\_\(-\[Infinity]\)\%\
\[Infinity]\), 
          StyleBox["F",
            "TI"], \((\[Omega])\), " ", 
          SuperscriptBox[
            StyleBox["e",
              "TI"], 
            RowBox[{
              StyleBox["i",
                "TI"], "\[Omega]", 
              StyleBox["t",
                "TI"]}]], "\[DifferentialD]", "\[Omega]"}], 
        TraditionalForm]]],
  "\n\tProcesamiento de Se\[NTilde]ales\t{0,-2\[Pi]}\t\t",
  Cell[BoxData[
      FormBox[
        RowBox[{\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\), 
          StyleBox["f",
            "TI"], 
          RowBox[{"(", 
            StyleBox["t",
              "TI"], ")"}], " ", 
          SuperscriptBox[
            StyleBox["e",
              "TI"], 
            RowBox[{\(-2\), "\[Pi]", 
              StyleBox["i",
                "TI"], "\[Omega]", 
              StyleBox["t",
                "TI"]}]], "\[DifferentialD]", 
          StyleBox["t",
            "TI"]}], TraditionalForm]]],
  "\t\t",
  Cell[BoxData[
      FormBox[
        RowBox[{\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\), 
          StyleBox["F",
            "TI"], \((\[Omega])\), " ", 
          SuperscriptBox[
            StyleBox["e",
              "TI"], 
            RowBox[{"2", "\[Pi]", 
              StyleBox["i",
                "TI"], "\[Omega]", 
              StyleBox["t",
                "TI"]}]], "\[DifferentialD]", "\[Omega]"}], 
        TraditionalForm]]],
  "\n\tCaso general\t\t\t(a,b}\t\t",
  Cell[BoxData[
      FormBox[
        RowBox[{
          SqrtBox[
            FractionBox[
              RowBox[{"\[VerticalSeparator]", 
                StyleBox["b",
                  "TI"], "\[VerticalSeparator]"}], 
              SuperscriptBox[\((2  \[Pi])\), 
                RowBox[{"1", "-", 
                  StyleBox["a",
                    
                    "TI"]}]]]], \
\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\), 
          StyleBox["f",
            "TI"], 
          RowBox[{"(", 
            StyleBox["t",
              "TI"], ")"}], " ", 
          SuperscriptBox[
            StyleBox["e",
              "TI"], 
            RowBox[{
              StyleBox["i",
                "TI"], 
              StyleBox["b",
                "TI"], "\[Omega]", 
              StyleBox["t",
                "TI"]}]], "\[DifferentialD]", 
          StyleBox["t",
            "TI"]}], TraditionalForm]]],
  "\t",
  Cell[BoxData[
      FormBox[
        RowBox[{
          SqrtBox[
            FractionBox[
              RowBox[{"\[VerticalSeparator]", 
                StyleBox["b",
                  "TI"], "\[VerticalSeparator]"}], 
              SuperscriptBox[\((2  \[Pi])\), 
                RowBox[{"1", "+", 
                  StyleBox["a",
                    
                    "TI"]}]]]], \
\(\[Integral]\_\(-\[Infinity]\)\%\[Infinity]\), 
          StyleBox["F",
            "TI"], \((\[Omega])\), " ", 
          SuperscriptBox[
            StyleBox["e",
              "TI"], 
            RowBox[{"-", 
              StyleBox["i",
                "TI"], 
              StyleBox["b",
                "TI"], "\[Omega]", 
              StyleBox["t",
                "TI"]}]], "\[DifferentialD]", "\[Omega]"}], 
        TraditionalForm]]]
}], "Cuadro"],

Cell[BoxData[
    \(FourierTransform[Exp[\(-t^2\)], t, \[Omega]]\)], "Input"],

Cell["En procesamiento de Se\[NTilde]ales", "Commentary"],

Cell[BoxData[
    \(FourierTransform[Exp[\(-t^2\)], t, \[Omega], 
      FourierParameters \[Rule] {0, \(-2\)\ Pi}]\)], "Input"],

Cell["\<\
\tFourierSinTransform[expr,t,w]\t\t\tTransformada Seno de Fourier
\tFourierCosTransform[expr,t,w]\t\tTransformada Coseno de Fourier
\tInverseFourierSinTransform[expr,w,t]\t\tTransformada Inversa Seno de \
Fourier
\tInverseFourierCosTransform[expr,w,t]\t\tTransformada Inversa Coseno de \
Fourier\
\>", "Cuadro"],

Cell["\<\
{FourierSinTransform[Exp[-t], t, \[Omega]], \
FourierCosTransform[Exp[-t], t, \[Omega]]}\
\>", "Input",
  CellTags->"S3.5.12"],

Cell["\<\
\tAl igual que en la Transformada de Laplace, disponemos de \
Transformada de Fourier Multidimensional.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\t\[FilledSquare] Transformada z.", "SubSubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[TextData[{
  "\tLa Transformada Z de una funci\[OAcute]n f(n) est\[AAcute] dada por ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          UnderoverscriptBox["\[Sum]", 
            RowBox[{
              StyleBox["n",
                "TI"], "=", "0"}], "\[Infinity]",
            LimitsPositioning->True], 
          StyleBox["f",
            "TI"], 
          RowBox[{"(", 
            StyleBox["n",
              "TI"], ")"}], 
          SuperscriptBox[
            StyleBox["z",
              "TI"], 
            RowBox[{"-", 
              StyleBox["n",
                "TI"]}]]}], TraditionalForm]]],
  ". La Transformada Z Inversa de F(z) esta dada por la integral de \
l\[IAcute]nea ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          FractionBox["1", 
            RowBox[{"2", "\[Pi]", 
              StyleBox["i",
                "TI"]}]], "\[ContourIntegral]", 
          StyleBox["F",
            "TI"], 
          RowBox[{"(", 
            StyleBox["z",
              "TI"], ")"}], 
          SuperscriptBox[
            StyleBox["z",
              "TI"], 
            RowBox[{
              StyleBox["n",
                "TI"], "-", "1"}]], "\[DifferentialD]", 
          StyleBox["z",
            "TI"]}], TraditionalForm]]],
  " . La Transformada Z es muy utilizada para resolver ecuaciones \
diferenciales, especialmente en procesamiento de se\[NTilde]ales digitales y \
teoria de control."
}], "Text"],

Cell["\<\
\tZTransform[expr,n,z]\t\t\tLa Transformada Z
\tInverseZTransform[expr,z,n]\t\tLa Transformada Z Inversa\
\>", "Cuadro"],

Cell[TextData[{
  "C\[AAcute]lculo de la Transformada Z de ",
  Cell[BoxData[
      FormBox[
        SuperscriptBox["2", 
          RowBox[{"-", 
            StyleBox["n",
              "TI"]}]], TraditionalForm]], "InlineFormula"]
}], "Commentary",
  CellTags->{"S3.5.12", "12.24"}],

Cell["ZTransform[2^-n, n, z]", "Input",
  CellTags->"S3.5.12"],

Cell["La Transformada Z Inversa ", "Commentary",
  CellTags->{"S3.5.12", "12.25"}],

Cell["InverseZTransform[%, z, n]", "Input",
  CellTags->"S3.5.12"],

Cell["La funci\[OAcute]n generadora para 1/n! es uuna funci\[OAcute]n \
exponencial", "Commentary",
  CellTags->{"S3.5.12", "12.26"}],

Cell["ZTransform[1/n!, n, z]", "Input",
  CellTags->"S3.5.12"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\[FilledSquare] Ecuaciones Diferenciales Ordinarias.\
\>", \
"Subtitulo",
  FontFamily->"Arial"],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Soluciones Simb\[OAcute]licas.", "SubSubtitulo"],

Cell[TextData[{
  "\tResolver ecuaciones diferenciales con el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " es simple, disponemos de los comandos DSolve para soluciones \
simb\[OAcute]licas y NDSolve para soluciones num\[EAcute]ricas. Ambos \
comandos aceptan una o m\[AAcute]s ecuaciones, de primer orden u orden mayor, \
ecuaciones lineales y no lineales y podemos resolver tanto problemas de valor \
inicial como problemas de valor en la frontera. Adicionalmente resolveremos \
ecuaciones udando la transformada de Laplace y encontraremos soluciones en \
forma de series."
}], "Text"],

Cell["\<\
\tEl comando b\[AAcute]sico DSolve se enuncia a \
continuaci\[OAcute]n, as\[IAcute] como algunas sugerencias acerca de su \
uso.\
\>", "Text"],

Cell["\<\
\tDSolve[eqn, y, x]\t\t\tresuelve la ecuaci\[OAcute]n diferencial \
para la funci\[OAcute]n y de variable independiente x
\tDSolve[{eqn1,eqn1,...},{ y1,y2,...}, x]\tresuelve la lista de ecuaci\
\[OAcute]nes diferenciales\
\>", "Cuadro"],

Cell["\<\
Observe algunas sugerencias de como escribir y usar el \
comando\
\>", "Commentary"],

Cell["\<\
\tDSolve[eqn, y[x], x]\t\t\t\tresuelve la ecuaci\[OAcute]n \
diferencial
\tsol=DSolve[{eqn, y[x0]==y0}, y[x], x]\t\tresuelve el problema de valor \
inicial
\tPlot[Evaluate[y[x]/.sol],{x,xmin,xmax}]\t\tgrafica la soluci\[OAcute]n del \
problema de valor inicial, tambi\[EAcute]n Ud. puede
\tf[x_]:=y[x]/.sol[[valor]]\t\t\t\tcon la soluci\[OAcute]n se define una \
funci\[OAcute]n f de variable x
\tPlot[f[x],{x,xmin,xmax}]\t\t\tgrafica la soluci\[OAcute]n de la ecuaci\
\[OAcute]n\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplos con Ecuaciones de Primer Orden", "Text"],

Cell[CellGroupData[{

Cell["\tEjemplo 1.", "Text"],

Cell[BoxData[
    \(DSolve[\(y'\)[x] + \(1\/x\) y[x] == x\^2, y[x], x]\)], "Input"],

Cell[TextData[{
  "Observe que el ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " usa la notaci\[OAcute]n C[1] para denotar la constante arbitraria"
}], "Commentarysub"],

Cell[BoxData[
    \(sol = 
      DSolve[{\(y'\)[x] + \(1\/x\) y[x] == x\^2, y[1] == 1}, y[x], 
        x]\)], "Input"],

Cell[BoxData[
    \(Plot[Evaluate[y[x] /. sol], {x, 0, 5}]\)], "Input"],

Cell[BoxData[{
    \(f[x_] = y[x] /. sol[\([1]\)]\), "\[IndentingNewLine]", 
    \(Plot[f[x], {x, 0, 5}]\), "\[IndentingNewLine]", 
    \(f[3]\), "\[IndentingNewLine]", 
    \(\(f'\)[x]\)}], "Input"],

Cell[BoxData[
    \(Clear[f, sol]\)], "InputOnly"],

Cell["\<\
Tambien podemos, por ejemplo, definir una funci\[OAcute]n soluci\
\[OAcute]n en t\[EAcute]rminos de x y la constante arbitraria, veamos\
\>", \
"Commentary"],

Cell[BoxData[
    \(sol = DSolve[\(y'\)[x] + \(1\/x\) y[x] == x\^2, y[x], x]\)], "Input"],

Cell[BoxData[
    \(\(f[a_]\)[x_] = \(y[x] /. sol[\([1]\)]\) /. C[1] \[Rule] a\)], "Input"],

Cell[BoxData[
    \(Solve[\(f[a]\)[1] \[Equal] 1, a]\)], "Input"],

Cell[BoxData[
    \(Together[\(f[3/4]\)[x]]\)], "Input"],

Cell["Podemos ver las trayectorias ortogonales", "Commentary"],

Cell[BoxData[{
    \(trayect = Table[\(f[a]\)[x], {a, 0, 10}]\), "\[IndentingNewLine]", 
    \(Plot[Evaluate[trayect], {x, \(-4\), 4}]\)}], "Input"],

Cell["\<\
Haga algunos cambios en los valores de a y pruebe de nuevo, por \
ejemplo tome {a,-10,10}\
\>", "Commentarysub"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 2.", "Text"],

Cell[BoxData[
    \(DSolve[\(y'\)[x] - \(1\/x\) y[x] == x\^p, y[x], x]\)], "Input"],

Cell["\<\
Resulta obvio que la soluci\[OAcute]n obtenida vale para p\
\[NotEqual]0\
\>", "Commentarysub"],

Cell[TextData[{
  "Si p=0, entonces ",
  Cell[BoxData[
      \(TraditionalForm\`x\^0 = 1\)]],
  " y entonces busquemos la soluci\[OAcute]n para p=0"
}], "Commentary"],

Cell[BoxData[
    \(DSolve[\(y'\)[x] - \(1\/x\) y[x] \[Equal] 1, y[x], x]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 3.", "Text"],

Cell["Observe que un problema puede tener m\[AAcute]s de una \
soluci\[OAcute]n", "Commentary"],

Cell[BoxData[{
    \(\(ecu = {\(y'\)[x] \[Equal] y[x] + x + 1, 
          y[0]\^2 - 3\ y[0] + 2 \[Equal] 0};\)\), "\[IndentingNewLine]", 
    \(DSolve[ecu, y[x], x]\)}], "Input"],

Cell["\<\
DSolve puede resolver muchas ecuaciones no lineales, por \
ejemplo\
\>", "Commentary"],

Cell[BoxData[{
    \(DSolve[\(y'\)[x]\^2 \[Equal] y[x], y[x], x]\), "\[IndentingNewLine]", 
    \(DSolve[\(y'\)[x] \[Equal] y[x]\^2, y[x], x]\), "\[IndentingNewLine]", 
    \(DSolve[\(y'\)[x] \[Equal] y[x]\^2 + a, y[x], 
      x]\), "\[IndentingNewLine]", 
    \(DSolve[\(y'\)[x] \[Equal] y[x]\^2 + x, y[x], x]\)}], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplos con Ecuaciones de Orden Dos o Superior", "Text"],

Cell[CellGroupData[{

Cell["\tEjemplo 1.", "Text"],

Cell[BoxData[{
    \(\(ecu = \(y''\)[x] - \(y'\)[x] \[Equal] 1;\)\), "\[IndentingNewLine]", 
    \(solgen = DSolve[ecu, y[x], x]\)}], "Input"],

Cell["Observe que C[1] y C[2] son las constantes arbitrarias", "Commentarysub"],

Cell["Problema de valor inicial", "Commentary"],

Cell[BoxData[{
    \(solpvi = 
      DSolve[{ecu, y[0] \[Equal] 0, \(y'\)[0] \[Equal] 1}, y[x], 
        x]\), "\[IndentingNewLine]", 
    \(Plot[Evaluate[y[x] /. solpvi], {x, 0, 2}]\)}], "Input"],

Cell["Problema de valor en la frontera", "Commentary"],

Cell[BoxData[{
    \(solpvf = 
      DSolve[{ecu, y[0] \[Equal] 0, y[2] \[Equal] 8}, y[x], 
        x]\), "\[IndentingNewLine]", 
    \(Plot[Evaluate[y[x] /. solpvf], {x, 0, 2}]\)}], "Input"],

Cell["\<\
Observe que las condiciones del Problema de valor en la frontera \
pueden ser m\[AAcute]s complejas\
\>", "Commentary"],

Cell[BoxData[{
    \(solpvf = 
      DSolve[{ecu, y[0] \[Equal] 0, y[2] + \(y'\)[2] \[Equal] 2}, y[x], 
        x]\), "\[IndentingNewLine]", 
    \(Plot[Evaluate[y[x] /. solpvf], {x, 0, 2}]\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 2.", "Text"],

Cell["Ecuaci\[OAcute]n general de orden 2 con coeficientes constantes", \
"Commentary"],

Cell[BoxData[
    \(ecu = a\ \(y''\)[x] + b\ \(y'\)[x] + c\ y[x] \[Equal] 0\)], "Input"],

Cell[BoxData[
    \(DSolve[ecu, y[x], x]\)], "Input"],

Cell[BoxData[{
    \(DSolve[{ecu /. {a \[Rule] 2, b \[Rule] \(-5\), c \[Rule] \(-3\)}}, 
      y[x], x]\), "\[IndentingNewLine]", 
    \(DSolve[{ecu /. {a \[Rule] 1, b \[Rule] \(-10\), c \[Rule] 25}}, y[x], 
      x]\), "\[IndentingNewLine]", 
    \(DSolve[{ecu /. {a \[Rule] 1, b \[Rule] 1, c \[Rule] 1}}, y[x], 
      x]\)}], "Input"],

Cell["\<\
Una ecuaci\[OAcute]n que resolveriamos por coeficientes \
indeterminados\
\>", "Commentary"],

Cell[BoxData[{
    \(ecu = \(y''\)[x] - 3\ \(y'\)[x] \[Equal] 
        8  \[ExponentialE]\^\(3\ x\) + 4\ Sin[x]\), "\[IndentingNewLine]", 
    \(DSolve[ecu, y[x], x]\)}], "Input"],

Cell["Una ecuaci\[OAcute]n que resolveriamos por variaci\[OAcute]n de par\
\[AAcute]metros", "Commentary"],

Cell[BoxData[{
    \(ecu = \(y''\)[x] + 9\ y[x] \[Equal] \(1\/4\) 
          Csc[3\ x]\), "\[IndentingNewLine]", 
    \(DSolve[ecu, y[x], x]\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 3.", "Text"],

Cell["Consideremos el problema de valor inicial", "Commentary"],

Cell[BoxData[{
    \(ecu = {\(y''\)[x] + \(y'\)[x] + y[x] \[Equal] 1, 
        y[0] \[Equal] a, \(y'\)[0] \[Equal] b}\), "\[IndentingNewLine]", 
    \(sol = DSolve[ecu, y[x], x] // Simplify\)}], "Input"],

Cell["\<\
Tomemos b=0 y a tomando valores de 0 a 2 y grafiquemos las \
trayectorias\
\>", "Commentary"],

Cell[BoxData[{
    \(\(trayect = 
        Table[sol /. b \[Rule] 0, {a, 0, 2, 
            0.2}];\)\), "\[IndentingNewLine]", 
    \(Plot[Evaluate[y[x] /. trayect], {x, 0, 4}]\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 4.", "Text"],

Cell["\<\
Tomemos la ecuaci\[OAcute]n de orden tres y busquemos la soluci\
\[OAcute]n general\
\>", "Commentary"],

Cell[BoxData[{
    \(ecu = \(y'''\)[x] - \(y'\)[x] \[Equal] 1\), "\[IndentingNewLine]", 
    \(sol = DSolve[ecu, y[x], x]\)}], "Input"],

Cell["\<\
Resolver el problem de valor inicial y graficar sobre el intervalo \
(0,2)\
\>", "Commentary"],

Cell[BoxData[{
    \(sol = 
      DSolve[{ecu, 
          y[0] \[Equal] 0, \(y'\)[0] \[Equal] 
            1, \(y''\)[0] \[Equal] \(-3\)/2}, y[x], 
        x]\), "\[IndentingNewLine]", 
    \(Plot[Evaluate[y[x] /. sol], {x, 0, 2}]\)}], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplos con Sistemas de Ecuaciones Diferenciales", "Text"],

Cell["Planteamos y resolvemos el sistema de ecuaciones", "Commentary"],

Cell[BoxData[{
    \(ecu1 = \(y'\)[x] \[Equal] y[x]\), "\[IndentingNewLine]", 
    \(ecu2 = \(z'\)[x] \[Equal] 2\ y[x] + z[x]\), "\[IndentingNewLine]", 
    \(sist = {ecu1, ecu2}\), "\[IndentingNewLine]", 
    \(DSolve[sist, {y[x], z[x]}, x]\)}], "Input"],

Cell["\<\
Podemos resolver el problema de valor en la frontera y graficar la \
soluci\[OAcute]n\
\>", "Commentary"],

Cell[BoxData[{
    \(sol = 
      DSolve[{sist, z[0] \[Equal] 0, \(z'\)[1] \[Equal] 1}, {y[x], z[x]}, 
        x]\), "\[IndentingNewLine]", 
    \(Plot[Evaluate[{y[x], z[x]} /. sol], {x, 0, 1}]\)}], "Input"],

Cell["Planteamos y resolvemos el sistema de ecuaciones", "Commentary"],

Cell[BoxData[{
    \(ecu1 = 
      2\ \(z'\)[x] - 5\ z[x] + \(y'\)[x] \[Equal] 
        Exp[x]\), "\[IndentingNewLine]", 
    \(ecu2 = \(z'\)[x] - z[x] + \(y'\)[x] \[Equal] 
        5\ Exp[x]\), "\[IndentingNewLine]", 
    \(sist = {ecu1, ecu2}\), "\[IndentingNewLine]", 
    \(DSolve[sist, {y[x], z[x]}, x] // Simplify\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo usando la Transformada de Laplace", "Text"],

Cell["\<\
\tQueremos resolver el problema de valor inicial  y''[x] - y'[x] = \
Exp[x]Cos[x],   y[0] = 0,  y'[0] = 0\
\>", "Text"],

Cell[BoxData[{
    \(ecu = \(y''\)[x] - \(y'\)[x] == 
        Exp[x] Cos[x]\), "\[IndentingNewLine]", 
    \(LaplaceTransform[ecu, x, s]\)}], "Input"],

Cell["Ahora sustituimos las condiciones iniciales", "Commentary"],

Cell[BoxData[
    \(% /. {y[0] \[Rule] 0, \(y'\)[0] \[Rule] 0}\)], "Input"],

Cell["Despejamos la tranformada", "Commentary"],

Cell[BoxData[
    \(Solve[%, LaplaceTransform[y[x], x, s]] // Simplify\)], "Input"],

Cell["Y calculamos su transformada inversa que es la soluci\[OAcute]n", \
"Commentary"],

Cell[BoxData[
    \(InverseLaplaceTransform[%, s, x] // FullSimplify\)], "Input"],

Cell["\<\
Observe que la soluci\[OAcute]n es la misma que nos da el comando \
DSolve\
\>", "Commentary"],

Cell[BoxData[
    \(DSolve[{ecu, y[0] \[Equal] 0, \(y'\)[0] \[Equal] 0}, y[x], 
      x]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo usando Series", "Text"],

Cell["\<\
\tQueremos resolver la ecuaci\[OAcute]n  y''[x] - 2 x y'[x] - 2 \
y[x] = 0\
\>", "Text"],

Cell["Un c\[AAcute]lculo directo", "Commentary"],

Cell[BoxData[{
    \(ec = \(y''\)[x] - 2\ x\ \(y'\)[x] - 2\ y[x] \[Equal] 
        0\), "\[IndentingNewLine]", 
    \(DSolve[ec, y[x], x]\)}], "Input"],

Cell["\<\
Veamos como obtener un par se soluciones linealmente independientes \
usando Series de Potencias\
\>", "Commentary"],

Cell[BoxData[
    \(y[x_] = \[Sum]\+\(n = 0\)\%10 a[n] x\^n + O[x]\^11\)], "Input"],

Cell["Sustituimos en la ecuaci\[OAcute]n", "Commentary"],

Cell[BoxData[
    \(ec\)], "Input"],

Cell["\<\
y buscamos, con LogicalExpand, las condiciones para las que la \
ecuaci\[OAcute]n es verdadera\
\>", "Commentary"],

Cell[BoxData[
    \(ecu = LogicalExpand[%]\)], "Input"],

Cell["\<\
Como tenemos un sistema de 9 ecuaciones con 11 variables damos \
valores a a[0] y a[1] y ressolvemos para los coeficientes restantes\
\>", \
"Commentary"],

Cell[BoxData[{
    \(ini1 = {a[0] \[Rule] 1, a[1] \[Rule] 0}\), "\[IndentingNewLine]", 
    \(ini2 = {a[0] \[Rule] 0, a[1] \[Rule] 1}\)}], "Input"],

Cell["Obteniendo la 1era soluci\[OAcute]n", "Commentary"],

Cell[BoxData[
    \(Solve[ecu /. ini1]\)], "Input"],

Cell[BoxData[
    \(sol1 = \(y[x] /. %[\([1]\)]\) /. ini1\)], "Input"],

Cell["Obteniendo la 2a soluci\[OAcute]n", "Commentary"],

Cell[BoxData[
    \(Solve[ecu /. ini2]\)], "Input"],

Cell[BoxData[
    \(sol2 = \(y[x] /. %[\([1]\)]\) /. ini2\)], "Input"],

Cell["\<\
Observando con cuidado los coeficientes y extendiendo su suma a \
infinito obtenemos\
\>", "Commentary"],

Cell[BoxData[{
    \(\[Sum]\+\(n = 0\)\%\[Infinity] x\^\(2\ n\)\/\(n!\)\), "\
\[IndentingNewLine]", 
    \(\[Sum]\+\(n = 0\)\%\[Infinity]\(\( x\^\(2\ n + 1\)\) 2\^n\)\/\(\((2\ n \
+ 1)\)!!\)\)}], "Input"],

Cell["\<\
Observe que la 1era soluci\[OAcute]n se ha obtenido y aunque la 2a \
permanece desconocida, podemos verificar, pues conocemos la soluci\[OAcute]n \
al problema \
\>", "Commentarysub"],

Cell[BoxData[
    \(Series[\(\@\[Pi]\/2\) Exp[x\^2] Erf[x], {x, 0, 10}]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Soluciones Num\[EAcute]ricas.", "SubSubtitulo"],

Cell["\<\
\tEl comando b\[AAcute]sico NDSolve para resolver en forma num\
\[EAcute]rica se enuncia a continuaci\[OAcute]n.\
\>", "Text"],

Cell["\<\
\tNDSolve[eqn, y, {x,xmin,xmax}]\t\t\tresuelve la ed para la funci\
\[OAcute]n y de variable x en el rango dado
\tNDSolve[{eqn1,eqn1,...},{ y1,y2,...}, {x,xmin,xmax}]\tresuelve la lista de \
ecuaci\[OAcute]nes diferenciales
\t
\tsol=NDSolve[{eqn, cond}, y[x], {x,xmin,xmax}]\t\tresuelve el problema de \
valor inicial o de valor en la frontera
\tPlot[Evaluate[y[x]/.sol],{x,xmin,xmax}]\t\t\tgrafica la soluci\[OAcute]n \
del problema de valor inicial
\tf[x_]=Evaluate[y[x]/.sol] [[1]]\t\t\t\tdefinir una funci\[OAcute]n con la \
soluci\[OAcute]n\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplo 1.", "Text"],

Cell[TextData[{
  "\tSuponga que queremos resolver el problema de valor inicial  ",
  Cell[BoxData[
      \(1000\ y[x]\ \(y'\)[x] = 160 - 3\ y[x]\^3\)]],
  ",  y[0]=0.00001 "
}], "Text"],

Cell[BoxData[
    \(ecu = 1000\ y[x]\ \(y'\)[x] \[Equal] 160 - 3\ y[x]\^3\)], "Input"],

Cell["Observe que el comando DSolve no nos ayuda", "Commentary"],

Cell[BoxData[
    \(sol = DSolve[{ecu, y[0] == 0.00001}, y[x], x]\)], "Input"],

Cell["Usemos entonces NDSolve", "Commentary"],

Cell[BoxData[
    \(sol = NDSolve[{ecu, y[0] == 0.00001}, y[x], {x, 0, 200}]\)], "Input"],

Cell["\<\
\tObserve que la respuesta es una funci\[OAcute]n de interpolaci\
\[OAcute]n, la cual estudiaremos con detalle en la parte correspondiente a \
Interpolaci\[OAcute]n y Aproximaci\[OAcute]n de funciones. Trate esta funci\
\[OAcute]n, que es una colecci\[OAcute]n de polinomios c\[UAcute]bicos de \
interpolaci\[OAcute]n sobre el intervalo dado, como cualquier otra funci\
\[OAcute]n.\
\>", "Text"],

Cell["Podemos por ejemplo trazar su gr\[AAcute]fica", "Commentary"],

Cell[BoxData[
    \(Plot[Evaluate[y[x] /. sol], {x, 0, 200}]\)], "Input"],

Cell["\<\
Podemos definir con ella una funci\[OAcute]n y tratarla como \
cualquier funci\[OAcute]n, por ejemplo\
\>", "Commentary"],

Cell[BoxData[
    \(f[x_] = y[x] /. sol[\([1]\)]\)], "Input"],

Cell[BoxData[
    \(f[2]\)], "Input"],

Cell[BoxData[
    \(f[25]\)], "Input"],

Cell[BoxData[
    \(Plot[f[x], {x, 0, 200}]\)], "Input"],

Cell[BoxData[
    \(\(f'\)[x]\)], "Input"],

Cell[BoxData[{
    \(f[25]\), "\[IndentingNewLine]", 
    \(\(f'\)[25]\)}], "Input"],

Cell[BoxData[
    \(Plot[{f[x], \(f'\)[x]}, {x, 0, 5}]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 2.", "Text"],

Cell["La ecuaci\[OAcute]n", "Commentary"],

Cell[BoxData[
    \(ecu = \(y''\)[x] - \(y'\)[x] + y[x] \[Equal] x\)], "Input"],

Cell["Resolviendo en forma exacta", "Commentary"],

Cell[BoxData[{
    \(sol = 
      DSolve[{ecu, y[0] \[Equal] 2, \(y'\)[0] \[Equal] 2}, y[x], 
        x]\), "\[IndentingNewLine]", 
    \(Plot[Evaluate[y[x] /. sol], {x, 0, 6}]\)}], "Input"],

Cell["Resolviendo de forma num\[EAcute]rica", "Commentary"],

Cell[BoxData[{
    \(solnum = 
      NDSolve[{ecu, y[0] \[Equal] 2, \(y'\)[0] \[Equal] 2}, 
        y[x], {x, 0, 6}]\), "\[IndentingNewLine]", 
    \(Plot[Evaluate[y[x] /. solnum], {x, 0, 6}]\)}], "Input"],

Cell["Mostrando diversas soluciones al cambiar la derivada en 0", "Commentary"],

Cell[BoxData[{
    \(solvarder = 
      Table[NDSolve[{ecu, y[0] \[Equal] 2, \(y'\)[0] \[Equal] d}, 
          y[x], {x, 0, 4}], {d, \(-3\), 6}]\), "\[IndentingNewLine]", 
    \(Plot[Evaluate[y[x] /. solvarder], {x, 0, 4}]\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 3.", "Text"],

Cell["La ecuaci\[OAcute]n", "Commentary"],

Cell[BoxData[
    \(ecu = \(y'\)[x]\^2 \[Equal] Sin[x]\)], "Input"],

Cell[BoxData[
    \(sol = NDSolve[{ecu, y[0] \[Equal] 0}, y[x], {x, 0, Pi}]\)], "Input"],

Cell["\<\
Observe que hay dos soluciones y que podemos trabajar con cada una \
de ellas\
\>", "Commentarysub"],

Cell[BoxData[
    \(Plot[Evaluate[y[x] /. sol], {x, 0, Pi}]\)], "Input"],

Cell["Tambi\[EAcute]n lo podemos hacer en forma exacta para comparar", \
"Commentary"],

Cell[BoxData[{
    \(sol = 
      DSolve[{ecu, y[0] \[Equal] 0}, y[x], x]\), "\[IndentingNewLine]", 
    \(Plot[Evaluate[y[x] /. sol], {x, 0, Pi}]\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 4. Con una funci\[OAcute]n a trozos", "Text"],

Cell["La ecuaci\[OAcute]n", "Commentary"],

Cell[BoxData[
    \(ecu = \(y'\)[x] \[Equal] If[x < 0, \(-Exp[x]\), Sin[x]]\)], "Input"],

Cell[BoxData[
    \(sol = NDSolve[{ecu, y[0] \[Equal] 0}, y[x], {x, \(-4\), 4}]\)], "Input"],

Cell[BoxData[
    \(Plot[Evaluate[y[x] /. sol], {x, 0, Pi}]\)], "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\[FilledSquare] Ecuaciones Diferenciales en Derivadas \
Parciales.\
\>", "Subtitulo",
  FontFamily->"Arial"],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Solucion General.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[TextData[{
  "\tLa Ecuaci\[OAcute]n Diferencial Parcial (EDP) Cuasi-Lineal de primer \
orden con dos variables independientes tiene la forma\n\t\t",
  StyleBox["p(x,y,u) ",
    FontSize->14],
  Cell[BoxData[
      \(TraditionalForm\`u\_x\)],
    FontSize->14],
  StyleBox["+ q(x,y,u) ",
    FontSize->14],
  Cell[BoxData[
      \(TraditionalForm\`u\_y\)],
    FontSize->14],
  StyleBox[" = r(x,y,u)\n",
    FontSize->14],
  "donde x e y son las variables independientes, u que es funci\[OAcute]n de \
x e y es la variable dependiente, ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[\(u\_x\),
            FontSize->14], " "}], TraditionalForm]]],
  "y ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(u\_y\),
          FontSize->14], TraditionalForm]]],
  "son las derivadas parciales de u con respecto a x e y, mientras que p, q, \
r son funciones dadas de x, y, u."
}], "Text"],

Cell["\<\
\tDSolve[ecu, u[x,y], {x, y}]\tda la soluci\[OAcute]n general de la \
ecuaci\[OAcute]n\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplo 1.  Una ecuaci\[OAcute]n con coeficientes constantes.", "Text"],

Cell[TextData[{
  "\tQueremos resolver la ecuaci\[OAcute]n  ",
  Cell[BoxData[
      \(TraditionalForm\`a\ u\_x + b\ u\_y + c\ u = d\)]],
  "  para  ",
  Cell[BoxData[
      \(TraditionalForm\`u(x, y)\)]],
  " "
}], "Text"],

Cell[BoxData[
    \(ecu = 
      a\ D[u[x, y], x] + b\ D[u[x, y], y] + c\ u[x, y] \[Equal] d\)], "Input"],

Cell[BoxData[
    \(DSolve[ecu, u[x, y], {x, y}] // Simplify\)], "Input"],

Cell["\<\
Observe que la soluci\[OAcute]n general contiene una \
funci\[OAcute]n arbitraria C[1] de argumento ((-bx/a)+y)\
\>", "Commentarysub"],

Cell["\<\
\tPodemos resolver la misma ecuaci\[OAcute]n pero para tres \
variables, esto es  u(x, y, z), veamos\
\>", "Text"],

Cell[BoxData[{
    \(ecu = 
      a\ D[u[x, y, z], x] + b\ D[u[x, y, z], y] + c\ D[u[x, y, z], z] + 
          d\ u[x, y, z] \[Equal] e\), "\[IndentingNewLine]", 
    \(DSolve[ecu, u[x, y, z], {x, y, z}] // Simplify\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 2.  Ecuaciones cuasi-lineales.", "Text"],

Cell[BoxData[{
    \(\(ecu = \(x\^2\) D[u[x, y], x] - 
            x\ y\ D[u[x, y], y] \[Equal] \(-y\)\ u[x, 
              y];\)\), "\[IndentingNewLine]", 
    \(DSolve[ecu, u[x, y], {x, y}]\)}], "Input"],

Cell[BoxData[{
    \(\(ecu = 
        x\ u[x, y]\ D[u[x, y], x] + 
            y\ u[x, y]\ D[u[x, y], y] \[Equal] \(-\((x\^2 + 
                y\^2)\)\);\)\), "\[IndentingNewLine]", 
    \(DSolve[ecu, u[x, y], {x, y}]\)}], "Input"],

Cell["\<\
Observe que en este caso hay dos posibles soluciones al \
problema\
\>", "Commentarysub"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "\tEjemplo 3.  La ecuaci\[OAcute]n de onda  ",
  Cell[BoxData[
      \(TraditionalForm\`u\_\(t\ t\) - \(c\^2\) u\_xx = 0\)]]
}], "Text"],

Cell[BoxData[{
    \(\(ecu = 
        D[u[x, t], t, t] - c\^2\ D[u[x, t], x, x] \[Equal] 
          0;\)\), "\[IndentingNewLine]", 
    \(DSolve[ecu, u[x, t], {x, t}]\)}], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\t\[FilledSquare] Usando la Transformada de Laplace.\
\>", \
"SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[CellGroupData[{

Cell[TextData[{
  "\tEjemplo 1.  La ecuaci\[OAcute]n de calor ",
  " ",
  Cell[BoxData[
      \(TraditionalForm\`u\_t\)]],
  "- c ",
  Cell[BoxData[
      \(TraditionalForm\`u\_xx\)]],
  "= 0,  0<x<1,  t>0,  u(x,0)=d Sin(2\[Pi]x),  u(0,t)=u(1,t)=0"
}], "Text"],

Cell["Formamos la ecuaci\[OAcute]n", "Commentary"],

Cell[BoxData[
    \(\(ecu = 
        D[u[x, t], t] - c\ D[u[x, t], x, x] \[Equal] 0;\)\)], "InputOnly"],

Cell["Aplicamos Transformada de Laplace", "Commentary"],

Cell[BoxData[
    \(lap1 = LaplaceTransform[ecu, t, s]\)], "Input"],

Cell["\<\
Ahora simplificamos la notaci\[OAcute]n y hacemos uso de las \
condiciones iniciales\
\>", "Commentary"],

Cell[BoxData[
    \(lap2 = 
      lap1 /. {LaplaceTransform[u[x, t], t, s] \[Rule] U[x], 
          LaplaceTransform[D[u[x, t], x, x], t, s] \[Rule] \(U''\)[x], 
          u[x, 0] \[Rule] d\ Sin[2\ \[Pi]\ x]}\)], "Input"],

Cell["Ahora resolvemos la ED resultante", "Commentary"],

Cell[BoxData[
    \(lapsol = 
      DSolve[{lap2, U[0] \[Equal] 0, U[1] \[Equal] 0}, U[x], x] // 
        Simplify\)], "Input"],

Cell["Tomamos Transformada inversa y tenemos la soluci\[OAcute]n", \
"Commentary"],

Cell[BoxData[
    \(sol = InverseLaplaceTransform[U[x] /. lapsol[\([1]\)], s, t]\)], "Input"],

Cell[BoxData[
    \(\(Plot3D[
        Evaluate[sol\  /. \ {c -> 0.04, d -> 1}], \ {x, 0, 1}, \ {t, 0, 
          2}, \ \n\ \ ViewPoint -> {2.0, \(-2.4\), 0.9}, \ 
        AxesLabel -> {"\<x\>", "\<t\>", "\<\>"}, \ \n\ \ Ticks -> {{0, 
              1}, {0, 1, 2}, {\(-1\), 0, 1}}];\)\)], "Input"],

Cell["Gr\[AAcute]fica de la soluci\[OAcute]n", "Commentarysub"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "\tEjemplo 2.  La ecuaci\[OAcute]n de onda  ",
  Cell[BoxData[
      \(TraditionalForm\`u\_tt\)]],
  "- ",
  Cell[BoxData[
      \(TraditionalForm\`c\^2\)]],
  Cell[BoxData[
      \(TraditionalForm\`u\_xx\)]],
  "= 0,  0<x<1,  t>0,  u(x,0)=d Sin(2\[Pi]x),  u(0,t)=u(1,t)=0"
}], "Text"],

Cell[BoxData[
    \(\(ecu = 
        D[u[x, t], t, t] - c\^2\ D[u[x, t], x, x] \[Equal] 
          0;\)\)], "InputOnly"],

Cell[BoxData[
    \(lap1 = LaplaceTransform[ecu, t, s]\)], "Input"],

Cell[BoxData[
    \(lap2 = 
      lap1 /. {LaplaceTransform[u[x, t], t, s] \[Rule] U[x], 
          LaplaceTransform[D[u[x, t], x, x], t, s] \[Rule] \(U''\)[
              x], \(\(Derivative[0, 1]\)[u]\)[x, 0] \[Rule] 0, 
          u[x, 0] \[Rule] d\ Sin[2\ \[Pi]\ x]}\)], "Input"],

Cell[BoxData[
    \(lapsol = 
      DSolve[{lap2, U[0] \[Equal] 0, U[1] \[Equal] 0}, U[x], x] // 
        Simplify\)], "Input"],

Cell[BoxData[
    \(sol = InverseLaplaceTransform[U[x] /. lapsol[\([1]\)], s, t]\)], "Input"],

Cell[BoxData[
    \(\(Plot3D[
        Evaluate[sol\  /. \ {c -> 1, d -> 1}], \ {x, 0, 1}, {t, 0, 
          2}, \ \n\ \ PlotPoints -> 25, \ 
        AxesLabel -> {"\<x\>", "\<t\>", "\<\>"}, \ \n\ \ Ticks -> {{0, 
              1}, {0, 1, 2}, {\(-1\), 0, 1}}];\)\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Soluciones mediante Series.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[CellGroupData[{

Cell["\tEjemplo 1.  Un Problema Parab\[OAcute]lico.", "Text"],

Cell["\<\
\tConsideremos el problema de la ecuaci\[OAcute]n de calor en una \
dimensi\[OAcute]n\
\>", "Text"],

Cell[TextData[{
  "\t\t ",
  Cell[BoxData[
      \(TraditionalForm\`u\_t - c\ u\_\(x\ x\) = F(x, t)\)]],
  ",   ",
  Cell[BoxData[
      \(TraditionalForm\`0 < x < a\)]],
  ",   ",
  Cell[BoxData[
      \(TraditionalForm\`t > 0\)]],
  ",   ",
  Cell[BoxData[
      \(TraditionalForm\`u(x, 0) = f(x)\)]],
  ",   ",
  Cell[BoxData[
      \(TraditionalForm\`u(0, t) = \(u(a, t) = 0\)\)]],
  "."
}], "Text",
  CellMargins->{{Inherited, Inherited}, {4, 3}}],

Cell["\<\
\tDonde u(x,t) es la temperatura de la barra en la posici\[OAcute]n \
x en el instante t. La barra es homogenea, uniforme y est\[AAcute] colocada \
sobre el eje x desde x=0 hasta x=a. La superficie lateral de la barra est\
\[AAcute] aislada. F(x,t) es la cantidad de calor por unidad de volumen por \
unidad de tiempo generada en la posici\[OAcute]n x en el instante t. La \
temperatura inicial de la barra est\[AAcute] dada por f(x) con los extremos \
manteniendose a temperatura 0. La constante c depende de las propiedades de \
la barra. El problema es determinar la temperatura de la barra en cualquier \
punto x y cualquier insttante t.\
\>", "Text"],

Cell["\<\
\tLa soluci\[OAcute]n general del problema, normalmente expresada \
como una suma infinita, se obtiene usando separaci\[OAcute]n de variables, y \
es\
\>", "Text"],

Cell[BoxData[
    \(TraditionalForm\`\(\(\t\t\)\(u(x, 
        t) = \[Sum]\+\(n = 1\)\%\[Infinity]\([\(A\_n\) \(exp(\(-c\)\ \
\(v\_n\^2\) t)\) + \(H\_n\)(t)]\) \(sin(\(v\_n\) x)\), \ 
    v\_n = \(n\ \[Pi]\)\/a, \ \ \ \ \ A\_n = \(2\/a\) \(\[Integral]\_0\%a\( f(
              x)\) \(sin(\(v\_n\) x)\) \[DifferentialD]x\), \)\)\)], "Text",
  CellMargins->{{Inherited, Inherited}, {4, 0}}],

Cell[BoxData[
    \(TraditionalForm\`\(\(\t\t\)\(\(H\_n\)(
        t) = \[Integral]\_0\%t\(\( F\_n\)(\[Tau])\) 
          exp[\(-c\)\ \(\(v\_n\^2\)(
                t - \[Tau])\)] \[DifferentialD]\[Tau], \ \ \ \ \ \ \(F\_n\)(
        t) = \(2\/a\) \(\[Integral]\_0\%a\( F(x, 
              t)\) \(sin(\(v\_n\) 
                x)\) \(\(\[DifferentialD]x\)\(.\)\)\)\)\)\)], "Text"],

Cell["\<\
Vamos a resolver para los valores que se definen a continuaci\
\[OAcute]n\
\>", "Commentary"],

Cell[BoxData[
    \(\(\(\(a\  = \ 1\) \)\(;\)\(\ \)\(\(c\  = \ 1\) \)\(;\)\(\ \)\(\(F\  = \ 
        0\) \)\(;\)\(\ \)\(\(f = \ 
        x \((1 - x)\)\) \)\(;\)\(\ \)\)\)], "InputOnly"],

Cell["Calculemos los coeficientes", "Commentary"],

Cell[BoxData[{
    \(\(vn = \(n\ \[Pi]\)\/a;\)\), "\[IndentingNewLine]", 
    \(An = \(2\/a\) \(\[Integral]\_0\%a f\ Sin[vn\ x] \[DifferentialD]x\) // 
        Simplify\)}], "Input"],

Cell[BoxData[{
    \(Fn = \(2\/a\) \(\[Integral]\_0\%a 
            F\ Sin[vn\ x] \[DifferentialD]x\)\), "\[IndentingNewLine]", 
    \(Fn\[Tau] = Fn /. t \[Rule] \[Tau]\), "\[IndentingNewLine]", 
    \(Hn = \[Integral]\_0\%t 
          Fn\[Tau]\ Exp[\(-c\)\ \(vn\^2\) \((t - \[Tau])\)] \[DifferentialD]\
\[Tau]\)}], "Input"],

Cell["Note que en este caso como Fn=Hn=0, pues F=0", "Commentarysub"],

Cell["Por tanto el n-\[EAcute]simo t\[EAcute]rmino de la soluci\[OAcute]n en \
serie es", "Commentary"],

Cell[BoxData[
    \(term = \((An\ Exp[\(-c\)\ vn\^2\ t] + Hn)\) Sin[vn\ x]\)], "Input"],

Cell["\<\
Podemos entonces tomar 30 t\[EAcute]rminos y formar una soluci\
\[OAcute]n aproximada, por ejemplo\
\>", "Commentary"],

Cell[BoxData[
    \(solaprox = \[Sum]\+\(n = 1\)\%30 N[term]\)], "Input"],

Cell["\<\
Tomamos ahora esta soluci\[OAcute]n aproximada y trabajamos con \
ella, por ejemplo, obtener valores o trazar una gr\[AAcute]fica\
\>", \
"Commentary"],

Cell[BoxData[
    \(Table[solaprox /. x \[Rule] 0.5, {t, 0, 0.5, 0.1}]\)], "Input"],

Cell[BoxData[
    \(\(Plot3D[Evaluate[solaprox], \ {t, 0, 0.5}, \ {x, 0, 1}, \ 
        PlotRange -> All, \ \n\ \ AxesLabel -> {"\<t\>", "\<x\>", "\<\>"}, \ 
        Ticks -> {{0, 0.5}, {0, 1}, {0, 0.2}}];\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 2.  Un Problema Hiperb\[OAcute]lico.", "Text"],

Cell["\<\
\tConsideremos el problema de la ecuaci\[OAcute]n de onda en una \
dimensi\[OAcute]n\
\>", "Text"],

Cell[TextData[{
  "\t\t",
  Cell[BoxData[
      \(TraditionalForm\`u\_\(t\ t\) - \(c\^2\) u\_\(x\ x\) = F(x, t)\)]],
  ",   ",
  Cell[BoxData[
      \(TraditionalForm\`0 < x < a\)]],
  ",   ",
  Cell[BoxData[
      \(TraditionalForm\`t > 0\)]],
  ",  ",
  Cell[BoxData[
      \(TraditionalForm\`u(x, 0) = f(x)\)]],
  ",   ",
  Cell[BoxData[
      \(TraditionalForm\`\(u\_t\)(x, 0) = g(x)\)]],
  ",   ",
  Cell[BoxData[
      \(TraditionalForm\`u(0, t) = \(u(a, t) = 0\)\)]],
  "."
}], "Text",
  CellMargins->{{Inherited, Inherited}, {4, 3}}],

Cell[TextData[{
  "\tEn este caso u(x,t) es el despazamiento transversal de una cuerda \
homogenea en el punto x en el instante t. La cuerda es perfectamente \
flexible, uniforme, est\[AAcute] extendida desde x=0 hasta x=a  y ",
  Cell[BoxData[
      \(TraditionalForm\`c\^2\)]],
  "representa la tensi\[OAcute]n dividida por la densidad lineal de la misma. \
F(x,t) es una fuerza externa actuando sobre la cuerda, por ejemplo, la \
gravedad. La cuerda parte con la forma de f(x) y con velocidad inicial g(x). \
El problema es determinar el desplazamiento de la cuerda en cuarquier punto x \
y cualquier instante t."
}], "Text"],

Cell["\<\
\tLa soluci\[OAcute]n general del problema, normalmente expresada \
como una suma infinita, se obtiene usando separaci\[OAcute]n de variables, y \
es\
\>", "Text"],

Cell[BoxData[
    \(TraditionalForm\`\(\(\t\t\)\(u(x, 
        t) = \[Sum]\+\(n = 1\)\%\[Infinity]\([\(A\_n\) \(cos(
                  c\ \(v\_n\) t)\) + \(B\_n\) \(sin(
                  c\ \(v\_n\) t)\) + \(H\_n\)(t)]\) \(sin(\(v\_n\) 
              x)\), \ \ \ \ \ \ v\_n = \(n\ \[Pi]\)\/a, \)\)\)], "Text",
  CellMargins->{{Inherited, Inherited}, {4, 3}}],

Cell[BoxData[
    \(TraditionalForm\`\(\(\t\t\)\(A\_n = \(2\/a\) \(\[Integral]\_0\%a\( f(
              x)\) \(sin(\(v\_n\) 
                x)\) \[DifferentialD]x\), \ \ \ \ \ \ B\_n = \(2\/\(n\ \[Pi]\ \
c\)\) \(\[Integral]\_0\%a\( g(
              x)\) \(sin(\(v\_n\) x)\) \[DifferentialD]x\), \)\)\)], "Text",
  CellMargins->{{Inherited, Inherited}, {4, Inherited}}],

Cell[BoxData[
    \(TraditionalForm\`\(\(\t\t\)\(\(F\_n\)(
        t) = \(2\/a\) \(\[Integral]\_0\%a\( F(x, 
              t)\) \(sin(\(v\_n\) 
                x)\) \[DifferentialD]x\), \ \ \ \ \ \ \ \(H\_n\)(
        t) = \(1\/\(c\ v\_n\)\) \(\[Integral]\_0\%t\(\( F\_n\)(\[Tau])\) 
            sin[c\ \(\(v\_n\)(
                  t - \[Tau])\)] \
\(\(\[DifferentialD]\[Tau]\)\(.\)\)\)\)\)\)], "Text"],

Cell["\<\
Vamos a resolver para los valores que se definen a continuaci\
\[OAcute]n\
\>", "Commentary"],

Cell[BoxData[
    \(a = 1; \ c = 1; \ F = \(-9.80665\); \ 
    f = 10 \( x\^2\) \((1 - x)\)\^2; \ g = 0;\)], "InputOnly"],

Cell["\<\
Calculemos los coeficientes, note que -9.80665 es la aceleraci\
\[OAcute]n de la gravedad\
\>", "Commentary"],

Cell[BoxData[{
    \(vn = \(n\ \[Pi]\)\/a\), "\[IndentingNewLine]", 
    \(An = \(2\/a\) \(\[Integral]\_0\%a 
            f\ Sin[vn\ x] \[DifferentialD]x\)\), "\[IndentingNewLine]", 
    \(Bn = \(2\/\(n\ \[Pi]\ c\)\) \(\[Integral]\_0\%a 
            g\ Sin[vn\ x] \[DifferentialD]x\)\), "\[IndentingNewLine]", 
    \(Fn = \(2\/a\) \(\[Integral]\_0\%a 
            F\ Sin[vn\ x] \[DifferentialD]x\)\), "\[IndentingNewLine]", 
    \(Fn\[Tau] = Fn /. t \[Rule] \[Tau]\), "\[IndentingNewLine]", 
    \(Hn = \(1\/\(c\ vn\)\) \(\[Integral]\_0\%t 
            Fn\[Tau]\ Sin[
              c\ vn\ \((t - \[Tau])\)] \[DifferentialD]\[Tau]\)\)}], "Input"],

Cell["Por tanto el n-\[EAcute]simo t\[EAcute]rmino de la soluci\[OAcute]n en \
serie es", "Commentary"],

Cell["\<\
term = (An Cos[c vn t] + Bn Sin[c vn t] + Hn) Sin[vn x] \
//Simplify\
\>", "Input",
  AspectRatioFixed->True],

Cell["\<\
Tomamos ahora esta soluci\[OAcute]n aproximada y trabajamos con \
ella, por ejemplo, obtener valores o trazar una gr\[AAcute]fica\
\>", \
"Commentary"],

Cell[BoxData[
    \(\(Table[term, \ {n, 4}]\  // Simplify\)\  // Chop\)], "Input"],

Cell[BoxData[{
    \(solaprox = \[Sum]\+\(n = 1\)\%30 N[term]\), "\[IndentingNewLine]", 
    \(Table[
      solaprox /. x \[Rule] 0.5, {t, 0, 0.5, 0.1}]\), "\[IndentingNewLine]", 
    \(\(Plot3D[Evaluate[solaprox], \ {t, 0, 4}, \ {x, 0, 1}, \ 
        PlotRange -> All, \ \n\ \ AxesLabel -> {"\<t\>", "\<x\>", "\<\>"}, \ 
        Ticks -> {{0, 1, 2, 3, 4}, {0, 1}, {\(-3\), 0}}];\)\)}], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Soluciones Num\[EAcute]ricas.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tPara efectos de comparar, resolveremos los dos problemas \
resueltos mediante series\
\>", "Text"],

Cell[CellGroupData[{

Cell["\tEjemplo 1.  El Problema Parab\[OAcute]lico.", "Text"],

Cell[TextData[{
  "\tResolver   ",
  Cell[BoxData[
      \(TraditionalForm\`u\_t - \ u\_\(x\ x\) = 0\)]],
  ",   ",
  Cell[BoxData[
      \(TraditionalForm\`0 < x < 1\)]],
  ",   ",
  Cell[BoxData[
      \(TraditionalForm\`t > 0\)]],
  ",   ",
  Cell[BoxData[
      \(TraditionalForm\`u(x, 0) = \(f(x) = x(1 - x)\)\)]],
  ",   ",
  Cell[BoxData[
      \(TraditionalForm\`u(0, t) = \(u(1, t) = 0\)\)]],
  "."
}], "Text",
  CellMargins->{{Inherited, Inherited}, {4, 3}}],

Cell[BoxData[
    \(ecu = {D[u[x, t], t] - D[u[x, t], x, x] \[Equal] 0, 
        u[x, 0] \[Equal] x \((1 - x)\), u[0, t] \[Equal] 0, 
        u[1, t] \[Equal] 0}\)], "Input"],

Cell[BoxData[
    \(sol = NDSolve[ecu, u[x, t], {x, 0, 1}, {t, 0, 0.5}]\)], "Input"],

Cell["\<\
Observe que el resultado es una funci\[OAcute]n de interpolaci\
\[OAcute]n en dos dimensiones\
\>", "Commentarysub"],

Cell[BoxData[
    \(\(Plot3D[
        Evaluate[u[x, t] /. sol[\([1]\)]], \ {t, 0, 0.5}, \ {x, 0, 1}, \ 
        PlotRange -> All, \n\ \ AxesLabel -> {"\<t\>", "\<x\>", "\<\>"}, \ 
        Ticks -> {{0, 0.5}, {0, 1}, {0.1, 0.2}}];\)\)], "Input"],

Cell["Compare con la gr\[AAcute]fica que se obtuvo antes", "Commentarysub"],

Cell["\<\
Estos son los valores, con precisi\[OAcute]n de 6 d\[IAcute]gitos \
aproximadamente obtenidos antes\
\>", "Commentary"],

Cell[BoxData[
    \({0.2500047465833761`, 0.09616187143434801`, 0.03584077736563916`, 
      0.013358138743341855`, 0.00497868302214484`, 
      0.001855594189519908`}\)], "Output"],

Cell["Calculemos estos valores con la soluci\[OAcute]n num\[EAcute]rica", \
"Commentary"],

Cell["Table[Evaluate[u[x,t]/.sol[[1]]] /. x->0.5, {t,0,0.5,0.1}]", "Input"],

Cell["\<\
Pero estos valores apenas tienen 2 d\[IAcute]gitos de precisi\
\[OAcute]n aproximadamente, para corregir esto hagamos\
\>", "Commentarysub"],

Cell["\<\
sol2 = \
NDSolve[ecu,u[x,t],{x,0,1},{t,0,0.5},PrecisionGoal->6,AccuracyGoal->6]\
\>", \
"Input",
  CellMargins->{{Inherited, Inherited}, {4, 4}}],

Cell["Calculemos de nuevo los valores", "Commentary"],

Cell["Table[Evaluate[u[x,t]/.sol2[[1]]]/.x->0.5,{t,0,0.5,0.1}]", "Input"],

Cell["\<\
As\[IAcute] que ahora tenemos valores con 4 o 5 d\[IAcute]gitos \
aproximadamente de precisi\[OAcute]n\
\>", "Commentarysub"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 2.  El Problema Hiperb\[OAcute]lico.", "Text"],

Cell["Observe y compare con los resultados obtenidos antes", "Commentary"],

Cell["\<\
ecu={D[u[x,t],t,t] - D[u[x,t],x,x]==-9.80665,u[x,0]==10 x^2 \
(1-x)^2,Derivative[0,1][u][x,0]==0,u[0,t]==0,u[1,t]==0}\
\>", "Input"],

Cell[BoxData[
    \(sol = NDSolve[ecu, u[x, t], {x, 0, 1}, {t, 0, 4}]\)], "Input"],

Cell["\<\
Plot3D[Evaluate[u[x,t]/.sol[[1]]], {t,0,4}, {x,0,1}, 
  PlotPoints->{21,11}, PlotRange->All, AxesLabel->{\"t\",\"x\",\"\"}, 
  Ticks->{{0,1,2,3,4},{0,1},{-3,0}}];\
\>", "Input",
  CellMargins->{{Inherited, Inherited}, {Inherited, 3}}],

Cell["Table[Evaluate[u[x,t]/.sol[[1]]] /. x->0.5, {t,0,0.5,0.1}]", "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 3.  Un Sistema de Ecuaciones.", "Text"],

Cell[TextData[{
  "\tResolver el sistema de ecuaciones  { ",
  Cell[BoxData[
      \(TraditionalForm\`u\_t\  - u\_xx = v\)]],
  ", ",
  Cell[BoxData[
      \(TraditionalForm\`v\_\(t\ t\) - u\_xx = 0\)]],
  " }  sujeto a las condiciones\n\t",
  Cell[BoxData[
      \(TraditionalForm\`u(x, 0) = x(1 - x)\)]],
  ",  ",
  Cell[BoxData[
      \(TraditionalForm\`u(0, t) = \(u(1, t) = 0\)\)]],
  ",  ",
  Cell[BoxData[
      \(TraditionalForm\`v(x, 0) = 10 \(\( x\^2\)(1 - x)\)\^2\)]],
  ",  ",
  Cell[BoxData[
      \(TraditionalForm\`\(v\_t\)(x, 0) = 0\)]],
  ",  ",
  Cell[BoxData[
      \(TraditionalForm\`v(0, t) = \(v(1, t) = 0\)\)]],
  " "
}], "Text"],

Cell["\<\
ecu={D[u[x,t],t]-D[u[x,t],x,x]==v[x,t],D[v[x,t],t,t]-D[u[x,t],x,x]==\
0,u[x,0]==x(1-x),u[0,t]==0,u[1,t]==0,v[x,0]==10x^2 \
(1-x)^2,Derivative[0,1][v][x,0]==0,v[0,t]==0,v[1,t]==0}\
\>", "Input"],

Cell[TextData[StyleBox["sol=NDSolve[ecu,{u[x,t],v[x,t]},{x,0,1},{t,0,4}]",
  FontWeight->"Bold"]], "Input"],

Cell[BoxData[
    \(Plot3D[Evaluate[u[x, t] /. sol[\([1, 1]\)]], {t, 0, 4}, {x, 0, 1}, 
      PlotRange \[Rule] All, PlotPoints \[Rule] {31, 15}, 
      AxesLabel \[Rule] {"\<t\>", "\<x\>", "\<\>"}]\)], "Input"],

Cell[BoxData[
    \(Plot3D[Evaluate[v[x, t] /. sol[\([1, 2]\)]], {t, 0, 4}, {x, 0, 1}, 
      PlotRange \[Rule] All, PlotPoints \[Rule] {31, 15}, 
      AxesLabel \[Rule] {"\<t\>", "\<x\>", "\<\>"}]\)], "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\[FilledSquare] Interpolaci\[OAcute]n y Aproximaci\[OAcute]n de \
Funciones\
\>", "Subtitulo",
  FontFamily->"Arial"],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Interpolaci\[OAcute]n Polinomial.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tCon la Interpolaci\[OAcute]n se pretende representar un conjunto \
de puntos mediante una curva que pasa exactamente a traves de los puntos. La \
Interpolaci\[OAcute]n tambi\[EAcute]n puede ser aplicada a una \
funci\[OAcute]n, para lo cual bastar\[IAcute]a con disponer de un conjunto de \
puntos de la misma. De esta forma podemos obtener, para los datos dados o \
para una funci\[OAcute]n, una representaci\[OAcute]n adecuada que sea \
suficientemente precisa para prop\[OAcute]sitos pr\[AAcute]cticos.\
\>", \
"Text"],

Cell["\<\
Polinomio de Interpolaci\[OAcute]n en la forma de Newton usando \
diferencias divididas\
\>", "Commentary"],

Cell["\<\
\tInterpolatingPolynomial[datos,x]\tgenera el polinomio de \
interpolaci\[OAcute]n que pasa a traves de los puntos dados
\t\t\t\t\t\tresultando como funci\[OAcute]n de x
\t\t\t\t\t\tlos datos se dan usualmente de la forma  \
{x1,f1},{x2,f2},...\
\>", "Cuadro"],

Cell["\<\
Para una Funci\[OAcute]n Interpolante Racional o \
Aproximaci\[OAcute]n de Chebyshev\
\>", "Commentary"],

Cell[TextData[{
  "\tEn el Paquete  NumericalMath`Approximations`\t\
RationalInterpolation[f,{x,m,k},{",
  Cell[BoxData[
      \(TraditionalForm\`x\_1\)]],
  ", ",
  Cell[BoxData[
      \(TraditionalForm\`x\_2\)]],
  ", ... , ",
  Cell[BoxData[
      \(TraditionalForm\`x\_\(m + k + 1\)\)]],
  "}]\n\tse genera la funci\[OAcute]n de interpolaci\[OAcute]n racional de \
grado (m,k) para f a traves de los puntos dados"
}], "Cuadro"],

Cell[CellGroupData[{

Cell["\tUn primer ejemplo.", "Text"],

Cell["\<\
Tomemos la funci\[OAcute]n de distribuci\[OAcute]n acumulativa de \
la distribuci\[OAcute]n normal estandar\
\>", "Commentary"],

Cell[BoxData[{
    \(f = \(1 + Erf[x\/\@2]\)\/2\), "\[IndentingNewLine]", 
    \(Plot[Evaluate[f], {x, 0, 2}]\)}], "Input"],

Cell[BoxData[{
    \(datos = Table[{x, f}, {x, 0. , 2, 1/3}]\), "\[IndentingNewLine]", 
    \(pol = InterpolatingPolynomial[datos, x]\), "\[IndentingNewLine]", 
    \(grafpol = 
      Plot[Evaluate[pol], {x, 0, 2}, 
        PlotStyle \[Rule] RGBColor[0, 0, 1]]\)}], "Input"],

Cell["Observe que el error cometido es bastante peque\[NTilde]o", "Commentary"],

Cell[BoxData[
    \(Plot[Evaluate[f - pol], {x, 0, 2}]\)], "Input"],

Cell[BoxData[{
    \(Needs["\<NumericalMath`Approximations`\>"]\), "\[IndentingNewLine]", 
    \(rac = 
      RationalInterpolation[f, {x, 4, 2}, 
        Range[0, 2, 1/3]]\), "\[IndentingNewLine]", 
    \(Plot[Evaluate[rac], {x, 0, 2}]\), "\[IndentingNewLine]", 
    \(Plot[Evaluate[f - rac], {x, 0, 2}]\)}], "Input"],

Cell["Observe que el error cometido es m\[AAcute]s peque\[NTilde]o", \
"Commentarysub"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tUn segundo ejemplo, aproximando una lista de datos.", "Text"],

Cell[BoxData[
    \(datos2 = {{1, 1}, {2, 2}, {3, 0}, {4, 2}, {5, 2}, {6, 2}, {7, 0}, {8, 
          0}, {9, 2}, {10, 3}, {11, 5}, {12, 4}, {13, 3}, {14, 1}}\)], "Input"],

Cell[BoxData[
    \(g2 = 
      ListPlot[datos2, 
        PlotStyle \[Rule] {PointSize[0.02], RGBColor[1, 0, 0]}]\)], "Input"],

Cell[BoxData[
    \(polint2 = InterpolatingPolynomial[datos2, x]\)], "Input"],

Cell[BoxData[
    \(polint2 // Expand\)], "Input"],

Cell[BoxData[
    \(gp2 = 
      Plot[Evaluate[polint2], {x, 0, 14}, PlotRange \[Rule] {\(-10\), 25}, 
        PlotStyle \[Rule] RGBColor[0, 0, 1]]\)], "Input"],

Cell[BoxData[
    \(Show[g2, gp2, PlotRange \[Rule] {\(-10\), 25}]\)], "Input"]
}, Closed]],

Cell["\<\
\tTambi\[EAcute]n podemos interpolar sobre un conjunto de datos \
mediante Interpolaci\[OAcute]n a Trozos, veamos\
\>", "Text"],

Cell["\<\
\tInterpolation[datos]\t\t\t\tinterpolaci\[OAcute]n de grado 3, \
esta es la que se usa por defecto
\tInterpolation[datos, InterpolationOrder->n]\tinterpolaci\[OAcute]n de grado \
n\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplo.", "Text"],

Cell["Interpolaci\[OAcute]n lineal", "Commentary"],

Cell[BoxData[{
    \(intlin = 
      Interpolation[datos2, 
        InterpolationOrder \[Rule] 1]\), "\[IndentingNewLine]", 
    \(graintlin = 
      Plot[intlin[x], {x, 1, 14}, 
        PlotStyle \[Rule] RGBColor[0, 0, 1]]\)}], "Input"],

Cell[BoxData[
    \(intlin[4.5]\)], "Input"],

Cell[BoxData[
    \(Show[g2, graintlin]\)], "Input"],

Cell["Interpolaci\[OAcute]n c\[UAcute]bica", "Commentary"],

Cell[BoxData[{
    \(intcub = Interpolation[datos2]\), "\[IndentingNewLine]", 
    \(graintcub = 
      Plot[intcub[x], {x, 1, 14}, 
        PlotStyle \[Rule] RGBColor[0, 0.5, 0]]\)}], "Input"],

Cell[BoxData[
    \(intcub[4.5]\)], "Input"],

Cell[BoxData[
    \(Show[g2, graintcub]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo.  Aproximando una funci\[OAcute]n directamente", "Text"],

Cell[TextData[{
  "Consideremos el problema de aproximar  ",
  Cell[BoxData[
      \(TraditionalForm\`\[Integral]\_0\%x Sin[
            Sin[t\^2]] \[DifferentialD]t\)]],
  "  como una funci\[OAcute]n sobre el intervalo (0,x)"
}], "Commentary"],

Cell[BoxData[
    \(f[x_?NumericQ] := NIntegrate[Sin[Sin[t\^2]], {t, 0, x}]\)], "InputOnly"],

Cell[BoxData[
    \(funcinter = FunctionInterpolation[f[x], {x, 0, Pi}]\)], "Input"],

Cell[BoxData[
    \(Plot[funcinter[x], {x, 0, Pi}]\)], "Input"],

Cell[BoxData[{
    \(g[x_] = \(1 + Erf[x\/\@2]\)\/2\), "\[IndentingNewLine]", 
    \(funcg = 
      FunctionInterpolation[f[x], {x, 0, 2}]\), "\[IndentingNewLine]", 
    \(Plot[funcg[x], {x, 0, 2}]\)}], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Splines.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell["\<\
\tUna Spline C\[UAcute]bica es una funci\[OAcute]n, construida en \
base polinomios c\[UAcute]bicos, de tal forma que pasa a traves de cada punto \
y de forma que ella y su derivada son continuas en el intervalo que se forma \
desde el primero al \[UAcute]ltimo punto y donde la segunda derivada es cero \
en los puntos finales. La Funci\[OAcute]n Spline resultante, la podemos \
evaluar, graficar,  etc., como cualquier funci\[OAcute]n normal.\
\>", "Text"],

Cell["\<\
\tEn el Paquete  NumericalMath`SplineFit`
\tSplineFit[datos,tipo]\t\tgenera una Spline de los datos del tipo indicado
\t\t\t\t\tlos tipos son:   Cubic, Bezier, CompositeBezier\
\>", "Cuadro"],

Cell["\<\
\tLa rutina de SplineFit retorna una funci\[OAcute]n objeto que \
representa la Spline. Es una funci\[OAcute]n param\[EAcute]trica de un \
argumento representando una curva en el plano. Para un valor del parametro, \
dentro del rango de parametrizaci\[OAcute]n, se generar\[AAcute] el punto \
(x,y) correspondiente.\
\>", "Text"],

Cell[CellGroupData[{

Cell["\tEjemplo 1.", "Text"],

Cell["Cargamos el paquete SplineFit", "Commentary"],

Cell[BoxData[
    \(<< NumericalMath`SplineFit`\)], "Input"],

Cell["\<\
Veamos el ejemplo con el que trabajamos en la parte anterior, para \
luego hacer algunas comparaciones\
\>", "Commentary"],

Cell[BoxData[{
    \(datos2 = {{1, 1}, {2, 2}, {3, 0}, {4, 2}, {5, 2}, {6, 2}, {7, 0}, {8, 
          0}, {9, 2}, {10, 3}, {11, 5}, {12, 4}, {13, 3}, {14, 
          1}}\), "\[IndentingNewLine]", 
    \(g2 = 
      ListPlot[datos2, 
        PlotStyle \[Rule] {PointSize[0.02], RGBColor[1, 0, 0]}]\)}], "Input"],

Cell["Generar la Spline C\[UAcute]bica y graficarla", "Commentary"],

Cell[BoxData[{
    \(splinecub2 = SplineFit[datos2, Cubic]\), "\[IndentingNewLine]", 
    \(scg2 = ParametricPlot[splinecub2[x], {x, 0, 13}]\)}], "Input"],

Cell["Observe la gr\[AAcute]fica junto con los puntos", "Commentary"],

Cell[BoxData[
    \(Show[g2, scg2]\)], "Input"],

Cell["Comparando contra el polinomio de interpolaci\[OAcute]n respectivo", \
"Commentary"],

Cell[BoxData[
    \(Show[g2, scg2, gp2, PlotRange \[Rule] {\(-10\), 25}]\)], "Input"],

Cell["\<\
En este caso, la funci\[OAcute]n pasa solamente por los puntos \
primero y \[UAcute]ltimo y usa todos los demas puntos como control\
\>", \
"Commentary"],

Cell[BoxData[{
    \(splineBez = SplineFit[datos2, Bezier]\), "\[IndentingNewLine]", 
    \(bg2 = 
      ParametricPlot[splineBez[x], {x, 0, 13}]\), "\[IndentingNewLine]", 
    \(Show[g2, bg2]\)}], "Input"],

Cell["\<\
En este caso, la funci\[OAcute]n pasa por los puntos primero, \
tercero, quinto, etc. y usa los demas puntos como control\
\>", "Commentary"],

Cell[BoxData[{
    \(splineComBez = 
      SplineFit[datos2, CompositeBezier]\), "\[IndentingNewLine]", 
    \(cbg2 = 
      ParametricPlot[splineComBez[x], {x, 0, 13}]\), "\[IndentingNewLine]", 
    \(Show[g2, cbg2]\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 2.  Tomado de la ayuda.", "Text"],

Cell[BoxData[{
    StyleBox[\(pts = {{0, 0}, {1, 2}, {\(-1\), 3}, {0, 1}, {3, 0}};\),
      FontFamily->"Courier"], "\[IndentingNewLine]", 
    StyleBox[\(spline = SplineFit[pts, Cubic]\),
      FontFamily->"Courier"], "\[IndentingNewLine]", 
    StyleBox[\(spline[1.4]\),
      FontFamily->"Courier"], "\[IndentingNewLine]", 
    StyleBox[\(ParametricPlot[spline[u], {u, 0, 4}]\),
      FontFamily->"Courier"]}], "Input"],

Cell["\<\
Observe la representaci\[OAcute]n interna de la Spline, en ella \
pueden apreciarse los coeficientes de los polinomios respectivo\
\>", \
"Commentary"],

Cell["InputForm[spline]", "Input",
  CellTags->"S5.93.1"]
}, Closed]],

Cell["\<\
\tDado un conjunto de n puntos, la Spline se construye sobre n \
intervalos numerados de 0 a n-1 y cada intervalo es de longitud la diferencia \
de las abscisas, de manera que para efectos de evaluar la Spline debe de \
tenerse cuidado, primero debe reparametrizarse el punto sobre el que queremos \
calcular el valor de interpolaci\[OAcute]n, es decir, primero debe ubicarse \
en cual subintervalo est\[AAcute] y luego proceder a la evaluaci\[OAcute]n. \
En el ejemplo que sigue se muestra como evaluar la Spline.\
\>", "Text"],

Cell[CellGroupData[{

Cell["\tEjemplo 2.", "Text"],

Cell[BoxData[
    \(<< NumericalMath`SplineFit`\)], "Input"],

Cell[BoxData[
    \(datos3 = {{0.9, 1.3}, {1.3, 1.5}, {1.9, 1.85}, {2.1, 2.1}, {2.6, 
          2.6}, {3.0, 2.7}, {3.9, 2.4}, {4.4, 2.15}, {4.7, 2.05}, {5.0, 
          2.1}, {6.0, 2.25}, {7.0, 2.3}, {8.0, 2.25}, {9.2, 1.95}, {10.5, 
          1.4}, {11.3, 0.9}, {11.6, 0.7}, {12.0, 0.6}, {12.6, 0.5}, {13.0, 
          0.4}, {13.3, 0.25}}\)], "Input"],

Cell[BoxData[
    \(g3 = 
      ListPlot[datos3, 
        PlotStyle \[Rule] {PointSize[0.01], RGBColor[1, 0, 0]}, 
        AspectRatio \[Rule] Automatic]\)], "Input"],

Cell[BoxData[{
    \(splinecub3 = SplineFit[datos3, Cubic]\), "\[IndentingNewLine]", 
    \(scg3 = 
      ParametricPlot[splinecub3[x], {x, 0, 20}, 
        AspectRatio \[Rule] Automatic]\)}], "Input"],

Cell[BoxData[
    \(Table[{x, \(splinecub3[x]\)[\([1]\)], \(splinecub3[x]\)[\([2]\)]}, {x, 
          0, 20, 0.2}] // TableForm\)], "Input"],

Cell[BoxData[
    \(Show[g3, scg3, AspectRatio \[Rule] Automatic]\)], "Input"],

Cell[BoxData[{
    \(\(q = 2.5;\)\), "\[IndentingNewLine]", 
    \(\(k = 1;\)\), "\[IndentingNewLine]", 
    \(While[q - datos3[\([k, 1]\)] >= 0, 
      k = k + 1]\), "\[IndentingNewLine]", 
    \(w = datos3[\([k - 1, 1]\)]; 
    While[\(splinecub3[w]\)[\([1]\)] < q, 
      w = w + 0.00005]\), "\[IndentingNewLine]", 
    \({w, splinecub3[w]}\)}], "Input"],

Cell[BoxData[
    \(splinecub3[3.79274]\)], "Input"],

Cell[BoxData[
    \(fevalspl[x_] := \((k = 1; 
        While[x - datos3[\([k, 1]\)] >= 0, k = k + 1]; 
        w = datos3[\([k - 1, 1]\)]; 
        While[\(splinecub3[w]\)[\([1]\)] < x, 
          w = w + 0.00005]; \(splinecub3[w]\)[\([2]\)])\)\)], "Input"],

Cell[BoxData[
    \(fevalspl[2.5]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "\tEjemplo 3.  Para comparar el algoritmo de Trazador C\[UAcute]bico \
Natural Vs SplineFit de ",
  StyleBox["Mathematica.",
    FontSlant->"Italic"]
}], "Text"],

Cell["Para encontrar el Trazador C\[UAcute]bico o Spline C\[UAcute]bico", \
"Commentary"],

Cell[BoxData[{
    \(\(w1 = {0.9, 1.3, 1.9, 2.1, 2.6, 3.0, 3.9, 4.4, 4.7, 5.0, 6.0, 7.0, 
          8.0, 9.2, 10.5, 11.3, 11.6, 12.0, 12.6, 13.0, 
          13.3};\)\), "\[IndentingNewLine]", 
    \(\(w2 = {1.3, 1.5, 1.85, 2.1, 2.6, 2.7, 2.4, 2.15, 2.05, 2.1, 2.25, 2.3, 
          2.25, 1.95, 1.4, 0.9, 0.7, 0.6, 0.5, 0.4, 
          0.25};\)\), "\[IndentingNewLine]", 
    \(\(n = Length[w1] - 1;\)\), "\[IndentingNewLine]", 
    \(For[i = 0, i <= n, 
      x[i] = w1[\([i + 1]\)]; \(i++\)]\), "\[IndentingNewLine]", 
    \(For[i = 0, i <= n, 
      a[i] = w2[\([i + 1]\)]; \(i++\)]\), "\[IndentingNewLine]", 
    \(For[i = 0, i <= n - 1, 
      h[i] = x[i + 1] - x[i]; \(i++\)]\), "\[IndentingNewLine]", 
    \(For[i = 1, i <= n - 1, 
      af[i] = \(3\/h[i]\) \((a[i + 1] - a[i])\) - \(3\/h[i - 1]\) \((a[i] - 
                a[i - 1])\); \(i++\)]\), "\[IndentingNewLine]", 
    \(af[0] = 0; af[n] = 0;\), "\[IndentingNewLine]", 
    \(l[0] = 1; u[0] = 0; z[0] = 0;\), "\[IndentingNewLine]", 
    \(For[i = 1, 
      i <= n - 1, {l[i] = 2*\((x[i + 1] - x[i - 1])\) - h[i - 1]*u[i - 1]; 
        u[i] = h[i]/l[i]; 
        z[i] = \((af[i] - h[i - 1]*z[i - 1])\)/
            l[i]}; \(i++\)]\), "\[IndentingNewLine]", 
    \(l[n] = 1; z[n] = 0; c[n] = 0;\), "\[IndentingNewLine]", 
    \(For[i = 0, 
      i <= n - 1, {j = n - 1 - i; c[j] = z[j] - u[j]*c[j + 1]; 
        b[j] = \(a[j + 1] - a[j]\)\/h[j] - \(h[j]*\((c[j + 1] + \
2*c[j])\)\)\/3; 
        d[j] = \(c[j + 1] - c[j]\)\/\(3*h[j]\)}; \(i++\)]\), "\
\[IndentingNewLine]", 
    \(c[n] = 0; b[n] = \(d[n] = "\<\>"\);\), "\[IndentingNewLine]", 
    \(TableForm[Table[{i, x[i], a[i], b[i], c[i], d[i]}, {i, 0, n}], 
      TableHeadings -> {None, {"\<i\>", "\<x[i]\>", "\<a[i]\>", "\<b[i]\>", "\
\<c[i]\>", "\<d[i]\>"}}]\)}], "Input"],

Cell["Para evaluar la Spline en el valor q", "Commentary"],

Cell[BoxData[{
    \(\(q = 2.8;\)\), "\[IndentingNewLine]", 
    \(\(k = 0;\)\), "\[IndentingNewLine]", 
    \(While[q - x[k] >= 0, k = k + 1]\), "\[IndentingNewLine]", 
    \(\(P[m_, y_] = 
        a[m] + b[m]*\((y - x[m])\) + c[m]*\((y - x[m])\)\^2 + 
          d[m]*\((y - x[m])\)\^3;\)\), "\[IndentingNewLine]", 
    \(Print["\<S(\>", q, "\<)= S[\>", k - 1, "\<](\>", q, "\<)= \>", 
      P[k - 1, q]]\)}], "Input"],

Cell["Para evaluar la Spline en el valor q hecho como una funci\[OAcute]n", \
"Commentary"],

Cell[BoxData[
    \(evalspline[
        q_] := {k = 0; While[q - x[k] >= 0, k = k + 1]; 
          P[m_, y_] = 
            a[m] + b[m]*\((y - x[m])\) + c[m]*\((y - x[m])\)\^2 + 
              d[m]*\((y - x[m])\)\^3; \[IndentingNewLine]P[k - 1, 
            q]}[\([1]\)]\)], "Input"],

Cell[BoxData[
    \(evalspline[2.8]\)], "Input"],

Cell["Gr\[AAcute]fica de la Spline", "Commentary"],

Cell[BoxData[{
    \(P[m_, y_] = 
      a[m] + b[m]*\((y - x[m])\) + c[m]*\((y - x[m])\)\^2 + 
        d[m]*\((y - x[m])\)\^3; 
    For[i = 0, i <= n - 1, 
      t[i] = Plot[P[i, y], {y, x[i], x[i + 1]}, 
          PlotStyle \[Rule] RGBColor[1, 0, 0], 
          DisplayFunction \[Rule] 
            Identity]; \(i++\)]\), "\[IndentingNewLine]", 
    \(\(w = Table[t[i], {i, 0, n - 1}];\)\), "\[IndentingNewLine]", 
    \(Show[w, PlotRange \[Rule] {\(-4\), 4}, 
      DisplayFunction \[Rule] $DisplayFunction]\)}], "Input"],

Cell[TextData[{
  "Cargando el Paquete de SplineFit y corriendo con los comandos del ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " "
}], "Commentary"],

Cell[BoxData[
    \(<< NumericalMath`SplineFit`\)], "Input"],

Cell[BoxData[{
    \(lista = Table[{x[i], a[i]}, {i, 0, n}]\), "\[IndentingNewLine]", 
    \(splinecub = SplineFit[lista, Cubic]\), "\[IndentingNewLine]", 
    \(gspline = 
      ParametricPlot[splinecub[x], {x, 0, 20}, PlotRange \[Rule] {\(-4\), 4}, 
        AspectRatio \[Rule] Automatic, 
        PlotStyle \[Rule] RGBColor[0, 0, 1]]\)}], "Input"],

Cell["Comparaci\[OAcute]n de las Gr\[AAcute]ficas", "Commentary"],

Cell[BoxData[
    \(Show[{w, gspline}, PlotRange \[Rule] {\(-4\), 4}, 
      DisplayFunction \[Rule] $DisplayFunction]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\t\[FilledSquare] Aproximaci\[OAcute]n de Datos.", "SubSubtitulo",
  TextJustification->1,
  FontFamily->"Arial",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],

Cell[CellGroupData[{

Cell["\tConsideraciones generales.", "Text"],

Cell["\<\
\tEl estudio de la teor\[IAcute]a de Aproximaci\[OAcute]n comprende \
dos tipos generales de problemas. El primer problema se presenta cuando una \
funci\[OAcute]n se da en forma expl\[IAcute]cita pero queremos encontrar un \
tipo \"m\[AAcute]s simple\" de ella, por ejemplo un polinomio, que nos sirva \
para determinar valores aproximados de la funci\[OAcute]n dada. El segundo \
problema se refiere a la adaptaci\[OAcute]n de las funciones a ciertos datos \
y a la busqueda de la funci\[OAcute]n \"optima\" que podamos emplear para \
representar los datos.\
\>", "Text"],

Cell["Observe el siguiente conjunto de datos", "Commentary"],

Cell[BoxData[{
    \(\(datos = {{1, 1.3}, {2, 3.5}, {3, 4.2}, {4, 5.0}, {5, 7.0}, {6, 
            8.8}, {7, 10.1}, {8, 12.5}, {9, 13.0}, {10, 
            15.6}};\)\), "\[IndentingNewLine]", 
    \(grafdat = 
      ListPlot[datos, PlotStyle \[Rule] PointSize[0.02], 
        AxesOrigin \[Rule] {0, 0}]\)}], "Input"],

Cell["\<\
\tLa Interpolaci\[OAcute]n requiere de una funci\[OAcute]n que pase \
a traves de cada uno de los puntos dados, pero mirando los datos parece poco \
razonable exigir que la funci\[OAcute]n de aproximaci\[OAcute]n haga \
justamente eso, es decir, obligarla a que pase por cada punto, de hecho, esa \
funci\[OAcute]n ocasionar\[IAcute]a oscilaciones que originalmente no exist\
\[IAcute]an.\
\>", "Text"],

Cell["\<\
 Observe el Polinomio de Interpolaci\[OAcute]n o una Spline de los \
datos dados\
\>", "Commentary"],

Cell[BoxData[{
    \(\(pol = InterpolatingPolynomial[datos, x];\)\), "\[IndentingNewLine]", 
    \(\(grafpol = 
        Plot[Evaluate[pol], {x, 0.5, 10.2}, 
          PlotStyle \[Rule] RGBColor[0, 0, 1], 
          DisplayFunction \[Rule] Identity];\)\), "\[IndentingNewLine]", 
    \(Needs["\<NumericalMath`SplineFit`\>"]\), "\[IndentingNewLine]", 
    \(\(spline = SplineFit[datos, Cubic];\)\), "\[IndentingNewLine]", 
    \(\(grafspl = 
        ParametricPlot[spline[x], {x, 0, 9}, 
          PlotStyle \[Rule] RGBColor[1, 0, 0], 
          DisplayFunction \[Rule] Identity];\)\), "\[IndentingNewLine]", 
    \(Show[grafpol, grafspl, grafdat, 
      DisplayFunction \[Rule] $DisplayFunction]\)}], "Input"],

Cell[TextData[{
  "\tEl problema requiere determinar la mejor linea o curva de aproximaci\
\[OAcute]n para un conjunto de puntos {(",
  Cell[BoxData[
      \(TraditionalForm\`x\_\(\(\ \)\(i\)\)\)]],
  ", ",
  Cell[BoxData[
      \(TraditionalForm\`y\_\(\(\ \)\(i\)\)\)]],
  "), i=1,2, ,,, ,m} de manera de reducir al m\[IAcute]nimo el  ",
  Cell[BoxData[
      \(TraditionalForm\`maximo\+\(i = 1, 2,  ... , m\)\)]],
  "{ Abs( ",
  Cell[BoxData[
      \(TraditionalForm\`y\_\(\(\ \)\(i\)\)\)]],
  " - f(",
  Cell[BoxData[
      \(TraditionalForm\`x\_\(\(\ \)\(i\)\)\)]],
  ")) } para una cierta funci\[OAcute]n f, esto es lo que se conoce como \
problema minimax y no se puede resolver mediante m\[EAcute]todos \
elementales."
}], "Text"],

Cell[TextData[{
  "\tEl m\[EAcute]todo de M\[IAcute]nimos Cuadrados utilizado para resolver \
el problema requiere determinar que condiciones debe tener f para reducir el \
error de m\[IAcute]nimos cuadrados, esto es, minimizar ",
  Cell[BoxData[
      \(TraditionalForm\`\[Sum]\+\(i = 1\)\%m\((y\_\(\(\ \)\(i\)\) - \
f(x\_\(\(\ \)\(i\)\)))\)\^2\)]],
  ".  Para ello, y dependiendo de lo que sugieran los datos, podemos tomar f \
como un polinomio lineal f(x)=a x+b, como un polinomio algebraico f(x)=",
  Cell[BoxData[
      \(TraditionalForm\`\[Sum]\+\(k = 0\)\%n a\_\(\(\ \)\(k\)\)\)]],
  Cell[BoxData[
      \(TraditionalForm\`x\^\(\(\ \)\(k\)\)\)]],
  ", o tomar f(x)=b",
  Cell[BoxData[
      \(TraditionalForm\`e\^\(\(\ \)\(ax\)\)\)]],
  "o f(x)=b",
  Cell[BoxData[
      \(TraditionalForm\`x\^a\)]],
  "si es que los datos sugieren una relaci\[OAcute]n exponencial."
}], "Text"]
}, Closed]],

Cell[TextData[{
  "\tFit [datos,func,var]\tbusca una aproximaci\[OAcute]n de M\[IAcute]nimos \
Cuadrados para la lista de datos\n\t\t\t\tcomo una combinaci\[OAcute]n de las \
funciones func de variables var\n\t\t\t\t\n\tlos datos de dan en la forma \
{f1,f2,...} para aproximar los puntos {1,f1},{2,f2},...} o de la forma \
{{x1,f1},{x2,f2},...}\n\tejemplos de bases:  {1,x}, ",
  Cell[BoxData[
      \(TraditionalForm\`{1, x, x\^2}\)]],
  ", {Exp[x], Cos[x]}, etc."
}], "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplo.", "Text"],

Cell["\<\
Veamos por ejemplo la aproximaci\[OAcute]n de M\[IAcute]nimos \
Cuadrados con f(x)=ax+b, es decir, lineal\
\>", "Commentary"],

Cell[BoxData[{
    \(datosfit = Fit[datos, {1, x}, x]\), "\[IndentingNewLine]", 
    \(\(grdatosfit = 
        Plot[datosfit, {x, 0.5, 10.5}, 
          DisplayFunction \[Rule] Identity];\)\), "\[IndentingNewLine]", 
    \(Show[grafdat, grdatosfit, 
      DisplayFunction \[Rule] $DisplayFunction]\)}], "Input"],

Cell[TextData[{
  "Veamos por ejemplo la aproximaci\[OAcute]n de M\[IAcute]nimos Cuadrados \
con ",
  Cell[BoxData[
      \(TraditionalForm\`f \((x)\) = ax\^2\)]],
  "+bx+c, es decir, cuadr\[AAcute]tica"
}], "Commentary"],

Cell[BoxData[{
    \(datosfitcua = Fit[datos, {1, x, x\^2}, x]\), "\[IndentingNewLine]", 
    \(\(grdatosfitcua = 
        Plot[datosfitcua, {x, 0.5, 10.5}, 
          DisplayFunction \[Rule] Identity];\)\), "\[IndentingNewLine]", 
    \(Show[grafdat, grdatosfitcua, 
      DisplayFunction \[Rule] $DisplayFunction]\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tUn segundo Ejemplo.", "Text"],

Cell["Considere el siguiente conjunto de datos", "Commentary"],

Cell[BoxData[{
    \(Needs["\<Statistics`NormalDistribution`\>"]\), "\[IndentingNewLine]", 
    \(\(datos2 = 
        Table[{x, 
            1 + x - 0.1  x\^2 + 0.3\ Random[NormalDistribution[0, 1]]}, {x, 
            0, 4,  .05}];\)\), "\[IndentingNewLine]", 
    \(grdatos2 = ListPlot[datos2, AspectRatio \[Rule] Automatic]\)}], "Input"],

Cell[BoxData[{
    \(datos2fit = Fit[datos2, {1, x}, x]\), "\[IndentingNewLine]", 
    \(\(grdatos2fit = 
        Plot[datos2fit, {x, 0, 4}, 
          DisplayFunction \[Rule] Identity];\)\), "\[IndentingNewLine]", 
    \(Show[grdatos2, grdatos2fit, 
      DisplayFunction \[Rule] $DisplayFunction]\)}], "Input"],

Cell[BoxData[{
    \(datos2fit = Fit[datos2, {1, x, x\^2}, x]\), "\[IndentingNewLine]", 
    \(\(grdatos2fit = 
        Plot[datos2fit, {x, 0, 4}, 
          DisplayFunction \[Rule] Identity];\)\), "\[IndentingNewLine]", 
    \(Show[grdatos2, grdatos2fit, 
      DisplayFunction \[Rule] $DisplayFunction]\)}], "Input"],

Cell["\<\
Para evaluar, utilice directamente la regla o defina una funci\
\[OAcute]n con ella, veamos\
\>", "Commentary"],

Cell[BoxData[
    \(datos2fit /. x \[Rule] 1.25\)], "Input"],

Cell[BoxData[{
    \(\(p[x_] = datos2fit;\)\), "\[IndentingNewLine]", 
    \(p[1.25]\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tUn Ejemplo de Transformaci\[OAcute]n Logar\[IAcute]tmica", "Text"],

Cell[BoxData[{
    \(Needs["\<Statistics`NormalDistribution`\>"]\), "\[IndentingNewLine]", 
    \(\(datos3 = 
        Table[{x, 
            Exp[0.3 + 0.2\ x] + 0.5\ Random[NormalDistribution[0, 1]]}, {x, 
            0, 10,  .1}];\)\), "\[IndentingNewLine]", 
    \(grdatos3 = ListPlot[datos3, AspectRatio \[Rule] Automatic]\)}], "Input"],

Cell["\<\
\tAl apreciar que los datos tienen un crecimiento exponencial, \
usamos una transformaci\[OAcute]n logar\[IAcute]tmica, veamos\
\>", "Text"],

Cell["\<\
Primero tomamos logartimos, luego aproximamos linealmente,  \
finalmente usamos la inversa y graficamos\
\>", "Commentary"],

Cell[BoxData[{
    \(Short[logdatos3 = Map[{#[\([1]\)], Log[#[\([2]\)]]} &, datos3], 
      1]\), "\[IndentingNewLine]", 
    \(logdatos3fit = Fit[logdatos3, {1, x}, x]\), "\[IndentingNewLine]", 
    \(datos3fit = Exp[logdatos3fit]\), "\[IndentingNewLine]", 
    \(grdatos3fit = Plot[datos3fit, {x, 0, 10}]\)}], "Input"],

Cell["Veamos el resultado", "Commentary"],

Cell[BoxData[
    \(Show[grdatos3, grdatos3fit]\)], "Input"]
}, Closed]],

Cell["\tProblemas de M\[IAcute]nimos Cuadrados No Lineales.", "Text"],

Cell["\<\
\tCuando tenemos un problema no lineal en los datos se usa con \
mucha frecuencia  el m\[EAcute]todo usado en el ejercicio anterior, sin \
embargo, para encontrar mejores aproximaciones de m\[IAcute]nimos cuadrados \
para modelos exponenciales u otros modelos es recomendable usar los comandos \
del paquete Statistics`NonLinearFit` .\
\>", "Text"],

Cell["\<\
\tEn el Paquete  Statistics`NonlinearFit`
\tNonlinearFit[datos,func,var,par]\tse genera una aproximaci\[OAcute]n de M\
\[IAcute]nimos Cuadrados de los datos para las funciones
\t\t\t\t\t\tde variables var y par\[AAcute]metros par\
\>", "Cuadro"],

Cell[CellGroupData[{

Cell["\tEjemplo 1.  Crecimiento Exponencial.", "Text"],

Cell["Veamos con el ejemplo del ejercicio anterior", "Commentary"],

Cell[BoxData[{
    \(Needs["\<Statistics`NormalDistribution`\>"]\), "\[IndentingNewLine]", 
    \(\(datos3 = 
        Table[{x, 
            Exp[0.3 + 0.2\ x] + 0.5\ Random[NormalDistribution[0, 1]]}, {x, 
            0, 10,  .1}];\)\), "\[IndentingNewLine]", 
    \(grdatos3 = ListPlot[datos3, AspectRatio \[Rule] Automatic]\)}], "Input"],

Cell[BoxData[{
    \(Needs["\<Statistics`NonlinearFit`\>"]\), "\[IndentingNewLine]", 
    \(nonlinfit3 = 
      NonlinearFit[datos3, Exp[a\  + \ b\ x], 
        x, {{a, 0}, {b, 0}}]\), "\[IndentingNewLine]", 
    \(grnonlinfit3 = 
      Plot[nonlinfit3, {x, 0, 10}, AspectRatio \[Rule] Automatic]\)}], "Input"],

Cell[BoxData[
    \(Show[grdatos3, grnonlinfit3]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\tEjemplo 2.  Crecimiento Amortiguado.", "Text"],

Cell[BoxData[{
    \(Needs["\<Statistics`NormalDistribution`\>"]\), "\[IndentingNewLine]", 
    \(\(datos4 = 
        Table[{x, 
            1/\((1 + 10\ Exp[\(-0.1\)\ x])\) + 
              0.1\ Random[NormalDistribution[0, 1]]}, {x, 0, 
            100}];\)\), "\[IndentingNewLine]", 
    \(grdatos4 = ListPlot[datos4]\)}], "Input"],

Cell[BoxData[{
    \(Needs["\<Statistics`NonlinearFit`\>"]\), "\[IndentingNewLine]", 
    \(nonlinfit4 = 
      NonlinearFit[datos4, 1/\((a + b\ Exp[c\ x])\), 
        x, {a, b, c}]\), "\[IndentingNewLine]", 
    \(grnonlinfit4 = Plot[nonlinfit4, {x, 0, 100}]\)}], "Input"],

Cell[BoxData[
    \(Show[grdatos4, grnonlinfit4]\)], "Input"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Open  ]],

Cell["\<\
Prof. Jes\[UAcute]s P\[EAcute]rez Ortega, M.M.  -  jesper@cantv.net \
- UNEXPO - Barquisimeto - Enero 2005.\
\>", "Cuadro",
  TextAlignment->Center],

Cell[" ", "Text"]
},
FrontEndVersion->"5.1 for Macintosh",
ScreenRectangle->{{0, 1024}, {0, 742}},
CellGrouping->Manual,
WindowSize->{913, 715},
WindowMargins->{{4, Automatic}, {Automatic, 1}},
ShowSelection->True,
CellLabelAutoDelete->True,
StyleDefinitions -> "Jesus.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Switch"->{
    Cell[48285, 1716, 293, 6, 141, "Input",
      CellTags->"Switch"]},
  "S5.32.1"->{
    Cell[96772, 3321, 103, 2, 53, "InputOnly",
      CellTags->"S5.32.1"],
    Cell[96878, 3325, 118, 4, 52, "Input",
      CellTags->"S5.32.1"],
    Cell[96999, 3331, 176, 5, 67, "Input",
      CellTags->"S5.32.1"]},
  "S1.5.5"->{
    Cell[117881, 3977, 44, 1, 37, "Input",
      CellTags->"S1.5.5"],
    Cell[117928, 3980, 41, 1, 37, "Input",
      CellTags->"S1.5.5"],
    Cell[117972, 3983, 45, 1, 37, "Input",
      CellTags->"S1.5.5"],
    Cell[118020, 3986, 45, 1, 37, "Input",
      CellTags->"S1.5.5"],
    Cell[118068, 3989, 67, 2, 53, "InputOnly",
      CellTags->"S1.5.5"],
    Cell[118532, 4007, 45, 1, 37, "Input",
      CellTags->"S1.5.5"],
    Cell[118580, 4010, 50, 1, 37, "Input",
      CellTags->"S1.5.5"]},
  "S1.5.7"->{
    Cell[120994, 4099, 66, 1, 37, "Input",
      CellTags->"S1.5.7"],
    Cell[121063, 4102, 45, 1, 37, "Input",
      CellTags->"S1.5.7"],
    Cell[121111, 4105, 45, 1, 37, "Input",
      CellTags->"S1.5.7"],
    Cell[121159, 4108, 54, 1, 37, "Input",
      CellTags->"S1.5.7"],
    Cell[122157, 4139, 69, 1, 37, "Input",
      CellTags->"S1.5.7"],
    Cell[122269, 4145, 57, 1, 37, "Input",
      CellTags->"S1.5.7"],
    Cell[122369, 4151, 67, 1, 37, "Input",
      CellTags->"S1.5.7"],
    Cell[122811, 4164, 45, 1, 37, "Input",
      CellTags->"S1.5.7"],
    Cell[123423, 4191, 57, 1, 37, "Input",
      CellTags->"S1.5.7"],
    Cell[124206, 4212, 152, 4, 27, "Commentary",
      CellTags->{"S1.5.7", "7.15"}],
    Cell[124361, 4218, 57, 1, 37, "Input",
      CellTags->"S1.5.7"],
    Cell[124578, 4226, 64, 1, 37, "Input",
      CellTags->"S1.5.7"],
    Cell[124870, 4237, 82, 4, 52, "Input",
      CellTags->"S1.5.7"],
    Cell[125855, 4276, 77, 1, 37, "Input",
      CellTags->"S1.5.7"],
    Cell[125935, 4279, 74, 1, 37, "Input",
      CellTags->"S1.5.7"],
    Cell[126012, 4282, 164, 4, 27, "Commentary",
      CellTags->{"S1.5.7", "7.25"}],
    Cell[126179, 4288, 77, 1, 37, "Input",
      CellTags->"S1.5.7"],
    Cell[126414, 4299, 234, 6, 27, "Commentary",
      CellTags->{"S1.5.7", "7.27"}],
    Cell[126651, 4307, 59, 1, 37, "Input",
      CellTags->"S1.5.7"],
    Cell[126713, 4310, 89, 4, 52, "Input",
      CellTags->"S1.5.7"],
    Cell[126805, 4316, 227, 5, 27, "Commentarysub",
      CellTags->{"S1.5.7", "7.31"}],
    Cell[127035, 4323, 105, 1, 27, "Commentary",
      CellTags->{"S1.5.7", "7.32"}],
    Cell[127143, 4326, 83, 4, 52, "Input",
      CellTags->"S1.5.7"],
    Cell[127229, 4332, 87, 4, 52, "Input",
      CellTags->"S1.5.7"],
    Cell[127319, 4338, 87, 1, 27, "Commentary",
      CellTags->{"S1.5.7", "7.34"}],
    Cell[127409, 4341, 141, 5, 67, "Input",
      CellTags->"S1.5.7"]},
  "7.15"->{
    Cell[124206, 4212, 152, 4, 27, "Commentary",
      CellTags->{"S1.5.7", "7.15"}]},
  "7.25"->{
    Cell[126012, 4282, 164, 4, 27, "Commentary",
      CellTags->{"S1.5.7", "7.25"}]},
  "7.27"->{
    Cell[126414, 4299, 234, 6, 27, "Commentary",
      CellTags->{"S1.5.7", "7.27"}]},
  "7.31"->{
    Cell[126805, 4316, 227, 5, 27, "Commentarysub",
      CellTags->{"S1.5.7", "7.31"}]},
  "7.32"->{
    Cell[127035, 4323, 105, 1, 27, "Commentary",
      CellTags->{"S1.5.7", "7.32"}]},
  "7.34"->{
    Cell[127319, 4338, 87, 1, 27, "Commentary",
      CellTags->{"S1.5.7", "7.34"}]},
  "Solve"->{
    Cell[130851, 4474, 79, 1, 27, "Commentary",
      CellTags->"Solve"],
    Cell[130933, 4477, 145, 4, 24, "ExampleText",
      CellTags->"Solve"],
    Cell[131081, 4483, 87, 2, 41, "Input",
      CellTags->"Solve"],
    Cell[131171, 4487, 91, 2, 50, "Input",
      CellTags->"Solve"],
    Cell[131265, 4491, 245, 5, 40, "ExampleText",
      CellTags->"Solve"],
    Cell[131513, 4498, 73, 2, 41, "Input",
      CellTags->"Solve"],
    Cell[131589, 4502, 131, 3, 41, "Input",
      CellTags->"Solve"],
    Cell[131723, 4507, 73, 2, 41, "Input",
      CellTags->"Solve"],
    Cell[131799, 4511, 131, 3, 41, "Input",
      CellTags->"Solve"],
    Cell[131933, 4516, 387, 10, 40, "ExampleText",
      CellTags->"Solve"],
    Cell[132323, 4528, 88, 2, 41, "Input",
      CellTags->"Solve"],
    Cell[132414, 4532, 133, 5, 24, "ExampleText",
      CellTags->"Solve"],
    Cell[132550, 4539, 58, 2, 37, "Input",
      CellTags->"Solve"],
    Cell[132611, 4543, 141, 5, 24, "ExampleText",
      CellTags->"Solve"],
    Cell[132755, 4550, 60, 2, 37, "Input",
      CellTags->"Solve"],
    Cell[132852, 4557, 89, 1, 25, "Commentary",
      CellTags->"Solve"],
    Cell[132944, 4560, 143, 7, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[133090, 4569, 99, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[133192, 4573, 73, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[133268, 4577, 172, 7, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[133443, 4586, 71, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[133517, 4590, 65, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[133585, 4594, 408, 15, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[133996, 4611, 132, 3, 70, "Input",
      CellTags->"Solve"],
    Cell[134131, 4616, 237, 9, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[134371, 4627, 109, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[134483, 4631, 281, 8, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[134767, 4641, 124, 3, 70, "Input",
      CellTags->"Solve"],
    Cell[134894, 4646, 202, 9, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[135099, 4657, 127, 3, 70, "Input",
      CellTags->"Solve"],
    Cell[135229, 4662, 243, 11, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[135475, 4675, 195, 4, 70, "Input",
      CellTags->"Solve"],
    Cell[135673, 4681, 181, 5, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[135857, 4688, 418, 8, 70, "Input",
      CellTags->"Solve"],
    Cell[136278, 4698, 240, 7, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[136521, 4707, 152, 4, 70, "Input",
      CellTags->"Solve"],
    Cell[136676, 4713, 73, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[136786, 4720, 60, 1, 25, "Commentary",
      CellTags->"Solve"],
    Cell[136849, 4723, 145, 5, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[136997, 4730, 82, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[137082, 4734, 85, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[137170, 4738, 96, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[137269, 4742, 199, 7, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[137471, 4751, 110, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[137584, 4755, 206, 6, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[137793, 4763, 208, 5, 70, "Input",
      CellTags->"Solve"],
    Cell[138004, 4770, 102, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[138109, 4774, 45, 1, 70, "Input",
      CellTags->"Solve"],
    Cell[138191, 4780, 63, 1, 25, "Commentary",
      CellTags->"Solve"],
    Cell[138257, 4783, 287, 6, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[138547, 4791, 98, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[138648, 4795, 217, 5, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[138868, 4802, 111, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[139016, 4809, 129, 4, 25, "Commentary",
      CellTags->"Solve"],
    Cell[139148, 4815, 86, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[139237, 4819, 151, 3, 70, "Input",
      CellTags->"Solve"],
    Cell[139391, 4824, 101, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[139495, 4828, 90, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[139622, 4835, 90, 1, 25, "Commentary",
      CellTags->"Solve"],
    Cell[139715, 4838, 127, 3, 70, "Input",
      CellTags->"Solve"],
    Cell[139845, 4843, 92, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[139940, 4847, 84, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[140027, 4851, 189, 4, 70, "Input",
      CellTags->"Solve"],
    Cell[140219, 4857, 107, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[140329, 4861, 139, 3, 70, "Input",
      CellTags->"Solve"],
    Cell[140471, 4866, 149, 3, 70, "Input",
      CellTags->"Solve"],
    Cell[140623, 4871, 91, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[140717, 4875, 91, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[140811, 4879, 110, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[140924, 4883, 126, 3, 70, "Input",
      CellTags->"Solve"],
    Cell[141087, 4891, 89, 1, 25, "Commentary",
      CellTags->"Solve"],
    Cell[141179, 4894, 83, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[141265, 4898, 96, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[141364, 4902, 103, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[141470, 4906, 90, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[141563, 4910, 96, 1, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[141662, 4913, 83, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[141782, 4920, 92, 1, 25, "Commentary",
      CellTags->"Solve"],
    Cell[141877, 4923, 327, 10, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[142207, 4935, 183, 3, 70, "Input",
      CellTags->"Solve"],
    Cell[142393, 4940, 302, 6, 70, "Input",
      CellTags->"Solve"],
    Cell[142698, 4948, 182, 4, 70, "Input",
      CellTags->"Solve"],
    Cell[142883, 4954, 152, 6, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[143038, 4962, 123, 3, 70, "Input",
      CellTags->"Solve"],
    Cell[143164, 4967, 104, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[143271, 4971, 73, 1, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[143347, 4974, 77, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[143427, 4978, 266, 8, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[143696, 4988, 141, 3, 70, "Input",
      CellTags->"Solve"],
    Cell[143840, 4993, 104, 2, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[143947, 4997, 158, 4, 70, "Input",
      CellTags->"Solve"],
    Cell[144108, 5003, 69, 1, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[144180, 5006, 224, 4, 70, "Input",
      CellTags->"Solve"],
    Cell[144407, 5012, 155, 4, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[144565, 5018, 86, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[144654, 5022, 138, 4, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[144795, 5028, 86, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[144884, 5032, 133, 4, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[145020, 5038, 128, 3, 70, "Input",
      CellTags->"Solve"],
    Cell[145151, 5043, 84, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[145238, 5047, 234, 10, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[145475, 5059, 77, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[145555, 5063, 71, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[145663, 5070, 118, 5, 25, "Commentary",
      CellTags->"Solve"],
    Cell[145784, 5077, 64, 1, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[145851, 5080, 111, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[145965, 5084, 163, 6, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[146131, 5092, 86, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[146220, 5096, 66, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[146289, 5100, 234, 6, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[146526, 5108, 115, 3, 70, "Input",
      CellTags->"Solve"],
    Cell[146644, 5113, 182, 6, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[146829, 5121, 70, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[146902, 5125, 82, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[146987, 5129, 161, 6, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[147151, 5137, 66, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[147220, 5141, 98, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[147321, 5145, 75, 2, 70, "Input",
      CellTags->"Solve"],
    Cell[147433, 5152, 67, 1, 25, "Commentary",
      CellTags->"Solve"],
    Cell[147503, 5155, 171, 4, 70, "ExampleText",
      CellTags->"Solve"],
    Cell[147677, 5161, 109, 2, 70, "Input",
      CellTags->"Solve"]},
  "NSolve"->{
    Cell[147922, 5174, 157, 4, 39, "Input",
      CellTags->"NSolve"],
    Cell[148082, 5180, 255, 7, 24, "ExampleText",
      CellTags->"NSolve"],
    Cell[148340, 5189, 75, 2, 37, "Input",
      CellTags->"NSolve"],
    Cell[148418, 5193, 79, 1, 24, "ExampleText",
      CellTags->"NSolve"],
    Cell[148500, 5196, 103, 2, 39, "Input",
      CellTags->"NSolve"],
    Cell[148606, 5200, 96, 1, 24, "ExampleText",
      CellTags->"NSolve"],
    Cell[148705, 5203, 127, 3, 41, "Input",
      CellTags->"NSolve"],
    Cell[148835, 5208, 136, 4, 24, "ExampleText",
      CellTags->"NSolve"],
    Cell[148974, 5214, 107, 2, 37, "Input",
      CellTags->"NSolve"],
    Cell[149084, 5218, 147, 5, 24, "ExampleText",
      CellTags->"NSolve"],
    Cell[149234, 5225, 187, 4, 46, "Input",
      CellTags->"NSolve"],
    Cell[149424, 5231, 117, 4, 24, "ExampleText",
      CellTags->"NSolve"],
    Cell[149544, 5237, 109, 2, 46, "Input",
      CellTags->"NSolve"],
    Cell[149656, 5241, 127, 3, 46, "Input",
      CellTags->"NSolve"],
    Cell[149786, 5246, 91, 2, 37, "Input",
      CellTags->"NSolve"],
    Cell[149880, 5250, 86, 2, 37, "Input",
      CellTags->"NSolve"]},
  "FindRoot"->{
    Cell[150092, 5262, 98, 2, 41, "Input",
      CellTags->"FindRoot"],
    Cell[150193, 5266, 280, 8, 24, "ExampleText",
      CellTags->"FindRoot"],
    Cell[150476, 5276, 96, 2, 41, "Input",
      CellTags->"FindRoot"],
    Cell[150575, 5280, 260, 6, 24, "ExampleText",
      CellTags->"FindRoot"],
    Cell[150838, 5288, 89, 2, 41, "Input",
      CellTags->"FindRoot"],
    Cell[150930, 5292, 121, 4, 24, "ExampleText",
      CellTags->"FindRoot"],
    Cell[151054, 5298, 89, 2, 41, "Input",
      CellTags->"FindRoot"],
    Cell[151146, 5302, 482, 14, 24, "ExampleText",
      CellTags->"FindRoot"],
    Cell[151631, 5318, 101, 2, 41, "Input",
      CellTags->"FindRoot"],
    Cell[151735, 5322, 156, 5, 24, "ExampleText",
      CellTags->"FindRoot"],
    Cell[151894, 5329, 93, 2, 41, "Input",
      CellTags->"FindRoot"],
    Cell[151990, 5333, 199, 6, 24, "ExampleText",
      CellTags->"FindRoot"],
    Cell[152192, 5341, 109, 2, 41, "Input",
      CellTags->"FindRoot"],
    Cell[152304, 5345, 314, 8, 40, "ExampleText",
      CellTags->"FindRoot"],
    Cell[152621, 5355, 130, 3, 41, "Input",
      CellTags->"FindRoot"]},
  "LinearSolve"->{
    Cell[167394, 5946, 294, 6, 40, "Commentary",
      CellTags->"LinearSolve"],
    Cell[167691, 5954, 79, 2, 37, "Input",
      CellTags->"LinearSolve"],
    Cell[167773, 5958, 143, 4, 27, "Commentary",
      CellTags->"LinearSolve"],
    Cell[167919, 5964, 65, 2, 37, "Input",
      CellTags->"LinearSolve"],
    Cell[167987, 5968, 78, 2, 37, "Input",
      CellTags->"LinearSolve"],
    Cell[168068, 5972, 141, 4, 27, "Commentary",
      CellTags->"LinearSolve"],
    Cell[168212, 5978, 364, 10, 51, "Input",
      CellTags->"LinearSolve"],
    Cell[168710, 5995, 106, 1, 27, "Commentary",
      CellTags->"LinearSolve"],
    Cell[168819, 5998, 96, 2, 37, "Input",
      CellTags->"LinearSolve"],
    Cell[168918, 6002, 270, 8, 67, "Input",
      CellTags->"LinearSolve"]},
  "InverseLaplaceTransform"->{
    Cell[212383, 7472, 118, 2, 50, "Input",
      CellTags->"InverseLaplaceTransform"],
    Cell[212504, 7476, 122, 2, 52, "Input",
      CellTags->"InverseLaplaceTransform"],
    Cell[212629, 7480, 118, 2, 50, "Input",
      CellTags->"InverseLaplaceTransform"],
    Cell[212750, 7484, 125, 2, 52, "Input",
      CellTags->"InverseLaplaceTransform"]},
  "S3.5.12"->{
    Cell[226550, 7945, 136, 4, 37, "Input",
      CellTags->"S3.5.12"],
    Cell[228605, 8018, 283, 9, 27, "Commentary",
      CellTags->{"S3.5.12", "12.24"}],
    Cell[228891, 8029, 62, 1, 37, "Input",
      CellTags->"S3.5.12"],
    Cell[228956, 8032, 82, 1, 27, "Commentary",
      CellTags->{"S3.5.12", "12.25"}],
    Cell[229041, 8035, 66, 1, 37, "Input",
      CellTags->"S3.5.12"],
    Cell[229110, 8038, 133, 2, 27, "Commentary",
      CellTags->{"S3.5.12", "12.26"}],
    Cell[229246, 8042, 62, 1, 37, "Input",
      CellTags->"S3.5.12"]},
  "12.24"->{
    Cell[228605, 8018, 283, 9, 27, "Commentary",
      CellTags->{"S3.5.12", "12.24"}]},
  "12.25"->{
    Cell[228956, 8032, 82, 1, 27, "Commentary",
      CellTags->{"S3.5.12", "12.25"}]},
  "12.26"->{
    Cell[229110, 8038, 133, 2, 27, "Commentary",
      CellTags->{"S3.5.12", "12.26"}]},
  "S5.93.1"->{
    Cell[277057, 9671, 57, 1, 37, "Input",
      CellTags->"S5.93.1"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Switch", 295365, 10184},
  {"S5.32.1", 295452, 10187},
  {"S1.5.5", 295684, 10194},
  {"S1.5.7", 296193, 10209},
  {"7.15", 298125, 10262},
  {"7.25", 298224, 10265},
  {"7.27", 298323, 10268},
  {"7.31", 298422, 10271},
  {"7.32", 298524, 10274},
  {"7.34", 298623, 10277},
  {"Solve", 298722, 10280},
  {"NSolve", 307426, 10523},
  {"FindRoot", 308610, 10556},
  {"LinearSolve", 309763, 10587},
  {"InverseLaplaceTransform", 310572, 10608},
  {"S3.5.12", 310940, 10617},
  {"12.24", 311502, 10632},
  {"12.25", 311604, 10635},
  {"12.26", 311705, 10638},
  {"S5.93.1", 311809, 10641}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 191, 7, 81, "Titulo"],

Cell[CellGroupData[{
Cell[1992, 64, 81, 1, 39, "Subtitulo"],
Cell[2076, 67, 587, 15, 60, "Text"],
Cell[2666, 84, 430, 10, 44, "Text"],
Cell[3099, 96, 1214, 20, 124, "Text"],
Cell[4316, 118, 653, 13, 76, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[5006, 136, 85, 1, 33, "Subtitulo"],
Cell[5094, 139, 1108, 26, 92, "Text"],
Cell[6205, 167, 61, 2, 38, "Input"],
Cell[6269, 171, 347, 9, 44, "Text"],
Cell[6619, 182, 234, 6, 71, "Cuadro"],
Cell[6856, 190, 40, 1, 37, "Input"],
Cell[6899, 193, 40, 1, 37, "Input"],
Cell[6942, 196, 37, 1, 37, "Input"],
Cell[6982, 199, 46, 1, 37, "Input"],
Cell[7031, 202, 272, 8, 28, "Text"],
Cell[7306, 212, 180, 5, 71, "Cuadro"],
Cell[7489, 219, 44, 1, 37, "Input"],
Cell[7536, 222, 44, 1, 37, "Input"],
Cell[7583, 225, 40, 1, 37, "Input"],
Cell[7626, 228, 36, 1, 37, "Input"],
Cell[7665, 231, 124, 5, 27, "Commentary"],
Cell[7792, 238, 277, 6, 87, "Cuadro"],
Cell[8072, 246, 42, 1, 37, "Input"],
Cell[8117, 249, 46, 1, 37, "Input"],
Cell[8166, 252, 50, 1, 37, "Input"],
Cell[8219, 255, 47, 1, 37, "Input"],
Cell[8269, 258, 1273, 27, 140, "Text"],
Cell[9545, 287, 42, 1, 37, "Input"],
Cell[9590, 290, 474, 12, 44, "Text"],
Cell[10067, 304, 355, 6, 60, "Text"],
Cell[10425, 312, 154, 3, 53, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[10616, 320, 86, 1, 33, "Subtitulo"],

Cell[CellGroupData[{
Cell[10727, 325, 118, 2, 32, "SubSubtitulo"],
Cell[10848, 329, 449, 10, 44, "Text"],
Cell[11300, 341, 373, 8, 105, "Cuadro"],
Cell[11676, 351, 781, 12, 92, "Text"],
Cell[12460, 365, 494, 10, 60, "Text"],

Cell[CellGroupData[{
Cell[12979, 379, 142, 4, 28, "Text"],
Cell[13124, 385, 38, 1, 37, "Input"],
Cell[13165, 388, 38, 1, 37, "Input"],
Cell[13206, 391, 38, 1, 37, "Input"],
Cell[13247, 394, 38, 1, 37, "Input"],
Cell[13288, 397, 37, 1, 37, "Input"],
Cell[13328, 400, 36, 1, 37, "Input"],
Cell[13367, 403, 36, 1, 37, "Input"],
Cell[13406, 406, 36, 1, 37, "Input"],
Cell[13445, 409, 35, 1, 37, "Input"],
Cell[13483, 412, 333, 10, 28, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[13865, 428, 178, 5, 26, "SubSubtitulo"],
Cell[14046, 435, 263, 9, 28, "Text"],
Cell[14312, 446, 175, 5, 87, "Cuadro"],
Cell[14490, 453, 395, 8, 44, "Text"],
Cell[14888, 463, 627, 11, 76, "Text"],
Cell[15518, 476, 568, 9, 76, "Text"],

Cell[CellGroupData[{
Cell[16111, 489, 26, 0, 28, "Text"],
Cell[16140, 491, 44, 1, 37, "Input"],
Cell[16187, 494, 41, 1, 37, "Input"],
Cell[16231, 497, 46, 1, 37, "Input"],
Cell[16280, 500, 48, 1, 52, "Input"],
Cell[16331, 503, 54, 1, 37, "Input"]
}, Closed]],
Cell[16400, 507, 621, 16, 58, "Text"],
Cell[17024, 525, 445, 12, 71, "Cuadro"],

Cell[CellGroupData[{
Cell[17494, 541, 142, 4, 28, "Text"],
Cell[17639, 547, 37, 1, 37, "Input"],
Cell[17679, 550, 40, 1, 37, "Input"],
Cell[17722, 553, 44, 1, 37, "Input"],
Cell[17769, 556, 36, 1, 37, "Input"],
Cell[17808, 559, 39, 1, 37, "Input"],
Cell[17850, 562, 43, 1, 37, "Input"],
Cell[17896, 565, 70, 1, 37, "Input"],
Cell[17969, 568, 111, 3, 27, "Commentarysub"],
Cell[18083, 573, 71, 1, 69, "Input"],
Cell[18157, 576, 37, 1, 37, "Input"],
Cell[18197, 579, 72, 1, 37, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[18318, 586, 107, 2, 26, "SubSubtitulo"],
Cell[18428, 590, 770, 14, 76, "Text"],
Cell[19201, 606, 477, 10, 104, "Cuadro"],

Cell[CellGroupData[{
Cell[19703, 620, 142, 4, 28, "Text"],
Cell[19848, 626, 59, 1, 37, "Input"],
Cell[19910, 629, 35, 1, 37, "Input"],
Cell[19948, 632, 40, 1, 37, "Input"],
Cell[19991, 635, 43, 1, 37, "Input"],
Cell[20037, 638, 37, 1, 37, "Input"],
Cell[20077, 641, 55, 1, 37, "Input"],
Cell[20135, 644, 41, 1, 41, "Input"],
Cell[20179, 647, 36, 1, 37, "Input"],
Cell[20218, 650, 43, 1, 37, "Input"],
Cell[20264, 653, 46, 1, 37, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[20359, 660, 121, 2, 26, "SubSubtitulo"],
Cell[20483, 664, 637, 14, 60, "Text"],
Cell[21123, 680, 1388, 30, 259, "Cuadro"],
Cell[22514, 712, 582, 10, 76, "Text"],

Cell[CellGroupData[{
Cell[23121, 726, 142, 4, 28, "Text"],
Cell[23266, 732, 40, 1, 37, "Input"],
Cell[23309, 735, 44, 1, 37, "Input"],
Cell[23356, 738, 45, 1, 37, "Input"],
Cell[23404, 741, 59, 1, 37, "Input"],
Cell[23466, 744, 46, 1, 37, "Input"],
Cell[23515, 747, 39, 1, 43, "Input"],
Cell[23557, 750, 53, 1, 37, "Input"],
Cell[23613, 753, 45, 1, 41, "Input"],
Cell[23661, 756, 44, 1, 37, "Input"],
Cell[23708, 759, 45, 1, 37, "Input"],
Cell[23756, 762, 42, 1, 37, "Input"],
Cell[23801, 765, 39, 1, 37, "Input"],
Cell[23843, 768, 47, 1, 37, "Input"],
Cell[23893, 771, 41, 1, 37, "Input"],
Cell[23937, 774, 43, 1, 37, "Input"],
Cell[23983, 777, 45, 1, 37, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[24089, 785, 100, 3, 33, "Subtitulo"],

Cell[CellGroupData[{
Cell[24214, 792, 167, 4, 32, "SubSubtitulo"],
Cell[24384, 798, 284, 5, 44, "Text"],

Cell[CellGroupData[{
Cell[24693, 807, 26, 0, 28, "Text"],
Cell[24722, 809, 214, 4, 44, "Text"],
Cell[24939, 815, 68, 1, 39, "Input"],
Cell[25010, 818, 285, 5, 44, "Text"],
Cell[25298, 825, 87, 1, 39, "Input"],
Cell[25388, 828, 42, 1, 37, "Input"],
Cell[25433, 831, 144, 3, 28, "Text"]
}, Closed]],
Cell[25592, 837, 904, 16, 106, "Text"],
Cell[26499, 855, 477, 8, 60, "Text"],
Cell[26979, 865, 652, 16, 199, "Cuadro"],
Cell[27634, 883, 694, 15, 151, "Cuadro"],
Cell[28331, 900, 424, 10, 135, "Cuadro"],

Cell[CellGroupData[{
Cell[28780, 914, 175, 4, 28, "Text"],
Cell[28958, 920, 38, 1, 37, "Input"],
Cell[28999, 923, 40, 1, 37, "Input"],
Cell[29042, 926, 39, 1, 37, "Input"],
Cell[29084, 929, 39, 1, 37, "Input"],
Cell[29126, 932, 46, 1, 37, "Input"],
Cell[29175, 935, 41, 1, 37, "Input"],
Cell[29219, 938, 39, 1, 37, "Input"],
Cell[29261, 941, 39, 1, 37, "Input"],
Cell[29303, 944, 45, 1, 37, "Input"],
Cell[29351, 947, 39, 1, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[29427, 953, 28, 0, 26, "Text"],
Cell[29458, 955, 87, 3, 71, "Input"],
Cell[29548, 960, 94, 3, 69, "Input"],
Cell[29645, 965, 85, 2, 37, "Input"],
Cell[29733, 969, 69, 2, 39, "Input"],
Cell[29805, 973, 45, 1, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[29887, 979, 202, 5, 26, "Text"],
Cell[30092, 986, 253, 7, 28, "Text"],
Cell[30348, 995, 47, 1, 37, "Input"],
Cell[30398, 998, 52, 1, 37, "Input"],
Cell[30453, 1001, 36, 1, 37, "Input"],
Cell[30492, 1004, 48, 1, 37, "Input"],
Cell[30543, 1007, 47, 1, 37, "Input"],
Cell[30593, 1010, 72, 1, 37, "Input"],
Cell[30668, 1013, 36, 1, 37, "Input"],
Cell[30707, 1016, 39, 1, 37, "Input"],
Cell[30749, 1019, 42, 1, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[30828, 1025, 28, 0, 26, "Text"],
Cell[30859, 1027, 102, 3, 27, "Commentary"],
Cell[30964, 1032, 103, 2, 39, "Input"],
Cell[31070, 1036, 104, 3, 27, "Commentary"],
Cell[31177, 1041, 287, 5, 95, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[31501, 1051, 203, 5, 26, "Text"],
Cell[31707, 1058, 64, 1, 37, "Input"],
Cell[31774, 1061, 52, 1, 37, "Input"],
Cell[31829, 1064, 39, 1, 37, "Input"],
Cell[31871, 1067, 556, 11, 60, "Text"],
Cell[32430, 1080, 36, 1, 37, "Input"],
Cell[32469, 1083, 57, 1, 37, "Input"],
Cell[32529, 1086, 39, 1, 37, "Input"],
Cell[32571, 1089, 41, 1, 37, "Input"],
Cell[32615, 1092, 45, 1, 37, "Input"],
Cell[32663, 1095, 45, 1, 37, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[32757, 1102, 162, 4, 26, "SubSubtitulo"],
Cell[32922, 1108, 791, 17, 76, "Text"],
Cell[33716, 1127, 527, 11, 60, "Text"],

Cell[CellGroupData[{
Cell[34268, 1142, 208, 7, 28, "Text"],
Cell[34479, 1151, 42, 1, 37, "Input"],
Cell[34524, 1154, 48, 1, 37, "Input"],
Cell[34575, 1157, 46, 1, 37, "Input"],
Cell[34624, 1160, 40, 1, 37, "Input"],
Cell[34667, 1163, 45, 1, 37, "Input"],
Cell[34715, 1166, 39, 1, 37, "Input"],
Cell[34757, 1169, 39, 1, 37, "Input"],
Cell[34799, 1172, 38, 1, 37, "Input"],
Cell[34840, 1175, 39, 1, 37, "Input"],
Cell[34882, 1178, 46, 1, 37, "Input"],
Cell[34931, 1181, 39, 1, 37, "Input"],
Cell[34973, 1184, 46, 1, 37, "Input"],
Cell[35022, 1187, 48, 1, 53, "InputOnly"]
}, Closed]],
Cell[35085, 1191, 351, 9, 42, "Text"],
Cell[35439, 1202, 437, 9, 135, "Cuadro"],

Cell[CellGroupData[{
Cell[35901, 1215, 139, 4, 28, "Text"],
Cell[36043, 1221, 46, 1, 37, "Input"],
Cell[36092, 1224, 79, 1, 37, "Input"],
Cell[36174, 1227, 43, 1, 37, "Input"],
Cell[36220, 1230, 43, 1, 37, "Input"],
Cell[36266, 1233, 46, 1, 37, "Input"],
Cell[36315, 1236, 55, 1, 37, "Input"],
Cell[36373, 1239, 48, 1, 37, "Input"],
Cell[36424, 1242, 47, 1, 37, "Input"],
Cell[36474, 1245, 48, 1, 53, "InputOnly"]
}, Closed]],
Cell[36537, 1249, 318, 11, 26, "Text"],
Cell[36858, 1262, 732, 18, 215, "Cuadro"],

Cell[CellGroupData[{
Cell[37615, 1284, 139, 4, 28, "Text"],
Cell[37757, 1290, 46, 1, 37, "Input"],
Cell[37806, 1293, 53, 1, 37, "Input"],
Cell[37862, 1296, 51, 1, 37, "Input"],
Cell[37916, 1299, 61, 1, 37, "Input"],
Cell[37980, 1302, 65, 1, 37, "Input"],
Cell[38048, 1305, 43, 1, 37, "Input"],
Cell[38094, 1308, 43, 1, 37, "Input"],
Cell[38140, 1311, 46, 1, 37, "Input"],
Cell[38189, 1314, 45, 1, 37, "Input"],
Cell[38237, 1317, 48, 1, 37, "Input"],
Cell[38288, 1320, 39, 1, 37, "Input"],
Cell[38330, 1323, 71, 1, 50, "Input"],
Cell[38404, 1326, 52, 1, 37, "Input"],
Cell[38459, 1329, 40, 1, 37, "Input"],
Cell[38502, 1332, 104, 2, 51, "Input"],
Cell[38609, 1336, 68, 1, 37, "Input"],
Cell[38680, 1339, 45, 1, 53, "InputOnly"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[38774, 1346, 165, 4, 26, "SubSubtitulo"],
Cell[38942, 1352, 225, 4, 44, "Text"],
Cell[39170, 1358, 314, 7, 103, "Cuadro"],

Cell[CellGroupData[{
Cell[39509, 1369, 27, 0, 28, "Text"],
Cell[39539, 1371, 256, 5, 44, "Text"],
Cell[39798, 1378, 51, 1, 37, "Input"],
Cell[39852, 1381, 37, 1, 37, "Input"],
Cell[39892, 1384, 44, 1, 41, "Input"],
Cell[39939, 1387, 58, 0, 27, "Commentary"],
Cell[40000, 1389, 60, 1, 37, "Input"],
Cell[40063, 1392, 42, 1, 37, "Input"],
Cell[40108, 1395, 43, 1, 37, "Input"],
Cell[40154, 1398, 66, 1, 51, "Input"],
Cell[40223, 1401, 73, 1, 53, "Input"],
Cell[40299, 1404, 37, 1, 37, "Input"],
Cell[40339, 1407, 73, 1, 37, "Input"],
Cell[40415, 1410, 58, 1, 37, "Input"],
Cell[40476, 1413, 59, 1, 37, "Input"],
Cell[40538, 1416, 161, 5, 27, "Commentarysub"],
Cell[40702, 1423, 39, 1, 37, "Input"],
Cell[40744, 1426, 39, 1, 37, "Input"],
Cell[40786, 1429, 45, 1, 37, "Input"],
Cell[40834, 1432, 39, 1, 37, "Input"],
Cell[40876, 1435, 39, 1, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[40952, 1441, 27, 0, 26, "Text"],
Cell[40982, 1443, 63, 1, 37, "Input"],
Cell[41048, 1446, 56, 1, 37, "Input"],
Cell[41107, 1449, 46, 1, 37, "Input"],
Cell[41156, 1452, 128, 2, 53, "Input"],
Cell[41287, 1456, 124, 3, 27, "Commentarysub"],
Cell[41414, 1461, 37, 1, 37, "Input"],
Cell[41454, 1464, 61, 1, 38, "Input"],
Cell[41518, 1467, 44, 1, 37, "Input"],
Cell[41565, 1470, 70, 1, 37, "Input"],
Cell[41638, 1473, 39, 1, 37, "Input"],
Cell[41680, 1476, 39, 1, 37, "Input"],
Cell[41722, 1479, 44, 1, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[41803, 1485, 27, 0, 26, "Text"],
Cell[41833, 1487, 122, 3, 28, "Text"],
Cell[41958, 1492, 76, 1, 39, "Input"],
Cell[42037, 1495, 50, 1, 37, "Input"],
Cell[42090, 1498, 58, 1, 37, "Input"],
Cell[42151, 1501, 42, 1, 37, "Input"],
Cell[42196, 1504, 56, 1, 37, "Input"],
Cell[42255, 1507, 51, 1, 37, "Input"]
}, Closed]],
Cell[42321, 1511, 639, 10, 90, "Text"],

Cell[CellGroupData[{
Cell[42985, 1525, 70, 0, 28, "Text"],
Cell[43058, 1527, 65, 1, 37, "Input"],
Cell[43126, 1530, 77, 2, 53, "Input"],
Cell[43206, 1534, 66, 1, 37, "Input"],
Cell[43275, 1537, 77, 2, 53, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[43401, 1545, 218, 7, 26, "SubSubtitulo"],
Cell[43622, 1554, 476, 9, 60, "Text"],
Cell[44101, 1565, 270, 5, 44, "Text"],
Cell[44374, 1572, 53, 0, 27, "Commentary"],
Cell[44430, 1574, 252, 6, 87, "Cuadro"],
Cell[44685, 1582, 49, 0, 27, "Commentary"],
Cell[44737, 1584, 400, 8, 87, "Cuadro"],
Cell[45140, 1594, 53, 0, 27, "Commentary"],
Cell[45196, 1596, 317, 8, 135, "Cuadro"],
Cell[45516, 1606, 396, 7, 60, "Text"],
Cell[45915, 1615, 55, 0, 27, "Commentary"],
Cell[45973, 1617, 338, 10, 167, "Cuadro"],

Cell[CellGroupData[{
Cell[46336, 1631, 27, 0, 28, "Text"],
Cell[46366, 1633, 44, 1, 37, "Input"],
Cell[46413, 1636, 56, 1, 37, "Input"],
Cell[46472, 1639, 49, 1, 37, "Input"],
Cell[46524, 1642, 75, 1, 37, "Input"],
Cell[46602, 1645, 58, 1, 37, "Input"],
Cell[46663, 1648, 39, 1, 37, "Input"],
Cell[46705, 1651, 39, 1, 37, "Input"],
Cell[46747, 1654, 38, 1, 37, "Input"],
Cell[46788, 1657, 48, 1, 37, "Input"],
Cell[46839, 1660, 51, 1, 37, "Input"],
Cell[46893, 1663, 67, 1, 37, "Input"],
Cell[46963, 1666, 243, 4, 53, "Input"],
Cell[47209, 1672, 69, 1, 37, "Input"],
Cell[47281, 1675, 93, 1, 41, "Input"],
Cell[47377, 1678, 48, 1, 53, "InputOnly"]
}, Closed]],

Cell[CellGroupData[{
Cell[47462, 1684, 67, 0, 26, "Text"],
Cell[47532, 1686, 213, 5, 58, "Input"],
Cell[47748, 1693, 29, 0, 28, "Text"],
Cell[47780, 1695, 208, 4, 58, "Input"],
Cell[47991, 1701, 79, 2, 53, "Input"],
Cell[48073, 1705, 42, 1, 37, "Input"],
Cell[48118, 1708, 51, 1, 53, "InputOnly"]
}, Closed]],

Cell[CellGroupData[{
Cell[48206, 1714, 76, 0, 26, "Text"],
Cell[48285, 1716, 293, 6, 141, "Input",
  CellTags->"Switch"],
Cell[48581, 1724, 119, 2, 52, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[48749, 1732, 187, 4, 26, "SubSubtitulo"],

Cell[CellGroupData[{
Cell[48961, 1740, 125, 4, 28, "SubSubSubtitulo"],
Cell[49089, 1746, 666, 10, 92, "Text"],
Cell[49758, 1758, 249, 6, 71, "Cuadro"],

Cell[CellGroupData[{
Cell[50032, 1768, 27, 0, 28, "Text"],
Cell[50062, 1770, 120, 3, 28, "Text"],
Cell[50185, 1775, 72, 1, 42, "Input"],
Cell[50260, 1778, 80, 1, 42, "Input"],
Cell[50343, 1781, 49, 0, 28, "Text"],
Cell[50395, 1783, 82, 1, 42, "Input"],
Cell[50480, 1786, 79, 1, 42, "Input"],
Cell[50562, 1789, 53, 1, 37, "Input"],
Cell[50618, 1792, 42, 1, 37, "Input"],
Cell[50663, 1795, 71, 1, 39, "Input"],
Cell[50737, 1798, 48, 1, 37, "Input"],
Cell[50788, 1801, 43, 1, 37, "Input"],
Cell[50834, 1804, 47, 1, 37, "Input"],
Cell[50884, 1807, 141, 3, 69, "Input"],
Cell[51028, 1812, 134, 3, 28, "Text"],
Cell[51165, 1817, 130, 3, 39, "Input"],
Cell[51298, 1822, 43, 1, 37, "Input"],
Cell[51344, 1825, 85, 1, 28, "Text"],
Cell[51432, 1828, 131, 3, 39, "Input"],
Cell[51566, 1833, 43, 1, 37, "Input"],
Cell[51612, 1836, 97, 2, 53, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[51758, 1844, 135, 4, 22, "SubSubSubtitulo"],
Cell[51896, 1850, 103, 3, 28, "Text"],
Cell[52002, 1855, 578, 12, 151, "Cuadro"],

Cell[CellGroupData[{
Cell[52605, 1871, 27, 0, 28, "Text"],
Cell[52635, 1873, 111, 2, 57, "Input"],
Cell[52749, 1877, 90, 2, 53, "Input"],
Cell[52842, 1881, 42, 1, 37, "Input"],
Cell[52887, 1884, 104, 2, 55, "Input"],
Cell[52994, 1888, 44, 1, 37, "Input"],
Cell[53041, 1891, 42, 1, 37, "Input"],
Cell[53086, 1894, 41, 1, 37, "Input"],
Cell[53130, 1897, 44, 1, 37, "Input"],
Cell[53177, 1900, 64, 0, 28, "Text"],
Cell[53244, 1902, 66, 1, 57, "Input"],
Cell[53313, 1905, 44, 1, 37, "Input"],
Cell[53360, 1908, 44, 1, 37, "Input"],
Cell[53407, 1911, 51, 1, 53, "InputOnly"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[53507, 1918, 163, 4, 22, "SubSubSubtitulo"],
Cell[53673, 1924, 133, 3, 28, "Text"],
Cell[53809, 1929, 580, 11, 135, "Cuadro"],

Cell[CellGroupData[{
Cell[54414, 1944, 27, 0, 28, "Text"],
Cell[54444, 1946, 132, 2, 55, "Input"],
Cell[54579, 1950, 148, 3, 69, "Input"],
Cell[54730, 1955, 95, 2, 53, "Input"],
Cell[54828, 1959, 73, 1, 37, "Input"],
Cell[54904, 1962, 42, 1, 37, "Input"],
Cell[54949, 1965, 42, 1, 37, "Input"],
Cell[54994, 1968, 53, 1, 41, "Input"],
Cell[55050, 1971, 54, 1, 37, "Input"],
Cell[55107, 1974, 47, 1, 37, "Input"],
Cell[55157, 1977, 45, 1, 37, "Input"],
Cell[55205, 1980, 45, 1, 39, "Input"],
Cell[55253, 1983, 60, 1, 37, "Input"],
Cell[55316, 1986, 61, 1, 37, "Input"]
}, Closed]],
Cell[55392, 1990, 527, 8, 74, "Text"],

Cell[CellGroupData[{
Cell[55944, 2002, 26, 0, 28, "Text"],
Cell[55973, 2004, 45, 1, 39, "Input"],
Cell[56021, 2007, 42, 1, 37, "Input"],
Cell[56066, 2010, 277, 5, 44, "Text"],
Cell[56346, 2017, 689, 15, 93, "Text"],
Cell[57038, 2034, 55, 1, 37, "Input"],
Cell[57096, 2037, 147, 2, 61, "Input"],
Cell[57246, 2041, 113, 2, 37, "Input"],
Cell[57362, 2045, 67, 1, 43, "Input"],
Cell[57432, 2048, 77, 1, 37, "Input"],
Cell[57512, 2051, 82, 1, 43, "Input"],
Cell[57597, 2054, 75, 1, 45, "Input"],
Cell[57675, 2057, 117, 2, 41, "Input"],
Cell[57795, 2061, 60, 1, 41, "Input"],
Cell[57858, 2064, 42, 1, 37, "Input"],
Cell[57903, 2067, 71, 1, 37, "Input"],
Cell[57977, 2070, 56, 1, 52, "Input"],
Cell[58036, 2073, 85, 1, 52, "Input"],
Cell[58124, 2076, 57, 1, 53, "InputOnly"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[58230, 2083, 135, 4, 22, "SubSubSubtitulo"],
Cell[58368, 2089, 204, 5, 55, "Cuadro"],

Cell[CellGroupData[{
Cell[58597, 2098, 27, 0, 28, "Text"],
Cell[58627, 2100, 69, 1, 41, "Input"],
Cell[58699, 2103, 55, 1, 41, "Input"],
Cell[58757, 2106, 57, 1, 37, "Input"],
Cell[58817, 2109, 59, 1, 41, "Input"],
Cell[58879, 2112, 59, 1, 41, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[58987, 2119, 135, 4, 22, "SubSubSubtitulo"],
Cell[59125, 2125, 442, 9, 103, "Cuadro"],

Cell[CellGroupData[{
Cell[59592, 2138, 27, 0, 28, "Text"],
Cell[59622, 2140, 54, 1, 37, "Input"],
Cell[59679, 2143, 65, 1, 37, "Input"],
Cell[59747, 2146, 57, 1, 41, "Input"],
Cell[59807, 2149, 64, 1, 37, "Input"],
Cell[59874, 2152, 46, 1, 37, "Input"],
Cell[59923, 2155, 46, 1, 37, "Input"],
Cell[59972, 2158, 53, 1, 37, "Input"],
Cell[60028, 2161, 157, 2, 53, "Input"],
Cell[60188, 2165, 66, 1, 41, "Input"],
Cell[60257, 2168, 37, 1, 37, "Input"],
Cell[60297, 2171, 50, 1, 37, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[60396, 2178, 136, 4, 22, "SubSubSubtitulo"],
Cell[60535, 2184, 522, 12, 119, "Cuadro"],

Cell[CellGroupData[{
Cell[61082, 2200, 27, 0, 28, "Text"],
Cell[61112, 2202, 66, 1, 52, "Input"],
Cell[61181, 2205, 56, 1, 37, "Input"],
Cell[61240, 2208, 67, 1, 41, "Input"],
Cell[61310, 2211, 54, 1, 37, "Input"],
Cell[61367, 2214, 46, 1, 37, "Input"],
Cell[61416, 2217, 58, 1, 52, "Input"],
Cell[61477, 2220, 62, 1, 52, "Input"]
}, Closed]],
Cell[61554, 2224, 295, 7, 42, "Text"],
Cell[61852, 2233, 443, 8, 135, "Cuadro"],
Cell[62298, 2243, 94, 3, 28, "Text"],
Cell[62395, 2248, 231, 5, 71, "Cuadro"],

Cell[CellGroupData[{
Cell[62651, 2257, 143, 3, 28, "Text"],
Cell[62797, 2262, 178, 3, 69, "Input"],
Cell[62978, 2267, 178, 3, 120, "Input"],
Cell[63159, 2272, 287, 5, 101, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[63483, 2282, 33, 0, 26, "Text"],
Cell[63519, 2284, 138, 2, 53, "Input"],
Cell[63660, 2288, 138, 2, 53, "Input"],
Cell[63801, 2292, 135, 2, 53, "Input"],
Cell[63939, 2296, 62, 1, 64, "Input"],
Cell[64004, 2299, 164, 3, 83, "Input"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[64241, 2310, 88, 1, 33, "Subtitulo"],

Cell[CellGroupData[{
Cell[64354, 2315, 178, 4, 32, "SubSubtitulo"],

Cell[CellGroupData[{
Cell[64557, 2323, 118, 1, 28, "SubSubSubtitulo"],
Cell[64678, 2326, 546, 10, 76, "Text"],
Cell[65227, 2338, 384, 11, 151, "Cuadro"],
Cell[65614, 2351, 786, 13, 92, "Text"],

Cell[CellGroupData[{
Cell[66425, 2368, 28, 0, 28, "Text"],
Cell[66456, 2370, 63, 1, 37, "Input"],
Cell[66522, 2373, 220, 4, 88, "Input"],
Cell[66745, 2379, 112, 2, 68, "Input"]
}, Closed]],
Cell[66872, 2384, 338, 7, 43, "Text"],
Cell[67213, 2393, 288, 7, 87, "Cuadro"],
Cell[67504, 2402, 447, 7, 60, "Text"],

Cell[CellGroupData[{
Cell[67976, 2413, 28, 0, 28, "Text"],
Cell[68007, 2415, 167, 3, 53, "Input"],
Cell[68177, 2420, 173, 4, 28, "Text"],
Cell[68353, 2426, 300, 5, 69, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[68702, 2437, 137, 4, 22, "SubSubSubtitulo"],
Cell[68842, 2443, 273, 5, 44, "Text"],
Cell[69118, 2450, 529, 13, 135, "Cuadro"],

Cell[CellGroupData[{
Cell[69672, 2467, 28, 0, 28, "Text"],
Cell[69703, 2469, 73, 1, 37, "Input"],
Cell[69779, 2472, 262, 4, 85, "Input"],
Cell[70044, 2478, 62, 1, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[70143, 2484, 28, 0, 26, "Text"],
Cell[70174, 2486, 560, 8, 133, "Input"],
Cell[70737, 2496, 132, 3, 28, "Text"],
Cell[70872, 2501, 31, 0, 27, "Commentary"],
Cell[70906, 2503, 107, 2, 37, "Input"],
Cell[71016, 2507, 41, 0, 27, "Commentary"],
Cell[71060, 2509, 91, 1, 37, "Input"],
Cell[71154, 2512, 89, 1, 27, "Commentary"],
Cell[71246, 2515, 92, 1, 37, "Input"],
Cell[71341, 2518, 51, 0, 27, "Commentary"],
Cell[71395, 2520, 124, 3, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[71556, 2528, 76, 0, 26, "Text"],
Cell[71635, 2530, 233, 4, 55, "Cuadro"],
Cell[71871, 2536, 261, 5, 44, "Text"],
Cell[72135, 2543, 77, 1, 37, "Input"],
Cell[72215, 2546, 502, 10, 60, "Text"],
Cell[72720, 2558, 87, 1, 37, "Input"],
Cell[72810, 2561, 330, 6, 60, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[73189, 2573, 134, 4, 22, "SubSubSubtitulo"],
Cell[73326, 2579, 515, 8, 76, "Text"],
Cell[73844, 2589, 1240, 27, 279, "Cuadro"],

Cell[CellGroupData[{
Cell[75109, 2620, 27, 0, 28, "Text"],
Cell[75139, 2622, 117, 3, 28, "Text"],
Cell[75259, 2627, 46, 1, 37, "Input"],
Cell[75308, 2630, 74, 1, 37, "Input"],
Cell[75385, 2633, 136, 2, 37, "Input"],
Cell[75524, 2637, 163, 3, 37, "Input"],
Cell[75690, 2642, 188, 3, 53, "Input"],
Cell[75881, 2647, 46, 1, 37, "Input"],
Cell[75930, 2650, 374, 6, 104, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[76353, 2662, 203, 6, 22, "SubSubSubtitulo"],
Cell[76559, 2670, 586, 11, 76, "Text"],
Cell[77148, 2683, 788, 13, 92, "Text"],
Cell[77939, 2698, 97, 3, 28, "Text"],
Cell[78039, 2703, 174, 4, 55, "Cuadro"],
Cell[78216, 2709, 652, 14, 76, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[78905, 2728, 192, 5, 22, "SubSubSubtitulo"],

Cell[CellGroupData[{
Cell[79122, 2737, 131, 4, 28, "Text"],
Cell[79256, 2743, 169, 4, 39, "Cuadro"],

Cell[CellGroupData[{
Cell[79450, 2751, 26, 0, 28, "Text"],
Cell[79479, 2753, 86, 1, 37, "Input"]
}, Closed]],
Cell[79580, 2757, 305, 6, 71, "Cuadro"],

Cell[CellGroupData[{
Cell[79910, 2767, 29, 0, 28, "Text"],
Cell[79942, 2769, 241, 4, 69, "Input"],
Cell[80186, 2775, 115, 2, 37, "Input"],
Cell[80304, 2779, 139, 2, 37, "Input"],
Cell[80446, 2783, 111, 3, 27, "Commentary"],
Cell[80560, 2788, 132, 2, 37, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[80741, 2796, 108, 1, 26, "Text"],
Cell[80852, 2799, 435, 7, 60, "Text"],
Cell[81290, 2808, 261, 5, 55, "Cuadro"],
Cell[81554, 2815, 58, 1, 53, "InputOnly"],

Cell[CellGroupData[{
Cell[81637, 2820, 29, 0, 28, "Text"],
Cell[81669, 2822, 68, 1, 37, "Input"],
Cell[81740, 2825, 68, 1, 37, "Input"],
Cell[81811, 2828, 80, 1, 37, "Input"],
Cell[81894, 2831, 45, 1, 37, "Input"],
Cell[81942, 2834, 66, 1, 37, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[82057, 2841, 120, 3, 26, "Text"],
Cell[82180, 2846, 200, 4, 44, "Text"],
Cell[82383, 2852, 262, 5, 55, "Cuadro"],
Cell[82648, 2859, 62, 1, 53, "InputOnly"],

Cell[CellGroupData[{
Cell[82735, 2864, 29, 0, 28, "Text"],
Cell[82767, 2866, 258, 5, 77, "Input"],
Cell[83028, 2873, 177, 3, 70, "Input"],
Cell[83208, 2878, 175, 3, 57, "Input"],
Cell[83386, 2883, 166, 3, 37, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[83601, 2892, 149, 4, 28, "Text"],
Cell[83753, 2898, 464, 9, 61, "Text"],
Cell[84220, 2909, 65, 1, 41, "Input"],
Cell[84288, 2912, 107, 3, 28, "Text"],
Cell[84398, 2917, 114, 2, 64, "Input"],
Cell[84515, 2921, 99, 3, 28, "Text"],
Cell[84617, 2926, 120, 2, 67, "Input"],
Cell[84740, 2930, 324, 7, 60, "Text"],
Cell[85067, 2939, 63, 1, 41, "Input"],
Cell[85133, 2942, 65, 1, 41, "Input"],
Cell[85201, 2945, 188, 6, 28, "Text"],
Cell[85392, 2953, 56, 1, 39, "Input"],
Cell[85451, 2956, 175, 4, 44, "Text"],
Cell[85629, 2962, 134, 3, 41, "Input"],
Cell[85766, 2967, 171, 4, 28, "Text"],
Cell[85940, 2973, 137, 2, 57, "Input"],
Cell[86080, 2977, 235, 5, 44, "Text"],
Cell[86318, 2984, 32, 0, 28, "Text"],
Cell[86353, 2986, 193, 4, 57, "Input"],
Cell[86549, 2992, 138, 3, 41, "Input"],
Cell[86690, 2997, 239, 4, 78, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[86966, 3006, 118, 1, 26, "Text"],
Cell[87087, 3009, 342, 7, 71, "Cuadro"],
Cell[87432, 3018, 58, 1, 53, "InputOnly"],

Cell[CellGroupData[{
Cell[87515, 3023, 29, 0, 28, "Text"],
Cell[87547, 3025, 88, 1, 37, "Input"],
Cell[87638, 3028, 65, 1, 37, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[87764, 3036, 198, 5, 28, "SubSubSubtitulo"],

Cell[CellGroupData[{
Cell[87987, 3045, 110, 1, 28, "Text"],
Cell[88100, 3048, 195, 5, 55, "Cuadro"],
Cell[88298, 3055, 251, 7, 103, "Cuadro"],
Cell[88552, 3064, 60, 1, 53, "InputOnly"],

Cell[CellGroupData[{
Cell[88637, 3069, 29, 0, 28, "Text"],
Cell[88669, 3071, 74, 1, 37, "Input"],
Cell[88746, 3074, 162, 3, 37, "Input"],
Cell[88911, 3079, 62, 1, 37, "Input"],
Cell[88976, 3082, 84, 1, 37, "Input"],
Cell[89063, 3085, 130, 3, 37, "Input"],
Cell[89196, 3090, 148, 3, 37, "Input"],
Cell[89347, 3095, 66, 1, 37, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[89462, 3102, 115, 3, 26, "Text"],
Cell[89580, 3107, 453, 9, 135, "Cuadro"],

Cell[CellGroupData[{
Cell[90058, 3120, 28, 0, 28, "Text"],
Cell[90089, 3122, 72, 1, 37, "Input"],
Cell[90164, 3125, 52, 1, 37, "Input"],
Cell[90219, 3128, 77, 1, 37, "Input"],
Cell[90299, 3131, 145, 3, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[90481, 3139, 28, 0, 26, "Text"],
Cell[90512, 3141, 315, 7, 44, "Text",
  Evaluatable->False],
Cell[90830, 3150, 144, 4, 55, "Cuadro"],
Cell[90977, 3156, 57, 1, 37, "Input"],
Cell[91037, 3159, 184, 6, 28, "Text",
  Evaluatable->False,
  PageBreakBelow->True],
Cell[91224, 3167, 455, 6, 101, "Input"],
Cell[91682, 3175, 105, 3, 28, "Text"],
Cell[91790, 3180, 121, 2, 39, "Input"],
Cell[91914, 3184, 54, 1, 37, "Input"],
Cell[91971, 3187, 79, 1, 37, "Input"],
Cell[92053, 3190, 184, 5, 53, "Input"],
Cell[92240, 3197, 314, 5, 85, "Input"],
Cell[92557, 3204, 385, 6, 101, "Input"],
Cell[92945, 3212, 103, 3, 28, "Text"],
Cell[93051, 3217, 429, 6, 85, "Input"],
Cell[93483, 3225, 104, 3, 28, "Text"],
Cell[93590, 3230, 74, 1, 37, "Input"],
Cell[93667, 3233, 696, 18, 85, "Input"],
Cell[94366, 3253, 352, 6, 69, "Input"],
Cell[94721, 3261, 407, 8, 85, "Input"],
Cell[95131, 3271, 354, 6, 85, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[95534, 3283, 128, 4, 26, "Text"],
Cell[95665, 3289, 383, 7, 60, "Text"],
Cell[96051, 3298, 58, 1, 53, "InputOnly"],
Cell[96112, 3301, 80, 1, 37, "Input"],
Cell[96195, 3304, 87, 1, 37, "Input"],
Cell[96285, 3307, 90, 1, 37, "Input"],
Cell[96378, 3310, 233, 4, 69, "Input"],
Cell[96614, 3316, 155, 3, 37, "Input"],
Cell[96772, 3321, 103, 2, 53, "InputOnly",
  CellTags->"S5.32.1"],
Cell[96878, 3325, 118, 4, 52, "Input",
  CellTags->"S5.32.1"],
Cell[96999, 3331, 176, 5, 67, "Input",
  CellTags->"S5.32.1"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[97224, 3342, 123, 2, 22, "SubSubSubtitulo"],
Cell[97350, 3346, 128, 3, 28, "Text"],
Cell[97481, 3351, 45, 1, 37, "Input"],
Cell[97529, 3354, 26, 0, 28, "Text"],
Cell[97558, 3356, 140, 3, 27, "Commentary"],
Cell[97701, 3361, 114, 2, 37, "Input"],
Cell[97818, 3365, 114, 2, 37, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[97981, 3373, 178, 4, 32, "SubSubtitulo"],

Cell[CellGroupData[{
Cell[98184, 3381, 77, 0, 28, "SubSubSubtitulo"],
Cell[98264, 3383, 439, 9, 60, "Text"],
Cell[98706, 3394, 270, 6, 71, "Cuadro"],
Cell[98979, 3402, 125, 2, 27, "Commentary",
  Evaluatable->False],
Cell[99107, 3406, 303, 7, 69, "Input"],
Cell[99413, 3415, 66, 1, 37, "Input"],
Cell[99482, 3418, 366, 6, 60, "Text"],
Cell[99851, 3426, 300, 6, 85, "Input"],
Cell[100154, 3434, 125, 3, 28, "Text"],
Cell[100282, 3439, 383, 7, 101, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[100702, 3451, 199, 6, 22, "SubSubSubtitulo",
  Evaluatable->False],
Cell[100904, 3459, 368, 6, 60, "Text"],
Cell[101275, 3467, 63, 1, 37, "Input"],
Cell[101341, 3470, 138, 3, 27, "Commentarysub"],
Cell[101482, 3475, 56, 0, 27, "Commentary"],
Cell[101541, 3477, 70, 1, 37, "Input"],
Cell[101614, 3480, 62, 0, 27, "Commentary"],
Cell[101679, 3482, 207, 4, 53, "Input"],
Cell[101889, 3488, 123, 3, 27, "Commentarysub"],
Cell[102015, 3493, 145, 3, 27, "Commentary"],
Cell[102163, 3498, 128, 2, 37, "Input"],
Cell[102294, 3502, 116, 3, 27, "Commentary"],
Cell[102413, 3507, 148, 2, 37, "Input"],
Cell[102564, 3511, 68, 0, 27, "Commentary"],
Cell[102635, 3513, 134, 2, 37, "Input"],
Cell[102772, 3517, 55, 0, 27, "Commentary"],
Cell[102830, 3519, 181, 3, 53, "Input"],
Cell[103014, 3524, 349, 6, 40, "Commentary"],
Cell[103366, 3532, 155, 2, 37, "Input"],
Cell[103524, 3536, 162, 4, 27, "Commentarysub"],
Cell[103689, 3542, 244, 5, 44, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[103970, 3552, 205, 6, 22, "SubSubSubtitulo",
  Evaluatable->False],
Cell[104178, 3560, 275, 7, 27, "Commentary",
  Evaluatable->False,
  PageBreakBelow->True],
Cell[104456, 3569, 595, 14, 107, "Cuadro",
  Evaluatable->False],
Cell[105054, 3585, 257, 6, 40, "Commentarysub",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[105336, 3595, 183, 6, 28, "Text"],
Cell[105522, 3603, 84, 1, 41, "Input"],
Cell[105609, 3606, 111, 2, 41, "Input"],
Cell[105723, 3610, 260, 8, 29, "Text"],
Cell[105986, 3620, 139, 2, 41, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[106162, 3627, 516, 13, 72, "Text"],
Cell[106681, 3642, 34, 0, 27, "Commentary"],
Cell[106718, 3644, 150, 2, 37, "Input"],
Cell[106871, 3648, 61, 0, 27, "Commentary"],
Cell[106935, 3650, 154, 2, 37, "Input"],
Cell[107092, 3654, 40, 0, 27, "Commentary"],
Cell[107135, 3656, 157, 2, 37, "Input"],
Cell[107295, 3660, 51, 0, 27, "Commentary"],
Cell[107349, 3662, 132, 2, 53, "InputOnly"],
Cell[107484, 3666, 34, 0, 27, "Commentary"],
Cell[107521, 3668, 127, 2, 37, "Input"],
Cell[107651, 3672, 145, 3, 27, "Commentarysub"]
}, Closed]],

Cell[CellGroupData[{
Cell[107833, 3680, 84, 1, 26, "Text"],
Cell[107920, 3683, 40, 0, 27, "Commentary"],
Cell[107963, 3685, 91, 1, 53, "InputOnly"],
Cell[108057, 3688, 87, 1, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[108181, 3694, 106, 3, 26, "Text"],
Cell[108290, 3699, 1439, 27, 277, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[109778, 3732, 189, 4, 22, "SubSubSubtitulo",
  Evaluatable->False],
Cell[109970, 3738, 219, 4, 44, "Text"],
Cell[110192, 3744, 654, 22, 78, "Cuadro",
  Evaluatable->False],
Cell[110849, 3768, 75, 1, 37, "Input"],
Cell[110927, 3771, 282, 8, 37, "Input"],
Cell[111212, 3781, 515, 8, 133, "Input"],
Cell[111730, 3791, 75, 1, 37, "Input"],
Cell[111808, 3794, 417, 7, 85, "Input"],
Cell[112228, 3803, 71, 1, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[112336, 3809, 204, 6, 22, "SubSubSubtitulo",
  Evaluatable->False],
Cell[112543, 3817, 150, 3, 28, "Text"],
Cell[112696, 3822, 1040, 33, 111, "Cuadro",
  Evaluatable->False],
Cell[113739, 3857, 221, 4, 53, "Input"],
Cell[113963, 3863, 69, 1, 53, "InputOnly"],
Cell[114035, 3866, 114, 2, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[114186, 3873, 202, 6, 22, "SubSubSubtitulo",
  Evaluatable->False],
Cell[114391, 3881, 263, 5, 44, "Text"],
Cell[114657, 3888, 126, 3, 27, "Commentary"],
Cell[114786, 3893, 597, 13, 119, "Cuadro"],
Cell[115386, 3908, 56, 0, 27, "Commentary"],
Cell[115445, 3910, 1306, 23, 229, "Input"],
Cell[116754, 3935, 49, 0, 27, "Commentary"],
Cell[116806, 3937, 61, 1, 37, "Input"],
Cell[116870, 3940, 61, 1, 37, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[116992, 3948, 91, 1, 33, "Subtitulo"],

Cell[CellGroupData[{
Cell[117108, 3953, 184, 4, 32, "SubSubtitulo"],
Cell[117295, 3959, 419, 7, 60, "Text"],
Cell[117717, 3968, 111, 3, 55, "Cuadro"],

Cell[CellGroupData[{
Cell[117853, 3975, 25, 0, 28, "Text"],
Cell[117881, 3977, 44, 1, 37, "Input",
  CellTags->"S1.5.5"],
Cell[117928, 3980, 41, 1, 37, "Input",
  CellTags->"S1.5.5"],
Cell[117972, 3983, 45, 1, 37, "Input",
  CellTags->"S1.5.5"],
Cell[118020, 3986, 45, 1, 37, "Input",
  CellTags->"S1.5.5"],
Cell[118068, 3989, 67, 2, 53, "InputOnly",
  CellTags->"S1.5.5"]
}, Closed]],
Cell[118150, 3994, 329, 7, 42, "Text"],

Cell[CellGroupData[{
Cell[118504, 4005, 25, 0, 28, "Text"],
Cell[118532, 4007, 45, 1, 37, "Input",
  CellTags->"S1.5.5"],
Cell[118580, 4010, 50, 1, 37, "Input",
  CellTags->"S1.5.5"],
Cell[118633, 4013, 39, 1, 37, "Input"],
Cell[118675, 4016, 45, 1, 53, "InputOnly"]
}, Closed]],
Cell[118735, 4020, 477, 17, 48, "Text"],

Cell[CellGroupData[{
Cell[119237, 4041, 25, 0, 28, "Text"],
Cell[119265, 4043, 66, 1, 39, "Input"],
Cell[119334, 4046, 51, 1, 37, "Input"],
Cell[119388, 4049, 51, 1, 37, "Input"],
Cell[119442, 4052, 46, 1, 37, "Input"]
}, Closed]],
Cell[119503, 4056, 297, 5, 42, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[119837, 4066, 177, 4, 26, "SubSubtitulo"],
Cell[120017, 4072, 440, 10, 61, "Text"],
Cell[120460, 4084, 481, 9, 103, "Cuadro"],

Cell[CellGroupData[{
Cell[120966, 4097, 25, 0, 28, "Text"],
Cell[120994, 4099, 66, 1, 37, "Input",
  CellTags->"S1.5.7"],
Cell[121063, 4102, 45, 1, 37, "Input",
  CellTags->"S1.5.7"],
Cell[121111, 4105, 45, 1, 37, "Input",
  CellTags->"S1.5.7"],
Cell[121159, 4108, 54, 1, 37, "Input",
  CellTags->"S1.5.7"],
Cell[121216, 4111, 39, 1, 37, "Input"],
Cell[121258, 4114, 68, 1, 39, "Input"],
Cell[121329, 4117, 46, 1, 37, "Input"]
}, Closed]],
Cell[121390, 4121, 713, 12, 74, "Text"],

Cell[CellGroupData[{
Cell[122128, 4137, 26, 0, 28, "Text"],
Cell[122157, 4139, 69, 1, 37, "Input",
  CellTags->"S1.5.7"],
Cell[122229, 4142, 37, 1, 37, "Input"],
Cell[122269, 4145, 57, 1, 37, "Input",
  CellTags->"S1.5.7"],
Cell[122329, 4148, 37, 1, 37, "Input"],
Cell[122369, 4151, 67, 1, 37, "Input",
  CellTags->"S1.5.7"],
Cell[122439, 4154, 369, 8, 60, "Text"],
Cell[122811, 4164, 45, 1, 37, "Input",
  CellTags->"S1.5.7"],
Cell[122859, 4167, 36, 0, 28, "Text"],
Cell[122898, 4169, 159, 4, 39, "Cuadro"],
Cell[123060, 4175, 69, 1, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[123166, 4181, 46, 0, 26, "Text"],
Cell[123215, 4183, 205, 6, 28, "Text"],
Cell[123423, 4191, 57, 1, 37, "Input",
  CellTags->"S1.5.7"],
Cell[123483, 4194, 440, 7, 60, "Text"],
Cell[123926, 4203, 213, 4, 55, "Cuadro"],
Cell[124142, 4209, 61, 1, 37, "Input"],
Cell[124206, 4212, 152, 4, 27, "Commentary",
  CellTags->{"S1.5.7", "7.15"}],
Cell[124361, 4218, 57, 1, 37, "Input",
  CellTags->"S1.5.7"],
Cell[124421, 4221, 154, 3, 27, "Commentary"],
Cell[124578, 4226, 64, 1, 37, "Input",
  CellTags->"S1.5.7"],
Cell[124645, 4229, 66, 1, 37, "Input"],
Cell[124714, 4232, 153, 3, 28, "Text"],
Cell[124870, 4237, 82, 4, 52, "Input",
  CellTags->"S1.5.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[125001, 4247, 197, 7, 26, "SubSubtitulo"],
Cell[125201, 4256, 248, 5, 44, "Text"],
Cell[125452, 4263, 348, 7, 71, "Cuadro"],

Cell[CellGroupData[{
Cell[125825, 4274, 27, 0, 28, "Text"],
Cell[125855, 4276, 77, 1, 37, "Input",
  CellTags->"S1.5.7"],
Cell[125935, 4279, 74, 1, 37, "Input",
  CellTags->"S1.5.7"],
Cell[126012, 4282, 164, 4, 27, "Commentary",
  CellTags->{"S1.5.7", "7.25"}],
Cell[126179, 4288, 77, 1, 37, "Input",
  CellTags->"S1.5.7"],
Cell[126259, 4291, 44, 1, 37, "Input"],
Cell[126306, 4294, 105, 3, 39, "Cuadro"],
Cell[126414, 4299, 234, 6, 27, "Commentary",
  CellTags->{"S1.5.7", "7.27"}],
Cell[126651, 4307, 59, 1, 37, "Input",
  CellTags->"S1.5.7"],
Cell[126713, 4310, 89, 4, 52, "Input",
  CellTags->"S1.5.7"],
Cell[126805, 4316, 227, 5, 27, "Commentarysub",
  CellTags->{"S1.5.7", "7.31"}],
Cell[127035, 4323, 105, 1, 27, "Commentary",
  CellTags->{"S1.5.7", "7.32"}],
Cell[127143, 4326, 83, 4, 52, "Input",
  CellTags->"S1.5.7"],
Cell[127229, 4332, 87, 4, 52, "Input",
  CellTags->"S1.5.7"],
Cell[127319, 4338, 87, 1, 27, "Commentary",
  CellTags->{"S1.5.7", "7.34"}],
Cell[127409, 4341, 141, 5, 67, "Input",
  CellTags->"S1.5.7"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[127599, 4352, 205, 7, 26, "SubSubtitulo"],
Cell[127807, 4361, 229, 4, 44, "Text"],
Cell[128039, 4367, 592, 11, 119, "Cuadro"],

Cell[CellGroupData[{
Cell[128656, 4382, 52, 0, 28, "Text"],
Cell[128711, 4384, 66, 1, 41, "Input"],
Cell[128780, 4387, 37, 1, 37, "Input"],
Cell[128820, 4390, 139, 2, 61, "Input"],
Cell[128962, 4394, 85, 1, 27, "Commentarysub"],
Cell[129050, 4397, 114, 2, 62, "Input"],
Cell[129167, 4401, 125, 3, 27, "Commentarysub"],
Cell[129295, 4406, 130, 2, 55, "Input"],
Cell[129428, 4410, 37, 1, 37, "Input"],
Cell[129468, 4413, 56, 1, 37, "Input"],
Cell[129527, 4416, 52, 1, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[129616, 4422, 49, 0, 26, "Text"],
Cell[129668, 4424, 92, 1, 41, "Input"],
Cell[129763, 4427, 56, 1, 37, "Input"],
Cell[129822, 4430, 37, 1, 37, "Input"],
Cell[129862, 4433, 50, 1, 37, "Input"],
Cell[129915, 4436, 51, 1, 53, "InputOnly"],
Cell[129969, 4439, 205, 4, 74, "Input"],
Cell[130177, 4445, 62, 1, 53, "InputOnly"],
Cell[130242, 4448, 67, 1, 37, "Input"],
Cell[130312, 4451, 139, 2, 53, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[130500, 4459, 228, 7, 26, "SubSubtitulo"],

Cell[CellGroupData[{
Cell[130753, 4470, 73, 0, 28, "SubSubSubtitulo"],

Cell[CellGroupData[{
Cell[130851, 4474, 79, 1, 27, "Commentary",
  CellTags->"Solve"],
Cell[130933, 4477, 145, 4, 24, "ExampleText",
  CellTags->"Solve"],
Cell[131081, 4483, 87, 2, 41, "Input",
  CellTags->"Solve"],
Cell[131171, 4487, 91, 2, 50, "Input",
  CellTags->"Solve"],
Cell[131265, 4491, 245, 5, 40, "ExampleText",
  CellTags->"Solve"],
Cell[131513, 4498, 73, 2, 41, "Input",
  CellTags->"Solve"],
Cell[131589, 4502, 131, 3, 41, "Input",
  CellTags->"Solve"],
Cell[131723, 4507, 73, 2, 41, "Input",
  CellTags->"Solve"],
Cell[131799, 4511, 131, 3, 41, "Input",
  CellTags->"Solve"],
Cell[131933, 4516, 387, 10, 40, "ExampleText",
  CellTags->"Solve"],
Cell[132323, 4528, 88, 2, 41, "Input",
  CellTags->"Solve"],
Cell[132414, 4532, 133, 5, 24, "ExampleText",
  CellTags->"Solve"],
Cell[132550, 4539, 58, 2, 37, "Input",
  CellTags->"Solve"],
Cell[132611, 4543, 141, 5, 24, "ExampleText",
  CellTags->"Solve"],
Cell[132755, 4550, 60, 2, 37, "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{
Cell[132852, 4557, 89, 1, 25, "Commentary",
  CellTags->"Solve"],
Cell[132944, 4560, 143, 7, 70, "ExampleText",
  CellTags->"Solve"],
Cell[133090, 4569, 99, 2, 70, "Input",
  CellTags->"Solve"],
Cell[133192, 4573, 73, 2, 70, "Input",
  CellTags->"Solve"],
Cell[133268, 4577, 172, 7, 70, "ExampleText",
  CellTags->"Solve"],
Cell[133443, 4586, 71, 2, 70, "Input",
  CellTags->"Solve"],
Cell[133517, 4590, 65, 2, 70, "Input",
  CellTags->"Solve"],
Cell[133585, 4594, 408, 15, 70, "ExampleText",
  CellTags->"Solve"],
Cell[133996, 4611, 132, 3, 70, "Input",
  CellTags->"Solve"],
Cell[134131, 4616, 237, 9, 70, "ExampleText",
  CellTags->"Solve"],
Cell[134371, 4627, 109, 2, 70, "Input",
  CellTags->"Solve"],
Cell[134483, 4631, 281, 8, 70, "ExampleText",
  CellTags->"Solve"],
Cell[134767, 4641, 124, 3, 70, "Input",
  CellTags->"Solve"],
Cell[134894, 4646, 202, 9, 70, "ExampleText",
  CellTags->"Solve"],
Cell[135099, 4657, 127, 3, 70, "Input",
  CellTags->"Solve"],
Cell[135229, 4662, 243, 11, 70, "ExampleText",
  CellTags->"Solve"],
Cell[135475, 4675, 195, 4, 70, "Input",
  CellTags->"Solve"],
Cell[135673, 4681, 181, 5, 70, "ExampleText",
  CellTags->"Solve"],
Cell[135857, 4688, 418, 8, 70, "Input",
  CellTags->"Solve"],
Cell[136278, 4698, 240, 7, 70, "ExampleText",
  CellTags->"Solve"],
Cell[136521, 4707, 152, 4, 70, "Input",
  CellTags->"Solve"],
Cell[136676, 4713, 73, 2, 70, "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{
Cell[136786, 4720, 60, 1, 25, "Commentary",
  CellTags->"Solve"],
Cell[136849, 4723, 145, 5, 70, "ExampleText",
  CellTags->"Solve"],
Cell[136997, 4730, 82, 2, 70, "Input",
  CellTags->"Solve"],
Cell[137082, 4734, 85, 2, 70, "Input",
  CellTags->"Solve"],
Cell[137170, 4738, 96, 2, 70, "Input",
  CellTags->"Solve"],
Cell[137269, 4742, 199, 7, 70, "ExampleText",
  CellTags->"Solve"],
Cell[137471, 4751, 110, 2, 70, "Input",
  CellTags->"Solve"],
Cell[137584, 4755, 206, 6, 70, "ExampleText",
  CellTags->"Solve"],
Cell[137793, 4763, 208, 5, 70, "Input",
  CellTags->"Solve"],
Cell[138004, 4770, 102, 2, 70, "Input",
  CellTags->"Solve"],
Cell[138109, 4774, 45, 1, 70, "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{
Cell[138191, 4780, 63, 1, 25, "Commentary",
  CellTags->"Solve"],
Cell[138257, 4783, 287, 6, 70, "ExampleText",
  CellTags->"Solve"],
Cell[138547, 4791, 98, 2, 70, "Input",
  CellTags->"Solve"],
Cell[138648, 4795, 217, 5, 70, "ExampleText",
  CellTags->"Solve"],
Cell[138868, 4802, 111, 2, 70, "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{
Cell[139016, 4809, 129, 4, 25, "Commentary",
  CellTags->"Solve"],
Cell[139148, 4815, 86, 2, 70, "Input",
  CellTags->"Solve"],
Cell[139237, 4819, 151, 3, 70, "Input",
  CellTags->"Solve"],
Cell[139391, 4824, 101, 2, 70, "Input",
  CellTags->"Solve"],
Cell[139495, 4828, 90, 2, 70, "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{
Cell[139622, 4835, 90, 1, 25, "Commentary",
  CellTags->"Solve"],
Cell[139715, 4838, 127, 3, 70, "Input",
  CellTags->"Solve"],
Cell[139845, 4843, 92, 2, 70, "Input",
  CellTags->"Solve"],
Cell[139940, 4847, 84, 2, 70, "Input",
  CellTags->"Solve"],
Cell[140027, 4851, 189, 4, 70, "Input",
  CellTags->"Solve"],
Cell[140219, 4857, 107, 2, 70, "Input",
  CellTags->"Solve"],
Cell[140329, 4861, 139, 3, 70, "Input",
  CellTags->"Solve"],
Cell[140471, 4866, 149, 3, 70, "Input",
  CellTags->"Solve"],
Cell[140623, 4871, 91, 2, 70, "Input",
  CellTags->"Solve"],
Cell[140717, 4875, 91, 2, 70, "Input",
  CellTags->"Solve"],
Cell[140811, 4879, 110, 2, 70, "Input",
  CellTags->"Solve"],
Cell[140924, 4883, 126, 3, 70, "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{
Cell[141087, 4891, 89, 1, 25, "Commentary",
  CellTags->"Solve"],
Cell[141179, 4894, 83, 2, 70, "Input",
  CellTags->"Solve"],
Cell[141265, 4898, 96, 2, 70, "Input",
  CellTags->"Solve"],
Cell[141364, 4902, 103, 2, 70, "Input",
  CellTags->"Solve"],
Cell[141470, 4906, 90, 2, 70, "Input",
  CellTags->"Solve"],
Cell[141563, 4910, 96, 1, 70, "ExampleText",
  CellTags->"Solve"],
Cell[141662, 4913, 83, 2, 70, "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{
Cell[141782, 4920, 92, 1, 25, "Commentary",
  CellTags->"Solve"],
Cell[141877, 4923, 327, 10, 70, "ExampleText",
  CellTags->"Solve"],
Cell[142207, 4935, 183, 3, 70, "Input",
  CellTags->"Solve"],
Cell[142393, 4940, 302, 6, 70, "Input",
  CellTags->"Solve"],
Cell[142698, 4948, 182, 4, 70, "Input",
  CellTags->"Solve"],
Cell[142883, 4954, 152, 6, 70, "ExampleText",
  CellTags->"Solve"],
Cell[143038, 4962, 123, 3, 70, "Input",
  CellTags->"Solve"],
Cell[143164, 4967, 104, 2, 70, "Input",
  CellTags->"Solve"],
Cell[143271, 4971, 73, 1, 70, "ExampleText",
  CellTags->"Solve"],
Cell[143347, 4974, 77, 2, 70, "Input",
  CellTags->"Solve"],
Cell[143427, 4978, 266, 8, 70, "ExampleText",
  CellTags->"Solve"],
Cell[143696, 4988, 141, 3, 70, "Input",
  CellTags->"Solve"],
Cell[143840, 4993, 104, 2, 70, "ExampleText",
  CellTags->"Solve"],
Cell[143947, 4997, 158, 4, 70, "Input",
  CellTags->"Solve"],
Cell[144108, 5003, 69, 1, 70, "ExampleText",
  CellTags->"Solve"],
Cell[144180, 5006, 224, 4, 70, "Input",
  CellTags->"Solve"],
Cell[144407, 5012, 155, 4, 70, "ExampleText",
  CellTags->"Solve"],
Cell[144565, 5018, 86, 2, 70, "Input",
  CellTags->"Solve"],
Cell[144654, 5022, 138, 4, 70, "ExampleText",
  CellTags->"Solve"],
Cell[144795, 5028, 86, 2, 70, "Input",
  CellTags->"Solve"],
Cell[144884, 5032, 133, 4, 70, "ExampleText",
  CellTags->"Solve"],
Cell[145020, 5038, 128, 3, 70, "Input",
  CellTags->"Solve"],
Cell[145151, 5043, 84, 2, 70, "Input",
  CellTags->"Solve"],
Cell[145238, 5047, 234, 10, 70, "ExampleText",
  CellTags->"Solve"],
Cell[145475, 5059, 77, 2, 70, "Input",
  CellTags->"Solve"],
Cell[145555, 5063, 71, 2, 70, "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{
Cell[145663, 5070, 118, 5, 25, "Commentary",
  CellTags->"Solve"],
Cell[145784, 5077, 64, 1, 70, "ExampleText",
  CellTags->"Solve"],
Cell[145851, 5080, 111, 2, 70, "Input",
  CellTags->"Solve"],
Cell[145965, 5084, 163, 6, 70, "ExampleText",
  CellTags->"Solve"],
Cell[146131, 5092, 86, 2, 70, "Input",
  CellTags->"Solve"],
Cell[146220, 5096, 66, 2, 70, "Input",
  CellTags->"Solve"],
Cell[146289, 5100, 234, 6, 70, "ExampleText",
  CellTags->"Solve"],
Cell[146526, 5108, 115, 3, 70, "Input",
  CellTags->"Solve"],
Cell[146644, 5113, 182, 6, 70, "ExampleText",
  CellTags->"Solve"],
Cell[146829, 5121, 70, 2, 70, "Input",
  CellTags->"Solve"],
Cell[146902, 5125, 82, 2, 70, "Input",
  CellTags->"Solve"],
Cell[146987, 5129, 161, 6, 70, "ExampleText",
  CellTags->"Solve"],
Cell[147151, 5137, 66, 2, 70, "Input",
  CellTags->"Solve"],
Cell[147220, 5141, 98, 2, 70, "Input",
  CellTags->"Solve"],
Cell[147321, 5145, 75, 2, 70, "Input",
  CellTags->"Solve"]
}, Closed]],

Cell[CellGroupData[{
Cell[147433, 5152, 67, 1, 25, "Commentary",
  CellTags->"Solve"],
Cell[147503, 5155, 171, 4, 70, "ExampleText",
  CellTags->"Solve"],
Cell[147677, 5161, 109, 2, 70, "Input",
  CellTags->"Solve"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[147835, 5169, 84, 3, 22, "SubSubSubtitulo"],
Cell[147922, 5174, 157, 4, 39, "Input",
  CellTags->"NSolve"],
Cell[148082, 5180, 255, 7, 24, "ExampleText",
  CellTags->"NSolve"],
Cell[148340, 5189, 75, 2, 37, "Input",
  CellTags->"NSolve"],
Cell[148418, 5193, 79, 1, 24, "ExampleText",
  CellTags->"NSolve"],
Cell[148500, 5196, 103, 2, 39, "Input",
  CellTags->"NSolve"],
Cell[148606, 5200, 96, 1, 24, "ExampleText",
  CellTags->"NSolve"],
Cell[148705, 5203, 127, 3, 41, "Input",
  CellTags->"NSolve"],
Cell[148835, 5208, 136, 4, 24, "ExampleText",
  CellTags->"NSolve"],
Cell[148974, 5214, 107, 2, 37, "Input",
  CellTags->"NSolve"],
Cell[149084, 5218, 147, 5, 24, "ExampleText",
  CellTags->"NSolve"],
Cell[149234, 5225, 187, 4, 46, "Input",
  CellTags->"NSolve"],
Cell[149424, 5231, 117, 4, 24, "ExampleText",
  CellTags->"NSolve"],
Cell[149544, 5237, 109, 2, 46, "Input",
  CellTags->"NSolve"],
Cell[149656, 5241, 127, 3, 46, "Input",
  CellTags->"NSolve"],
Cell[149786, 5246, 91, 2, 37, "Input",
  CellTags->"NSolve"],
Cell[149880, 5250, 86, 2, 37, "Input",
  CellTags->"NSolve"]
}, Closed]],

Cell[CellGroupData[{
Cell[150003, 5257, 86, 3, 22, "SubSubSubtitulo"],
Cell[150092, 5262, 98, 2, 41, "Input",
  CellTags->"FindRoot"],
Cell[150193, 5266, 280, 8, 24, "ExampleText",
  CellTags->"FindRoot"],
Cell[150476, 5276, 96, 2, 41, "Input",
  CellTags->"FindRoot"],
Cell[150575, 5280, 260, 6, 24, "ExampleText",
  CellTags->"FindRoot"],
Cell[150838, 5288, 89, 2, 41, "Input",
  CellTags->"FindRoot"],
Cell[150930, 5292, 121, 4, 24, "ExampleText",
  CellTags->"FindRoot"],
Cell[151054, 5298, 89, 2, 41, "Input",
  CellTags->"FindRoot"],
Cell[151146, 5302, 482, 14, 24, "ExampleText",
  CellTags->"FindRoot"],
Cell[151631, 5318, 101, 2, 41, "Input",
  CellTags->"FindRoot"],
Cell[151735, 5322, 156, 5, 24, "ExampleText",
  CellTags->"FindRoot"],
Cell[151894, 5329, 93, 2, 41, "Input",
  CellTags->"FindRoot"],
Cell[151990, 5333, 199, 6, 24, "ExampleText",
  CellTags->"FindRoot"],
Cell[152192, 5341, 109, 2, 41, "Input",
  CellTags->"FindRoot"],
Cell[152304, 5345, 314, 8, 40, "ExampleText",
  CellTags->"FindRoot"],
Cell[152621, 5355, 130, 3, 41, "Input",
  CellTags->"FindRoot"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[152812, 5365, 80, 1, 33, "Subtitulo"],

Cell[CellGroupData[{
Cell[152917, 5370, 162, 4, 32, "SubSubtitulo"],
Cell[153082, 5376, 366, 8, 60, "Text"],
Cell[153451, 5386, 427, 7, 60, "Text"],
Cell[153881, 5395, 791, 17, 76, "Text"],
Cell[154675, 5414, 527, 11, 60, "Text"],

Cell[CellGroupData[{
Cell[155227, 5429, 208, 7, 28, "Text"],
Cell[155438, 5438, 42, 1, 37, "Input"],
Cell[155483, 5441, 48, 1, 37, "Input"],
Cell[155534, 5444, 46, 1, 37, "Input"],
Cell[155583, 5447, 40, 1, 37, "Input"],
Cell[155626, 5450, 45, 1, 37, "Input"],
Cell[155674, 5453, 39, 1, 37, "Input"],
Cell[155716, 5456, 39, 1, 37, "Input"],
Cell[155758, 5459, 38, 1, 37, "Input"],
Cell[155799, 5462, 39, 1, 37, "Input"],
Cell[155841, 5465, 46, 1, 37, "Input"],
Cell[155890, 5468, 39, 1, 37, "Input"],
Cell[155932, 5471, 46, 1, 27, "Input"]
}, Closed]],
Cell[155993, 5475, 351, 9, 42, "Text"],
Cell[156347, 5486, 437, 9, 135, "Cuadro"],

Cell[CellGroupData[{
Cell[156809, 5499, 139, 4, 28, "Text"],
Cell[156951, 5505, 46, 1, 37, "Input"],
Cell[157000, 5508, 79, 1, 37, "Input"],
Cell[157082, 5511, 43, 1, 37, "Input"],
Cell[157128, 5514, 43, 1, 37, "Input"],
Cell[157174, 5517, 46, 1, 37, "Input"],
Cell[157223, 5520, 55, 1, 37, "Input"],
Cell[157281, 5523, 48, 1, 37, "Input"],
Cell[157332, 5526, 47, 1, 37, "Input"]
}, Closed]],
Cell[157394, 5530, 318, 11, 26, "Text"],
Cell[157715, 5543, 732, 18, 215, "Cuadro"],

Cell[CellGroupData[{
Cell[158472, 5565, 139, 4, 28, "Text"],
Cell[158614, 5571, 46, 1, 37, "Input"],
Cell[158663, 5574, 53, 1, 37, "Input"],
Cell[158719, 5577, 51, 1, 37, "Input"],
Cell[158773, 5580, 61, 1, 37, "Input"],
Cell[158837, 5583, 65, 1, 37, "Input"],
Cell[158905, 5586, 43, 1, 37, "Input"],
Cell[158951, 5589, 43, 1, 37, "Input"],
Cell[158997, 5592, 46, 1, 37, "Input"],
Cell[159046, 5595, 45, 1, 37, "Input"],
Cell[159094, 5598, 48, 1, 37, "Input"],
Cell[159145, 5601, 71, 1, 50, "Input"],
Cell[159219, 5604, 52, 1, 37, "Input"],
Cell[159274, 5607, 40, 1, 37, "Input"],
Cell[159317, 5610, 104, 2, 51, "Input"],
Cell[159424, 5614, 68, 1, 37, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[159541, 5621, 180, 4, 26, "SubSubtitulo"],
Cell[159724, 5627, 243, 5, 44, "Text"],
Cell[159970, 5634, 66, 0, 27, "Commentary"],
Cell[160039, 5636, 575, 14, 167, "Cuadro"],
Cell[160617, 5652, 276, 6, 87, "Cuadro"],

Cell[CellGroupData[{
Cell[160918, 5662, 27, 0, 28, "Text"],
Cell[160948, 5664, 77, 1, 53, "InputOnly"],
Cell[161028, 5667, 37, 1, 37, "Input"],
Cell[161068, 5670, 38, 1, 37, "Input"],
Cell[161109, 5673, 37, 1, 37, "Input"],
Cell[161149, 5676, 37, 1, 37, "Input"],
Cell[161189, 5679, 37, 1, 39, "Input"],
Cell[161229, 5682, 37, 1, 39, "Input"],
Cell[161269, 5685, 44, 1, 39, "Input"],
Cell[161316, 5688, 38, 1, 37, "Input"],
Cell[161357, 5691, 36, 1, 37, "Input"],
Cell[161396, 5694, 36, 1, 37, "Input"],
Cell[161435, 5697, 36, 1, 37, "Input"],
Cell[161474, 5700, 38, 1, 37, "Input"],
Cell[161515, 5703, 38, 1, 37, "Input"],
Cell[161556, 5706, 40, 1, 37, "Input"],
Cell[161599, 5709, 40, 1, 37, "Input"],
Cell[161642, 5712, 60, 1, 37, "Input"],
Cell[161705, 5715, 42, 1, 37, "Input"],
Cell[161750, 5718, 46, 1, 37, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[161845, 5725, 180, 4, 26, "SubSubtitulo"],
Cell[162028, 5731, 243, 5, 44, "Text"],
Cell[162274, 5738, 66, 0, 27, "Commentary"],
Cell[162343, 5740, 788, 15, 162, "Cuadro"],
Cell[163134, 5757, 618, 13, 199, "Cuadro"],

Cell[CellGroupData[{
Cell[163777, 5774, 28, 0, 28, "Text"],
Cell[163808, 5776, 53, 1, 37, "Input"],
Cell[163864, 5779, 43, 1, 37, "Input"],
Cell[163910, 5782, 58, 1, 37, "Input"],
Cell[163971, 5785, 53, 1, 37, "Input"],
Cell[164027, 5788, 46, 1, 37, "Input"],
Cell[164076, 5791, 46, 1, 37, "Input"],
Cell[164125, 5794, 39, 1, 37, "Input"],
Cell[164167, 5797, 39, 1, 37, "Input"],
Cell[164209, 5800, 43, 1, 37, "Input"],
Cell[164255, 5803, 45, 1, 37, "Input"],
Cell[164303, 5806, 59, 1, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[164399, 5812, 28, 0, 26, "Text"],
Cell[164430, 5814, 327, 11, 67, "InputOnly"],
Cell[164760, 5827, 239, 6, 117, "Input"],
Cell[165002, 5835, 43, 1, 37, "Input"],
Cell[165048, 5838, 38, 1, 37, "Input"],
Cell[165089, 5841, 61, 1, 37, "Input"],
Cell[165153, 5844, 37, 1, 39, "Input"],
Cell[165193, 5847, 44, 1, 37, "Input"],
Cell[165240, 5850, 47, 1, 37, "Input"],
Cell[165290, 5853, 39, 1, 37, "Input"],
Cell[165332, 5856, 52, 1, 37, "Input"],
Cell[165387, 5859, 47, 1, 37, "Input"],
Cell[165437, 5862, 48, 1, 37, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[165534, 5869, 197, 7, 26, "SubSubtitulo"],

Cell[CellGroupData[{
Cell[165756, 5880, 86, 3, 28, "SubSubSubtitulo"],
Cell[165845, 5885, 348, 7, 71, "Cuadro"],
Cell[166196, 5894, 271, 4, 85, "Input"],
Cell[166470, 5900, 34, 1, 37, "Input"],
Cell[166507, 5903, 45, 1, 37, "Input"],
Cell[166555, 5906, 48, 1, 37, "Input"],
Cell[166606, 5909, 58, 1, 37, "Input"],
Cell[166667, 5912, 34, 1, 37, "Input"],
Cell[166704, 5915, 35, 1, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[166776, 5921, 88, 3, 22, "SubSubSubtitulo"],
Cell[166867, 5926, 128, 3, 39, "Cuadro"],
Cell[166998, 5931, 302, 7, 102, "Input"],
Cell[167303, 5940, 40, 1, 37, "Input"],
Cell[167346, 5943, 45, 1, 37, "Input"],
Cell[167394, 5946, 294, 6, 40, "Commentary",
  CellTags->"LinearSolve"],
Cell[167691, 5954, 79, 2, 37, "Input",
  CellTags->"LinearSolve"],
Cell[167773, 5958, 143, 4, 27, "Commentary",
  CellTags->"LinearSolve"],
Cell[167919, 5964, 65, 2, 37, "Input",
  CellTags->"LinearSolve"],
Cell[167987, 5968, 78, 2, 37, "Input",
  CellTags->"LinearSolve"],
Cell[168068, 5972, 141, 4, 27, "Commentary",
  CellTags->"LinearSolve"],
Cell[168212, 5978, 364, 10, 51, "Input",
  CellTags->"LinearSolve"],
Cell[168579, 5990, 128, 3, 27, "Commentarysub"],
Cell[168710, 5995, 106, 1, 27, "Commentary",
  CellTags->"LinearSolve"],
Cell[168819, 5998, 96, 2, 37, "Input",
  CellTags->"LinearSolve"],
Cell[168918, 6002, 270, 8, 67, "Input",
  CellTags->"LinearSolve"],
Cell[169191, 6012, 163, 5, 27, "Commentarysub"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[169403, 6023, 213, 7, 26, "SubSubtitulo"],
Cell[169619, 6032, 473, 11, 124, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[170141, 6049, 123, 4, 33, "Subtitulo"],

Cell[CellGroupData[{
Cell[170289, 6057, 171, 4, 32, "SubSubtitulo"],
Cell[170463, 6063, 399, 7, 60, "Text"],
Cell[170865, 6072, 234, 7, 39, "Cuadro"],

Cell[CellGroupData[{
Cell[171124, 6083, 27, 0, 28, "Text"],
Cell[171154, 6085, 54, 1, 37, "Input"],
Cell[171211, 6088, 57, 1, 52, "Input"],
Cell[171271, 6091, 62, 1, 52, "Input"],
Cell[171336, 6094, 73, 1, 52, "Input"],
Cell[171412, 6097, 142, 2, 86, "Input"],
Cell[171557, 6101, 65, 1, 52, "Input"],
Cell[171625, 6104, 62, 1, 37, "Input"],
Cell[171690, 6107, 79, 1, 52, "Input"],
Cell[171772, 6110, 76, 1, 41, "Input"]
}, Closed]],
Cell[171863, 6114, 46, 0, 28, "Text"],
Cell[171912, 6116, 495, 10, 60, "Text"],
Cell[172410, 6128, 491, 14, 55, "Cuadro"],

Cell[CellGroupData[{
Cell[172926, 6146, 27, 0, 28, "Text"],
Cell[172956, 6148, 229, 4, 120, "Input"],
Cell[173188, 6154, 160, 3, 86, "Input"],
Cell[173351, 6159, 59, 1, 37, "Input"],
Cell[173413, 6162, 171, 3, 53, "Input"],
Cell[173587, 6167, 126, 2, 73, "Input"],
Cell[173716, 6171, 229, 4, 69, "Input"],
Cell[173948, 6177, 44, 1, 37, "Input"],
Cell[173995, 6180, 64, 1, 37, "Input"],
Cell[174062, 6183, 133, 2, 73, "Input"],
Cell[174198, 6187, 142, 2, 53, "Input"]
}, Closed]],
Cell[174355, 6192, 382, 8, 44, "Text"],

Cell[CellGroupData[{
Cell[174762, 6204, 27, 0, 28, "Text"],
Cell[174792, 6206, 64, 1, 52, "Input"],
Cell[174859, 6209, 62, 1, 52, "Input"],
Cell[174924, 6212, 86, 1, 41, "Input"],
Cell[175013, 6215, 81, 1, 41, "Input"]
}, Closed]],
Cell[175109, 6219, 128, 3, 28, "Text"],

Cell[CellGroupData[{
Cell[175262, 6226, 27, 0, 28, "Text"],
Cell[175292, 6228, 168, 4, 58, "Input"],
Cell[175463, 6234, 229, 4, 69, "Input"],
Cell[175695, 6240, 76, 1, 37, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[175820, 6247, 165, 4, 26, "SubSubtitulo"],
Cell[175988, 6253, 384, 8, 44, "Text"],
Cell[176375, 6263, 1483, 44, 156, "Cuadro"],

Cell[CellGroupData[{
Cell[177883, 6311, 27, 0, 28, "Text"],

Cell[CellGroupData[{
Cell[177935, 6315, 28, 0, 28, "Text"],
Cell[177966, 6317, 43, 1, 37, "Input"],
Cell[178012, 6320, 100, 2, 53, "Input"],
Cell[178115, 6324, 140, 3, 69, "Input"],
Cell[178258, 6329, 133, 3, 69, "Input"],
Cell[178394, 6334, 137, 3, 69, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[178568, 6342, 28, 0, 28, "Text"],
Cell[178599, 6344, 50, 1, 41, "Input"],
Cell[178652, 6347, 556, 11, 60, "Text"],
Cell[179211, 6360, 53, 1, 41, "Input"],
Cell[179267, 6363, 76, 1, 41, "Input"],
Cell[179346, 6366, 147, 3, 28, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[179530, 6374, 28, 0, 28, "Text"],
Cell[179561, 6376, 122, 2, 53, "Input"],
Cell[179686, 6380, 122, 2, 53, "Input"],
Cell[179811, 6384, 125, 2, 53, "Input"],
Cell[179939, 6388, 163, 3, 69, "Input"],
Cell[180105, 6393, 120, 2, 54, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[180262, 6400, 28, 0, 28, "Text"],
Cell[180293, 6402, 629, 17, 29, "Text"],
Cell[180925, 6421, 89, 1, 39, "Input"],
Cell[181017, 6424, 78, 1, 37, "Input"],
Cell[181098, 6427, 71, 1, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[181206, 6433, 28, 0, 28, "Text"],
Cell[181237, 6435, 269, 4, 45, "Text"],
Cell[181509, 6441, 89, 1, 39, "Input"],
Cell[181601, 6444, 73, 1, 37, "Input"],
Cell[181677, 6447, 68, 1, 37, "Input"],
Cell[181748, 6450, 259, 5, 53, "Input"],
Cell[182010, 6457, 145, 3, 53, "Input"],
Cell[182158, 6462, 176, 4, 53, "Input"],
Cell[182337, 6468, 331, 7, 85, "Input"],
Cell[182671, 6477, 199, 4, 69, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[182907, 6486, 28, 0, 28, "Text"],
Cell[182938, 6488, 272, 5, 44, "Text"],
Cell[183213, 6495, 48, 1, 41, "Input"],
Cell[183264, 6498, 46, 1, 41, "Input"],
Cell[183313, 6501, 46, 1, 37, "Input"],
Cell[183362, 6504, 104, 2, 61, "Input"],
Cell[183469, 6508, 207, 4, 44, "Text"],
Cell[183679, 6514, 52, 1, 37, "Input"],
Cell[183734, 6517, 52, 1, 41, "Input"]
}, Closed]]
}, Closed]],
Cell[183813, 6522, 615, 11, 76, "Text"],
Cell[184431, 6535, 837, 25, 119, "Cuadro"],

Cell[CellGroupData[{
Cell[185293, 6564, 27, 0, 28, "Text"],
Cell[185323, 6566, 110, 2, 61, "Input"],
Cell[185436, 6570, 112, 2, 61, "Input"],
Cell[185551, 6574, 243, 4, 81, "Input"],
Cell[185797, 6580, 335, 6, 93, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[186169, 6591, 89, 1, 28, "Text"],
Cell[186261, 6594, 253, 4, 71, "Input"],
Cell[186517, 6600, 136, 2, 53, "Input"],
Cell[186656, 6604, 289, 6, 85, "Input"],
Cell[186948, 6612, 251, 4, 69, "Input"],
Cell[187202, 6618, 166, 3, 53, "Input"],
Cell[187371, 6623, 166, 4, 53, "Input"],
Cell[187540, 6629, 83, 1, 37, "Input"],
Cell[187626, 6632, 45, 1, 37, "Input"],
Cell[187674, 6635, 129, 3, 37, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[187852, 6644, 166, 4, 26, "SubSubtitulo"],

Cell[CellGroupData[{
Cell[188043, 6652, 70, 0, 28, "SubSubSubtitulo"],
Cell[188116, 6654, 586, 12, 60, "Text"],
Cell[188705, 6668, 215, 5, 55, "Cuadro"],

Cell[CellGroupData[{
Cell[188945, 6677, 27, 0, 28, "Text"],
Cell[188975, 6679, 188, 3, 89, "Input"],
Cell[189166, 6684, 146, 2, 86, "Input"],
Cell[189315, 6688, 118, 2, 85, "Input"],
Cell[189436, 6692, 128, 2, 88, "Input"],
Cell[189567, 6696, 89, 1, 51, "Input"],
Cell[189659, 6699, 75, 1, 51, "Input"],
Cell[189737, 6702, 218, 4, 44, "Text"],
Cell[189958, 6708, 92, 1, 51, "Input"],
Cell[190053, 6711, 125, 2, 52, "Input"],
Cell[190181, 6715, 71, 1, 51, "Input"],
Cell[190255, 6718, 123, 2, 51, "Input"],
Cell[190381, 6722, 364, 8, 60, "Text"],
Cell[190748, 6732, 140, 2, 84, "Input"],
Cell[190891, 6736, 216, 3, 101, "Input"],
Cell[191110, 6741, 544, 12, 60, "Text"],
Cell[191657, 6755, 246, 6, 27, "Commentary"],
Cell[191906, 6763, 148, 2, 84, "Input"],
Cell[192057, 6767, 166, 3, 90, "Input"],
Cell[192226, 6772, 408, 9, 60, "Text"],
Cell[192637, 6783, 80, 1, 54, "Input"],
Cell[192720, 6786, 73, 1, 51, "Input"],
Cell[192796, 6789, 362, 6, 60, "Text"],
Cell[193161, 6797, 53, 1, 37, "Input"],
Cell[193217, 6800, 101, 2, 48, "InputOnly"],
Cell[193321, 6804, 65, 0, 28, "Text"],
Cell[193389, 6806, 76, 1, 51, "Input"],
Cell[193468, 6809, 243, 6, 44, "Text"],
Cell[193714, 6817, 78, 1, 51, "Input"],
Cell[193795, 6820, 187, 3, 69, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[194031, 6829, 68, 0, 28, "SubSubSubtitulo"],
Cell[194102, 6831, 435, 10, 76, "Cuadro"],

Cell[CellGroupData[{
Cell[194562, 6845, 27, 0, 28, "Text"],
Cell[194592, 6847, 144, 2, 75, "Input"],
Cell[194739, 6851, 219, 3, 75, "Input"],
Cell[194961, 6856, 111, 2, 52, "Input"],
Cell[195075, 6860, 138, 3, 28, "Text"],
Cell[195216, 6865, 166, 2, 86, "Input"],
Cell[195385, 6869, 48, 0, 28, "Text"],
Cell[195436, 6871, 37, 1, 37, "Input"],
Cell[195476, 6874, 91, 3, 28, "Text"],
Cell[195570, 6879, 114, 2, 52, "Input"],
Cell[195687, 6883, 128, 3, 28, "Text"],
Cell[195818, 6888, 127, 2, 52, "Input"],
Cell[195948, 6892, 41, 1, 37, "Input"],
Cell[195992, 6895, 105, 3, 28, "Text"],
Cell[196100, 6900, 131, 2, 53, "Input"],
Cell[196234, 6904, 291, 5, 44, "Text"],
Cell[196528, 6911, 73, 1, 52, "Input"],
Cell[196604, 6914, 83, 1, 37, "Input"],
Cell[196690, 6917, 241, 5, 44, "Text"],
Cell[196934, 6924, 85, 1, 53, "Input"],
Cell[197022, 6927, 214, 6, 44, "Text"],
Cell[197239, 6935, 213, 4, 87, "Input"],
Cell[197455, 6941, 110, 2, 53, "Input"],
Cell[197568, 6945, 110, 3, 28, "Text"],
Cell[197681, 6950, 300, 7, 71, "Cuadro"],
Cell[197984, 6959, 346, 6, 69, "Input"],
Cell[198333, 6967, 267, 5, 69, "Input"],
Cell[198603, 6974, 82, 1, 53, "Input"],
Cell[198688, 6977, 93, 1, 52, "Input"],
Cell[198784, 6980, 211, 4, 44, "Text"],
Cell[198998, 6986, 87, 1, 52, "Input"],
Cell[199088, 6989, 37, 1, 37, "Input"],
Cell[199128, 6992, 116, 3, 28, "Text"],
Cell[199247, 6997, 121, 3, 39, "Cuadro"],
Cell[199371, 7002, 74, 1, 41, "Input"],
Cell[199448, 7005, 285, 5, 44, "Text"],
Cell[199736, 7012, 82, 1, 52, "Input"],
Cell[199821, 7015, 31, 0, 28, "Text"],
Cell[199855, 7017, 85, 1, 52, "Input"],
Cell[199943, 7020, 111, 3, 28, "Text"],
Cell[200057, 7025, 75, 1, 51, "Input"],
Cell[200135, 7028, 40, 1, 37, "Input"],
Cell[200178, 7031, 65, 1, 37, "Input"],
Cell[200246, 7034, 40, 1, 37, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[200347, 7042, 172, 4, 26, "SubSubtitulo"],
Cell[200522, 7048, 137, 3, 28, "Text"],
Cell[200662, 7053, 696, 18, 87, "Cuadro"],

Cell[CellGroupData[{
Cell[201383, 7075, 27, 0, 28, "Text"],
Cell[201413, 7077, 62, 1, 37, "Input"],
Cell[201478, 7080, 56, 1, 37, "Input"],
Cell[201537, 7083, 148, 3, 27, "Commentary"],
Cell[201688, 7088, 57, 1, 37, "Input"],
Cell[201748, 7091, 82, 1, 37, "Input"],
Cell[201833, 7094, 58, 1, 37, "Input"],
Cell[201894, 7097, 77, 1, 37, "Input"],
Cell[201974, 7100, 100, 3, 28, "Text"],
Cell[202077, 7105, 76, 1, 53, "Input"],
Cell[202156, 7108, 76, 1, 45, "Input"],
Cell[202235, 7111, 88, 1, 41, "Input"],
Cell[202326, 7114, 89, 3, 28, "Text"],
Cell[202418, 7119, 70, 1, 57, "Input"],
Cell[202491, 7122, 129, 3, 71, "Input"],
Cell[202623, 7127, 112, 2, 53, "Input"],
Cell[202738, 7131, 37, 1, 37, "Input"],
Cell[202778, 7134, 138, 3, 28, "Text"],
Cell[202919, 7139, 170, 4, 55, "Cuadro"],
Cell[203092, 7145, 132, 3, 27, "Commentary"],
Cell[203227, 7150, 184, 3, 69, "Input"],
Cell[203414, 7155, 113, 2, 53, "Input"],
Cell[203530, 7159, 166, 4, 27, "Commentary"],
Cell[203699, 7165, 117, 2, 53, "Input"],
Cell[203819, 7169, 106, 3, 28, "Text"],
Cell[203928, 7174, 46, 1, 37, "Input"],
Cell[203977, 7177, 47, 1, 39, "Input"],
Cell[204027, 7180, 132, 3, 28, "Text"],
Cell[204162, 7185, 61, 1, 52, "Input"],
Cell[204226, 7188, 72, 0, 28, "Text"],
Cell[204301, 7190, 71, 1, 52, "Input"],
Cell[204375, 7193, 286, 9, 28, "Text"],
Cell[204664, 7204, 56, 1, 39, "Input"],
Cell[204723, 7207, 99, 3, 28, "Text"],
Cell[204825, 7212, 58, 1, 39, "Input"],
Cell[204886, 7215, 27, 0, 28, "Text"],
Cell[204916, 7217, 170, 3, 69, "Input"],
Cell[205089, 7222, 307, 7, 44, "Text"],
Cell[205399, 7231, 66, 1, 37, "Input"],
Cell[205468, 7234, 41, 1, 39, "Input"],
Cell[205512, 7237, 43, 1, 37, "Input"],
Cell[205558, 7240, 61, 0, 28, "Text"],
Cell[205622, 7242, 60, 1, 37, "Input"],
Cell[205685, 7245, 49, 1, 41, "Input"]
}, Closed]],
Cell[205749, 7249, 108, 3, 28, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[205894, 7257, 173, 4, 26, "SubSubtitulo"],
Cell[206070, 7263, 99, 3, 28, "Text"],
Cell[206172, 7268, 232, 5, 40, "Commentary"],
Cell[206407, 7275, 351, 8, 119, "Cuadro"],

Cell[CellGroupData[{
Cell[206783, 7287, 27, 0, 28, "Text"],
Cell[206813, 7289, 105, 2, 80, "Input"],
Cell[206921, 7293, 55, 1, 37, "Input"],
Cell[206979, 7296, 58, 1, 63, "Input"],
Cell[207040, 7299, 91, 1, 61, "Input"],
Cell[207134, 7302, 102, 2, 80, "Input"],
Cell[207239, 7306, 116, 2, 102, "Input"],
Cell[207358, 7310, 79, 1, 59, "Input"],
Cell[207440, 7313, 123, 3, 28, "Text"],
Cell[207566, 7318, 441, 7, 247, "Input"],
Cell[208010, 7327, 143, 3, 28, "Text"],
Cell[208156, 7332, 599, 11, 288, "Input"],
Cell[208758, 7345, 323, 9, 35, "Text"],
Cell[209084, 7356, 234, 4, 89, "Input"],
Cell[209321, 7362, 165, 4, 28, "Text"],
Cell[209489, 7368, 165, 3, 95, "Input"],
Cell[209657, 7373, 88, 1, 54, "Input"],
Cell[209748, 7376, 135, 2, 53, "Input"],
Cell[209886, 7380, 114, 2, 77, "Input"],
Cell[210003, 7384, 119, 2, 77, "Input"],
Cell[210125, 7388, 224, 6, 32, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[210398, 7400, 67, 0, 26, "SubSubtitulo"],

Cell[CellGroupData[{
Cell[210490, 7404, 71, 0, 28, "SubSubSubtitulo"],
Cell[210564, 7406, 467, 12, 50, "Text"],
Cell[211034, 7420, 181, 4, 55, "Cuadro"],

Cell[CellGroupData[{
Cell[211240, 7428, 26, 0, 28, "Text"],
Cell[211269, 7430, 64, 1, 37, "Input"],
Cell[211336, 7433, 83, 1, 38, "Input"],
Cell[211422, 7436, 72, 1, 52, "Input"],
Cell[211497, 7439, 66, 1, 41, "Input"]
}, Closed]],
Cell[211578, 7443, 535, 16, 35, "Text"],
Cell[212116, 7461, 213, 5, 55, "Cuadro"],

Cell[CellGroupData[{
Cell[212354, 7470, 26, 0, 28, "Text"],
Cell[212383, 7472, 118, 2, 50, "Input",
  CellTags->"InverseLaplaceTransform"],
Cell[212504, 7476, 122, 2, 52, "Input",
  CellTags->"InverseLaplaceTransform"],
Cell[212629, 7480, 118, 2, 50, "Input",
  CellTags->"InverseLaplaceTransform"],
Cell[212750, 7484, 125, 2, 52, "Input",
  CellTags->"InverseLaplaceTransform"]
}, Closed]],

Cell[CellGroupData[{
Cell[212912, 7491, 260, 5, 42, "Text"],
Cell[213175, 7498, 198, 5, 55, "Cuadro"],
Cell[213376, 7505, 72, 1, 37, "Input"],
Cell[213451, 7508, 103, 2, 55, "Input"],
Cell[213557, 7512, 72, 1, 37, "Input"],
Cell[213632, 7515, 116, 2, 37, "Input"],
Cell[213751, 7519, 89, 1, 37, "Input"],
Cell[213843, 7522, 139, 2, 70, "Input"],
Cell[213985, 7526, 138, 2, 53, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[214160, 7533, 269, 7, 53, "Text"],
Cell[214432, 7542, 150, 3, 53, "Input"],
Cell[214585, 7547, 116, 3, 28, "Text"],
Cell[214704, 7552, 61, 1, 37, "Input"],
Cell[214768, 7555, 40, 0, 28, "Text"],
Cell[214811, 7557, 255, 5, 53, "Input"],
Cell[215069, 7564, 61, 1, 37, "Input"],
Cell[215133, 7567, 167, 2, 55, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[215349, 7575, 184, 4, 22, "SubSubSubtitulo"],
Cell[215536, 7581, 150, 3, 55, "Cuadro"],
Cell[215689, 7586, 79, 1, 37, "Input"],
Cell[215771, 7589, 72, 1, 37, "Input"],
Cell[215846, 7592, 1281, 43, 68, "Text"],
Cell[217130, 7637, 522, 10, 60, "Text"],
Cell[217655, 7649, 8298, 276, 216, "Cuadro"],
Cell[225956, 7927, 77, 1, 37, "Input"],
Cell[226036, 7930, 57, 0, 27, "Commentary"],
Cell[226096, 7932, 127, 2, 37, "Input"],
Cell[226226, 7936, 321, 7, 87, "Cuadro"],
Cell[226550, 7945, 136, 4, 37, "Input",
  CellTags->"S3.5.12"],
Cell[226689, 7951, 127, 3, 28, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[226853, 7959, 175, 4, 22, "SubSubSubtitulo"],
Cell[227031, 7965, 1438, 46, 66, "Text"],
Cell[228472, 8013, 130, 3, 55, "Cuadro"],
Cell[228605, 8018, 283, 9, 27, "Commentary",
  CellTags->{"S3.5.12", "12.24"}],
Cell[228891, 8029, 62, 1, 37, "Input",
  CellTags->"S3.5.12"],
Cell[228956, 8032, 82, 1, 27, "Commentary",
  CellTags->{"S3.5.12", "12.25"}],
Cell[229041, 8035, 66, 1, 37, "Input",
  CellTags->"S3.5.12"],
Cell[229110, 8038, 133, 2, 27, "Commentary",
  CellTags->{"S3.5.12", "12.26"}],
Cell[229246, 8042, 62, 1, 37, "Input",
  CellTags->"S3.5.12"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[229369, 8050, 106, 4, 33, "Subtitulo"],

Cell[CellGroupData[{
Cell[229500, 8058, 72, 0, 32, "SubSubtitulo"],
Cell[229575, 8060, 600, 11, 76, "Text"],
Cell[230178, 8073, 152, 4, 28, "Text"],
Cell[230333, 8079, 246, 5, 55, "Cuadro"],
Cell[230582, 8086, 94, 3, 27, "Commentary"],
Cell[230679, 8091, 505, 11, 103, "Cuadro"],

Cell[CellGroupData[{
Cell[231209, 8106, 57, 0, 28, "Text"],

Cell[CellGroupData[{
Cell[231291, 8110, 28, 0, 28, "Text"],
Cell[231322, 8112, 83, 1, 52, "Input"],
Cell[231408, 8115, 180, 5, 27, "Commentarysub"],
Cell[231591, 8122, 118, 3, 52, "Input"],
Cell[231712, 8127, 71, 1, 37, "Input"],
Cell[231786, 8130, 199, 4, 85, "Input"],
Cell[231988, 8136, 50, 1, 53, "InputOnly"],
Cell[232041, 8139, 167, 4, 27, "Commentary"],
Cell[232211, 8145, 89, 1, 52, "Input"],
Cell[232303, 8148, 91, 1, 37, "Input"],
Cell[232397, 8151, 65, 1, 37, "Input"],
Cell[232465, 8154, 56, 1, 37, "Input"],
Cell[232524, 8157, 62, 0, 27, "Commentary"],
Cell[232589, 8159, 148, 2, 53, "Input"],
Cell[232740, 8163, 122, 3, 27, "Commentarysub"]
}, Closed]],

Cell[CellGroupData[{
Cell[232899, 8171, 28, 0, 26, "Text"],
Cell[232930, 8173, 83, 1, 52, "Input"],
Cell[233016, 8176, 105, 3, 27, "Commentarysub"],
Cell[233124, 8181, 166, 5, 28, "Commentary"],
Cell[233293, 8188, 86, 1, 52, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[233416, 8194, 28, 0, 26, "Text"],
Cell[233447, 8196, 95, 1, 27, "Commentary"],
Cell[233545, 8199, 178, 3, 58, "Input"],
Cell[233726, 8204, 96, 3, 27, "Commentary"],
Cell[233825, 8209, 324, 5, 101, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[234198, 8220, 65, 0, 26, "Text"],

Cell[CellGroupData[{
Cell[234288, 8224, 28, 0, 28, "Text"],
Cell[234319, 8226, 142, 2, 53, "Input"],
Cell[234464, 8230, 79, 0, 27, "Commentarysub"],
Cell[234546, 8232, 47, 0, 27, "Commentary"],
Cell[234596, 8234, 196, 4, 53, "Input"],
Cell[234795, 8240, 54, 0, 27, "Commentary"],
Cell[234852, 8242, 191, 4, 53, "Input"],
Cell[235046, 8248, 129, 3, 27, "Commentary"],
Cell[235178, 8253, 203, 4, 53, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[235418, 8262, 28, 0, 26, "Text"],
Cell[235449, 8264, 87, 1, 27, "Commentary"],
Cell[235539, 8267, 88, 1, 37, "Input"],
Cell[235630, 8270, 53, 1, 37, "Input"],
Cell[235686, 8273, 336, 6, 69, "Input"],
Cell[236025, 8281, 102, 3, 27, "Commentary"],
Cell[236130, 8286, 179, 3, 55, "Input"],
Cell[236312, 8291, 106, 1, 27, "Commentary"],
Cell[236421, 8294, 154, 3, 70, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[236612, 8302, 28, 0, 26, "Text"],
Cell[236643, 8304, 63, 0, 27, "Commentary"],
Cell[236709, 8306, 203, 3, 53, "Input"],
Cell[236915, 8311, 103, 3, 27, "Commentary"],
Cell[237021, 8316, 189, 4, 53, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[237247, 8325, 28, 0, 26, "Text"],
Cell[237278, 8327, 113, 3, 27, "Commentary"],
Cell[237394, 8332, 135, 2, 53, "Input"],
Cell[237532, 8336, 104, 3, 27, "Commentary"],
Cell[237639, 8341, 244, 6, 53, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[237932, 8353, 67, 0, 26, "Text"],
Cell[238002, 8355, 70, 0, 27, "Commentary"],
Cell[238075, 8357, 255, 4, 85, "Input"],
Cell[238333, 8363, 115, 3, 27, "Commentary"],
Cell[238451, 8368, 207, 4, 53, "Input"],
Cell[238661, 8374, 70, 0, 27, "Commentary"],
Cell[238734, 8376, 333, 7, 85, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[239104, 8388, 59, 0, 26, "Text"],
Cell[239166, 8390, 129, 3, 28, "Text"],
Cell[239298, 8395, 150, 3, 53, "Input"],
Cell[239451, 8400, 65, 0, 27, "Commentary"],
Cell[239519, 8402, 75, 1, 37, "Input"],
Cell[239597, 8405, 47, 0, 27, "Commentary"],
Cell[239647, 8407, 83, 1, 37, "Input"],
Cell[239733, 8410, 87, 1, 27, "Commentary"],
Cell[239823, 8413, 81, 1, 37, "Input"],
Cell[239907, 8416, 104, 3, 27, "Commentary"],
Cell[240014, 8421, 101, 2, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[240152, 8428, 39, 0, 26, "Text"],
Cell[240194, 8430, 98, 3, 28, "Text"],
Cell[240295, 8435, 48, 0, 27, "Commentary"],
Cell[240346, 8437, 151, 3, 53, "Input"],
Cell[240500, 8442, 126, 3, 27, "Commentary"],
Cell[240629, 8447, 83, 1, 61, "Input"],
Cell[240715, 8450, 56, 0, 27, "Commentary"],
Cell[240774, 8452, 35, 1, 37, "Input"],
Cell[240812, 8455, 124, 3, 27, "Commentary"],
Cell[240939, 8460, 55, 1, 37, "Input"],
Cell[240997, 8463, 164, 4, 27, "Commentary"],
Cell[241164, 8469, 147, 2, 53, "Input"],
Cell[241314, 8473, 57, 0, 27, "Commentary"],
Cell[241374, 8475, 51, 1, 37, "Input"],
Cell[241428, 8478, 70, 1, 37, "Input"],
Cell[241501, 8481, 55, 0, 27, "Commentary"],
Cell[241559, 8483, 51, 1, 37, "Input"],
Cell[241613, 8486, 70, 1, 37, "Input"],
Cell[241686, 8489, 114, 3, 27, "Commentary"],
Cell[241803, 8494, 204, 4, 125, "Input"],
Cell[242010, 8500, 193, 4, 27, "Commentarysub"],
Cell[242206, 8506, 84, 1, 57, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[242339, 8513, 71, 0, 26, "SubSubtitulo"],
Cell[242413, 8515, 136, 3, 28, "Text"],
Cell[242552, 8520, 571, 12, 119, "Cuadro"],

Cell[CellGroupData[{
Cell[243148, 8536, 28, 0, 28, "Text"],
Cell[243179, 8538, 186, 5, 28, "Text"],
Cell[243368, 8545, 86, 1, 39, "Input"],
Cell[243457, 8548, 64, 0, 27, "Commentary"],
Cell[243524, 8550, 78, 1, 37, "Input"],
Cell[243605, 8553, 45, 0, 27, "Commentary"],
Cell[243653, 8555, 89, 1, 37, "Input"],
Cell[243745, 8558, 405, 7, 60, "Text"],
Cell[244153, 8567, 67, 0, 27, "Commentary"],
Cell[244223, 8569, 73, 1, 37, "Input"],
Cell[244299, 8572, 131, 3, 27, "Commentary"],
Cell[244433, 8577, 61, 1, 37, "Input"],
Cell[244497, 8580, 37, 1, 37, "Input"],
Cell[244537, 8583, 38, 1, 37, "Input"],
Cell[244578, 8586, 56, 1, 37, "Input"],
Cell[244637, 8589, 42, 1, 37, "Input"],
Cell[244682, 8592, 84, 2, 53, "Input"],
Cell[244769, 8596, 67, 1, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[244873, 8602, 28, 0, 26, "Text"],
Cell[244904, 8604, 41, 0, 27, "Commentary"],
Cell[244948, 8606, 79, 1, 37, "Input"],
Cell[245030, 8609, 49, 0, 27, "Commentary"],
Cell[245082, 8611, 190, 4, 53, "Input"],
Cell[245275, 8617, 59, 0, 27, "Commentary"],
Cell[245337, 8619, 205, 4, 53, "Input"],
Cell[245545, 8625, 79, 0, 27, "Commentary"],
Cell[245627, 8627, 236, 4, 53, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[245900, 8636, 28, 0, 26, "Text"],
Cell[245931, 8638, 41, 0, 27, "Commentary"],
Cell[245975, 8640, 67, 1, 39, "Input"],
Cell[246045, 8643, 88, 1, 37, "Input"],
Cell[246136, 8646, 110, 3, 27, "Commentarysub"],
Cell[246249, 8651, 72, 1, 37, "Input"],
Cell[246324, 8654, 86, 1, 27, "Commentary"],
Cell[246413, 8657, 160, 3, 53, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[246610, 8665, 61, 0, 26, "Text"],
Cell[246674, 8667, 41, 0, 27, "Commentary"],
Cell[246718, 8669, 88, 1, 37, "Input"],
Cell[246809, 8672, 92, 1, 37, "Input"],
Cell[246904, 8675, 72, 1, 37, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[247037, 8683, 118, 4, 33, "Subtitulo"],

Cell[CellGroupData[{
Cell[247180, 8691, 172, 4, 32, "SubSubtitulo"],
Cell[247355, 8697, 910, 29, 81, "Text"],
Cell[248268, 8728, 112, 3, 39, "Cuadro"],

Cell[CellGroupData[{
Cell[248405, 8735, 79, 0, 28, "Text"],
Cell[248487, 8737, 223, 8, 29, "Text"],
Cell[248713, 8747, 105, 2, 37, "Input"],
Cell[248821, 8751, 73, 1, 37, "Input"],
Cell[248897, 8754, 144, 3, 27, "Commentarysub"],
Cell[249044, 8759, 124, 3, 28, "Text"],
Cell[249171, 8764, 229, 4, 53, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[249437, 8773, 56, 0, 26, "Text"],
Cell[249496, 8775, 205, 4, 55, "Input"],
Cell[249704, 8781, 232, 5, 58, "Input"],
Cell[249939, 8788, 99, 3, 27, "Commentarysub"]
}, Closed]],

Cell[CellGroupData[{
Cell[250075, 8796, 154, 4, 27, "Text"],
Cell[250232, 8802, 180, 4, 55, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[250461, 8812, 199, 7, 26, "SubSubtitulo"],

Cell[CellGroupData[{
Cell[250685, 8823, 260, 9, 28, "Text"],
Cell[250948, 8834, 50, 0, 27, "Commentary"],
Cell[251001, 8836, 103, 2, 53, "InputOnly"],
Cell[251107, 8840, 55, 0, 27, "Commentary"],
Cell[251165, 8842, 67, 1, 37, "Input"],
Cell[251235, 8845, 114, 3, 27, "Commentary"],
Cell[251352, 8850, 221, 4, 53, "Input"],
Cell[251576, 8856, 55, 0, 27, "Commentary"],
Cell[251634, 8858, 127, 3, 37, "Input"],
Cell[251764, 8863, 82, 1, 27, "Commentary"],
Cell[251849, 8866, 93, 1, 37, "Input"],
Cell[251945, 8869, 296, 5, 69, "Input"],
Cell[252244, 8876, 63, 0, 27, "Commentarysub"]
}, Closed]],

Cell[CellGroupData[{
Cell[252344, 8881, 303, 10, 27, "Text"],
Cell[252650, 8893, 120, 3, 55, "InputOnly"],
Cell[252773, 8898, 67, 1, 37, "Input"],
Cell[252843, 8901, 281, 5, 53, "Input"],
Cell[253127, 8908, 127, 3, 37, "Input"],
Cell[253257, 8913, 93, 1, 37, "Input"],
Cell[253353, 8916, 274, 5, 69, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[253676, 8927, 182, 4, 26, "SubSubtitulo"],

Cell[CellGroupData[{
Cell[253883, 8935, 61, 0, 28, "Text"],
Cell[253947, 8937, 109, 3, 28, "Text"],
Cell[254059, 8942, 452, 18, 23, "Text"],
Cell[254514, 8962, 665, 10, 92, "Text"],
Cell[255182, 8974, 173, 4, 28, "Text"],
Cell[255358, 8980, 388, 6, 43, "Text"],
Cell[255749, 8988, 380, 7, 45, "Text"],
Cell[256132, 8997, 103, 3, 27, "Commentary"],
Cell[256238, 9002, 185, 3, 53, "InputOnly"],
Cell[256426, 9007, 49, 0, 27, "Commentary"],
Cell[256478, 9009, 182, 3, 85, "Input"],
Cell[256663, 9014, 324, 6, 104, "Input"],
Cell[256990, 9022, 69, 0, 27, "Commentarysub"],
Cell[257062, 9024, 103, 1, 27, "Commentary"],
Cell[257168, 9027, 87, 1, 41, "Input"],
Cell[257258, 9030, 128, 3, 27, "Commentary"],
Cell[257389, 9035, 73, 1, 61, "Input"],
Cell[257465, 9038, 161, 4, 27, "Commentary"],
Cell[257629, 9044, 83, 1, 37, "Input"],
Cell[257715, 9047, 220, 3, 53, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[257972, 9055, 62, 0, 26, "Text"],
Cell[258037, 9057, 108, 3, 28, "Text"],
Cell[258148, 9062, 541, 21, 24, "Text"],
Cell[258692, 9085, 628, 11, 77, "Text"],
Cell[259323, 9098, 173, 4, 28, "Text"],
Cell[259499, 9104, 359, 6, 46, "Text"],
Cell[259861, 9112, 369, 6, 43, "Text"],
Cell[260233, 9120, 403, 8, 47, "Text"],
Cell[260639, 9130, 103, 3, 27, "Commentary"],
Cell[260745, 9135, 121, 2, 55, "InputOnly"],
Cell[260869, 9139, 119, 3, 27, "Commentary"],
Cell[260991, 9144, 645, 11, 207, "Input"],
Cell[261639, 9157, 103, 1, 27, "Commentary"],
Cell[261745, 9160, 119, 4, 37, "Input"],
Cell[261867, 9166, 161, 4, 27, "Commentary"],
Cell[262031, 9172, 82, 1, 37, "Input"],
Cell[262116, 9175, 395, 6, 112, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[262560, 9187, 184, 4, 26, "SubSubtitulo"],
Cell[262747, 9193, 110, 3, 28, "Text"],

Cell[CellGroupData[{
Cell[262882, 9200, 61, 0, 28, "Text"],
Cell[262946, 9202, 468, 18, 23, "Text"],
Cell[263417, 9222, 174, 3, 37, "Input"],
Cell[263594, 9227, 84, 1, 37, "Input"],
Cell[263681, 9230, 126, 3, 27, "Commentarysub"],
Cell[263810, 9235, 244, 4, 53, "Input"],
Cell[264057, 9241, 75, 0, 27, "Commentarysub"],
Cell[264135, 9243, 129, 3, 27, "Commentary"],
Cell[264267, 9248, 181, 3, 32, "Output"],
Cell[264451, 9253, 89, 1, 27, "Commentary"],
Cell[264543, 9256, 75, 0, 37, "Input"],
Cell[264621, 9258, 150, 3, 27, "Commentarysub"],
Cell[264774, 9263, 155, 5, 40, "Input"],
Cell[264932, 9270, 53, 0, 27, "Commentary"],
Cell[264988, 9272, 73, 0, 37, "Input"],
Cell[265064, 9274, 135, 3, 27, "Commentarysub"]
}, Closed]],

Cell[CellGroupData[{
Cell[265236, 9282, 62, 0, 26, "Text"],
Cell[265301, 9284, 74, 0, 27, "Commentary"],
Cell[265378, 9286, 142, 3, 52, "Input"],
Cell[265523, 9291, 82, 1, 37, "Input"],
Cell[265608, 9294, 244, 5, 65, "Input"],
Cell[265855, 9301, 75, 0, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[265967, 9306, 55, 0, 26, "Text"],
Cell[266025, 9308, 652, 23, 46, "Text"],
Cell[266680, 9333, 203, 4, 52, "Input"],
Cell[266886, 9339, 107, 1, 37, "Input"],
Cell[266996, 9342, 211, 3, 53, "Input"],
Cell[267210, 9347, 211, 3, 53, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[267482, 9357, 127, 4, 33, "Subtitulo"],

Cell[CellGroupData[{
Cell[267634, 9365, 188, 4, 32, "SubSubtitulo"],
Cell[267825, 9371, 533, 9, 76, "Text"],
Cell[268361, 9382, 117, 3, 27, "Commentary"],
Cell[268481, 9387, 270, 6, 71, "Cuadro"],
Cell[268754, 9395, 114, 3, 27, "Commentary"],
Cell[268871, 9400, 431, 13, 55, "Cuadro"],

Cell[CellGroupData[{
Cell[269327, 9417, 36, 0, 28, "Text"],
Cell[269366, 9419, 137, 3, 27, "Commentary"],
Cell[269506, 9424, 123, 2, 80, "Input"],
Cell[269632, 9428, 274, 5, 69, "Input"],
Cell[269909, 9435, 79, 0, 27, "Commentary"],
Cell[269991, 9437, 67, 1, 37, "Input"],
Cell[270061, 9440, 318, 6, 85, "Input"],
Cell[270382, 9448, 87, 1, 27, "Commentarysub"]
}, Closed]],

Cell[CellGroupData[{
Cell[270506, 9454, 69, 0, 26, "Text"],
Cell[270578, 9456, 170, 2, 53, "Input"],
Cell[270751, 9460, 126, 3, 37, "Input"],
Cell[270880, 9465, 77, 1, 37, "Input"],
Cell[270960, 9468, 50, 1, 37, "Input"],
Cell[271013, 9471, 160, 3, 37, "Input"],
Cell[271176, 9476, 79, 1, 37, "Input"]
}, Closed]],
Cell[271270, 9480, 137, 3, 26, "Text"],
Cell[271410, 9485, 207, 5, 55, "Cuadro"],

Cell[CellGroupData[{
Cell[271642, 9494, 26, 0, 28, "Text"],
Cell[271671, 9496, 50, 0, 27, "Commentary"],
Cell[271724, 9498, 237, 6, 53, "Input"],
Cell[271964, 9506, 44, 1, 37, "Input"],
Cell[272011, 9509, 52, 1, 37, "Input"],
Cell[272066, 9512, 58, 0, 27, "Commentary"],
Cell[272127, 9514, 193, 4, 53, "Input"],
Cell[272323, 9520, 44, 1, 37, "Input"],
Cell[272370, 9523, 52, 1, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[272459, 9529, 72, 0, 26, "Text"],
Cell[272534, 9531, 244, 6, 30, "Commentary"],
Cell[272781, 9539, 92, 1, 57, "InputOnly"],
Cell[272876, 9542, 84, 1, 37, "Input"],
Cell[272963, 9545, 63, 1, 37, "Input"],
Cell[273029, 9548, 211, 4, 96, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[273289, 9558, 163, 4, 26, "SubSubtitulo"],
Cell[273455, 9564, 468, 7, 60, "Text"],
Cell[273926, 9573, 201, 4, 71, "Cuadro"],
Cell[274130, 9579, 339, 6, 44, "Text"],

Cell[CellGroupData[{
Cell[274494, 9589, 28, 0, 28, "Text"],
Cell[274525, 9591, 51, 0, 27, "Commentary"],
Cell[274579, 9593, 60, 1, 37, "Input"],
Cell[274642, 9596, 132, 3, 27, "Commentary"],
Cell[274777, 9601, 310, 6, 69, "Input"],
Cell[275090, 9609, 67, 0, 27, "Commentary"],
Cell[275160, 9611, 154, 2, 53, "Input"],
Cell[275317, 9615, 69, 0, 27, "Commentary"],
Cell[275389, 9617, 47, 1, 37, "Input"],
Cell[275439, 9620, 90, 1, 27, "Commentary"],
Cell[275532, 9623, 85, 1, 37, "Input"],
Cell[275620, 9626, 163, 4, 27, "Commentary"],
Cell[275786, 9632, 206, 4, 69, "Input"],
Cell[275995, 9638, 151, 3, 27, "Commentary"],
Cell[276149, 9643, 230, 5, 69, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[276416, 9653, 49, 0, 26, "Text"],
Cell[276468, 9655, 422, 8, 85, "Input"],
Cell[276893, 9665, 161, 4, 27, "Commentary"],
Cell[277057, 9671, 57, 1, 37, "Input",
  CellTags->"S5.93.1"]
}, Closed]],
Cell[277129, 9675, 538, 8, 74, "Text"],

Cell[CellGroupData[{
Cell[277692, 9687, 28, 0, 28, "Text"],
Cell[277723, 9689, 60, 1, 37, "Input"],
Cell[277786, 9692, 352, 5, 69, "Input"],
Cell[278141, 9699, 166, 4, 37, "Input"],
Cell[278310, 9705, 201, 4, 53, "Input"],
Cell[278514, 9711, 140, 2, 37, "Input"],
Cell[278657, 9715, 78, 1, 37, "Input"],
Cell[278738, 9718, 357, 8, 101, "Input"],
Cell[279098, 9728, 52, 1, 37, "Input"],
Cell[279153, 9731, 257, 5, 53, "Input"],
Cell[279413, 9738, 46, 1, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[279496, 9744, 179, 5, 26, "Text"],
Cell[279678, 9751, 89, 1, 27, "Commentary"],
Cell[279770, 9754, 1793, 34, 387, "Input"],
Cell[281566, 9790, 58, 0, 27, "Commentary"],
Cell[281627, 9792, 419, 8, 103, "Input"],
Cell[282049, 9802, 91, 1, 27, "Commentary"],
Cell[282143, 9805, 283, 6, 76, "Input"],
Cell[282429, 9813, 48, 1, 37, "Input"],
Cell[282480, 9816, 50, 0, 27, "Commentary"],
Cell[282533, 9818, 523, 11, 103, "Input"],
Cell[283059, 9831, 163, 5, 27, "Commentary"],
Cell[283225, 9838, 60, 1, 37, "Input"],
Cell[283288, 9841, 350, 6, 85, "Input"],
Cell[283641, 9849, 65, 0, 27, "Commentary"],
Cell[283709, 9851, 131, 2, 37, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[283889, 9859, 185, 4, 26, "SubSubtitulo"],

Cell[CellGroupData[{
Cell[284099, 9867, 44, 0, 28, "Text"],
Cell[284146, 9869, 583, 9, 76, "Text"],
Cell[284732, 9880, 60, 0, 27, "Commentary"],
Cell[284795, 9882, 316, 6, 69, "Input"],
Cell[285114, 9890, 412, 7, 60, "Text"],
Cell[285529, 9899, 110, 3, 27, "Commentary"],
Cell[285642, 9904, 708, 13, 149, "Input"],
Cell[286353, 9919, 737, 20, 68, "Text"],
Cell[287093, 9941, 886, 20, 81, "Text"]
}, Closed]],
Cell[287994, 9964, 480, 9, 104, "Cuadro"],

Cell[CellGroupData[{
Cell[288499, 9977, 26, 0, 28, "Text"],
Cell[288528, 9979, 135, 3, 27, "Commentary"],
Cell[288666, 9984, 311, 6, 69, "Input"],
Cell[288980, 9992, 221, 6, 28, "Commentary"],
Cell[289204, 10000, 329, 6, 74, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[289570, 10011, 37, 0, 26, "Text"],
Cell[289610, 10013, 62, 0, 27, "Commentary"],
Cell[289675, 10015, 339, 6, 74, "Input"],
Cell[290017, 10023, 312, 6, 69, "Input"],
Cell[290332, 10031, 318, 6, 74, "Input"],
Cell[290653, 10039, 121, 3, 27, "Commentary"],
Cell[290777, 10044, 60, 1, 37, "Input"],
Cell[290840, 10047, 98, 2, 53, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[290975, 10054, 74, 0, 26, "Text"],
Cell[291052, 10056, 339, 6, 69, "Input"],
Cell[291394, 10064, 150, 3, 28, "Text"],
Cell[291547, 10069, 133, 3, 27, "Commentary"],
Cell[291683, 10074, 320, 5, 85, "Input"],
Cell[292006, 10081, 41, 0, 27, "Commentary"],
Cell[292050, 10083, 60, 1, 37, "Input"]
}, Closed]],
Cell[292125, 10087, 69, 0, 26, "Text"],
Cell[292197, 10089, 358, 6, 60, "Text"],
Cell[292558, 10097, 255, 5, 71, "Cuadro"],

Cell[CellGroupData[{
Cell[292838, 10106, 54, 0, 28, "Text"],
Cell[292895, 10108, 66, 0, 27, "Commentary"],
Cell[292964, 10110, 339, 6, 69, "Input"],
Cell[293306, 10118, 310, 6, 69, "Input"],
Cell[293619, 10126, 61, 1, 37, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[293717, 10132, 54, 0, 26, "Text"],
Cell[293774, 10134, 334, 7, 69, "Input"],
Cell[294111, 10143, 273, 5, 69, "Input"],
Cell[294387, 10150, 61, 1, 37, "Input"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Open  ]],
Cell[294499, 10157, 158, 4, 39, "Cuadro"],
Cell[294660, 10163, 17, 0, 28, "Text"]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

